/*! magic_pond_solitaire 2013-07-30 */
function inheritPrototype(a, b) {
    var c = Object.create(b.prototype);
    c.constructor = a, a.prototype = c
}

function Scene() {
    this.paused = !1, this.updateCB = function() {}, PIXI.DisplayObjectContainer.call(this), _.extend(this, Backbone.Events), this.onUpdate = function(a) {
        this.updateCB = a
    }, this.pause = function() {
        this.paused = !0
    }, this.resume = function() {
        this.paused = !1
    }, this.isPaused = function() {
        return this.paused
    }
}

function SceneManager() {
    var a, b, c, d, e = [],
        f = null,
        g = null,
        h = null,
        i = 1,
        j = 0;
    this.stage = null, this._rescale = function() {
        i = Math.min(window.innerWidth / a, window.innerHeight / b), c = a * i, d = b * i, h.resize(c, d)
    }, this._applyRatio = function(a, b) {
        if (1 !== b) {
            var c = a;
            c.position.x = c.position.x * b, c.position.y = c.position.y * b, c.scale.x = c.scale.x * b, c.scale.y = c.scale.y * b
        }
    }, this.create = function(e, g, i, j) {
        if (h) return this;
        (null === j || void 0 === j) && (j = 6750105), a = c = e, b = d = g, h = PIXI.autoDetectRenderer(c, d), console.log(h.view);
        var k = document.getElementById("pixi-stage");
        return k || (k = document.createElement("div"), k.id = "pixi-stage", document.body.appendChild(k)), k.style.textAlign = "center", k.appendChild(h.view), this.stage = new PIXI.Stage(j, !0), i === !0 && (this._rescale(), window.addEventListener("resize", this._rescale, !1)), requestAnimFrame(this.loop), f = new PIXI.DisplayObjectContainer, this.stage.addChild(f), this
    }, this.startScaling = function() {
        this._rescale(), window.addEventListener("resize", this._rescale, !1)
    }, this.loop = function() {
        var a = Date.now() - j;
        requestAnimFrame(function() {
            SceneManager.instance.loop()
        }), g.update(a), j = Date.now(), SceneManager.instance._applyRatio(f, i), h.render(SceneManager.instance.stage), SceneManager.instance._applyRatio(f, 1 / i)
    }, this.pushScene = function(a) {
        e.push(a), g && (g.setInteractive(!1), g.trigger(Scene.EVENT_ON_EXIT), g.pause()), g = a, f.addChild(g), g.resume(), a.trigger(Scene.EVENT_ON_ADDED), a.trigger(Scene.EVENT_ON_ENTER)
    }, this.popScene = function() {
        var a = e.pop();
        return g && (g.trigger(Scene.EVENT_ON_EXIT), g.pause(), f.removeChild(g), g.trigger(Scene.EVENT_ON_REMOVED)), g = e[e.length - 1], g && (g.trigger(Scene.EVENT_ON_ENTER), g.resume()), a
    }, this.replaceScene = function(a) {
        var b = e.pop();
        return g && (g.trigger(Scene.EVENT_ON_EXIT), g.pause(), f.removeChild(g), g.trigger(Scene.EVENT_ON_REMOVED)), g = null, SceneManager.instance.pushScene(a), b
    }, this.currentScene = function() {
        return g
    }, this.ratio = function() {
        return i
    }, this.bounds = function() {
        return {
            x: a,
            y: b
        }
    }
}

function Card(a, b) {
    var c = !0,
        d = null,
        e = [],
        f = [];
    this.getSuit = function() {
        return b
    }, this.getColor = function() {
        return "h" == b || "d" == b ? "r" : "s"
    }, this.isFaceUp = function() {
        return c
    }, this.setFaceUp = function(a) {
        c = a, null != d && d.onFaceChange(c)
    }, this.getRank = function() {
        return a
    }, this.getRankAsString = function() {
        switch (a) {
            case 11:
                return "J";
            case 12:
                return "Q";
            case 13:
                return "K";
            case 1:
                return "A";
            default:
                return a + ""
        }
    }, this.getRankAndSuitAsString = function() {
        return this.getRankAsString() + this.getSuit()
    }, this.getView = function() {
        return d
    }, this.setView = function(a) {
        d = a
    }, this.canPickUp = function() {
        return e.length <= 0
    }, this.removeCardOnTop = function(a) {
        var b = e.indexOf(a); - 1 !== b && (e.splice(b, 1), e.length <= 0 && this.setFaceUp(!0))
    }, this.cover = function(a) {
        -1 === f.indexOf(a) && (f.push(a), a.coveredBy(this))
    }, this.coveredBy = function(a) {
        -1 === e.indexOf(a) && e.push(a)
    }, this.pickUp = function() {
        if (this.canPickUp()) {
            for (var a = 0; a < f.length; a++) f[a].removeCardOnTop(this);
            return !0
        }
        return !1
    }, this.seeCovered = function() {
        return e
    }, this.seeCovering = function() {
        return f
    }
}

function Deck(a, b, c, d, e) {
    d = d || {};
    var f = d.filter || function() {
            return !0
        },
        g = [],
        h = [];
    if (d.draggable === !1) var i = !1;
    else i = !0;
    var j = d.action || null,
        k = !1;
    this.getzOffset = function() {
        return e || 0
    };
    var l = l || !1;
    this.pause = function() {
        k = !0
    }, this.unpause = function() {
        k = !1
    }, this.shuffle = function() {
        for (var a = []; g.length > 0;) {
            var b = Math.floor(Math.random() * g.length);
            a.push(g[b]), g.splice(b, 1)
        }
        g = a, this.fire({
            type: "shuffle",
            card: null
        })
    }, this.sort = function() {
        g.sort(function(a, b) {
            return a = a.getRank(), b = b.getRank(), a == b ? 0 : a > b ? -1 : 1
        }), this.fire({
            type: "shuffle",
            card: null
        })
    }, this.deal = function(a, b, c, d, e) {
        e || this.pause();
        var f = a.getFilter();
        if (a.setFilter(function() {
                return !0
            }), b) {
            for (var g = 0; b > g; g++) {
                var h = this.peek();
                if (!this.peek()) break;
                g != b - 1 || e || this.unpause(), this.remove(h), c ? h.setFaceUp(!1) : c === !1 && h.setFaceUp(!0), d ? a.addBottom(h) : a.addTop(h)
            }
            a.unpause(), a.fire({
                type: "add"
            }), a.setFilter(f)
        }
    }, this.flipTopCard = function() {
        var a = this.peek();
        a.setFaceUp(!a.isFaceUp()), this.fire({
            type: "flip",
            card: a
        })
    }, this.getSize = function() {
        return g.length
    }, this.addTop = function(a, b) {
        var c = !0;
        return c || f(a) ? (g.push(a), this.fire({
            type: "add",
            card: a,
            from: b || null
        }), !0) : !1
    }, this.addBottom = function(a) {
        return void 0 != a && f(a) ? (g.unshift(a), this.fire({
            type: "add",
            card: a
        }), !0) : !1
    }, this.remove = function(a) {
        for (var b = 0; b < g.length; b++) g[b] == a && g.splice(b, 1);
        return this.fire({
            type: "remove",
            card: a
        }), a
    }, this.peek = function() {
        return g[g.length - 1]
    }, this.getCards = function() {
        return g
    }, this.initialize = function(a) {
        g = [];
        for (var b = 1; 13 >= b; b++) g.push(new Card(b, "s")), g.push(new Card(b, "h")), g.push(new Card(b, "d")), g.push(new Card(b, "c"));
        if (g.push(new Card(14, "jb")), this.fire({
                type: "reset",
                card: null
            }), a)
            for (b = 0; b < g.length; b++) g[b].setFaceUp(!1)
    }, this.getX = function() {
        return b
    }, this.getY = function() {
        return c
    }, this.setX = function(a) {
        b = a, this.fire({
            type: "moved"
        })
    }, this.setY = function(a) {
        c = a, this.fire({
            type: "moved"
        })
    }, this.getFilter = function() {
        return f
    }, this.setFilter = function(a) {
        f = a
    }, this.getAction = function() {
        return j
    }, this.setAction = function(a) {
        j = a
    }, this.isDraggable = function() {
        return i
    }, this.setDraggable = function(a) {
        i = a
    }, this.getType = function() {
        return a
    }, this.setType = function(b) {
        a = b
    }, this.fire = function(a) {
        if (!k)
            for (var b = 0; b < h.length; b++) try {
                h[b](a)
            } catch (c) {
                console.log(c), h.splice(b, 1)
            }
    }, this.observe = function(a) {
        h.push(a)
    }, this.removeObserver = function(a) {
        for (var b = 0; b < h.length; b++)
            if (h[b] == a) return h.splice(b, 1), void 0
    }, this.isActive = function() {
        return l
    }, this.setActive = function(a) {
        l = a
    }, this.isPaused = function() {
        return k
    }
}

function localizedString(a) {
    var b = stringDictionary[a];
    return (null === b || void 0 === b) && (b = a), b
}

function goToMoreGames() {
    window.open("http://www.coffeedoggames.com", "_blank")
}

function loadSpecificLanguageResources() {
    var a = "resources/" + LANGUAGE + "/",
        b = ["resources/BG.png", "resources/blackscreen.png", "resources/cards.json", a + "uiAtlas.json"];
    if (2 == GAME_SIZE_RATIO)
        for (var c = 0; c < b.length; c++) b[c] = b[c].replace(".", "-hd.");
    var d = new PIXI.AssetLoader(b);
    d.onComplete = function() {
        var b = new PIXI.JsonLoader(a + "localizable.json");
        b.addEventListener("loaded", function(a) {
            stringDictionary = a.content.json;
            var b = new PIXI.JsonLoader("resources/board.json");
            b.addEventListener("loaded", function(a) {
                layoutInfo = a.content.json, TweenMax.delayedCall(1, gameStart, null, null)
            }), b.load()
        }), b.load()
    }, d.load()
}

function gameStart() {
    SceneManager.instance.replaceScene(new SceneBackground), SceneManager.instance.pushScene(new SceneTitle)
}

function createLoadingScene() {
    var a = new Scene,
        b = 1 == GAME_SIZE_RATIO ? "resources/SplashScreen-landscape.png" : "resources/SplashScreen-landscape-hd.png",
        c = new PIXI.Sprite.fromImage(b);
    return a.addChild(c), a
}

function ScoreEntry(a, b) {
    this.roundNumber = a, this.score = b
}(window._gsQueue || (window._gsQueue = [])).push(function() {
        _gsDefine("TweenMax", ["core.Animation", "core.SimpleTimeline", "TweenLite"], function(a, b, c) {
            var d = function(a, b, d) {
                    c.call(this, a, b, d), this._cycle = 0, this._yoyo = 1 == this.vars.yoyo, this._repeat = this.vars.repeat || 0, this._repeatDelay = this.vars.repeatDelay || 0, this._dirty = !0
                },
                e = d.prototype = c.to({}, .1, {}),
                f = [];
            e.constructor = d, e.kill()._gc = !1, d.killTweensOf = d.killDelayedCallsTo = c.killTweensOf, d.getTweensOf = c.getTweensOf, d.ticker = c.ticker, e.invalidate = function() {
                return this._yoyo = 1 == this.vars.yoyo, this._repeat = this.vars.repeat || 0, this._repeatDelay = this.vars.repeatDelay || 0, this._uncache(!0), c.prototype.invalidate.call(this)
            }, e.updateTo = function(a, b) {
                var d, e = this.ratio;
                b && null != this.timeline && this._startTime < this._timeline._time && (this._startTime = this._timeline._time, this._uncache(!1), this._gc ? this._enabled(!0, !1) : this._timeline.insert(this, this._startTime - this._delay));
                for (d in a) this.vars[d] = a[d];
                if (this._initted)
                    if (b) this._initted = !1;
                    else if (this._notifyPluginsOfEnabled && this._firstPT && c._onPluginEvent("_onDisable", this), .998 < this._time / this._duration) e = this._time, this.render(0, !0, !1), this._initted = !1, this.render(e, !0, !1);
                else if (0 < this._time) {
                    this._initted = !1, this._init(), e = 1 / (1 - e), d = this._firstPT;
                    for (var f; d;) f = d.s + d.c, d.c *= e, d.s = f - d.c, d = d._next
                }
                return this
            }, e.render = function(a, b, c) {
                var d, e, g = this._dirty ? this.totalDuration() : this._totalDuration,
                    h = this._time,
                    i = this._totalTime,
                    j = this._cycle;
                if (a >= g) this._totalTime = g, this._cycle = this._repeat, this._yoyo && 0 !== (1 & this._cycle) ? (this._time = 0, this.ratio = this._ease._calcEnd ? this._ease.getRatio(0) : 0) : (this._time = this._duration, this.ratio = this._ease._calcEnd ? this._ease.getRatio(1) : 1), this._reversed || (d = !0, e = "onComplete"), 0 === this._duration && ((0 === a || 0 > this._rawPrevTime) && this._rawPrevTime !== a && (c = !0), this._rawPrevTime = a);
                else if (0 >= a) this._totalTime = this._time = this._cycle = 0, this.ratio = this._ease._calcEnd ? this._ease.getRatio(0) : 0, (0 !== i || 0 === this._duration && 0 < this._rawPrevTime) && (e = "onReverseComplete", d = this._reversed), 0 > a ? (this._active = !1, 0 === this._duration && (0 <= this._rawPrevTime && (c = !0), this._rawPrevTime = a)) : this._initted || (c = !0);
                else if (this._totalTime = this._time = a, 0 !== this._repeat && (a = this._duration + this._repeatDelay, this._cycle = this._totalTime / a >> 0, 0 !== this._cycle && this._cycle === this._totalTime / a && this._cycle--, this._time = this._totalTime - this._cycle * a, this._yoyo && 0 !== (1 & this._cycle) && (this._time = this._duration - this._time), this._time > this._duration ? this._time = this._duration : 0 > this._time && (this._time = 0)), this._easeType) {
                    var a = this._time / this._duration,
                        g = this._easeType,
                        k = this._easePower;
                    (1 === g || 3 === g && a >= .5) && (a = 1 - a), 3 === g && (a *= 2), 1 === k ? a *= a : 2 === k ? a *= a * a : 3 === k ? a *= a * a * a : 4 === k && (a *= a * a * a * a), this.ratio = 1 === g ? 1 - a : 2 === g ? a : .5 > this._time / this._duration ? a / 2 : 1 - a / 2
                } else this.ratio = this._ease.getRatio(this._time / this._duration);
                if (h !== this._time || c) {
                    for (this._initted || (this._init(), !d && this._time && (this.ratio = this._ease.getRatio(this._time / this._duration))), !this._active && !this._paused && (this._active = !0), 0 != i || !this.vars.onStart || 0 === this._totalTime && 0 !== this._duration || b || this.vars.onStart.apply(this.vars.onStartScope || this, this.vars.onStartParams || f), c = this._firstPT; c;) c.f ? c.t[c.p](c.c * this.ratio + c.s) : c.t[c.p] = c.c * this.ratio + c.s, c = c._next;
                    this._onUpdate && (b || this._onUpdate.apply(this.vars.onUpdateScope || this, this.vars.onUpdateParams || f)), this._cycle != j && (b || this._gc || this.vars.onRepeat && this.vars.onRepeat.apply(this.vars.onRepeatScope || this, this.vars.onRepeatParams || f)), e && !this._gc && (d && (this._timeline.autoRemoveChildren && this._enabled(!1, !1), this._active = !1), b || this.vars[e] && this.vars[e].apply(this.vars[e + "Scope"] || this, this.vars[e + "Params"] || f))
                }
            }, d.to = function(a, b, c) {
                return new d(a, b, c)
            }, d.from = function(a, b, c) {
                return c.runBackwards = !0, 0 != c.immediateRender && (c.immediateRender = !0), new d(a, b, c)
            }, d.fromTo = function(a, b, c, e) {
                return e.startAt = c, c.immediateRender && (e.immediateRender = !0), new d(a, b, e)
            }, d.staggerTo = d.allTo = function(a, b, c, e, f, g, h) {
                var i, j, k, e = e || 0,
                    l = [],
                    m = a.length,
                    n = c.delay || 0;
                for (j = 0; m > j; j++) {
                    i = {};
                    for (k in c) i[k] = c[k];
                    i.delay = n, j === m - 1 && f && (i.onComplete = function() {
                        c.onComplete && c.onComplete.apply(c.onCompleteScope, c.onCompleteParams), f.apply(h, g)
                    }), l[j] = new d(a[j], b, i), n += e
                }
                return l
            }, d.staggerFrom = d.allFrom = function(a, b, c, e, f, g, h) {
                return c.runBackwards = !0, 0 != c.immediateRender && (c.immediateRender = !0), d.staggerTo(a, b, c, e, f, g, h)
            }, d.staggerFromTo = d.allFromTo = function(a, b, c, e, f, g, h, i) {
                return e.startAt = c, c.immediateRender && (e.immediateRender = !0), d.staggerTo(a, b, e, f, g, h, i)
            }, d.delayedCall = function(a, b, c, e, f) {
                return new d(b, 0, {
                    delay: a,
                    onComplete: b,
                    onCompleteParams: c,
                    onCompleteScope: e,
                    onReverseComplete: b,
                    onReverseCompleteParams: c,
                    onReverseCompleteScope: e,
                    immediateRender: !1,
                    useFrames: f,
                    overwrite: 0
                })
            }, d.set = function(a, b) {
                return new d(a, 0, b)
            }, d.isTweening = function(a) {
                for (var b, a = c.getTweensOf(a), d = a.length; - 1 < --d;)
                    if ((b = a[d])._active || b._startTime === b.timeline._time && b.timeline._active) return !0;
                return !1
            };
            var g = function(a, b) {
                    for (var d = [], e = 0, f = a._first; f;) f instanceof c ? d[e++] = f : (b && (d[e++] = f), d = d.concat(g(f, b)), e = d.length), f = f._next;
                    return d
                },
                h = d.getAllTweens = function(b) {
                    return g(a._rootTimeline, b).concat(g(a._rootFramesTimeline, b))
                };
            d.killAll = function(a, c, d, e) {
                null == c && (c = !0), null == d && (d = !0);
                var f, g, i, j = h(0 != e),
                    k = j.length,
                    e = c && d && e;
                for (i = 0; k > i; i++) g = j[i], (e || g instanceof b || (f = g.target === g.vars.onComplete) && d || c && !f) && (a ? g.totalTime(g.totalDuration()) : g._enabled(!1, !1))
            }, d.killChildTweensOf = function(a, b) {
                if (null != a)
                    if (a.jquery) a.each(function(a, c) {
                        d.killChildTweensOf(c, b)
                    });
                    else {
                        var e, f, g = c._tweenLookup,
                            h = [];
                        for (f in g)
                            for (e = g[f].target.parentNode; e;) e === a && (h = h.concat(g[f].tweens)), e = e.parentNode;
                        for (e = h.length, g = 0; e > g; g++) b && h[g].totalTime(h[g].totalDuration()), h[g]._enabled(!1, !1)
                    }
            }, d.pauseAll = function(a, b, c) {
                i(!0, a, b, c)
            }, d.resumeAll = function(a, b, c) {
                i(!1, a, b, c)
            };
            var i = function(a, c, d, e) {
                void 0 == c && (c = !0), void 0 == d && (d = !0);
                for (var f, g, i = h(e), e = c && d && e, j = i.length; - 1 < --j;) g = i[j], (e || g instanceof b || (f = g.target === g.vars.onComplete) && d || c && !f) && g.paused(a)
            };
            return e.progress = function(a) {
                return arguments.length ? this.totalTime(this.duration() * a + this._cycle * this._duration, !1) : this._time / this.duration()
            }, e.totalProgress = function(a) {
                return arguments.length ? this.totalTime(this.totalDuration() * a, !1) : this._totalTime / this.totalDuration()
            }, e.time = function(a, b) {
                return arguments.length ? (this._dirty && this.totalDuration(), a > this._duration && (a = this._duration), this._yoyo && 0 !== (1 & this._cycle) ? a = this._duration - a + this._cycle * (this._duration + this._repeatDelay) : 0 != this._repeat && (a += this._cycle * (this._duration + this._repeatDelay)), this.totalTime(a, b)) : this._time
            }, e.totalDuration = function(a) {
                return arguments.length ? -1 == this._repeat ? this : this.duration((a - this._repeat * this._repeatDelay) / (this._repeat + 1)) : (this._dirty && (this._totalDuration = -1 === this._repeat ? 999999999999 : this._duration * (this._repeat + 1) + this._repeatDelay * this._repeat, this._dirty = !1), this._totalDuration)
            }, e.repeat = function(a) {
                return arguments.length ? (this._repeat = a, this._uncache(!0)) : this._repeat
            }, e.repeatDelay = function(a) {
                return arguments.length ? (this._repeatDelay = a, this._uncache(!0)) : this._repeatDelay
            }, e.yoyo = function(a) {
                return arguments.length ? (this._yoyo = a, this) : this._yoyo
            }, d
        }, !0), _gsDefine("TimelineLite", ["core.Animation", "core.SimpleTimeline", "TweenLite"], function(a, b, c) {
            var d = function(a) {
                    b.call(this, a), this._labels = {}, this.autoRemoveChildren = 1 == this.vars.autoRemoveChildren, this.smoothChildTiming = 1 == this.vars.smoothChildTiming, this._sortChildren = !0, this._onUpdate = this.vars.onUpdate;
                    for (var c, d, a = e.length; - 1 < --a;)
                        if (d = this.vars[e[a]])
                            for (c = d.length; - 1 < --c;) "{self}" === d[c] && (d = this.vars[e[a]] = d.concat(), d[c] = this);
                    this.vars.tweens instanceof Array && this.insertMultiple(this.vars.tweens, 0, this.vars.align || "normal", this.vars.stagger || 0)
                },
                e = ["onStartParams", "onUpdateParams", "onCompleteParams", "onReverseCompleteParams", "onRepeatParams"],
                f = [],
                g = function(a) {
                    var b, c = {};
                    for (b in a) c[b] = a[b];
                    return c
                },
                h = d.prototype = new b;
            return h.constructor = d, h.kill()._gc = !1, h.to = function(a, b, d, e, f) {
                return this.insert(new c(a, b, d), this._parseTimeOrLabel(f) + (e || 0))
            }, h.from = function(a, b, d, e, f) {
                return this.insert(c.from(a, b, d), this._parseTimeOrLabel(f) + (e || 0))
            }, h.fromTo = function(a, b, d, e, f, g) {
                return this.insert(c.fromTo(a, b, d, e), this._parseTimeOrLabel(g) + (f || 0))
            }, h.staggerTo = function(a, b, e, f, h, i, j, k, l) {
                for (j = new d({
                        onComplete: j,
                        onCompleteParams: k,
                        onCompleteScope: l
                    }), f = f || 0, k = 0; k < a.length; k++) null != e.startAt && (e.startAt = g(e.startAt)), j.insert(new c(a[k], b, g(e)), k * f);
                return this.insert(j, this._parseTimeOrLabel(i) + (h || 0))
            }, h.staggerFrom = function(a, b, c, d, e, f, g, h, i) {
                return null == c.immediateRender && (c.immediateRender = !0), c.runBackwards = !0, this.staggerTo(a, b, c, d, e, f, g, h, i)
            }, h.staggerFromTo = function(a, b, c, d, e, f, g, h, i, j) {
                return d.startAt = c, c.immediateRender && (d.immediateRender = !0), this.staggerTo(a, b, d, e, f, g, h, i, j)
            }, h.call = function(a, b, d, e, f) {
                return this.insert(c.delayedCall(0, a, b, d), this._parseTimeOrLabel(f) + (e || 0))
            }, h.set = function(a, b, d, e) {
                return b.immediateRender = !1, this.insert(new c(a, 0, b), this._parseTimeOrLabel(e) + (d || 0))
            }, d.exportRoot = function(a, b) {
                a = a || {}, null == a.smoothChildTiming && (a.smoothChildTiming = !0);
                var e = new d(a),
                    f = e._timeline;
                null == b && (b = !0), f._remove(e, !0), e._startTime = 0, e._rawPrevTime = e._time = e._totalTime = f._time;
                for (var g, h = f._first; h;) g = h._next, !(b && h instanceof c && h.target == h.vars.onComplete || !e.insert(h, h._startTime - h._delay)), h = g;
                return f.insert(e, 0), e
            }, h.insert = function(d, e) {
                if (!(d instanceof a)) {
                    if (d instanceof Array) return this.insertMultiple(d, e);
                    if ("string" == typeof d) return this.addLabel(d, this._parseTimeOrLabel(e || 0, !0));
                    if ("function" != typeof d) throw "ERROR: Cannot insert() " + d + " into the TimelineLite/Max because it is neither a tween, timeline, function, nor a String.";
                    d = c.delayedCall(0, d)
                }
                if (b.prototype.insert.call(this, d, this._parseTimeOrLabel(e || 0, !0)), this._gc && !this._paused && this._time === this._duration && this._time < this.duration())
                    for (var f = this; f._gc && f._timeline;) f._timeline.smoothChildTiming ? f.totalTime(f._totalTime, !0) : f._enabled(!0, !1), f = f._timeline;
                return this
            }, h.remove = function(b) {
                if (b instanceof a) return this._remove(b, !1);
                if (b instanceof Array) {
                    for (var c = b.length; - 1 < --c;) this.remove(b[c]);
                    return this
                }
                return "string" == typeof b ? this.removeLabel(b) : this.kill(null, b)
            }, h.append = function(a, b) {
                return this.insert(a, this.duration() + (b || 0))
            }, h.insertMultiple = function(a, b, c, e) {
                for (var f, c = c || "normal", e = e || 0, g = this._parseTimeOrLabel(b || 0, !0), h = a.length, b = 0; h > b; b++)(f = a[b]) instanceof Array && (f = new d({
                    tweens: f
                })), this.insert(f, g), "string" == typeof f || "function" == typeof f || ("sequence" === c ? g = f._startTime + f.totalDuration() / f._timeScale : "start" === c && (f._startTime -= f.delay())), g += e;
                return this._uncache(!0)
            }, h.appendMultiple = function(a, b, c, d) {
                return this.insertMultiple(a, this.duration() + (b || 0), c, d)
            }, h.addLabel = function(a, b) {
                return this._labels[a] = b, this
            }, h.removeLabel = function(a) {
                return delete this._labels[a], this
            }, h.getLabelTime = function(a) {
                return null != this._labels[a] ? this._labels[a] : -1
            }, h._parseTimeOrLabel = function(a, b) {
                return null == a ? this.duration() : "string" == typeof a && isNaN(a) ? null == this._labels[a] ? b ? this._labels[a] = this.duration() : 0 : this._labels[a] : Number(a)
            }, h.seek = function(a, b) {
                return this.totalTime(this._parseTimeOrLabel(a, !1), 0 != b)
            }, h.stop = function() {
                return this.paused(!0)
            }, h.gotoAndPlay = function(a, c) {
                return b.prototype.play.call(this, a, c)
            }, h.gotoAndStop = function(a, b) {
                return this.pause(a, b)
            }, h.render = function(a, b, c) {
                this._gc && this._enabled(!0, !1), this._active = !this._paused;
                var d, e, g, h = this._dirty ? this.totalDuration() : this._totalDuration,
                    i = this._time,
                    j = this._startTime,
                    k = this._timeScale,
                    l = this._paused;
                if (a >= h ? (this._totalTime = this._time = h, this._reversed || this._hasPausedChild() || (d = !0, g = "onComplete", 0 !== this._duration || !(0 === a || 0 > this._rawPrevTime)) || this._rawPrevTime !== a && (c = !0), this._rawPrevTime = a, a = h + 1e-6) : 0 >= a ? (this._totalTime = this._time = 0, (0 !== i || 0 === this._duration && 0 < this._rawPrevTime) && (g = "onReverseComplete", d = this._reversed), 0 > a ? (this._active = !1, 0 === this._duration && 0 <= this._rawPrevTime && (c = !0)) : this._initted || (c = !0), this._rawPrevTime = a, a = -1e-6) : this._totalTime = this._time = this._rawPrevTime = a, this._time !== i || c) {
                    if (this._initted || (this._initted = !0), 0 === i && this.vars.onStart && 0 !== this._time && (b || this.vars.onStart.apply(this.vars.onStartScope || this, this.vars.onStartParams || f)), this._time > i)
                        for (c = this._first; c && (e = c._next, !this._paused || l);)(c._active || c._startTime <= this._time && !c._paused && !c._gc) && (c._reversed ? c.render((c._dirty ? c.totalDuration() : c._totalDuration) - (a - c._startTime) * c._timeScale, b, !1) : c.render((a - c._startTime) * c._timeScale, b, !1)), c = e;
                    else
                        for (c = this._last; c && (e = c._prev, !this._paused || l);)(c._active || c._startTime <= i && !c._paused && !c._gc) && (c._reversed ? c.render((c._dirty ? c.totalDuration() : c._totalDuration) - (a - c._startTime) * c._timeScale, b, !1) : c.render((a - c._startTime) * c._timeScale, b, !1)), c = e;
                    this._onUpdate && (b || this._onUpdate.apply(this.vars.onUpdateScope || this, this.vars.onUpdateParams || f)), !g || this._gc || j !== this._startTime && k == this._timeScale || (0 === this._time || h >= this.totalDuration()) && (d && (this._timeline.autoRemoveChildren && this._enabled(!1, !1), this._active = !1), b || this.vars[g] && this.vars[g].apply(this.vars[g + "Scope"] || this, this.vars[g + "Params"] || f))
                }
            }, h._hasPausedChild = function() {
                for (var a = this._first; a;) {
                    if (a._paused || a instanceof d && a._hasPausedChild()) return !0;
                    a = a._next
                }
                return !1
            }, h.getChildren = function(a, b, d, e) {
                for (var e = e || -9999999999, f = [], g = this._first, h = 0; g;) g._startTime < e || (g instanceof c ? 0 != b && (f[h++] = g) : (0 != d && (f[h++] = g), 0 != a && (f = f.concat(g.getChildren(!0, b, d)), h = f.length))), g = g._next;
                return f
            }, h.getTweensOf = function(a, b) {
                for (var d = c.getTweensOf(a), e = d.length, f = [], g = 0; - 1 < --e;)(d[e].timeline === this || b && this._contains(d[e])) && (f[g++] = d[e]);
                return f
            }, h._contains = function(a) {
                for (a = a.timeline; a;) {
                    if (a === this) return !0;
                    a = a.timeline
                }
                return !1
            }, h.shiftChildren = function(a, b, c) {
                for (var c = c || 0, d = this._first; d;) d._startTime >= c && (d._startTime += a), d = d._next;
                if (b)
                    for (var e in this._labels) this._labels[e] >= c && (this._labels[e] += a);
                return this._uncache(!0)
            }, h._kill = function(a, b) {
                if (null == a && null == b) return this._enabled(!1, !1);
                for (var c = null == b ? this.getChildren(!0, !0, !1) : this.getTweensOf(b), d = c.length, e = !1; - 1 < --d;) c[d]._kill(a, b) && (e = !0);
                return e
            }, h.clear = function(a) {
                var b = this.getChildren(!1, !0, !0),
                    c = b.length;
                for (this._time = this._totalTime = 0; - 1 < --c;) b[c]._enabled(!1, !1);
                return 0 != a && (this._labels = {}), this._uncache(!0)
            }, h.invalidate = function() {
                for (var a = this._first; a;) a.invalidate(), a = a._next;
                return this
            }, h._enabled = function(a, c) {
                if (a == this._gc)
                    for (var d = this._first; d;) d._enabled(a, !0), d = d._next;
                return b.prototype._enabled.call(this, a, c)
            }, h.progress = function(a) {
                return arguments.length ? this.totalTime(this.duration() * a, !1) : this._time / this.duration()
            }, h.duration = function(a) {
                return arguments.length ? (0 !== this.duration() && 0 !== a && this.timeScale(this._duration / a), this) : (this._dirty && this.totalDuration(), this._duration)
            }, h.totalDuration = function(a) {
                if (!arguments.length) {
                    if (this._dirty) {
                        for (var b, c = 0, d = this._first, e = -999999999999; d;) b = d._next, d._startTime < e && this._sortChildren ? this.insert(d, d._startTime - d._delay) : e = d._startTime, 0 > d._startTime && (c -= d._startTime, this.shiftChildren(-d._startTime, !1, -9999999999)), d = d._startTime + (d._dirty ? d.totalDuration() : d._totalDuration) / d._timeScale, d > c && (c = d), d = b;
                        this._duration = this._totalDuration = c, this._dirty = !1
                    }
                    return this._totalDuration
                }
                return 0 !== this.totalDuration() && 0 !== a && this.timeScale(this._totalDuration / a), this
            }, h.usesFrames = function() {
                for (var b = this._timeline; b._timeline;) b = b._timeline;
                return b === a._rootFramesTimeline
            }, h.rawTime = function() {
                return this._paused || 0 !== this._totalTime && this._totalTime !== this._totalDuration ? this._totalTime : (this._timeline.rawTime() - this._startTime) * this._timeScale
            }, d
        }, !0), _gsDefine("TimelineMax", ["TimelineLite", "TweenLite", "easing.Ease"], function(a, b, c) {
            var d = function(b) {
                    a.call(this, b), this._repeat = this.vars.repeat || 0, this._repeatDelay = this.vars.repeatDelay || 0, this._cycle = 0, this._yoyo = 1 == this.vars.yoyo, this._dirty = !0
                },
                e = [],
                f = new c(null, null, 1, 0),
                c = d.prototype = new a;
            return c.constructor = d, c.kill()._gc = !1, d.version = 12, c.invalidate = function() {
                return this._yoyo = 1 == this.vars.yoyo, this._repeat = this.vars.repeat || 0, this._repeatDelay = this.vars.repeatDelay || 0, this._uncache(!0), a.prototype.invalidate.call(this)
            }, c.addCallback = function(a, c, d, e) {
                return this.insert(b.delayedCall(0, a, d, e), c)
            }, c.removeCallback = function(a, b) {
                if (null == b) this._kill(null, a);
                else
                    for (var c = this.getTweensOf(a, !1), d = c.length, e = this._parseTimeOrLabel(b, !1); - 1 < --d;) c[d]._startTime === e && c[d]._enabled(!1, !1);
                return this
            }, c.tweenTo = function(a, c) {
                var d, g, c = c || {},
                    h = {
                        ease: f,
                        overwrite: 2,
                        useFrames: this.usesFrames(),
                        immediateRender: !1
                    };
                for (d in c) h[d] = c[d];
                return h.time = this._parseTimeOrLabel(a, !1), g = new b(this, Math.abs(Number(h.time) - this._time) / this._timeScale || .001, h), h.onStart = function() {
                    g.target.paused(!0), g.vars.time != g.target.time() && g.duration(Math.abs(g.vars.time - g.target.time()) / g.target._timeScale), c.onStart && c.onStart.apply(c.onStartScope || g, c.onStartParams || e)
                }, g
            }, c.tweenFromTo = function(a, b, c) {
                return c = c || {}, c.startAt = {
                    time: this._parseTimeOrLabel(a, !1)
                }, a = this.tweenTo(b, c), a.duration(Math.abs(a.vars.time - a.vars.startAt.time) / this._timeScale || .001)
            }, c.render = function(a, b, c) {
                this._gc && this._enabled(!0, !1), this._active = !this._paused;
                var d, f, g = this._dirty ? this.totalDuration() : this._totalDuration,
                    h = this._time,
                    i = this._totalTime,
                    j = this._startTime,
                    k = this._timeScale,
                    l = this._rawPrevTime,
                    m = this._paused,
                    n = this._cycle;
                if (a >= g ? (this._locked || (this._totalTime = g, this._cycle = this._repeat), this._reversed || this._hasPausedChild() || (d = !0, f = "onComplete", 0 !== this._duration || !(0 === a || 0 > this._rawPrevTime)) || this._rawPrevTime !== a && (c = !0), this._rawPrevTime = a, this._yoyo && 0 !== (1 & this._cycle) ? (this._time = 0, a = -1e-6) : (this._time = this._duration, a = this._duration + 1e-6)) : 0 >= a ? (this._locked || (this._totalTime = this._cycle = 0), this._time = 0, (0 !== h || 0 === this._duration && 0 < this._rawPrevTime) && (f = "onReverseComplete", d = this._reversed), 0 > a ? (this._active = !1, 0 === this._duration && 0 <= this._rawPrevTime && (c = !0)) : this._initted || (c = !0), this._rawPrevTime = a, a = -1e-6) : (this._time = this._rawPrevTime = a, this._locked || (this._totalTime = a, 0 !== this._repeat && (a = this._duration + this._repeatDelay, this._cycle = this._totalTime / a >> 0, 0 !== this._cycle && this._cycle === this._totalTime / a && this._cycle--, this._time = this._totalTime - this._cycle * a, this._yoyo && 0 != (1 & this._cycle) && (this._time = this._duration - this._time), this._time > this._duration ? (this._time = this._duration, a = this._duration + 1e-6) : 0 > this._time ? (this._time = 0, a = -1e-6) : a = this._time))), this._cycle !== n && !this._locked) {
                    var o = this._yoyo && 0 !== (1 & n),
                        p = o === (this._yoyo && 0 !== (1 & this._cycle)),
                        q = this._totalTime,
                        r = this._cycle,
                        s = this._rawPrevTime,
                        t = this._time;
                    this._totalTime = n * this._duration, this._cycle < n ? o = !o : this._totalTime += this._duration, this._time = h, this._rawPrevTime = l, this._cycle = n, this._locked = !0, h = o ? 0 : this._duration, this.render(h, b, !1), b || this._gc || this.vars.onRepeat && this.vars.onRepeat.apply(this.vars.onRepeatScope || this, this.vars.onRepeatParams || e), p && (h = o ? this._duration + 1e-6 : -1e-6, this.render(h, !0, !1)), this._time = t, this._totalTime = q, this._cycle = r, this._rawPrevTime = s, this._locked = !1
                }
                if (this._time !== h || c) {
                    if (this._initted || (this._initted = !0), 0 === i && this.vars.onStart && 0 !== this._totalTime && (b || this.vars.onStart.apply(this.vars.onStartScope || this, this.vars.onStartParams || e)), this._time > h)
                        for (c = this._first; c && (i = c._next, !this._paused || m);)(c._active || c._startTime <= this._time && !c._paused && !c._gc) && (c._reversed ? c.render((c._dirty ? c.totalDuration() : c._totalDuration) - (a - c._startTime) * c._timeScale, b, !1) : c.render((a - c._startTime) * c._timeScale, b, !1)), c = i;
                    else
                        for (c = this._last; c && (i = c._prev, !this._paused || m);)(c._active || c._startTime <= h && !c._paused && !c._gc) && (c._reversed ? c.render((c._dirty ? c.totalDuration() : c._totalDuration) - (a - c._startTime) * c._timeScale, b, !1) : c.render((a - c._startTime) * c._timeScale, b, !1)), c = i;
                    this._onUpdate && (b || this._onUpdate.apply(this.vars.onUpdateScope || this, this.vars.onUpdateParams || e)), !f || this._locked || this._gc || j !== this._startTime && k == this._timeScale || (0 === this._time || g >= this.totalDuration()) && (d && (this._timeline.autoRemoveChildren && this._enabled(!1, !1), this._active = !1), b || this.vars[f] && this.vars[f].apply(this.vars[f + "Scope"] || this, this.vars[f + "Params"] || e))
                }
            }, c.getActive = function(a, b, c) {
                null == a && (a = !0), null == b && (b = !0), null == c && (c = !1);
                var d, e, f = [],
                    a = this.getChildren(a, b, c),
                    b = 0,
                    c = a.length;
                for (d = 0; c > d; d++)
                    if (e = a[d], !e._paused && e._timeline._time >= e._startTime && e._timeline._time < e._startTime + e._totalDuration / e._timeScale) {
                        var g;
                        a: {
                            for (g = e._timeline; g;) {
                                if (g._paused) {
                                    g = !0;
                                    break a
                                }
                                g = g._timeline
                            }
                            g = !1
                        }
                        g || (f[b++] = e)
                    }
                return f
            }, c.getLabelAfter = function(a) {
                !a && 0 !== a && (a = this._time);
                var b, c = this.getLabelsArray(),
                    d = c.length;
                for (b = 0; d > b; b++)
                    if (c[b].time > a) return c[b].name;
                return null
            }, c.getLabelBefore = function(a) {
                null == a && (a = this._time);
                for (var b = this.getLabelsArray(), c = b.length; - 1 < --c;)
                    if (b[c].time < a) return b[c].name;
                return null
            }, c.getLabelsArray = function() {
                var a, b = [],
                    c = 0;
                for (a in this._labels) b[c++] = {
                    time: this._labels[a],
                    name: a
                };
                return b.sort(function(a, b) {
                    return a.time - b.time
                }), b
            }, c.progress = function(a) {
                return arguments.length ? this.totalTime(this.duration() * a + this._cycle * this._duration, !1) : this._time / this.duration()
            }, c.totalProgress = function(a) {
                return arguments.length ? this.totalTime(this.totalDuration() * a, !1) : this._totalTime / this.totalDuration()
            }, c.totalDuration = function(b) {
                return arguments.length ? -1 == this._repeat ? this : this.duration((b - this._repeat * this._repeatDelay) / (this._repeat + 1)) : (this._dirty && (a.prototype.totalDuration.call(this), this._totalDuration = -1 === this._repeat ? 999999999999 : this._duration * (this._repeat + 1) + this._repeatDelay * this._repeat), this._totalDuration)
            }, c.time = function(a, b) {
                return arguments.length ? (this._dirty && this.totalDuration(), a > this._duration && (a = this._duration), this._yoyo && 0 !== (1 & this._cycle) ? a = this._duration - a + this._cycle * (this._duration + this._repeatDelay) : 0 != this._repeat && (a += this._cycle * (this._duration + this._repeatDelay)), this.totalTime(a, b)) : this._time
            }, c.repeat = function(a) {
                return arguments.length ? (this._repeat = a, this._uncache(!0)) : this._repeat
            }, c.repeatDelay = function(a) {
                return arguments.length ? (this._repeatDelay = a, this._uncache(!0)) : this._repeatDelay
            }, c.yoyo = function(a) {
                return arguments.length ? (this._yoyo = a, this) : this._yoyo
            }, c.currentLabel = function(a) {
                return arguments.length ? this.seek(a, !0) : this.getLabelBefore(this._time + 1e-8)
            }, d
        }, !0), _gsDefine("plugins.BezierPlugin", ["plugins.TweenPlugin"], function(b) {
            var c = function() {
                    b.call(this, "bezier", -1), this._overwriteProps.pop(), this._func = {}, this._round = {}
                },
                d = c.prototype = new b("bezier", 1),
                e = 180 / Math.PI,
                f = [],
                g = [],
                h = [],
                i = {},
                k = function(a, b, c, d) {
                    this.a = a, this.b = b, this.c = c, this.d = d, this.da = d - a, this.ca = c - a, this.ba = b - a
                },
                m = c.bezierThrough = function(b, c, d, e, m, o) {
                    var p, q, s = {},
                        t = [],
                        m = "string" == typeof m ? "," + m + "," : ",x,y,z,left,top,right,bottom,marginTop,marginLeft,marginRight,marginBottom,paddingLeft,paddingTop,paddingRight,paddingBottom,backgroundPosition,backgroundPosition_y,";
                    null == c && (c = 1);
                    for (q in b[0]) t.push(q);
                    for (f.length = g.length = h.length = 0, p = t.length; - 1 < --p;) {
                        q = t[p], i[q] = -1 !== m.indexOf("," + q + ",");
                        var u, v = s,
                            w = q;
                        u = b;
                        var x = q,
                            y = i[q],
                            z = o,
                            A = [],
                            B = void 0,
                            C = void 0,
                            D = void 0,
                            E = void 0,
                            F = void 0,
                            B = void 0;
                        if (z)
                            for (u = [z].concat(u), C = u.length; - 1 < --C;) "string" == typeof(B = u[C][x]) && "=" === B.charAt(1) && (u[C][x] = z[x] + Number(B.charAt(0) + B.substr(2)));
                        if (B = u.length - 2, 0 > B) A[0] = new k(u[0][x], 0, 0, u[-1 > B ? 0 : 1][x]);
                        else {
                            for (C = 0; B > C; C++) D = u[C][x], E = u[C + 1][x], A[C] = new k(D, 0, 0, E), y && (F = u[C + 2][x], f[C] = (f[C] || 0) + (E - D) * (E - D), g[C] = (g[C] || 0) + (F - E) * (F - E));
                            A[C] = new k(u[C][x], 0, 0, u[C + 1][x])
                        }
                        u = A, v[w] = u
                    }
                    for (p = f.length; - 1 < --p;) f[p] = Math.sqrt(f[p]), g[p] = Math.sqrt(g[p]);
                    if (!e) {
                        for (p = t.length; - 1 < --p;)
                            if (i[q])
                                for (a = s[t[p]], l = a.length - 1, j = 0; l > j; j++) r = a[j + 1].da / g[j] + a[j].da / f[j], h[j] = (h[j] || 0) + r * r;
                        for (p = h.length; - 1 < --p;) h[p] = Math.sqrt(h[p])
                    }
                    for (p = t.length; - 1 < --p;) {
                        q = t[p], b = s[q], m = c, o = d, v = e, q = i[q], w = b.length - 1, u = 0;
                        for (var x = b[0].a, G = F = E = z = B = E = D = B = C = D = A = z = y = void 0, y = 0; w > y; y++) C = b[u], z = C.a, A = C.d, D = b[u + 1].d, q ? (E = f[y], F = g[y], G = .25 * (F + E) * m / (v ? .5 : h[y] || .5), B = A - (A - z) * (v ? .5 * m : G / E), D = A + (D - A) * (v ? .5 * m : G / F), E = A - (B + (D - B) * (3 * E / (E + F) + .5) / 4)) : (B = A - .5 * (A - z) * m, D = A + .5 * (D - A) * m, E = A - (B + D) / 2), B += E, D += E, C.c = B, C.b = 0 != y ? x : x = C.a + .6 * (C.c - C.a), C.da = A - z, C.ca = B - z, C.ba = x - z, o ? (z = n(z, x, B, A), b.splice(u, 1, z[0], z[1], z[2], z[3]), u += 4) : u++, x = D;
                        C = b[u], C.b = x, C.c = x + .4 * (C.d - x), C.da = C.d - C.a, C.ca = C.c - C.a, C.ba = x - C.a, o && (z = n(C.a, x, C.c, C.d), b.splice(u, 1, z[0], z[1], z[2], z[3]))
                    }
                    return s
                },
                n = c.cubicToQuadratic = function(a, b, c, d) {
                    var e = {
                            a: a
                        },
                        f = {},
                        g = {},
                        h = {
                            c: d
                        },
                        i = (a + b) / 2,
                        j = (b + c) / 2,
                        c = (c + d) / 2,
                        b = (i + j) / 2,
                        j = (j + c) / 2,
                        k = (j - b) / 8;
                    return e.b = i + (a - i) / 4, f.b = b + k, e.c = f.a = (e.b + f.b) / 2, f.c = g.a = (b + j) / 2, g.b = j - k, h.b = c + (d - c) / 4, g.c = h.a = (g.b + h.b) / 2, [e, f, g, h]
                };
            return c.quadraticToCubic = function(a, b, c) {
                return new k(a, (2 * b + a) / 3, (2 * b + c) / 3, c)
            }, d.constructor = c, c.API = 2, d._onInitTween = function(a, b, c) {
                this._target = a, b instanceof Array && (b = {
                    values: b
                }), this._props = [], this._timeRes = null == b.timeResolution ? 6 : parseInt(b.timeResolution);
                var d, e, f, g = b.values || [],
                    h = {},
                    i = g[0],
                    c = b.autoRotate || c.vars.orientToBezier;
                this._autoRotate = c ? c instanceof Array ? c : [
                    ["x", "y", "rotation", !0 === c ? 0 : Number(c) || 0]
                ] : null;
                for (d in i) this._props.push(d);
                for (i = this._props.length; - 1 < --i;) d = this._props[i], this._overwriteProps.push(d), c = this._func[d] = "function" == typeof a[d], h[d] = c ? a[d.indexOf("set") || "function" != typeof a["get" + d.substr(3)] ? d : "get" + d.substr(3)]() : parseFloat(a[d]), f || h[d] !== g[0][d] && (f = h);
                if ("cubic" !== b.type && "quadratic" !== b.type && "soft" !== b.type) h = m(g, isNaN(b.curviness) ? 1 : b.curviness, !1, "thruBasic" === b.type, b.correlate, f);
                else {
                    c = (c = b.type) || "soft", b = {}, f = "cubic" === c ? 3 : 2;
                    var j, l, n, o, p, q, r, s, t, c = "soft" === c,
                        i = [];
                    if (c && h && (g = [h].concat(g)), null == g || g.length < f + 1) throw "invalid Bezier data";
                    for (l in g[0]) i.push(l);
                    for (q = i.length; - 1 < --q;) {
                        for (l = i[q], b[l] = p = [], t = 0, s = g.length, r = 0; s > r; r++) j = null == h ? g[r][l] : "string" == typeof(n = g[r][l]) && "=" === n.charAt(1) ? h[l] + Number(n.charAt(0) + n.substr(2)) : Number(n), c && r > 1 && s - 1 > r && (p[t++] = (j + p[t - 2]) / 2), p[t++] = j;
                        for (s = t - f + 1, r = t = 0; s > r; r += f) j = p[r], l = p[r + 1], n = p[r + 2], o = 2 === f ? 0 : p[r + 3], p[t++] = n = 3 === f ? new k(j, l, n, o) : new k(j, (2 * l + j) / 3, (2 * l + n) / 3, n);
                        p.length = t
                    }
                    h = b
                }
                if (this._beziers = h, this._segCount = this._beziers[d].length, this._timeRes) {
                    i = this._beziers, d = this._timeRes, d = d >> 0 || 6, h = [], l = [], g = n = 0, b = d - 1, f = [], c = [];
                    for (e in i) {
                        j = i[e], p = h, q = d, r = 1 / q, s = j.length;
                        for (var u = void 0, v = void 0, w = o = t = v = void 0, x = u = void 0, y = void 0, y = w = void 0; - 1 < --s;)
                            for (w = j[s], v = w.a, t = w.d - v, o = w.c - v, w = w.b - v, v = 0, x = 1; q >= x; x++) u = r * x, y = 1 - u, u = v - (v = (u * u * t + 3 * y * (u * o + y * w)) * u), y = s * q + x - 1, p[y] = (p[y] || 0) + u * u
                    }
                    for (i = h.length, e = 0; i > e; e++) n += Math.sqrt(h[e]), j = e % d, c[j] = n, j === b && (g += n, j = e / d >> 0, f[j] = c, l[j] = g, n = 0, c = []);
                    this._length = g, this._lengths = l, this._segments = f, this._l1 = this._li = this._s1 = this._si = 0, this._l2 = this._lengths[0], this._curSeg = this._segments[0], this._s2 = this._curSeg[0], this._prec = 1 / this._curSeg.length
                }
                if (c = this._autoRotate)
                    for (c[0] instanceof Array || (this._autoRotate = c = [c]), i = c.length; - 1 < --i;)
                        for (e = 0; 3 > e; e++) d = c[i][e], this._func[d] = "function" == typeof a[d] ? a[d.indexOf("set") || "function" != typeof a["get" + d.substr(3)] ? d : "get" + d.substr(3)] : !1;
                return !0
            }, d.setRatio = function(a) {
                var b, c, d, f, g, h = this._segCount,
                    i = this._func,
                    j = this._target;
                if (this._timeRes) {
                    if (b = this._lengths, f = this._curSeg, a *= this._length, c = this._li, a > this._l2 && h - 1 > c) {
                        for (h -= 1; h > c && (this._l2 = b[++c]) <= a;);
                        this._l1 = b[c - 1], this._li = c, this._curSeg = f = this._segments[c], this._s2 = f[this._s1 = this._si = 0]
                    } else if (a < this._l1 && c > 0) {
                        for (; c > 0 && (this._l1 = b[--c]) >= a;);
                        0 === c && a < this._l1 ? this._l1 = 0 : c++, this._l2 = b[c], this._li = c, this._curSeg = f = this._segments[c], this._s1 = f[(this._si = f.length - 1) - 1] || 0, this._s2 = f[this._si]
                    }
                    if (b = c, a -= this._l1, c = this._si, a > this._s2 && c < f.length - 1) {
                        for (h = f.length - 1; h > c && (this._s2 = f[++c]) <= a;);
                        this._s1 = f[c - 1], this._si = c
                    } else if (a < this._s1 && c > 0) {
                        for (; c > 0 && (this._s1 = f[--c]) >= a;);
                        0 === c && a < this._s1 ? this._s1 = 0 : c++, this._s2 = f[c], this._si = c
                    }
                    f = (c + (a - this._s1) / (this._s2 - this._s1)) * this._prec
                } else b = 0 > a ? 0 : a >= 1 ? h - 1 : h * a >> 0, f = (a - b * (1 / h)) * h;
                for (h = 1 - f, c = this._props.length; - 1 < --c;) a = this._props[c], d = this._beziers[a][b], g = (f * f * d.da + 3 * h * (f * d.ca + h * d.ba)) * f + d.a, this._round[a] && (g = g + (g > 0 ? .5 : -.5) >> 0), i[a] ? j[a](g) : j[a] = g;
                if (this._autoRotate) {
                    var k, l, m, n, o, h = this._autoRotate;
                    for (c = h.length; - 1 < --c;) a = h[c][2], n = h[c][3] || 0, o = 1 == h[c][4] ? 1 : e, d = this._beziers[h[c][0]][b], g = this._beziers[h[c][1]][b], k = d.a + (d.b - d.a) * f, l = d.b + (d.c - d.b) * f, k += (l - k) * f, l += (d.c + (d.d - d.c) * f - l) * f, d = g.a + (g.b - g.a) * f, m = g.b + (g.c - g.b) * f, d += (m - d) * f, m += (g.c + (g.d - g.c) * f - m) * f, g = Math.atan2(m - d, l - k) * o + n, i[a] ? i[a].call(j, g) : j[a] = g
                }
            }, d._roundProps = function(a, b) {
                for (var c = this._overwriteProps, d = c.length; - 1 < --d;)(a[c[d]] || a.bezier || a.bezierThrough) && (this._round[c[d]] = b)
            }, d._kill = function(a) {
                var c, d, e = this._props;
                for (c in _beziers)
                    if (c in a)
                        for (delete this._beziers[c], delete this._func[c], d = e.length; - 1 < --d;) e[d] === c && e.splice(d, 1);
                return b.prototype._kill.call(this, a)
            }, b.activate([c]), c
        }, !0), _gsDefine("plugins.CSSPlugin", ["plugins.TweenPlugin", "TweenLite"], function(a) {
            var b = function() {
                    a.call(this, "css"), this._overwriteProps.pop()
                },
                c = b.prototype = new a("css");
            c.constructor = b, b.API = 2, b.suffixMap = {
                top: "px",
                right: "px",
                bottom: "px",
                left: "px",
                width: "px",
                height: "px",
                fontSize: "px",
                padding: "px",
                margin: "px"
            };
            var d, e, f, g, h, i = /[^\d\-\.]/g,
                j = /(\d|\-|\+|=|#|\.)*/g,
                k = /(\d|\.)+/g,
                l = /opacity *= *([^)]*)/,
                m = /opacity:([^;]*)/,
                n = /([A-Z])/g,
                o = /-([a-z])/gi,
                p = function(a, b) {
                    return b.toUpperCase()
                },
                q = /(Left|Right|Width)/i,
                r = /(M11|M12|M21|M22)=[\d\-\.e]+/gi,
                s = /progid\:DXImageTransform\.Microsoft\.Matrix\(.+?\)/i,
                t = Math.PI / 180,
                u = 180 / Math.PI,
                v = {},
                w = document,
                x = w.createElement("div"),
                y = navigator.userAgent,
                z = y.indexOf("Android"),
                A = w.createElement("div");
            f = -1 !== y.indexOf("Safari") && -1 === y.indexOf("Chrome") && (-1 === z || 3 < Number(y.substr(z + 8, 1))), /MSIE ([0-9]{1,}[\.0-9]{0,})/.exec(y), g = parseFloat(RegExp.$1), A.innerHTML = "<a style='top:1px;opacity:.55;'>a</a>", h = (y = A.getElementsByTagName("a")[0]) ? /^0.55/.test(y.style.opacity) : !1;
            var B = function(a) {
                    if (!a || "" === a) return T.black;
                    if (T[a]) return T[a];
                    if ("number" == typeof a) return [a >> 16, 255 & a >> 8, 255 & a];
                    if ("#" === a.charAt(0)) {
                        if (4 === a.length) var b = a.charAt(1),
                            c = a.charAt(2),
                            a = a.charAt(3),
                            a = "#" + b + b + c + c + a + a;
                        return a = parseInt(a.substr(1), 16), [a >> 16, 255 & a >> 8, 255 & a]
                    }
                    return a.match(k) || T.transparent
                },
                C = function(a) {
                    return l.test("string" == typeof a ? a : (a.currentStyle ? a.currentStyle.filter : a.style.filter) || "") ? parseFloat(RegExp.$1) / 100 : 1
                },
                D = w.defaultView ? w.defaultView.getComputedStyle : function() {},
                E = function(a, b, c, d) {
                    return h || "opacity" !== b ? !d && a.style[b] ? a.style[b] : (c = c || D(a, null)) ? (a = c.getPropertyValue(b.replace(n, "-$1").toLowerCase())) || c.length ? a : c[b] : a.currentStyle ? (c = a.currentStyle, d = c[b], d || "backgroundPosition" !== b ? d : c[b + "X"] + " " + c[b + "Y"]) : null : C(a)
                },
                F = function(a, b) {
                    var c, d = {};
                    if (b = b || D(a, null))
                        if (c = b.length)
                            for (; - 1 < --c;) d[b[c].replace(o, p)] = b.getPropertyValue(b[c]);
                        else
                            for (c in b) d[c] = b[c];
                    else if (b = a.currentStyle || a.style)
                        for (c in b) d[c.replace(o, p)] = b[c];
                    return h || (d.opacity = C(a)), c = M(a, b, !1), d.rotation = c.rotation * u, d.skewX = c.skewX * u, d.scaleX = c.scaleX, d.scaleY = c.scaleY, d.x = c.x, d.y = c.y, null != d.filters && delete d.filters, d
                },
                G = function(a, b, c, d) {
                    var e, f, g = {};
                    for (f in b) "cssText" !== f && "length" !== f && isNaN(f) && a[f] != (e = b[f]) && (e === K || "number" != typeof e && "string" != typeof e || (g[f] = "" !== e && "auto" !== e || "string" != typeof a[f] || "" === a[f].replace(i, "") ? e : 0, d && d.props.push(f)));
                    if (c)
                        for (f in c) "className" !== f && (g[f] = c[f]);
                    return g
                },
                H = {
                    scaleX: 1,
                    scaleY: 1,
                    x: 1,
                    y: 1,
                    rotation: 1,
                    shortRotation: 1,
                    skewX: 1,
                    skewY: 1,
                    scale: 1
                },
                I = "",
                J = "",
                K = function(a, b) {
                    var c, d, b = b || x,
                        e = b.style;
                    if (void 0 !== e[a]) return a;
                    for (a = a.substr(0, 1).toUpperCase() + a.substr(1), c = ["O", "Moz", "ms", "Ms", "Webkit"], d = 5; - 1 < --d && void 0 === e[c[d] + a];);
                    return d >= 0 ? (J = 3 === d ? "ms" : c[d], I = "-" + J.toLowerCase() + "-", J + a) : null
                }("transform"),
                L = I + "transform",
                M = function(a, b, c) {
                    var d, e = a._gsTransform;
                    K ? d = E(a, L, b, !0) : a.currentStyle && (d = (d = a.currentStyle.filter.match(r)) && 4 === d.length ? d[0].substr(4) + "," + Number(d[2].substr(4)) + "," + Number(d[1].substr(4)) + "," + d[3].substr(4) + "," + (e ? e.x : 0) + "," + (e ? e.y : 0) : null);
                    var b = (d || "").replace(/[^\d\-\.e,]/g, "").split(","),
                        f = (d = 6 <= b.length) ? Number(b[0]) : 1,
                        g = d ? Number(b[1]) : 0,
                        h = d ? Number(b[2]) : 0,
                        i = d ? Number(b[3]) : 1,
                        e = c ? e || {
                            skewY: 0
                        } : {
                            skewY: 0
                        },
                        j = 0 > e.scaleX;
                    return e.x = d ? Number(b[4]) : 0, e.y = d ? Number(b[5]) : 0, e.scaleX = Math.sqrt(f * f + g * g), e.scaleY = Math.sqrt(i * i + h * h), e.rotation = f || g ? Math.atan2(g, f) : e.rotation || 0, e.skewX = h || i ? Math.atan2(h, i) + e.rotation : e.skewX || 0, Math.abs(e.skewX) > Math.PI / 2 && (j ? (e.scaleX *= -1, e.skewX += 0 >= e.rotation ? Math.PI : -Math.PI, e.rotation += 0 >= e.rotation ? Math.PI : -Math.PI) : (e.scaleY *= -1, e.skewX += 0 >= e.skewX ? Math.PI : -Math.PI)), 1e-6 > e.rotation && -1e-6 < e.rotation && (f || g) && (e.rotation = 0), 1e-6 > e.skewX && -1e-6 < e.skewX && (g || h) && (e.skewX = 0), c && (a._gsTransform = e), e
                },
                N = {
                    width: ["Left", "Right"],
                    height: ["Top", "Bottom"]
                },
                O = ["marginLeft", "marginRight", "marginTop", "marginBottom"],
                P = function(a, b, c, d, e) {
                    if ("px" === d || !d) return c;
                    if ("auto" === d || !c) return 0;
                    var f = q.test(b),
                        g = a,
                        h = x.style,
                        i = 0 > c;
                    return i && (c = -c), h.cssText = "border-style:solid; border-width:0; position:absolute; line-height:0;", "%" !== d && "em" !== d && g.appendChild ? h[f ? "borderLeftWidth" : "borderTopWidth"] = c + d : (g = a.parentNode || w.body, h[f ? "width" : "height"] = c + d), g.appendChild(x), f = parseFloat(x[f ? "offsetWidth" : "offsetHeight"]), g.removeChild(x), 0 === f && !e && (f = P(a, b, c, d, !0)), i ? -f : f
                },
                Q = function(a, b) {
                    (null == a || "" === a || "auto" === a || "auto auto" === a) && (a = "0 0");
                    var b = b || {},
                        c = -1 !== a.indexOf("left") ? "0%" : -1 !== a.indexOf("right") ? "100%" : a.split(" ")[0],
                        d = -1 !== a.indexOf("top") ? "0%" : -1 !== a.indexOf("bottom") ? "100%" : a.split(" ")[1];
                    return null == d ? d = "0" : "center" === d && (d = "50%"), "center" === c && (c = "50%"), b.oxp = -1 !== c.indexOf("%"), b.oyp = -1 !== d.indexOf("%"), b.oxr = "=" === c.charAt(1), b.oyr = "=" === d.charAt(1), b.ox = parseFloat(c.replace(i, "")), b.oy = parseFloat(d.replace(i, "")), b
                },
                R = function(a, b) {
                    return null == a ? b : "string" == typeof a && 1 === a.indexOf("=") ? Number(a.split("=").join("")) + b : Number(a)
                },
                S = function(a, b) {
                    var c = -1 === a.indexOf("rad") ? t : 1,
                        d = 1 === a.indexOf("="),
                        a = Number(a.replace(i, "")) * c;
                    return d ? a + b : a
                },
                T = {
                    aqua: [0, 255, 255],
                    lime: [0, 255, 0],
                    silver: [192, 192, 192],
                    black: [0, 0, 0],
                    maroon: [128, 0, 0],
                    teal: [0, 128, 128],
                    blue: [0, 0, 255],
                    navy: [0, 0, 128],
                    white: [255, 255, 255],
                    fuchsia: [255, 0, 255],
                    olive: [128, 128, 0],
                    yellow: [255, 255, 0],
                    orange: [255, 165, 0],
                    gray: [128, 128, 128],
                    purple: [128, 0, 128],
                    green: [0, 128, 0],
                    red: [255, 0, 0],
                    pink: [255, 192, 203],
                    cyan: [0, 255, 255],
                    transparent: [255, 255, 255, 0]
                };
            return c._onInitTween = function(a, c, f) {
                if (!a.nodeType) return !1;
                this._target = a, this._tween = f, this._classData = this._transform = null, d = c.autoRound;
                var g, i, j = this._style = a.style,
                    k = D(a, "");
                return e && "" === j.zIndex && (i = E(a, "zIndex", k), "auto" === i || "" === i) && (j.zIndex = 0), "string" == typeof c ? (g = j.cssText, f = F(a, k), j.cssText = g + ";" + c, i = G(f, F(a)), !h && m.test(c) && (i.opacity = parseFloat(RegExp.$1)), c = i, j.cssText = g) : c.className && (g = a.className, this._classData = {
                    b: g,
                    e: "=" !== c.className.charAt(1) ? c.className : "+" === c.className.charAt(0) ? a.className + " " + c.className.substr(2) : a.className.split(c.className.substr(2)).join(""),
                    props: []
                }, f._duration ? (f = F(a, k), a.className = this._classData.e, c = G(f, F(a), c, this._classData), a.className = g) : c = {}), this._parseVars(c, a, k, c.suffixMap || b.suffixMap), !0
            }, c._parseVars = function(a, b, c, e) {
                var f, g, k, l, m, n, o, p = this._style;
                for (f in a)
                    if (g = a[f], "transform" === f || f === K) this._parseTransform(b, g, c, e);
                    else if (H[f] || "transformOrigin" === f) this._parseTransform(b, a, c, e);
                else {
                    if ("alpha" === f || "autoAlpha" === f) f = "opacity";
                    else {
                        if ("margin" === f || "padding" === f) {
                            g = (g + "").split(" "), m = g.length, k = {}, k[f + "Top"] = g[0], k[f + "Right"] = m > 1 ? g[1] : g[0], k[f + "Bottom"] = 4 === m ? g[2] : g[0], k[f + "Left"] = 4 === m ? g[3] : 2 === m ? g[1] : g[0], this._parseVars(k, b, c, e);
                            continue
                        }
                        if ("backgroundPosition" === f || "backgroundSize" === f) {
                            k = Q(g), o = Q(l = E(b, f, c)), this._firstPT = k = {
                                _next: this._firstPT,
                                t: p,
                                p: f,
                                b: l,
                                f: !1,
                                n: "css_" + f,
                                type: 3,
                                s: o.ox,
                                c: k.oxr ? k.ox : k.ox - o.ox,
                                ys: o.oy,
                                yc: k.oyr ? k.oy : k.oy - o.oy,
                                sfx: k.oxp ? "%" : "px",
                                ysfx: k.oyp ? "%" : "px",
                                r: !k.oxp && !1 !== a.autoRound
                            }, k.e = k.s + k.c + k.sfx + " " + (k.ys + k.yc) + k.ysfx;
                            continue
                        }
                        if ("border" === f) {
                            g = (g + "").split(" "), this._parseVars({
                                borderWidth: g[0],
                                borderStyle: g[1] || "none",
                                borderColor: g[2] || "#000000"
                            }, b, c, e);
                            continue
                        }
                        if ("bezier" === f) {
                            this._parseBezier(g, b, c, e);
                            continue
                        }
                        if ("autoRound" === f) continue
                    }
                    if (l = E(b, f, c), l = null != l ? l + "" : "", this._firstPT = k = {
                            _next: this._firstPT,
                            t: p,
                            p: f,
                            b: l,
                            f: !1,
                            n: "css_" + f,
                            sfx: "",
                            r: !1,
                            type: 0
                        }, "opacity" === f && null != a.autoAlpha && ("1" === l && "hidden" === E(b, "visibility", c) && (l = k.b = "0"), this._firstPT = k._prev = {
                            _next: k,
                            t: p,
                            p: "visibility",
                            f: !1,
                            n: "css_visibility",
                            r: !1,
                            type: -1,
                            b: 0 !== Number(l) ? "visible" : "hidden",
                            i: "visible",
                            e: 0 === Number(g) ? "hidden" : "visible"
                        }, this._overwriteProps.push("css_visibility")), m = "string" == typeof g, "color" === f || "fill" === f || "stroke" === f || -1 !== f.indexOf("Color") || m && !g.indexOf("rgb(")) m = B(l), g = B(g), k.e = k.i = (3 < g.length ? "rgba(" : "rgb(") + g.join(",") + ")", k.b = (3 < m.length ? "rgba(" : "rgb(") + m.join(",") + ")", k.s = Number(m[0]), k.c = Number(g[0]) - k.s, k.gs = Number(m[1]), k.gc = Number(g[1]) - k.gs, k.bs = Number(m[2]), k.bc = Number(g[2]) - k.bs, k.type = 1, (3 < m.length || 3 < g.length) && (h ? (k.as = 4 > m.length ? 1 : Number(m[3]), k.ac = (4 > g.length ? 1 : Number(g[3])) - k.as, k.type = 2) : (0 == g[3] && (k.e = k.i = "transparent", k.type = -1), 0 == m[3] && (k.b = "transparent")));
                    else {
                        if (n = l.replace(j, ""), "" === l || "auto" === l)
                            if ("width" === f || "height" === f) {
                                var q = f;
                                n = b, o = c, l = parseFloat("width" === q ? n.offsetWidth : n.offsetHeight);
                                var q = N[q],
                                    r = q.length;
                                for (o = o || D(n, null); - 1 < --r;) l -= parseFloat(E(n, "padding" + q[r], o, !0)) || 0, l -= parseFloat(E(n, "border" + q[r] + "Width", o, !0)) || 0;
                                o = l, n = "px"
                            } else o = "opacity" !== f ? 0 : 1, n = "";
                        else o = -1 === l.indexOf(" ") ? parseFloat(l.replace(i, "")) : 0 / 0;
                        m ? (m = "=" === g.charAt(1), l = g.replace(j, ""), g = -1 === g.indexOf(" ") ? parseFloat(g.replace(i, "")) : 0 / 0) : (m = !1, l = ""), "" === l && (l = e[f] || n), k.e = g || 0 === g ? (m ? g + o : g) + l : a[f], n === l || "" === l || !g && 0 !== g || (o || 0 === o) && (o = P(b, f, o, n), "%" === l ? (o /= P(b, f, 100, "%") / 100, o > 100 && (o = 100)) : "em" === l ? o /= P(b, f, 1, "em") : (g = P(b, f, g, l), l = "px"), m && (g || 0 === g) && (k.e = g + o + l)), !o && 0 !== o || !g && 0 !== g || !(k.c = m ? g : g - o) ? (k.type = -1, k.i = "display" === f && "none" === k.e ? k.b : k.e, k.s = k.c = 0) : (k.s = o, k.sfx = l, "opacity" === f ? h || (k.type = 4, k.p = "filter", k.b = "alpha(opacity=" + 100 * k.s + ")", k.e = "alpha(opacity=" + 100 * (k.s + k.c) + ")", k.dup = null != a.autoAlpha, this._style.zoom = 1) : !1 === d || "px" !== l && "zIndex" !== f || (k.r = !0))
                    }
                    this._overwriteProps.push("css_" + f), k._next && (k._next._prev = k)
                }
            }, c._parseTransform = function(a, b, c) {
                if (!this._transform) {
                    var d, g, h, i = this._transform = M(a, c, !0),
                        j = this._style;
                    if ("object" == typeof b) d = {
                        scaleX: R(null != b.scaleX ? b.scaleX : b.scale, i.scaleX),
                        scaleY: R(null != b.scaleY ? b.scaleY : b.scale, i.scaleY),
                        x: R(b.x, i.x),
                        y: R(b.y, i.y)
                    }, null != b.shortRotation ? (d.rotation = "number" == typeof b.shortRotation ? b.shortRotation * t : S(b.shortRotation, i.rotation), g = (d.rotation - i.rotation) % (2 * Math.PI), g !== g % Math.PI && (g += Math.PI * (0 > g ? 2 : -2)), d.rotation = i.rotation + g) : d.rotation = null == b.rotation ? i.rotation : "number" == typeof b.rotation ? b.rotation * t : S(b.rotation, i.rotation), d.skewX = null == b.skewX ? i.skewX : "number" == typeof b.skewX ? b.skewX * t : S(b.skewX, i.skewX), d.skewY = null == b.skewY ? i.skewY : "number" == typeof b.skewY ? b.skewY * t : S(b.skewY, i.skewY), (g = d.skewY - i.skewY) && (d.skewX += g, d.rotation += g), 1e-6 > d.skewY && -1e-6 < d.skewY && (d.skewY = 0), 1e-6 > d.skewX && -1e-6 < d.skewX && (d.skewX = 0), 1e-6 > d.rotation && -1e-6 < d.rotation && (d.rotation = 0), null != (b = b.transformOrigin) && (K ? (h = K + "Origin", this._firstPT = b = {
                        _next: this._firstPT,
                        t: j,
                        p: h,
                        s: 0,
                        c: 0,
                        n: h,
                        f: !1,
                        r: !1,
                        b: j[h],
                        e: b,
                        i: b,
                        type: -1,
                        sfx: ""
                    }, b._next && (b._next._prev = b)) : Q(b, i));
                    else {
                        if ("string" != typeof b || !K) return;
                        g = j[K], j[K] = b, d = M(a, null, !1), j[K] = g
                    }
                    K ? f && (e = !0, "" === j.WebkitBackfaceVisibility && (j.WebkitBackfaceVisibility = "hidden"), "" === j.zIndex && (g = E(a, "zIndex", c), "auto" === g || "" === g)) && (j.zIndex = 0) : j.zoom = 1;
                    for (h in H) i[h] === d[h] && null == v[h] || "shortRotation" === h || "scale" === h || (this._firstPT = b = {
                        _next: this._firstPT,
                        t: i,
                        p: h,
                        s: i[h],
                        c: d[h] - i[h],
                        n: h,
                        f: !1,
                        r: !1,
                        b: i[h],
                        e: d[h],
                        type: 0,
                        sfx: 0
                    }, b._next && (b._next._prev = b), this._overwriteProps.push("css_" + h))
                }
            }, c._parseBezier = function(a, b, c, d) {
                if (window.com.greensock.plugins.BezierPlugin) {
                    a instanceof Array && (a = {
                        values: a
                    });
                    var e, f, g, h, i, j = a.values || [],
                        k = j.length,
                        l = [],
                        m = this._bezier = {
                            _pt: []
                        },
                        n = m._proxy = {},
                        o = 0,
                        p = 0,
                        q = {},
                        r = k - 1,
                        s = v,
                        t = m._plugin = new window.com.greensock.plugins.BezierPlugin;
                    for (e = 0; k > e; e++) {
                        if (h = {}, this._transform = null, g = this._firstPT, this._parseVars(v = j[e], b, c, d), f = this._firstPT, 0 === e) {
                            for (i = this._transform; f !== g;) n[f.p] = f.s, m._pt[p++] = q[f.p] = f, 1 === f.type || 2 === f.type ? (n[f.p + "_g"] = f.gs, n[f.p + "_b"] = f.bs, 2 === f.type && (n[f.p + "_a"] = f.as)) : 3 === f.type && (n[f.p + "_y"] = f.ys), f = f._next;
                            f = this._firstPT
                        } else this._firstPT = g, g._prev && (g._prev._next = null), g = g._prev = null;
                        for (; f !== g;) q[f.p] && (h[f.p] = f.s + f.c, e === r && (q[f.p].e = f.e), 1 === f.type || 2 === f.type ? (h[f.p + "_g"] = f.gs + f.gc, h[f.p + "_b"] = f.bs + f.bc, 2 === f.type && (h[f.p + "_a"] = f.as + f.ac)) : 3 === f.type && (h[f.p + "_y"] = f.ys + f.yc), 0 === e && (f.c = f.ac = f.gc = f.bc = f.yc = 0)), f = f._next;
                        l[o++] = h
                    }
                    this._transform = i, v = s, a.values = l, 0 === a.autoRotate && (a.autoRotate = !0), a.autoRotate && !(a.autoRotate instanceof Array) && (e = 1 == a.autoRotate ? 0 : Number(a.autoRotate) * Math.PI / 180, a.autoRotate = null != l[0].left ? [
                        ["left", "top", "rotation", e, !0]
                    ] : null != l[0].x ? [
                        ["x", "y", "rotation", e, !0]
                    ] : !1), (m._autoRotate = a.autoRotate) && !i && (this._transform = M(b, c, !0)), t._onInitTween(n, a, this._tween), a.values = j
                } else console.log("Error: BezierPlugin not loaded.")
            }, c.setRatio = function(a) {
                var b, c, d = this._firstPT,
                    e = this._bezier,
                    f = 1e-6;
                if (e) {
                    e._plugin.setRatio(a);
                    var h = e._pt,
                        i = e._proxy;
                    for (c = h.length; - 1 < --c;) d = h[c], d.s = i[d.p], 1 === d.type || 2 === d.type ? (d.gs = i[d.p + "_g"], d.bs = i[d.p + "_b"], 2 === d.type && (d.as = i[d.p + "_a"])) : 3 === d.type && (d.ys = i[d.p + "_y"]);
                    e._autoRotate && (this._transform.rotation = i.rotation)
                }
                if (1 !== a || this._tween._time !== this._tween._duration && 0 !== this._tween._time)
                    if (a || this._tween._time !== this._tween._duration && 0 !== this._tween._time)
                        for (; d;) b = d.c * a + d.s, d.r ? b = b > 0 ? b + .5 >> 0 : b - .5 >> 0 : f > b && b > -f && (b = 0), d.type ? 1 === d.type ? d.t[d.p] = "rgb(" + (b >> 0) + ", " + (d.gs + a * d.gc >> 0) + ", " + (d.bs + a * d.bc >> 0) + ")" : 2 === d.type ? d.t[d.p] = "rgba(" + (b >> 0) + ", " + (d.gs + a * d.gc >> 0) + ", " + (d.bs + a * d.bc >> 0) + ", " + (d.as + a * d.ac) + ")" : -1 === d.type ? d.t[d.p] = d.i : 3 === d.type ? (e = d.ys + a * d.yc, d.r && (e = e > 0 ? e + .5 >> 0 : e - .5 >> 0), d.t[d.p] = b + d.sfx + " " + e + d.ysfx) : (d.dup && (d.t.filter = d.t.filter || "alpha(opacity=100)"), d.t.filter = -1 === d.t.filter.indexOf("opacity") ? d.t.filter + (" alpha(opacity=" + (100 * b >> 0) + ")") : d.t.filter.replace(l, "opacity=" + (100 * b >> 0))) : d.t[d.p] = b + d.sfx, d = d._next;
                    else
                        for (; d;) d.t[d.p] = d.b, 4 === d.type && 1 === d.s && (this._style.removeAttribute("filter"), E(this._target, "filter") && (d.t[d.p] = d.b)), d = d._next;
                else
                    for (; d;) d.t[d.p] = d.e, 4 === d.type && 1 === d.s + d.c && (this._style.removeAttribute("filter"), E(this._target, "filter") && (d.t[d.p] = d.e)), d = d._next;
                if (this._transform)
                    if (d = this._transform, !K || d.rotation || d.skewX) {
                        var k, h = K ? d.rotation : -d.rotation,
                            m = K ? h - d.skewX : h + d.skewX,
                            e = Math.cos(h) * d.scaleX,
                            h = Math.sin(h) * d.scaleX,
                            i = Math.sin(m) * -d.scaleY,
                            m = Math.cos(m) * d.scaleY;
                        if (f > e && e > -f && (e = 0), f > h && h > -f && (h = 0), f > i && i > -f && (i = 0), f > m && m > -f && (m = 0), K) this._style[K] = "matrix(" + e + "," + h + "," + i + "," + m + "," + d.x + "," + d.y + ")";
                        else if (k = this._target.currentStyle) {
                            f = h, h = -i, i = -f, f = k.filter, this._style.filter = "", c = this._target.offsetWidth, b = this._target.offsetHeight;
                            var n, o, p = "absolute" !== k.position,
                                q = "progid:DXImageTransform.Microsoft.Matrix(M11=" + e + ", M12=" + h + ", M21=" + i + ", M22=" + m,
                                r = d.x,
                                t = d.y;
                            if (null != d.ox && (n = (d.oxp ? .01 * c * d.ox : d.ox) - c / 2, o = (d.oyp ? .01 * b * d.oy : d.oy) - b / 2, r = n - (n * e + o * h) + d.x, t = o - (n * i + o * m) + d.y), p) n = c / 2, o = b / 2, q += ", Dx=" + (n - (n * e + o * h) + r) + ", Dy=" + (o - (n * i + o * m) + t) + ")";
                            else {
                                var u = 8 > g ? 1 : -1;
                                for (n = d.ieOffsetX || 0, o = d.ieOffsetY || 0, d.ieOffsetX = Math.round((c - ((0 > e ? -e : e) * c + (0 > h ? -h : h) * b)) / 2 + r), d.ieOffsetY = Math.round((b - ((0 > m ? -m : m) * b + (0 > i ? -i : i) * c)) / 2 + t), c = 0; 4 > c; c++) r = O[c], b = k[r], b = -1 !== b.indexOf("px") ? parseFloat(b) : P(this._target, r, parseFloat(b), b.replace(j, "")) || 0, t = b !== d[r] ? 2 > c ? -d.ieOffsetX : -d.ieOffsetY : 2 > c ? n - d.ieOffsetX : o - d.ieOffsetY, this._style[r] = (d[r] = Math.round(b - t * (0 === c || 2 === c ? 1 : u))) + "px";
                                q += ", sizingMethod='auto expand')"
                            }
                            this._style.filter = -1 !== f.indexOf("DXImageTransform.Microsoft.Matrix(") ? f.replace(s, q) : q + " " + f, (0 === a || 1 === a) && (1 !== e || 0 !== h || 0 !== i || 1 !== m || p && -1 === q.indexOf("Dx=0, Dy=0") || (!l.test(f) || 100 === parseFloat(RegExp.$1)) && this._style.removeAttribute("filter"))
                        }
                    } else this._style[K] = (d.x || d.y ? "translate(" + d.x + "px," + d.y + "px) " : "") + (1 !== d.scaleX || 1 !== d.scaleY ? "scale(" + d.scaleX + "," + d.scaleY + ")" : "") || "translate(0px,0px)";
                if (this._classData)
                    if (d = this._classData, 1 !== a || this._tween._time !== this._tween._duration && 0 !== this._tween._time) this._target.className !== d.b && (this._target.className = d.b);
                    else {
                        for (c = d.props.length; - 1 < --c;) this._style[d.props[c]] = "";
                        this._target.className = d.e
                    }
            }, c._kill = function(b) {
                var c, d = b;
                if (b.autoAlpha || b.alpha) {
                    d = {};
                    for (c in b) d[c] = b[c];
                    d.opacity = 1, d.autoAlpha && (d.visibility = 1)
                }
                return a.prototype._kill.call(this, d)
            }, a.activate([b]), b
        }, !0), _gsDefine("plugins.RoundPropsPlugin", ["plugins.TweenPlugin"], function(a) {
            var b = function() {
                    a.call(this, "roundProps", -1), this._overwriteProps.length = 0
                },
                c = b.prototype = new a("roundProps", -1);
            return c.constructor = b, b.API = 2, c._onInitTween = function(a, b, c) {
                return this._tween = c, !0
            }, c._onInitAllProps = function() {
                for (var a, b, c, d = this._tween, e = d.vars.roundProps instanceof Array ? d.vars.roundProps : d.vars.roundProps.split(","), f = e.length, g = {}, h = d._propLookup.roundProps; - 1 < --f;) g[e[f]] = 1;
                for (f = e.length; - 1 < --f;)
                    for (a = e[f], b = d._firstPT; b;) c = b._next, b.pg ? b.t._roundProps(g, !0) : b.n === a && (this._add(b.t, a, b.s, b.c), c && (c._prev = b._prev), b._prev ? b._prev._next = c : _tween._firstPT === b && (d._firstPT = c), b._next = b._prev = null, d._propLookup[a] = h), b = c;
                return !1
            }, c._add = function(a, b, c, d) {
                this._addTween(a, b, c, c + d, b, !0), this._overwriteProps.push(b)
            }, a.activate([b]), b
        }, !0), _gsDefine("easing.Back", ["easing.Ease"], function(a) {
            var b = window.com.greensock._class,
                c = function(c, d) {
                    var e = b("easing." + c, function() {}, !0),
                        f = e.prototype = new a;
                    return f.constructor = e, f.getRatio = d, e
                },
                d = function(c, d) {
                    var e = b("easing." + c, function(a) {
                            this._p1 = a || 0 === a ? a : 1.70158, this._p2 = 1.525 * this._p1
                        }, !0),
                        f = e.prototype = new a;
                    return f.constructor = e, f.getRatio = d, f.config = function(a) {
                        return new e(a)
                    }, e
                },
                e = d("BackOut", function(a) {
                    return (a -= 1) * a * ((this._p1 + 1) * a + this._p1) + 1
                }),
                f = d("BackIn", function(a) {
                    return a * a * ((this._p1 + 1) * a - this._p1)
                }),
                d = d("BackInOut", function(a) {
                    return 1 > (a *= 2) ? .5 * a * a * ((this._p2 + 1) * a - this._p2) : .5 * ((a -= 2) * a * ((this._p2 + 1) * a + this._p2) + 2)
                }),
                g = c("BounceOut", function(a) {
                    return 1 / 2.75 > a ? 7.5625 * a * a : 2 / 2.75 > a ? 7.5625 * (a -= 1.5 / 2.75) * a + .75 : 2.5 / 2.75 > a ? 7.5625 * (a -= 2.25 / 2.75) * a + .9375 : 7.5625 * (a -= 2.625 / 2.75) * a + .984375
                }),
                h = c("BounceIn", function(a) {
                    return (a = 1 - a) < 1 / 2.75 ? 1 - 7.5625 * a * a : 2 / 2.75 > a ? 1 - (7.5625 * (a -= 1.5 / 2.75) * a + .75) : 2.5 / 2.75 > a ? 1 - (7.5625 * (a -= 2.25 / 2.75) * a + .9375) : 1 - (7.5625 * (a -= 2.625 / 2.75) * a + .984375)
                }),
                i = c("BounceInOut", function(a) {
                    var b = .5 > a,
                        a = b ? 1 - 2 * a : 2 * a - 1,
                        a = 1 / 2.75 > a ? 7.5625 * a * a : 2 / 2.75 > a ? 7.5625 * (a -= 1.5 / 2.75) * a + .75 : 2.5 / 2.75 > a ? 7.5625 * (a -= 2.25 / 2.75) * a + .9375 : 7.5625 * (a -= 2.625 / 2.75) * a + .984375;
                    return b ? .5 * (1 - a) : .5 * a + .5
                }),
                j = c("CircOut", function(a) {
                    return Math.sqrt(1 - (a -= 1) * a)
                }),
                k = c("CircIn", function(a) {
                    return -(Math.sqrt(1 - a * a) - 1)
                }),
                l = c("CircInOut", function(a) {
                    return 1 > (a *= 2) ? -.5 * (Math.sqrt(1 - a * a) - 1) : .5 * (Math.sqrt(1 - (a -= 2) * a) + 1)
                }),
                m = 2 * Math.PI,
                n = function(c, d, e) {
                    var f = b("easing." + c, function(a, b) {
                            this._p1 = a || 1, this._p2 = b || e, this._p3 = this._p2 / m * (Math.asin(1 / this._p1) || 0)
                        }, !0),
                        c = f.prototype = new a;
                    return c.constructor = f, c.getRatio = d, c.config = function(a, b) {
                        return new f(a, b)
                    }, f
                },
                o = n("ElasticOut", function(a) {
                    return this._p1 * Math.pow(2, -10 * a) * Math.sin((a - this._p3) * m / this._p2) + 1
                }, .3),
                p = n("ElasticIn", function(a) {
                    return -(this._p1 * Math.pow(2, 10 * (a -= 1)) * Math.sin((a - this._p3) * m / this._p2))
                }, .3),
                n = n("ElasticInOut", function(a) {
                    return 1 > (a *= 2) ? -.5 * this._p1 * Math.pow(2, 10 * (a -= 1)) * Math.sin((a - this._p3) * m / this._p2) : .5 * this._p1 * Math.pow(2, -10 * (a -= 1)) * Math.sin((a - this._p3) * m / this._p2) + 1
                }, .45),
                q = c("ExpoOut", function(a) {
                    return 1 - Math.pow(2, -10 * a)
                }),
                r = c("ExpoIn", function(a) {
                    return Math.pow(2, 10 * (a - 1)) - .001
                }),
                s = c("ExpoInOut", function(a) {
                    return 1 > (a *= 2) ? .5 * Math.pow(2, 10 * (a - 1)) : .5 * (2 - Math.pow(2, -10 * (a - 1)))
                }),
                t = Math.PI / 2,
                u = c("SineOut", function(a) {
                    return Math.sin(a * t)
                }),
                v = c("SineIn", function(a) {
                    return -Math.cos(a * t) + 1
                }),
                c = c("SineInOut", function(a) {
                    return -.5 * (Math.cos(Math.PI * a) - 1)
                }),
                w = b("easing.SlowMo", function(a, b, c) {
                    null == a ? a = .7 : a > 1 && (a = 1), this._p = 1 != a ? b || 0 === b ? b : .7 : 0, this._p1 = (1 - a) / 2, this._p2 = a, this._p3 = this._p1 + this._p2, this._calcEnd = !0 === c
                }, !0),
                x = w.prototype = new a;
            x.constructor = w, x.getRatio = function(a) {
                var b = a + (.5 - a) * this._p;
                return a < this._p1 ? this._calcEnd ? 1 - (a = 1 - a / this._p1) * a : b - (a = 1 - a / this._p1) * a * a * a * b : a > this._p3 ? this._calcEnd ? 1 - (a = (a - this._p3) / this._p1) * a : b + (a - b) * (a = (a - this._p3) / this._p1) * a * a * a : this._calcEnd ? 1 : b
            }, w.ease = new w(.7, .7), x.config = w.config = function(a, b, c) {
                return new w(a, b, c)
            };
            var y = b("easing.SteppedEase", function(a) {
                    a = a || 1, this._p1 = 1 / a, this._p2 = a + 1
                }, !0),
                x = y.prototype = new a;
            return x.constructor = y, x.getRatio = function(a) {
                return 0 > a ? a = 0 : a >= 1 && (a = .999999999), (this._p2 * a >> 0) * this._p1
            }, x.config = y.config = function(a) {
                return new y(a)
            }, b("easing.Bounce", {
                easeOut: new g,
                easeIn: new h,
                easeInOut: new i
            }, !0), b("easing.Circ", {
                easeOut: new j,
                easeIn: new k,
                easeInOut: new l
            }, !0), b("easing.Elastic", {
                easeOut: new o,
                easeIn: new p,
                easeInOut: new n
            }, !0), b("easing.Expo", {
                easeOut: new q,
                easeIn: new r,
                easeInOut: new s
            }, !0), b("easing.Sine", {
                easeOut: new u,
                easeIn: new v,
                easeInOut: new c
            }, !0), {
                easeOut: new e,
                easeIn: new f,
                easeInOut: new d
            }
        }, !0)
    }),
    function(a) {
        var b, c, d, e, f, g = function(b) {
                var c, b = b.split("."),
                    d = a;
                for (c = 0; c < b.length; c++) d[b[c]] = d = d[b[c]] || {};
                return d
            },
            h = g("com.greensock"),
            i = {},
            j = function(b, c, d, e) {
                this.sc = i[b] ? i[b].sc : [], i[b] = this, this.gsClass = null, this.def = d;
                var f = c || [],
                    h = [];
                this.check = function(c) {
                    for (var k, l = f.length, m = 0; - 1 < --l;)(k = i[f[l]] || new j(f[l])).gsClass ? h[l] = k.gsClass : (m++, c && k.sc.push(this));
                    if (0 === m && d) {
                        var c = ("com.greensock." + b).split("."),
                            l = c.pop(),
                            n = g(c.join("."))[l] = this.gsClass = d.apply(d, h);
                        for (e && ((a.GreenSockGlobals || a)[l] = n, "function" == typeof define && define.amd ? define((a.GreenSockAMDPath ? a.GreenSockAMDPath + "/" : "") + b.split(".").join("/"), [], function() {
                                return n
                            }) : "undefined" != typeof module && module.exports && (module.exports = n)), l = 0; l < this.sc.length; l++) this.sc[l].check(!1)
                    }
                }, this.check(!0)
            },
            k = h._class = function(a, b, c) {
                return new j(a, [], function() {
                    return b
                }, c), b
            };
        a._gsDefine = function(a, b, c, d) {
            return new j(a, b, c, d)
        };
        var l = [0, 0, 1, 1],
            m = [],
            n = k("easing.Ease", function(a, b, c, d) {
                this._func = a, this._type = c || 0, this._power = d || 0, this._params = b ? l.concat(b) : l
            }, !0);
        for (d = n.prototype, d._calcEnd = !1, d.getRatio = function(a) {
                if (this._func) return this._params[0] = a, this._func.apply(null, this._params);
                var b = this._type,
                    c = this._power,
                    d = 1 === b ? 1 - a : 2 === b ? a : .5 > a ? 2 * a : 2 * (1 - a);
                return 1 === c ? d *= d : 2 === c ? d *= d * d : 3 === c ? d *= d * d * d : 4 === c && (d *= d * d * d * d), 1 === b ? 1 - d : 2 === b ? d : .5 > a ? d / 2 : 1 - d / 2
            }, b = ["Linear", "Quad", "Cubic", "Quart", "Quint"], c = b.length; - 1 < --c;) d = k("easing." + b[c], function() {}, !0), e = k("easing.Power" + c, function() {}, !0), d.easeOut = e.easeOut = new n(null, null, 1, c), d.easeIn = e.easeIn = new n(null, null, 2, c), d.easeInOut = e.easeInOut = new n(null, null, 3, c);
        k("easing.Strong", h.easing.Power4, !0), h.easing.Linear.easeNone = h.easing.Linear.easeIn, d = k("events.EventDispatcher", function(a) {
            this._listeners = {}, this._eventTarget = a || this
        }).prototype, d.addEventListener = function(a, b, c, d, e) {
            var f, e = e || 0,
                g = this._listeners[a],
                h = 0;
            for (null == g && (this._listeners[a] = g = []), f = g.length; - 1 < --f;) a = g[f], a.c === b ? g.splice(f, 1) : 0 === h && a.pr < e && (h = f + 1);
            g.splice(h, 0, {
                c: b,
                s: c,
                up: d,
                pr: e
            })
        }, d.removeEventListener = function(a, b) {
            var c = this._listeners[a];
            if (c)
                for (var d = c.length; - 1 < --d;)
                    if (c[d].c === b) {
                        c.splice(d, 1);
                        break
                    }
        }, d.dispatchEvent = function(a) {
            var b = this._listeners[a];
            if (b)
                for (var c, d = b.length, e = this._eventTarget; - 1 < --d;) c = b[d], c.up ? c.c.call(c.s || e, {
                    type: a,
                    target: e
                }) : c.c.call(c.s || e)
        };
        var o = a.requestAnimationFrame,
            p = a.cancelAnimationFrame,
            q = Date.now || function() {
                return (new Date).getTime()
            };
        for (b = ["ms", "moz", "webkit", "o"], c = b.length; - 1 < --c && !o;) o = a[b[c] + "RequestAnimationFrame"], p = a[b[c] + "CancelAnimationFrame"] || a[b[c] + "CancelRequestAnimationFrame"];
        p || (p = function(b) {
            a.clearTimeout(b)
        }), k("Ticker", function(b, c) {
            this.frame = this.time = 0;
            var d, e, f, g, h, i = this,
                j = q(),
                k = !1 !== c;
            this.tick = function() {
                i.time = (q() - j) / 1e3, (!d || i.time >= h) && (i.frame++, h = i.time + g - (i.time - h) - 5e-4, h <= i.time && (h = i.time + .001), i.dispatchEvent("tick")), f = e(i.tick)
            }, this.fps = function(b) {
                return arguments.length ? (d = b, g = 1 / (d || 60), h = this.time + g, e = 0 === d ? function() {} : k && o ? o : function(b) {
                    return a.setTimeout(b, 1e3 * (h - i.time) + 1 >> 0 || 1)
                }, p(f), f = e(i.tick), void 0) : d
            }, this.useRAF = function(a) {
                return arguments.length ? (k = a, this.fps(d), void 0) : k
            }, this.fps(b)
        }), d = h.Ticker.prototype = new h.events.EventDispatcher, d.constructor = h.Ticker;
        var r = k("core.Animation", function(a, b) {
                if (this.vars = b || {}, this._duration = this._totalDuration = a || 0, this._delay = Number(this.vars.delay) || 0, this._timeScale = 1, this._active = 1 == this.vars.immediateRender, this.data = this.vars.data, this._reversed = 1 == this.vars.reversed, A) {
                    f || (s.tick(), f = !0);
                    var c = this.vars.useFrames ? z : A;
                    c.insert(this, c._time), this.vars.paused && this.paused(!0)
                }
            }),
            s = r.ticker = new h.Ticker;
        d = r.prototype, d._dirty = d._gc = d._initted = d._paused = !1, d._totalTime = d._time = 0, d._rawPrevTime = -1, d._next = d._last = d._onUpdate = d._timeline = d.timeline = null, d._paused = !1, d.play = function(a, b) {
            return arguments.length && this.seek(a, b), this.reversed(!1), this.paused(!1)
        }, d.pause = function(a, b) {
            return arguments.length && this.seek(a, b), this.paused(!0)
        }, d.resume = function(a, b) {
            return arguments.length && this.seek(a, b), this.paused(!1)
        }, d.seek = function(a, b) {
            return this.totalTime(Number(a), 0 != b)
        }, d.restart = function(a, b) {
            return this.reversed(!1), this.paused(!1), this.totalTime(a ? -this._delay : 0, 0 != b)
        }, d.reverse = function(a, b) {
            return arguments.length && this.seek(a || this.totalDuration(), b), this.reversed(!0), this.paused(!1)
        }, d.render = function() {}, d.invalidate = function() {
            return this
        }, d._enabled = function(a, b) {
            return this._gc = !a, this._active = a && !this._paused && 0 < this._totalTime && this._totalTime < this._totalDuration, 1 != b && (a && null == this.timeline ? this._timeline.insert(this, this._startTime - this._delay) : !a && null != this.timeline && this._timeline._remove(this, !0)), !1
        }, d._kill = function() {
            return this._enabled(!1, !1)
        }, d.kill = function(a, b) {
            return this._kill(a, b), this
        }, d._uncache = function(a) {
            for (a = a ? this : this.timeline; a;) a._dirty = !0, a = a.timeline;
            return this
        }, d.eventCallback = function(a, b, c, d) {
            if (null == a) return null;
            if ("on" === a.substr(0, 2)) {
                if (1 === arguments.length) return this.vars[a];
                if (null == b) delete this.vars[a];
                else if (this.vars[a] = b, this.vars[a + "Params"] = c, this.vars[a + "Scope"] = d, c)
                    for (var e = c.length; - 1 < --e;) "{self}" === c[e] && (c = this.vars[a + "Params"] = c.concat(), c[e] = this);
                "onUpdate" === a && (this._onUpdate = b)
            }
            return this
        }, d.delay = function(a) {
            return arguments.length ? (this._timeline.smoothChildTiming && this.startTime(this._startTime + a - this._delay), this._delay = a, this) : this._delay
        }, d.duration = function(a) {
            return arguments.length ? (this._duration = this._totalDuration = a, this._uncache(!0), this._timeline.smoothChildTiming && this._active && 0 != a && this.totalTime(this._totalTime * (a / this._duration), !0), this) : (this._dirty = !1, this._duration)
        }, d.totalDuration = function(a) {
            return this._dirty = !1, arguments.length ? this.duration(a) : this._totalDuration
        }, d.time = function(a, b) {
            return arguments.length ? (this._dirty && this.totalDuration(), a > this._duration && (a = this._duration), this.totalTime(a, b)) : this._time
        }, d.totalTime = function(a, b) {
            if (!arguments.length) return this._totalTime;
            if (this._timeline) {
                if (0 > a && (a += this.totalDuration()), this._timeline.smoothChildTiming && (this._dirty && this.totalDuration(), a > this._totalDuration && (a = this._totalDuration), this._startTime = (this._paused ? this._pauseTime : this._timeline._time) - (this._reversed ? this._totalDuration - a : a) / this._timeScale, this._timeline._dirty || this._uncache(!1), !this._timeline._active))
                    for (var c = this._timeline; c._timeline;) c.totalTime(c._totalTime, !0), c = c._timeline;
                this._gc && this._enabled(!0, !1), this._totalTime != a && this.render(a, b, !1)
            }
            return this
        }, d.startTime = function(a) {
            return arguments.length ? (a != this._startTime && (this._startTime = a, this.timeline && this.timeline._sortChildren && this.timeline.insert(this, a - this._delay)), this) : this._startTime
        }, d.timeScale = function(a) {
            if (!arguments.length) return this._timeScale;
            if (a = a || 1e-6, this._timeline && this._timeline.smoothChildTiming) {
                var b = this._pauseTime || 0 == this._pauseTime ? this._pauseTime : this._timeline._totalTime;
                this._startTime = b - (b - this._startTime) * this._timeScale / a
            }
            return this._timeScale = a, this._uncache(!1)
        }, d.reversed = function(a) {
            return arguments.length ? (a != this._reversed && (this._reversed = a, this.totalTime(this._totalTime, !0)), this) : this._reversed
        }, d.paused = function(a) {
            return arguments.length ? (a != this._paused && this._timeline && (!a && this._timeline.smoothChildTiming && (this._startTime += this._timeline.rawTime() - this._pauseTime, this._uncache(!1)), this._pauseTime = a ? this._timeline.rawTime() : null, this._paused = a, this._active = !this._paused && 0 < this._totalTime && this._totalTime < this._totalDuration), this._gc && (a || this._enabled(!0, !1)), this) : this._paused
        }, h = k("core.SimpleTimeline", function(a) {
            r.call(this, 0, a), this.autoRemoveChildren = this.smoothChildTiming = !0
        }), d = h.prototype = new r, d.constructor = h, d.kill()._gc = !1, d._first = d._last = null, d._sortChildren = !1, d.insert = function(a, b) {
            a._startTime = Number(b || 0) + a._delay, a._paused && this !== a._timeline && (a._pauseTime = a._startTime + (this.rawTime() - a._startTime) / a._timeScale), a.timeline && a.timeline._remove(a, !0), a.timeline = a._timeline = this, a._gc && a._enabled(!0, !0);
            var c = this._last;
            if (this._sortChildren)
                for (var d = a._startTime; c && c._startTime > d;) c = c._prev;
            return c ? (a._next = c._next, c._next = a) : (a._next = this._first, this._first = a), a._next ? a._next._prev = a : this._last = a, a._prev = c, this._timeline && this._uncache(!0), this
        }, d._remove = function(a, b) {
            return a.timeline === this && (b || a._enabled(!1, !0), a.timeline = null, a._prev ? a._prev._next = a._next : this._first === a && (this._first = a._next), a._next ? a._next._prev = a._prev : this._last === a && (this._last = a._prev), this._timeline && this._uncache(!0)), this
        }, d.render = function(a, b) {
            var c, d = this._first;
            for (this._totalTime = this._time = this._rawPrevTime = a; d;) c = d._next, (d._active || a >= d._startTime && !d._paused) && (d._reversed ? d.render((d._dirty ? d.totalDuration() : d._totalDuration) - (a - d._startTime) * d._timeScale, b, !1) : d.render((a - d._startTime) * d._timeScale, b, !1)), d = c
        }, d.rawTime = function() {
            return this._totalTime
        };
        var t = k("TweenLite", function(a, b, c) {
            if (r.call(this, b, c), null == a) throw "Cannot tween an undefined reference.";
            if (this.target = a, this._overwrite = null == this.vars.overwrite ? y[t.defaultOverwrite] : "number" == typeof this.vars.overwrite ? this.vars.overwrite >> 0 : y[this.vars.overwrite], (a instanceof Array || a.jquery) && "object" == typeof a[0])
                for (this._targets = a.slice(0), this._propLookup = [], this._siblings = [], a = 0; a < this._targets.length; a++) c = this._targets[a], c.jquery ? (this._targets.splice(a--, 1), this._targets = this._targets.concat(c.constructor.makeArray(c))) : (this._siblings[a] = B(c, this, !1), 1 === this._overwrite && 1 < this._siblings[a].length && C(c, this, null, 1, this._siblings[a]));
            else this._propLookup = {}, this._siblings = B(a, this, !1), 1 === this._overwrite && 1 < this._siblings.length && C(a, this, null, 1, this._siblings);
            (this.vars.immediateRender || 0 === b && 0 === this._delay && 0 != this.vars.immediateRender) && this.render(-this._delay, !1, !0)
        }, !0);
        d = t.prototype = new r, d.constructor = t, d.kill()._gc = !1, d.ratio = 0, d._firstPT = d._targets = d._overwrittenProps = null, d._notifyPluginsOfEnabled = !1, t.version = 12, t.defaultEase = d._ease = new n(null, null, 1, 1), t.defaultOverwrite = "auto", t.ticker = s;
        var u = t._plugins = {},
            v = t._tweenLookup = {},
            w = 0,
            x = {
                ease: 1,
                delay: 1,
                overwrite: 1,
                onComplete: 1,
                onCompleteParams: 1,
                onCompleteScope: 1,
                useFrames: 1,
                runBackwards: 1,
                startAt: 1,
                onUpdate: 1,
                onUpdateParams: 1,
                onUpdateScope: 1,
                onStart: 1,
                onStartParams: 1,
                onStartScope: 1,
                onReverseComplete: 1,
                onReverseCompleteParams: 1,
                onReverseCompleteScope: 1,
                onRepeat: 1,
                onRepeatParams: 1,
                onRepeatScope: 1,
                easeParams: 1,
                yoyo: 1,
                orientToBezier: 1,
                immediateRender: 1,
                repeat: 1,
                repeatDelay: 1,
                data: 1,
                paused: 1,
                reversed: 1
            },
            y = {
                none: 0,
                all: 1,
                auto: 2,
                concurrent: 3,
                allOnStart: 4,
                preexisting: 5,
                "true": 1,
                "false": 0
            },
            z = r._rootFramesTimeline = new h,
            A = r._rootTimeline = new h;
        A._startTime = s.time, z._startTime = s.frame, A._active = z._active = !0, r._updateRoot = function() {
            if (A.render((s.time - A._startTime) * A._timeScale, !1, !1), z.render((s.frame - z._startTime) * z._timeScale, !1, !1), !(s.frame % 120)) {
                var a, b, c;
                for (c in v) {
                    for (b = v[c].tweens, a = b.length; - 1 < --a;) b[a]._gc && b.splice(a, 1);
                    0 === b.length && delete v[c]
                }
            }
        }, s.addEventListener("tick", r._updateRoot);
        var B = function(a, b, c) {
                var d, e = a._gsTweenID;
                if (v[e || (a._gsTweenID = e = "t" + w++)] || (v[e] = {
                        target: a,
                        tweens: []
                    }), b && (a = v[e].tweens, a[d = a.length] = b, c))
                    for (; - 1 < --d;) a[d] === b && a.splice(d, 1);
                return v[e].tweens
            },
            C = function(a, b, c, d, e) {
                var f, g, h;
                if (1 === d || d >= 4) {
                    for (a = e.length, f = 0; a > f; f++)
                        if ((h = e[f]) !== b) h._gc || h._enabled(!1, !1) && (g = !0);
                        else if (5 === d) break;
                    return g
                }
                var i, j = b._startTime + 1e-10,
                    k = [],
                    l = 0;
                for (f = e.length; - 1 < --f;)(h = e[f]) === b || h._gc || h._paused || (h._timeline !== b._timeline ? (i = i || D(b, 0), 0 === D(h, i) && (k[l++] = h)) : h._startTime <= j && h._startTime + h.totalDuration() / h._timeScale + 1e-10 > j && ((0 === b._duration || !h._initted) && 2e-10 >= j - h._startTime || (k[l++] = h)));
                for (f = l; - 1 < --f;) h = k[f], 2 === d && h._kill(c, a) && (g = !0), (2 !== d || !h._firstPT && h._initted) && h._enabled(!1, !1) && (g = !0);
                return g
            },
            D = function(a, b) {
                for (var c = a._timeline, d = c._timeScale, e = a._startTime; c._timeline;) {
                    if (e += c._startTime, d *= c._timeScale, c._paused) return -100;
                    c = c._timeline
                }
                return e /= d, e > b ? e - b : !a._initted && 2e-10 > e - b ? 1e-10 : (e += a.totalDuration() / a._timeScale / d) > b ? 0 : e - b - 1e-10
            };
        d._init = function() {
            this.vars.startAt && (this.vars.startAt.overwrite = 0, this.vars.startAt.immediateRender = !0, t.to(this.target, 0, this.vars.startAt));
            var a, b;
            if (this._ease = this.vars.ease instanceof n ? this.vars.easeParams instanceof Array ? this.vars.ease.config.apply(this.vars.ease, this.vars.easeParams) : this.vars.ease : "function" == typeof this.vars.ease ? new n(this.vars.ease, this.vars.easeParams) : t.defaultEase, this._easeType = this._ease._type, this._easePower = this._ease._power, this._firstPT = null, this._targets)
                for (a = this._targets.length; - 1 < --a;) this._initProps(this._targets[a], this._propLookup[a] = {}, this._siblings[a], this._overwrittenProps ? this._overwrittenProps[a] : null) && (b = !0);
            else b = this._initProps(this.target, this._propLookup, this._siblings, this._overwrittenProps);
            if (b && t._onPluginEvent("_onInitAllProps", this), this._overwrittenProps && null == this._firstPT && "function" != typeof this.target && this._enabled(!1, !1), this.vars.runBackwards)
                for (a = this._firstPT; a;) a.s += a.c, a.c = -a.c, a = a._next;
            this._onUpdate = this.vars.onUpdate, this._initted = !0
        }, d._initProps = function(a, b, c, d) {
            var e, f, g, h, i, j;
            if (null == a) return !1;
            for (e in this.vars) {
                if (x[e]) {
                    if (("onStartParams" === e || "onUpdateParams" === e || "onCompleteParams" === e || "onReverseCompleteParams" === e || "onRepeatParams" === e) && (i = this.vars[e]))
                        for (f = i.length; - 1 < --f;) "{self}" === i[f] && (i = this.vars[e] = i.concat(), i[f] = this)
                } else if (u[e] && (h = new u[e])._onInitTween(a, this.vars[e], this)) {
                    for (this._firstPT = j = {
                            _next: this._firstPT,
                            t: h,
                            p: "setRatio",
                            s: 0,
                            c: 1,
                            f: !0,
                            n: e,
                            pg: !0,
                            pr: h._priority
                        }, f = h._overwriteProps.length; - 1 < --f;) b[h._overwriteProps[f]] = this._firstPT;
                    (h._priority || h._onInitAllProps) && (g = !0), (h._onDisable || h._onEnable) && (this._notifyPluginsOfEnabled = !0)
                } else this._firstPT = b[e] = j = {
                    _next: this._firstPT,
                    t: a,
                    p: e,
                    f: "function" == typeof a[e],
                    n: e,
                    pg: !1,
                    pr: 0
                }, j.s = j.f ? a[e.indexOf("set") || "function" != typeof a["get" + e.substr(3)] ? e : "get" + e.substr(3)]() : parseFloat(a[e]), j.c = "number" == typeof this.vars[e] ? this.vars[e] - j.s : "string" == typeof this.vars[e] ? parseFloat(this.vars[e].split("=").join("")) : 0;
                j && j._next && (j._next._prev = j)
            }
            return d && this._kill(d, a) ? this._initProps(a, b, c, d) : 1 < this._overwrite && this._firstPT && 1 < c.length && C(a, this, b, this._overwrite, c) ? (this._kill(b, a), this._initProps(a, b, c, d)) : g
        }, d.render = function(a, b, c) {
            var d, e, f = this._time;
            if (a >= this._duration) this._totalTime = this._time = this._duration, this.ratio = this._ease._calcEnd ? this._ease.getRatio(1) : 1, this._reversed || (d = !0, e = "onComplete"), 0 === this._duration && ((0 === a || 0 > this._rawPrevTime) && this._rawPrevTime !== a && (c = !0), this._rawPrevTime = a);
            else if (0 >= a) this._totalTime = this._time = 0, this.ratio = this._ease._calcEnd ? this._ease.getRatio(0) : 0, (0 !== f || 0 === this._duration && 0 < this._rawPrevTime) && (e = "onReverseComplete", d = this._reversed), 0 > a ? (this._active = !1, 0 === this._duration && (0 <= this._rawPrevTime && (c = !0), this._rawPrevTime = a)) : this._initted || (c = !0);
            else if (this._totalTime = this._time = a, this._easeType) {
                var g = a / this._duration,
                    h = this._easeType,
                    i = this._easePower;
                (1 === h || 3 === h && g >= .5) && (g = 1 - g), 3 === h && (g *= 2), 1 === i ? g *= g : 2 === i ? g *= g * g : 3 === i ? g *= g * g * g : 4 === i && (g *= g * g * g * g), this.ratio = 1 === h ? 1 - g : 2 === h ? g : .5 > a / this._duration ? g / 2 : 1 - g / 2
            } else this.ratio = this._ease.getRatio(a / this._duration);
            if (this._time !== f || c) {
                for (this._initted || (this._init(), !d && this._time && (this.ratio = this._ease.getRatio(this._time / this._duration))), !this._active && !this._paused && (this._active = !0), 0 !== f || !this.vars.onStart || 0 === this._time && 0 !== this._duration || b || this.vars.onStart.apply(this.vars.onStartScope || this, this.vars.onStartParams || m), a = this._firstPT; a;) a.f ? a.t[a.p](a.c * this.ratio + a.s) : a.t[a.p] = a.c * this.ratio + a.s, a = a._next;
                this._onUpdate && (b || this._onUpdate.apply(this.vars.onUpdateScope || this, this.vars.onUpdateParams || m)), e && !this._gc && (d && (this._timeline.autoRemoveChildren && this._enabled(!1, !1), this._active = !1), b || this.vars[e] && this.vars[e].apply(this.vars[e + "Scope"] || this, this.vars[e + "Params"] || m))
            }
        }, d._kill = function(a, b) {
            if ("all" === a && (a = null), null == a && (null == b || b == this.target)) return this._enabled(!1, !1);
            var c, d, e, f, g, h, i, b = b || this._targets || this.target;
            if ((b instanceof Array || b.jquery) && "object" == typeof b[0])
                for (c = b.length; - 1 < --c;) this._kill(a, b[c]) && (g = !0);
            else {
                if (this._targets) {
                    for (c = this._targets.length; - 1 < --c;)
                        if (b === this._targets[c]) {
                            f = this._propLookup[c] || {}, this._overwrittenProps = this._overwrittenProps || [], d = this._overwrittenProps[c] = a ? this._overwrittenProps[c] || {} : "all";
                            break
                        }
                } else {
                    if (b !== this.target) return !1;
                    f = this._propLookup, d = this._overwrittenProps = a ? this._overwrittenProps || {} : "all"
                }
                if (f)
                    for (e in h = a || f, i = a != d && "all" != d && a != f && (null == a || 1 != a._tempKill), h)(c = f[e]) && (c.pg && c.t._kill(h) && (g = !0), c.pg && 0 !== c.t._overwriteProps.length || (c._prev ? c._prev._next = c._next : c === this._firstPT && (this._firstPT = c._next), c._next && (c._next._prev = c._prev), c._next = c._prev = null), delete f[e]), i && (d[e] = 1)
            }
            return g
        }, d.invalidate = function() {
            return this._notifyPluginsOfEnabled && t._onPluginEvent("_onDisable", this), this._onUpdate = this._overwrittenProps = this._firstPT = null, this._initted = this._active = this._notifyPluginsOfEnabled = !1, this._propLookup = this._targets ? {} : [], this
        }, d._enabled = function(a, b) {
            if (a && this._gc)
                if (this._targets)
                    for (var c = this._targets.length; - 1 < --c;) this._siblings[c] = B(this._targets[c], this, !0);
                else this._siblings = B(this.target, this, !0);
            return r.prototype._enabled.call(this, a, b), this._notifyPluginsOfEnabled && this._firstPT ? t._onPluginEvent(a ? "_onEnable" : "_onDisable", this) : !1
        }, t.to = function(a, b, c) {
            return new t(a, b, c)
        }, t.from = function(a, b, c) {
            return c.runBackwards = !0, 0 != c.immediateRender && (c.immediateRender = !0), new t(a, b, c)
        }, t.fromTo = function(a, b, c, d) {
            return d.startAt = c, c.immediateRender && (d.immediateRender = !0), new t(a, b, d)
        }, t.delayedCall = function(a, b, c, d, e) {
            return new t(b, 0, {
                delay: a,
                onComplete: b,
                onCompleteParams: c,
                onCompleteScope: d,
                onReverseComplete: b,
                onReverseCompleteParams: c,
                onReverseCompleteScope: d,
                immediateRender: !1,
                useFrames: e,
                overwrite: 0
            })
        }, t.set = function(a, b) {
            return new t(a, 0, b)
        }, t.killTweensOf = t.killDelayedCallsTo = function(a, b) {
            for (var c = t.getTweensOf(a), d = c.length; - 1 < --d;) c[d]._kill(b, a)
        }, t.getTweensOf = function(a) {
            if (null != a) {
                var b, c, d;
                if ((a instanceof Array || a.jquery) && "object" == typeof a[0]) {
                    for (b = a.length, c = []; - 1 < --b;) c = c.concat(t.getTweensOf(a[b]));
                    for (b = c.length; - 1 < --b;)
                        for (d = c[b], a = b; - 1 < --a;) d === c[a] && c.splice(b, 1)
                } else
                    for (c = B(a).concat(), b = c.length; - 1 < --b;) c[b]._gc && c.splice(b, 1);
                return c
            }
        };
        var E = k("plugins.TweenPlugin", function(a, b) {
            this._overwriteProps = (a || "").split(","), this._propName = this._overwriteProps[0], this._priority = b || 0
        }, !0);
        if (d = E.prototype, E.version = 12, E.API = 2, d._firstPT = null, d._addTween = function(a, b, c, d, e, f) {
                var g;
                null != d && (g = "number" == typeof d || "=" !== d.charAt(1) ? Number(d) - c : Number(d.split("=").join(""))) && (this._firstPT = {
                    _next: this._firstPT,
                    t: a,
                    p: b,
                    s: c,
                    c: g,
                    f: "function" == typeof a[b],
                    n: e || b,
                    r: f
                }, this._firstPT._next && (this._firstPT._next._prev = this._firstPT))
            }, d.setRatio = function(a) {
                for (var b, c = this._firstPT; c;) b = c.c * a + c.s, c.r && (b = b + (b > 0 ? .5 : -.5) >> 0), c.f ? c.t[c.p](b) : c.t[c.p] = b, c = c._next
            }, d._kill = function(a) {
                if (null != a[this._propName]) this._overwriteProps = [];
                else
                    for (var b = this._overwriteProps.length; - 1 < --b;) null != a[this._overwriteProps[b]] && this._overwriteProps.splice(b, 1);
                for (b = this._firstPT; b;) null != a[b.n] && (b._next && (b._next._prev = b._prev), b._prev ? (b._prev._next = b._next, b._prev = null) : this._firstPT === b && (this._firstPT = b._next)), b = b._next;
                return !1
            }, d._roundProps = function(a, b) {
                for (var c = this._firstPT; c;)(a[this._propName] || null != c.n && a[c.n.split(this._propName + "_").join("")]) && (c.r = b), c = c._next
            }, t._onPluginEvent = function(a, b) {
                var c, d = b._firstPT;
                if ("_onInitAllProps" === a) {
                    for (var e, f, g, h; d;) {
                        for (h = d._next, e = f; e && e.pr > d.pr;) e = e._next;
                        (d._prev = e ? e._prev : g) ? d._prev._next = d: f = d, (d._next = e) ? e._prev = d : g = d, d = h
                    }
                    d = b._firstPT = f
                }
                for (; d;) d.pg && "function" == typeof d.t[a] && d.t[a]() && (c = !0), d = d._next;
                return c
            }, E.activate = function(a) {
                for (var b = a.length; - 1 < --b;) a[b].API === E.API && (t._plugins[(new a[b])._propName] = a[b]);
                return !0
            }, b = a._gsQueue) {
            for (c = 0; c < b.length; c++) b[c]();
            for (d in i) i[d].def || console.log("Warning: TweenLite encountered missing dependency: com.greensock." + d)
        }
    }(window),
    function(a, b) {
        function c(a) {
            var b = a.length,
                c = fb.type(a);
            return fb.isWindow(a) ? !1 : 1 === a.nodeType && b ? !0 : "array" === c || "function" !== c && (0 === b || "number" == typeof b && b > 0 && b - 1 in a)
        }

        function d(a) {
            var b = ob[a] = {};
            return fb.each(a.match(hb) || [], function(a, c) {
                b[c] = !0
            }), b
        }

        function e() {
            Object.defineProperty(this.cache = {}, 0, {
                get: function() {
                    return {}
                }
            }), this.expando = fb.expando + Math.random()
        }

        function f(a, c, d) {
            var e;
            if (d === b && 1 === a.nodeType)
                if (e = "data-" + c.replace(sb, "-$1").toLowerCase(), d = a.getAttribute(e), "string" == typeof d) {
                    try {
                        d = "true" === d ? !0 : "false" === d ? !1 : "null" === d ? null : +d + "" === d ? +d : rb.test(d) ? JSON.parse(d) : d
                    } catch (f) {}
                    pb.set(a, c, d)
                } else d = b;
            return d
        }

        function g() {
            return !0
        }

        function h() {
            return !1
        }

        function i() {
            try {
                return T.activeElement
            } catch (a) {}
        }

        function j(a, b) {
            for (;
                (a = a[b]) && 1 !== a.nodeType;);
            return a
        }

        function k(a, b, c) {
            if (fb.isFunction(b)) return fb.grep(a, function(a, d) {
                return !!b.call(a, d, a) !== c
            });
            if (b.nodeType) return fb.grep(a, function(a) {
                return a === b !== c
            });
            if ("string" == typeof b) {
                if (Cb.test(b)) return fb.filter(b, a, c);
                b = fb.filter(b, a)
            }
            return fb.grep(a, function(a) {
                return bb.call(b, a) >= 0 !== c
            })
        }

        function l(a, b) {
            return fb.nodeName(a, "table") && fb.nodeName(1 === b.nodeType ? b : b.firstChild, "tr") ? a.getElementsByTagName("tbody")[0] || a.appendChild(a.ownerDocument.createElement("tbody")) : a
        }

        function m(a) {
            return a.type = (null !== a.getAttribute("type")) + "/" + a.type, a
        }

        function n(a) {
            var b = Nb.exec(a.type);
            return b ? a.type = b[1] : a.removeAttribute("type"), a
        }

        function o(a, b) {
            for (var c = a.length, d = 0; c > d; d++) qb.set(a[d], "globalEval", !b || qb.get(b[d], "globalEval"))
        }

        function p(a, b) {
            var c, d, e, f, g, h, i, j;
            if (1 === b.nodeType) {
                if (qb.hasData(a) && (f = qb.access(a), g = qb.set(b, f), j = f.events)) {
                    delete g.handle, g.events = {};
                    for (e in j)
                        for (c = 0, d = j[e].length; d > c; c++) fb.event.add(b, e, j[e][c])
                }
                pb.hasData(a) && (h = pb.access(a), i = fb.extend({}, h), pb.set(b, i))
            }
        }

        function q(a, c) {
            var d = a.getElementsByTagName ? a.getElementsByTagName(c || "*") : a.querySelectorAll ? a.querySelectorAll(c || "*") : [];
            return c === b || c && fb.nodeName(a, c) ? fb.merge([a], d) : d
        }

        function r(a, b) {
            var c = b.nodeName.toLowerCase();
            "input" === c && Kb.test(a.type) ? b.checked = a.checked : ("input" === c || "textarea" === c) && (b.defaultValue = a.defaultValue)
        }

        function s(a, b) {
            if (b in a) return b;
            for (var c = b.charAt(0).toUpperCase() + b.slice(1), d = b, e = _b.length; e--;)
                if (b = _b[e] + c, b in a) return b;
            return d
        }

        function t(a, b) {
            return a = b || a, "none" === fb.css(a, "display") || !fb.contains(a.ownerDocument, a)
        }

        function u(b) {
            return a.getComputedStyle(b, null)
        }

        function v(a, b) {
            for (var c, d, e, f = [], g = 0, h = a.length; h > g; g++) d = a[g], d.style && (f[g] = qb.get(d, "olddisplay"), c = d.style.display, b ? (f[g] || "none" !== c || (d.style.display = ""), "" === d.style.display && t(d) && (f[g] = qb.access(d, "olddisplay", z(d.nodeName)))) : f[g] || (e = t(d), (c && "none" !== c || !e) && qb.set(d, "olddisplay", e ? c : fb.css(d, "display"))));
            for (g = 0; h > g; g++) d = a[g], d.style && (b && "none" !== d.style.display && "" !== d.style.display || (d.style.display = b ? f[g] || "" : "none"));
            return a
        }

        function w(a, b, c) {
            var d = Ub.exec(b);
            return d ? Math.max(0, d[1] - (c || 0)) + (d[2] || "px") : b
        }

        function x(a, b, c, d, e) {
            for (var f = c === (d ? "border" : "content") ? 4 : "width" === b ? 1 : 0, g = 0; 4 > f; f += 2) "margin" === c && (g += fb.css(a, c + $b[f], !0, e)), d ? ("content" === c && (g -= fb.css(a, "padding" + $b[f], !0, e)), "margin" !== c && (g -= fb.css(a, "border" + $b[f] + "Width", !0, e))) : (g += fb.css(a, "padding" + $b[f], !0, e), "padding" !== c && (g += fb.css(a, "border" + $b[f] + "Width", !0, e)));
            return g
        }

        function y(a, b, c) {
            var d = !0,
                e = "width" === b ? a.offsetWidth : a.offsetHeight,
                f = u(a),
                g = fb.support.boxSizing && "border-box" === fb.css(a, "boxSizing", !1, f);
            if (0 >= e || null == e) {
                if (e = Qb(a, b, f), (0 > e || null == e) && (e = a.style[b]), Vb.test(e)) return e;
                d = g && (fb.support.boxSizingReliable || e === a.style[b]), e = parseFloat(e) || 0
            }
            return e + x(a, b, c || (g ? "border" : "content"), d, f) + "px"
        }

        function z(a) {
            var b = T,
                c = Xb[a];
            return c || (c = A(a, b), "none" !== c && c || (Rb = (Rb || fb("<iframe frameborder='0' width='0' height='0'/>").css("cssText", "display:block !important")).appendTo(b.documentElement), b = (Rb[0].contentWindow || Rb[0].contentDocument).document, b.write("<!doctype html><html><body>"), b.close(), c = A(a, b), Rb.detach()), Xb[a] = c), c
        }

        function A(a, b) {
            var c = fb(b.createElement(a)).appendTo(b.body),
                d = fb.css(c[0], "display");
            return c.remove(), d
        }

        function B(a, b, c, d) {
            var e;
            if (fb.isArray(b)) fb.each(b, function(b, e) {
                c || bc.test(a) ? d(a, e) : B(a + "[" + ("object" == typeof e ? b : "") + "]", e, c, d)
            });
            else if (c || "object" !== fb.type(b)) d(a, b);
            else
                for (e in b) B(a + "[" + e + "]", b[e], c, d)
        }

        function C(a) {
            return function(b, c) {
                "string" != typeof b && (c = b, b = "*");
                var d, e = 0,
                    f = b.toLowerCase().match(hb) || [];
                if (fb.isFunction(c))
                    for (; d = f[e++];) "+" === d[0] ? (d = d.slice(1) || "*", (a[d] = a[d] || []).unshift(c)) : (a[d] = a[d] || []).push(c)
            }
        }

        function D(a, c, d, e) {
            function f(i) {
                var j;
                return g[i] = !0, fb.each(a[i] || [], function(a, i) {
                    var k = i(c, d, e);
                    return "string" != typeof k || h || g[k] ? h ? !(j = k) : b : (c.dataTypes.unshift(k), f(k), !1)
                }), j
            }
            var g = {},
                h = a === sc;
            return f(c.dataTypes[0]) || !g["*"] && f("*")
        }

        function E(a, c) {
            var d, e, f = fb.ajaxSettings.flatOptions || {};
            for (d in c) c[d] !== b && ((f[d] ? a : e || (e = {}))[d] = c[d]);
            return e && fb.extend(!0, a, e), a
        }

        function F(a, c, d) {
            for (var e, f, g, h, i = a.contents, j = a.dataTypes;
                "*" === j[0];) j.shift(), e === b && (e = a.mimeType || c.getResponseHeader("Content-Type"));
            if (e)
                for (f in i)
                    if (i[f] && i[f].test(e)) {
                        j.unshift(f);
                        break
                    }
            if (j[0] in d) g = j[0];
            else {
                for (f in d) {
                    if (!j[0] || a.converters[f + " " + j[0]]) {
                        g = f;
                        break
                    }
                    h || (h = f)
                }
                g = g || h
            }
            return g ? (g !== j[0] && j.unshift(g), d[g]) : b
        }

        function G(a, b, c, d) {
            var e, f, g, h, i, j = {},
                k = a.dataTypes.slice();
            if (k[1])
                for (g in a.converters) j[g.toLowerCase()] = a.converters[g];
            for (f = k.shift(); f;)
                if (a.responseFields[f] && (c[a.responseFields[f]] = b), !i && d && a.dataFilter && (b = a.dataFilter(b, a.dataType)), i = f, f = k.shift())
                    if ("*" === f) f = i;
                    else if ("*" !== i && i !== f) {
                if (g = j[i + " " + f] || j["* " + f], !g)
                    for (e in j)
                        if (h = e.split(" "), h[1] === f && (g = j[i + " " + h[0]] || j["* " + h[0]])) {
                            g === !0 ? g = j[e] : j[e] !== !0 && (f = h[0], k.unshift(h[1]));
                            break
                        }
                if (g !== !0)
                    if (g && a["throws"]) b = g(b);
                    else try {
                        b = g(b)
                    } catch (l) {
                        return {
                            state: "parsererror",
                            error: g ? l : "No conversion from " + i + " to " + f
                        }
                    }
            }
            return {
                state: "success",
                data: b
            }
        }

        function H() {
            return setTimeout(function() {
                Bc = b
            }), Bc = fb.now()
        }

        function I(a, b, c) {
            for (var d, e = (Hc[b] || []).concat(Hc["*"]), f = 0, g = e.length; g > f; f++)
                if (d = e[f].call(c, b, a)) return d
        }

        function J(a, b, c) {
            var d, e, f = 0,
                g = Gc.length,
                h = fb.Deferred().always(function() {
                    delete i.elem
                }),
                i = function() {
                    if (e) return !1;
                    for (var b = Bc || H(), c = Math.max(0, j.startTime + j.duration - b), d = c / j.duration || 0, f = 1 - d, g = 0, i = j.tweens.length; i > g; g++) j.tweens[g].run(f);
                    return h.notifyWith(a, [j, f, c]), 1 > f && i ? c : (h.resolveWith(a, [j]), !1)
                },
                j = h.promise({
                    elem: a,
                    props: fb.extend({}, b),
                    opts: fb.extend(!0, {
                        specialEasing: {}
                    }, c),
                    originalProperties: b,
                    originalOptions: c,
                    startTime: Bc || H(),
                    duration: c.duration,
                    tweens: [],
                    createTween: function(b, c) {
                        var d = fb.Tween(a, j.opts, b, c, j.opts.specialEasing[b] || j.opts.easing);
                        return j.tweens.push(d), d
                    },
                    stop: function(b) {
                        var c = 0,
                            d = b ? j.tweens.length : 0;
                        if (e) return this;
                        for (e = !0; d > c; c++) j.tweens[c].run(1);
                        return b ? h.resolveWith(a, [j, b]) : h.rejectWith(a, [j, b]), this
                    }
                }),
                k = j.props;
            for (K(k, j.opts.specialEasing); g > f; f++)
                if (d = Gc[f].call(j, a, k, j.opts)) return d;
            return fb.map(k, I, j), fb.isFunction(j.opts.start) && j.opts.start.call(a, j), fb.fx.timer(fb.extend(i, {
                elem: a,
                anim: j,
                queue: j.opts.queue
            })), j.progress(j.opts.progress).done(j.opts.done, j.opts.complete).fail(j.opts.fail).always(j.opts.always)
        }

        function K(a, b) {
            var c, d, e, f, g;
            for (c in a)
                if (d = fb.camelCase(c), e = b[d], f = a[c], fb.isArray(f) && (e = f[1], f = a[c] = f[0]), c !== d && (a[d] = f, delete a[c]), g = fb.cssHooks[d], g && "expand" in g) {
                    f = g.expand(f), delete a[d];
                    for (c in f) c in a || (a[c] = f[c], b[c] = e)
                } else b[d] = e
        }

        function L(a, c, d) {
            var e, f, g, h, i, j, k = this,
                l = {},
                m = a.style,
                n = a.nodeType && t(a),
                o = qb.get(a, "fxshow");
            d.queue || (i = fb._queueHooks(a, "fx"), null == i.unqueued && (i.unqueued = 0, j = i.empty.fire, i.empty.fire = function() {
                i.unqueued || j()
            }), i.unqueued++, k.always(function() {
                k.always(function() {
                    i.unqueued--, fb.queue(a, "fx").length || i.empty.fire()
                })
            })), 1 === a.nodeType && ("height" in c || "width" in c) && (d.overflow = [m.overflow, m.overflowX, m.overflowY], "inline" === fb.css(a, "display") && "none" === fb.css(a, "float") && (m.display = "inline-block")), d.overflow && (m.overflow = "hidden", k.always(function() {
                m.overflow = d.overflow[0], m.overflowX = d.overflow[1], m.overflowY = d.overflow[2]
            }));
            for (e in c)
                if (f = c[e], Dc.exec(f)) {
                    if (delete c[e], g = g || "toggle" === f, f === (n ? "hide" : "show")) {
                        if ("show" !== f || !o || o[e] === b) continue;
                        n = !0
                    }
                    l[e] = o && o[e] || fb.style(a, e)
                }
            if (!fb.isEmptyObject(l)) {
                o ? "hidden" in o && (n = o.hidden) : o = qb.access(a, "fxshow", {}), g && (o.hidden = !n), n ? fb(a).show() : k.done(function() {
                    fb(a).hide()
                }), k.done(function() {
                    var b;
                    qb.remove(a, "fxshow");
                    for (b in l) fb.style(a, b, l[b])
                });
                for (e in l) h = I(n ? o[e] : 0, e, k), e in o || (o[e] = h.start, n && (h.end = h.start, h.start = "width" === e || "height" === e ? 1 : 0))
            }
        }

        function M(a, b, c, d, e) {
            return new M.prototype.init(a, b, c, d, e)
        }

        function N(a, b) {
            var c, d = {
                    height: a
                },
                e = 0;
            for (b = b ? 1 : 0; 4 > e; e += 2 - b) c = $b[e], d["margin" + c] = d["padding" + c] = a;
            return b && (d.opacity = d.width = a), d
        }

        function O(a) {
            return fb.isWindow(a) ? a : 9 === a.nodeType && a.defaultView
        }
        var P, Q, R = typeof b,
            S = a.location,
            T = a.document,
            U = T.documentElement,
            V = a.jQuery,
            W = a.$,
            X = {},
            Y = [],
            Z = "2.0.3",
            $ = Y.concat,
            _ = Y.push,
            ab = Y.slice,
            bb = Y.indexOf,
            cb = X.toString,
            db = X.hasOwnProperty,
            eb = Z.trim,
            fb = function(a, b) {
                return new fb.fn.init(a, b, P)
            },
            gb = /[+-]?(?:\d*\.|)\d+(?:[eE][+-]?\d+|)/.source,
            hb = /\S+/g,
            ib = /^(?:\s*(<[\w\W]+>)[^>]*|#([\w-]*))$/,
            jb = /^<(\w+)\s*\/?>(?:<\/\1>|)$/,
            kb = /^-ms-/,
            lb = /-([\da-z])/gi,
            mb = function(a, b) {
                return b.toUpperCase()
            },
            nb = function() {
                T.removeEventListener("DOMContentLoaded", nb, !1), a.removeEventListener("load", nb, !1), fb.ready()
            };
        fb.fn = fb.prototype = {
                jquery: Z,
                constructor: fb,
                init: function(a, c, d) {
                    var e, f;
                    if (!a) return this;
                    if ("string" == typeof a) {
                        if (e = "<" === a.charAt(0) && ">" === a.charAt(a.length - 1) && a.length >= 3 ? [null, a, null] : ib.exec(a), !e || !e[1] && c) return !c || c.jquery ? (c || d).find(a) : this.constructor(c).find(a);
                        if (e[1]) {
                            if (c = c instanceof fb ? c[0] : c, fb.merge(this, fb.parseHTML(e[1], c && c.nodeType ? c.ownerDocument || c : T, !0)), jb.test(e[1]) && fb.isPlainObject(c))
                                for (e in c) fb.isFunction(this[e]) ? this[e](c[e]) : this.attr(e, c[e]);
                            return this
                        }
                        return f = T.getElementById(e[2]), f && f.parentNode && (this.length = 1, this[0] = f), this.context = T, this.selector = a, this
                    }
                    return a.nodeType ? (this.context = this[0] = a, this.length = 1, this) : fb.isFunction(a) ? d.ready(a) : (a.selector !== b && (this.selector = a.selector, this.context = a.context), fb.makeArray(a, this))
                },
                selector: "",
                length: 0,
                toArray: function() {
                    return ab.call(this)
                },
                get: function(a) {
                    return null == a ? this.toArray() : 0 > a ? this[this.length + a] : this[a]
                },
                pushStack: function(a) {
                    var b = fb.merge(this.constructor(), a);
                    return b.prevObject = this, b.context = this.context, b
                },
                each: function(a, b) {
                    return fb.each(this, a, b)
                },
                ready: function(a) {
                    return fb.ready.promise().done(a), this
                },
                slice: function() {
                    return this.pushStack(ab.apply(this, arguments))
                },
                first: function() {
                    return this.eq(0)
                },
                last: function() {
                    return this.eq(-1)
                },
                eq: function(a) {
                    var b = this.length,
                        c = +a + (0 > a ? b : 0);
                    return this.pushStack(c >= 0 && b > c ? [this[c]] : [])
                },
                map: function(a) {
                    return this.pushStack(fb.map(this, function(b, c) {
                        return a.call(b, c, b)
                    }))
                },
                end: function() {
                    return this.prevObject || this.constructor(null)
                },
                push: _,
                sort: [].sort,
                splice: [].splice
            }, fb.fn.init.prototype = fb.fn, fb.extend = fb.fn.extend = function() {
                var a, c, d, e, f, g, h = arguments[0] || {},
                    i = 1,
                    j = arguments.length,
                    k = !1;
                for ("boolean" == typeof h && (k = h, h = arguments[1] || {}, i = 2), "object" == typeof h || fb.isFunction(h) || (h = {}), j === i && (h = this, --i); j > i; i++)
                    if (null != (a = arguments[i]))
                        for (c in a) d = h[c], e = a[c], h !== e && (k && e && (fb.isPlainObject(e) || (f = fb.isArray(e))) ? (f ? (f = !1, g = d && fb.isArray(d) ? d : []) : g = d && fb.isPlainObject(d) ? d : {}, h[c] = fb.extend(k, g, e)) : e !== b && (h[c] = e));
                return h
            }, fb.extend({
                expando: "jQuery" + (Z + Math.random()).replace(/\D/g, ""),
                noConflict: function(b) {
                    return a.$ === fb && (a.$ = W), b && a.jQuery === fb && (a.jQuery = V), fb
                },
                isReady: !1,
                readyWait: 1,
                holdReady: function(a) {
                    a ? fb.readyWait++ : fb.ready(!0)
                },
                ready: function(a) {
                    (a === !0 ? --fb.readyWait : fb.isReady) || (fb.isReady = !0, a !== !0 && --fb.readyWait > 0 || (Q.resolveWith(T, [fb]), fb.fn.trigger && fb(T).trigger("ready").off("ready")))
                },
                isFunction: function(a) {
                    return "function" === fb.type(a)
                },
                isArray: Array.isArray,
                isWindow: function(a) {
                    return null != a && a === a.window
                },
                isNumeric: function(a) {
                    return !isNaN(parseFloat(a)) && isFinite(a)
                },
                type: function(a) {
                    return null == a ? a + "" : "object" == typeof a || "function" == typeof a ? X[cb.call(a)] || "object" : typeof a
                },
                isPlainObject: function(a) {
                    if ("object" !== fb.type(a) || a.nodeType || fb.isWindow(a)) return !1;
                    try {
                        if (a.constructor && !db.call(a.constructor.prototype, "isPrototypeOf")) return !1
                    } catch (b) {
                        return !1
                    }
                    return !0
                },
                isEmptyObject: function(a) {
                    var b;
                    for (b in a) return !1;
                    return !0
                },
                error: function(a) {
                    throw Error(a)
                },
                parseHTML: function(a, b, c) {
                    if (!a || "string" != typeof a) return null;
                    "boolean" == typeof b && (c = b, b = !1), b = b || T;
                    var d = jb.exec(a),
                        e = !c && [];
                    return d ? [b.createElement(d[1])] : (d = fb.buildFragment([a], b, e), e && fb(e).remove(), fb.merge([], d.childNodes))
                },
                parseJSON: JSON.parse,
                parseXML: function(a) {
                    var c, d;
                    if (!a || "string" != typeof a) return null;
                    try {
                        d = new DOMParser, c = d.parseFromString(a, "text/xml")
                    } catch (e) {
                        c = b
                    }
                    return (!c || c.getElementsByTagName("parsererror").length) && fb.error("Invalid XML: " + a), c
                },
                noop: function() {},
                globalEval: function(a) {
                    var b, c = eval;
                    a = fb.trim(a), a && (1 === a.indexOf("use strict") ? (b = T.createElement("script"), b.text = a, T.head.appendChild(b).parentNode.removeChild(b)) : c(a))
                },
                camelCase: function(a) {
                    return a.replace(kb, "ms-").replace(lb, mb)
                },
                nodeName: function(a, b) {
                    return a.nodeName && a.nodeName.toLowerCase() === b.toLowerCase()
                },
                each: function(a, b, d) {
                    var e, f = 0,
                        g = a.length,
                        h = c(a);
                    if (d) {
                        if (h)
                            for (; g > f && (e = b.apply(a[f], d), e !== !1); f++);
                        else
                            for (f in a)
                                if (e = b.apply(a[f], d), e === !1) break
                    } else if (h)
                        for (; g > f && (e = b.call(a[f], f, a[f]), e !== !1); f++);
                    else
                        for (f in a)
                            if (e = b.call(a[f], f, a[f]), e === !1) break; return a
                },
                trim: function(a) {
                    return null == a ? "" : eb.call(a)
                },
                makeArray: function(a, b) {
                    var d = b || [];
                    return null != a && (c(Object(a)) ? fb.merge(d, "string" == typeof a ? [a] : a) : _.call(d, a)), d
                },
                inArray: function(a, b, c) {
                    return null == b ? -1 : bb.call(b, a, c)
                },
                merge: function(a, c) {
                    var d = c.length,
                        e = a.length,
                        f = 0;
                    if ("number" == typeof d)
                        for (; d > f; f++) a[e++] = c[f];
                    else
                        for (; c[f] !== b;) a[e++] = c[f++];
                    return a.length = e, a
                },
                grep: function(a, b, c) {
                    var d, e = [],
                        f = 0,
                        g = a.length;
                    for (c = !!c; g > f; f++) d = !!b(a[f], f), c !== d && e.push(a[f]);
                    return e
                },
                map: function(a, b, d) {
                    var e, f = 0,
                        g = a.length,
                        h = c(a),
                        i = [];
                    if (h)
                        for (; g > f; f++) e = b(a[f], f, d), null != e && (i[i.length] = e);
                    else
                        for (f in a) e = b(a[f], f, d), null != e && (i[i.length] = e);
                    return $.apply([], i)
                },
                guid: 1,
                proxy: function(a, c) {
                    var d, e, f;
                    return "string" == typeof c && (d = a[c], c = a, a = d), fb.isFunction(a) ? (e = ab.call(arguments, 2), f = function() {
                        return a.apply(c || this, e.concat(ab.call(arguments)))
                    }, f.guid = a.guid = a.guid || fb.guid++, f) : b
                },
                access: function(a, c, d, e, f, g, h) {
                    var i = 0,
                        j = a.length,
                        k = null == d;
                    if ("object" === fb.type(d)) {
                        f = !0;
                        for (i in d) fb.access(a, c, i, d[i], !0, g, h)
                    } else if (e !== b && (f = !0, fb.isFunction(e) || (h = !0), k && (h ? (c.call(a, e), c = null) : (k = c, c = function(a, b, c) {
                            return k.call(fb(a), c)
                        })), c))
                        for (; j > i; i++) c(a[i], d, h ? e : e.call(a[i], i, c(a[i], d)));
                    return f ? a : k ? c.call(a) : j ? c(a[0], d) : g
                },
                now: Date.now,
                swap: function(a, b, c, d) {
                    var e, f, g = {};
                    for (f in b) g[f] = a.style[f], a.style[f] = b[f];
                    e = c.apply(a, d || []);
                    for (f in b) a.style[f] = g[f];
                    return e
                }
            }), fb.ready.promise = function(b) {
                return Q || (Q = fb.Deferred(), "complete" === T.readyState ? setTimeout(fb.ready) : (T.addEventListener("DOMContentLoaded", nb, !1), a.addEventListener("load", nb, !1))), Q.promise(b)
            }, fb.each("Boolean Number String Function Array Date RegExp Object Error".split(" "), function(a, b) {
                X["[object " + b + "]"] = b.toLowerCase()
            }), P = fb(T),
            function(a, b) {
                function c(a, b, c, d) {
                    var e, f, g, h, i, j, k, l, o, p;
                    if ((b ? b.ownerDocument || b : O) !== G && F(b), b = b || G, c = c || [], !a || "string" != typeof a) return c;
                    if (1 !== (h = b.nodeType) && 9 !== h) return [];
                    if (I && !d) {
                        if (e = tb.exec(a))
                            if (g = e[1]) {
                                if (9 === h) {
                                    if (f = b.getElementById(g), !f || !f.parentNode) return c;
                                    if (f.id === g) return c.push(f), c
                                } else if (b.ownerDocument && (f = b.ownerDocument.getElementById(g)) && M(b, f) && f.id === g) return c.push(f), c
                            } else {
                                if (e[2]) return ab.apply(c, b.getElementsByTagName(a)), c;
                                if ((g = e[3]) && x.getElementsByClassName && b.getElementsByClassName) return ab.apply(c, b.getElementsByClassName(g)), c
                            }
                        if (x.qsa && (!J || !J.test(a))) {
                            if (l = k = N, o = b, p = 9 === h && a, 1 === h && "object" !== b.nodeName.toLowerCase()) {
                                for (j = m(a), (k = b.getAttribute("id")) ? l = k.replace(wb, "\\$&") : b.setAttribute("id", l), l = "[id='" + l + "'] ", i = j.length; i--;) j[i] = l + n(j[i]);
                                o = nb.test(a) && b.parentNode || b, p = j.join(",")
                            }
                            if (p) try {
                                return ab.apply(c, o.querySelectorAll(p)), c
                            } catch (q) {} finally {
                                k || b.removeAttribute("id")
                            }
                        }
                    }
                    return v(a.replace(kb, "$1"), b, c, d)
                }

                function d() {
                    function a(c, d) {
                        return b.push(c += " ") > z.cacheLength && delete a[b.shift()], a[c] = d
                    }
                    var b = [];
                    return a
                }

                function e(a) {
                    return a[N] = !0, a
                }

                function f(a) {
                    var b = G.createElement("div");
                    try {
                        return !!a(b)
                    } catch (c) {
                        return !1
                    } finally {
                        b.parentNode && b.parentNode.removeChild(b), b = null
                    }
                }

                function g(a, b) {
                    for (var c = a.split("|"), d = a.length; d--;) z.attrHandle[c[d]] = b
                }

                function h(a, b) {
                    var c = b && a,
                        d = c && 1 === a.nodeType && 1 === b.nodeType && (~b.sourceIndex || X) - (~a.sourceIndex || X);
                    if (d) return d;
                    if (c)
                        for (; c = c.nextSibling;)
                            if (c === b) return -1;
                    return a ? 1 : -1
                }

                function i(a) {
                    return function(b) {
                        var c = b.nodeName.toLowerCase();
                        return "input" === c && b.type === a
                    }
                }

                function j(a) {
                    return function(b) {
                        var c = b.nodeName.toLowerCase();
                        return ("input" === c || "button" === c) && b.type === a
                    }
                }

                function k(a) {
                    return e(function(b) {
                        return b = +b, e(function(c, d) {
                            for (var e, f = a([], c.length, b), g = f.length; g--;) c[e = f[g]] && (c[e] = !(d[e] = c[e]))
                        })
                    })
                }

                function l() {}

                function m(a, b) {
                    var d, e, f, g, h, i, j, k = S[a + " "];
                    if (k) return b ? 0 : k.slice(0);
                    for (h = a, i = [], j = z.preFilter; h;) {
                        (!d || (e = lb.exec(h))) && (e && (h = h.slice(e[0].length) || h), i.push(f = [])), d = !1, (e = mb.exec(h)) && (d = e.shift(), f.push({
                            value: d,
                            type: e[0].replace(kb, " ")
                        }), h = h.slice(d.length));
                        for (g in z.filter) !(e = rb[g].exec(h)) || j[g] && !(e = j[g](e)) || (d = e.shift(), f.push({
                            value: d,
                            type: g,
                            matches: e
                        }), h = h.slice(d.length));
                        if (!d) break
                    }
                    return b ? h.length : h ? c.error(a) : S(a, i).slice(0)
                }

                function n(a) {
                    for (var b = 0, c = a.length, d = ""; c > b; b++) d += a[b].value;
                    return d
                }

                function o(a, b, c) {
                    var d = b.dir,
                        e = c && "parentNode" === d,
                        f = Q++;
                    return b.first ? function(b, c, f) {
                        for (; b = b[d];)
                            if (1 === b.nodeType || e) return a(b, c, f)
                    } : function(b, c, g) {
                        var h, i, j, k = P + " " + f;
                        if (g) {
                            for (; b = b[d];)
                                if ((1 === b.nodeType || e) && a(b, c, g)) return !0
                        } else
                            for (; b = b[d];)
                                if (1 === b.nodeType || e)
                                    if (j = b[N] || (b[N] = {}), (i = j[d]) && i[0] === k) {
                                        if ((h = i[1]) === !0 || h === y) return h === !0
                                    } else if (i = j[d] = [k], i[1] = a(b, c, g) || y, i[1] === !0) return !0
                    }
                }

                function p(a) {
                    return a.length > 1 ? function(b, c, d) {
                        for (var e = a.length; e--;)
                            if (!a[e](b, c, d)) return !1;
                        return !0
                    } : a[0]
                }

                function q(a, b, c, d, e) {
                    for (var f, g = [], h = 0, i = a.length, j = null != b; i > h; h++)(f = a[h]) && (!c || c(f, d, e)) && (g.push(f), j && b.push(h));
                    return g
                }

                function r(a, b, c, d, f, g) {
                    return d && !d[N] && (d = r(d)), f && !f[N] && (f = r(f, g)), e(function(e, g, h, i) {
                        var j, k, l, m = [],
                            n = [],
                            o = g.length,
                            p = e || u(b || "*", h.nodeType ? [h] : h, []),
                            r = !a || !e && b ? p : q(p, m, a, h, i),
                            s = c ? f || (e ? a : o || d) ? [] : g : r;
                        if (c && c(r, s, h, i), d)
                            for (j = q(s, n), d(j, [], h, i), k = j.length; k--;)(l = j[k]) && (s[n[k]] = !(r[n[k]] = l));
                        if (e) {
                            if (f || a) {
                                if (f) {
                                    for (j = [], k = s.length; k--;)(l = s[k]) && j.push(r[k] = l);
                                    f(null, s = [], j, i)
                                }
                                for (k = s.length; k--;)(l = s[k]) && (j = f ? cb.call(e, l) : m[k]) > -1 && (e[j] = !(g[j] = l))
                            }
                        } else s = q(s === g ? s.splice(o, s.length) : s), f ? f(null, g, s, i) : ab.apply(g, s)
                    })
                }

                function s(a) {
                    for (var b, c, d, e = a.length, f = z.relative[a[0].type], g = f || z.relative[" "], h = f ? 1 : 0, i = o(function(a) {
                            return a === b
                        }, g, !0), j = o(function(a) {
                            return cb.call(b, a) > -1
                        }, g, !0), k = [function(a, c, d) {
                            return !f && (d || c !== D) || ((b = c).nodeType ? i(a, c, d) : j(a, c, d))
                        }]; e > h; h++)
                        if (c = z.relative[a[h].type]) k = [o(p(k), c)];
                        else {
                            if (c = z.filter[a[h].type].apply(null, a[h].matches), c[N]) {
                                for (d = ++h; e > d && !z.relative[a[d].type]; d++);
                                return r(h > 1 && p(k), h > 1 && n(a.slice(0, h - 1).concat({
                                    value: " " === a[h - 2].type ? "*" : ""
                                })).replace(kb, "$1"), c, d > h && s(a.slice(h, d)), e > d && s(a = a.slice(d)), e > d && n(a))
                            }
                            k.push(c)
                        }
                    return p(k)
                }

                function t(a, b) {
                    var d = 0,
                        f = b.length > 0,
                        g = a.length > 0,
                        h = function(e, h, i, j, k) {
                            var l, m, n, o = [],
                                p = 0,
                                r = "0",
                                s = e && [],
                                t = null != k,
                                u = D,
                                v = e || g && z.find.TAG("*", k && h.parentNode || h),
                                w = P += null == u ? 1 : Math.random() || .1;
                            for (t && (D = h !== G && h, y = d); null != (l = v[r]); r++) {
                                if (g && l) {
                                    for (m = 0; n = a[m++];)
                                        if (n(l, h, i)) {
                                            j.push(l);
                                            break
                                        }
                                    t && (P = w, y = ++d)
                                }
                                f && ((l = !n && l) && p--, e && s.push(l))
                            }
                            if (p += r, f && r !== p) {
                                for (m = 0; n = b[m++];) n(s, o, h, i);
                                if (e) {
                                    if (p > 0)
                                        for (; r--;) s[r] || o[r] || (o[r] = $.call(j));
                                    o = q(o)
                                }
                                ab.apply(j, o), t && !e && o.length > 0 && p + b.length > 1 && c.uniqueSort(j)
                            }
                            return t && (P = w, D = u), s
                        };
                    return f ? e(h) : h
                }

                function u(a, b, d) {
                    for (var e = 0, f = b.length; f > e; e++) c(a, b[e], d);
                    return d
                }

                function v(a, b, c, d) {
                    var e, f, g, h, i, j = m(a);
                    if (!d && 1 === j.length) {
                        if (f = j[0] = j[0].slice(0), f.length > 2 && "ID" === (g = f[0]).type && x.getById && 9 === b.nodeType && I && z.relative[f[1].type]) {
                            if (b = (z.find.ID(g.matches[0].replace(xb, yb), b) || [])[0], !b) return c;
                            a = a.slice(f.shift().value.length)
                        }
                        for (e = rb.needsContext.test(a) ? 0 : f.length; e-- && (g = f[e], !z.relative[h = g.type]);)
                            if ((i = z.find[h]) && (d = i(g.matches[0].replace(xb, yb), nb.test(f[0].type) && b.parentNode || b))) {
                                if (f.splice(e, 1), a = d.length && n(f), !a) return ab.apply(c, d), c;
                                break
                            }
                    }
                    return C(a, j)(d, b, !I, c, nb.test(a)), c
                }
                var w, x, y, z, A, B, C, D, E, F, G, H, I, J, K, L, M, N = "sizzle" + -new Date,
                    O = a.document,
                    P = 0,
                    Q = 0,
                    R = d(),
                    S = d(),
                    T = d(),
                    U = !1,
                    V = function(a, b) {
                        return a === b ? (U = !0, 0) : 0
                    },
                    W = typeof b,
                    X = 1 << 31,
                    Y = {}.hasOwnProperty,
                    Z = [],
                    $ = Z.pop,
                    _ = Z.push,
                    ab = Z.push,
                    bb = Z.slice,
                    cb = Z.indexOf || function(a) {
                        for (var b = 0, c = this.length; c > b; b++)
                            if (this[b] === a) return b;
                        return -1
                    },
                    db = "checked|selected|async|autofocus|autoplay|controls|defer|disabled|hidden|ismap|loop|multiple|open|readonly|required|scoped",
                    eb = "[\\x20\\t\\r\\n\\f]",
                    gb = "(?:\\\\.|[\\w-]|[^\\x00-\\xa0])+",
                    hb = gb.replace("w", "w#"),
                    ib = "\\[" + eb + "*(" + gb + ")" + eb + "*(?:([*^$|!~]?=)" + eb + "*(?:(['\"])((?:\\\\.|[^\\\\])*?)\\3|(" + hb + ")|)|)" + eb + "*\\]",
                    jb = ":(" + gb + ")(?:\\(((['\"])((?:\\\\.|[^\\\\])*?)\\3|((?:\\\\.|[^\\\\()[\\]]|" + ib.replace(3, 8) + ")*)|.*)\\)|)",
                    kb = RegExp("^" + eb + "+|((?:^|[^\\\\])(?:\\\\.)*)" + eb + "+$", "g"),
                    lb = RegExp("^" + eb + "*," + eb + "*"),
                    mb = RegExp("^" + eb + "*([>+~]|" + eb + ")" + eb + "*"),
                    nb = RegExp(eb + "*[+~]"),
                    ob = RegExp("=" + eb + "*([^\\]'\"]*)" + eb + "*\\]", "g"),
                    pb = RegExp(jb),
                    qb = RegExp("^" + hb + "$"),
                    rb = {
                        ID: RegExp("^#(" + gb + ")"),
                        CLASS: RegExp("^\\.(" + gb + ")"),
                        TAG: RegExp("^(" + gb.replace("w", "w*") + ")"),
                        ATTR: RegExp("^" + ib),
                        PSEUDO: RegExp("^" + jb),
                        CHILD: RegExp("^:(only|first|last|nth|nth-last)-(child|of-type)(?:\\(" + eb + "*(even|odd|(([+-]|)(\\d*)n|)" + eb + "*(?:([+-]|)" + eb + "*(\\d+)|))" + eb + "*\\)|)", "i"),
                        bool: RegExp("^(?:" + db + ")$", "i"),
                        needsContext: RegExp("^" + eb + "*[>+~]|:(even|odd|eq|gt|lt|nth|first|last)(?:\\(" + eb + "*((?:-\\d)?\\d*)" + eb + "*\\)|)(?=[^-]|$)", "i")
                    },
                    sb = /^[^{]+\{\s*\[native \w/,
                    tb = /^(?:#([\w-]+)|(\w+)|\.([\w-]+))$/,
                    ub = /^(?:input|select|textarea|button)$/i,
                    vb = /^h\d$/i,
                    wb = /'|\\/g,
                    xb = RegExp("\\\\([\\da-f]{1,6}" + eb + "?|(" + eb + ")|.)", "ig"),
                    yb = function(a, b, c) {
                        var d = "0x" + b - 65536;
                        return d !== d || c ? b : 0 > d ? String.fromCharCode(d + 65536) : String.fromCharCode(55296 | d >> 10, 56320 | 1023 & d)
                    };
                try {
                    ab.apply(Z = bb.call(O.childNodes), O.childNodes), Z[O.childNodes.length].nodeType
                } catch (zb) {
                    ab = {
                        apply: Z.length ? function(a, b) {
                            _.apply(a, bb.call(b))
                        } : function(a, b) {
                            for (var c = a.length, d = 0; a[c++] = b[d++];);
                            a.length = c - 1
                        }
                    }
                }
                B = c.isXML = function(a) {
                    var b = a && (a.ownerDocument || a).documentElement;
                    return b ? "HTML" !== b.nodeName : !1
                }, x = c.support = {}, F = c.setDocument = function(a) {
                    var c = a ? a.ownerDocument || a : O,
                        d = c.defaultView;
                    return c !== G && 9 === c.nodeType && c.documentElement ? (G = c, H = c.documentElement, I = !B(c), d && d.attachEvent && d !== d.top && d.attachEvent("onbeforeunload", function() {
                        F()
                    }), x.attributes = f(function(a) {
                        return a.className = "i", !a.getAttribute("className")
                    }), x.getElementsByTagName = f(function(a) {
                        return a.appendChild(c.createComment("")), !a.getElementsByTagName("*").length
                    }), x.getElementsByClassName = f(function(a) {
                        return a.innerHTML = "<div class='a'></div><div class='a i'></div>", a.firstChild.className = "i", 2 === a.getElementsByClassName("i").length
                    }), x.getById = f(function(a) {
                        return H.appendChild(a).id = N, !c.getElementsByName || !c.getElementsByName(N).length
                    }), x.getById ? (z.find.ID = function(a, b) {
                        if (typeof b.getElementById !== W && I) {
                            var c = b.getElementById(a);
                            return c && c.parentNode ? [c] : []
                        }
                    }, z.filter.ID = function(a) {
                        var b = a.replace(xb, yb);
                        return function(a) {
                            return a.getAttribute("id") === b
                        }
                    }) : (delete z.find.ID, z.filter.ID = function(a) {
                        var b = a.replace(xb, yb);
                        return function(a) {
                            var c = typeof a.getAttributeNode !== W && a.getAttributeNode("id");
                            return c && c.value === b
                        }
                    }), z.find.TAG = x.getElementsByTagName ? function(a, c) {
                        return typeof c.getElementsByTagName !== W ? c.getElementsByTagName(a) : b
                    } : function(a, b) {
                        var c, d = [],
                            e = 0,
                            f = b.getElementsByTagName(a);
                        if ("*" === a) {
                            for (; c = f[e++];) 1 === c.nodeType && d.push(c);
                            return d
                        }
                        return f
                    }, z.find.CLASS = x.getElementsByClassName && function(a, c) {
                        return typeof c.getElementsByClassName !== W && I ? c.getElementsByClassName(a) : b
                    }, K = [], J = [], (x.qsa = sb.test(c.querySelectorAll)) && (f(function(a) {
                        a.innerHTML = "<select><option selected=''></option></select>", a.querySelectorAll("[selected]").length || J.push("\\[" + eb + "*(?:value|" + db + ")"), a.querySelectorAll(":checked").length || J.push(":checked")
                    }), f(function(a) {
                        var b = c.createElement("input");
                        b.setAttribute("type", "hidden"), a.appendChild(b).setAttribute("t", ""), a.querySelectorAll("[t^='']").length && J.push("[*^$]=" + eb + "*(?:''|\"\")"), a.querySelectorAll(":enabled").length || J.push(":enabled", ":disabled"), a.querySelectorAll("*,:x"), J.push(",.*:")
                    })), (x.matchesSelector = sb.test(L = H.webkitMatchesSelector || H.mozMatchesSelector || H.oMatchesSelector || H.msMatchesSelector)) && f(function(a) {
                        x.disconnectedMatch = L.call(a, "div"), L.call(a, "[s!='']:x"), K.push("!=", jb)
                    }), J = J.length && RegExp(J.join("|")), K = K.length && RegExp(K.join("|")), M = sb.test(H.contains) || H.compareDocumentPosition ? function(a, b) {
                        var c = 9 === a.nodeType ? a.documentElement : a,
                            d = b && b.parentNode;
                        return a === d || !(!d || 1 !== d.nodeType || !(c.contains ? c.contains(d) : a.compareDocumentPosition && 16 & a.compareDocumentPosition(d)))
                    } : function(a, b) {
                        if (b)
                            for (; b = b.parentNode;)
                                if (b === a) return !0;
                        return !1
                    }, V = H.compareDocumentPosition ? function(a, b) {
                        if (a === b) return U = !0, 0;
                        var d = b.compareDocumentPosition && a.compareDocumentPosition && a.compareDocumentPosition(b);
                        return d ? 1 & d || !x.sortDetached && b.compareDocumentPosition(a) === d ? a === c || M(O, a) ? -1 : b === c || M(O, b) ? 1 : E ? cb.call(E, a) - cb.call(E, b) : 0 : 4 & d ? -1 : 1 : a.compareDocumentPosition ? -1 : 1
                    } : function(a, b) {
                        var d, e = 0,
                            f = a.parentNode,
                            g = b.parentNode,
                            i = [a],
                            j = [b];
                        if (a === b) return U = !0, 0;
                        if (!f || !g) return a === c ? -1 : b === c ? 1 : f ? -1 : g ? 1 : E ? cb.call(E, a) - cb.call(E, b) : 0;
                        if (f === g) return h(a, b);
                        for (d = a; d = d.parentNode;) i.unshift(d);
                        for (d = b; d = d.parentNode;) j.unshift(d);
                        for (; i[e] === j[e];) e++;
                        return e ? h(i[e], j[e]) : i[e] === O ? -1 : j[e] === O ? 1 : 0
                    }, c) : G
                }, c.matches = function(a, b) {
                    return c(a, null, null, b)
                }, c.matchesSelector = function(a, b) {
                    if ((a.ownerDocument || a) !== G && F(a), b = b.replace(ob, "='$1']"), !(!x.matchesSelector || !I || K && K.test(b) || J && J.test(b))) try {
                        var d = L.call(a, b);
                        if (d || x.disconnectedMatch || a.document && 11 !== a.document.nodeType) return d
                    } catch (e) {}
                    return c(b, G, null, [a]).length > 0
                }, c.contains = function(a, b) {
                    return (a.ownerDocument || a) !== G && F(a), M(a, b)
                }, c.attr = function(a, c) {
                    (a.ownerDocument || a) !== G && F(a);
                    var d = z.attrHandle[c.toLowerCase()],
                        e = d && Y.call(z.attrHandle, c.toLowerCase()) ? d(a, c, !I) : b;
                    return e === b ? x.attributes || !I ? a.getAttribute(c) : (e = a.getAttributeNode(c)) && e.specified ? e.value : null : e
                }, c.error = function(a) {
                    throw Error("Syntax error, unrecognized expression: " + a)
                }, c.uniqueSort = function(a) {
                    var b, c = [],
                        d = 0,
                        e = 0;
                    if (U = !x.detectDuplicates, E = !x.sortStable && a.slice(0), a.sort(V), U) {
                        for (; b = a[e++];) b === a[e] && (d = c.push(e));
                        for (; d--;) a.splice(c[d], 1)
                    }
                    return a
                }, A = c.getText = function(a) {
                    var b, c = "",
                        d = 0,
                        e = a.nodeType;
                    if (e) {
                        if (1 === e || 9 === e || 11 === e) {
                            if ("string" == typeof a.textContent) return a.textContent;
                            for (a = a.firstChild; a; a = a.nextSibling) c += A(a)
                        } else if (3 === e || 4 === e) return a.nodeValue
                    } else
                        for (; b = a[d]; d++) c += A(b);
                    return c
                }, z = c.selectors = {
                    cacheLength: 50,
                    createPseudo: e,
                    match: rb,
                    attrHandle: {},
                    find: {},
                    relative: {
                        ">": {
                            dir: "parentNode",
                            first: !0
                        },
                        " ": {
                            dir: "parentNode"
                        },
                        "+": {
                            dir: "previousSibling",
                            first: !0
                        },
                        "~": {
                            dir: "previousSibling"
                        }
                    },
                    preFilter: {
                        ATTR: function(a) {
                            return a[1] = a[1].replace(xb, yb), a[3] = (a[4] || a[5] || "").replace(xb, yb), "~=" === a[2] && (a[3] = " " + a[3] + " "), a.slice(0, 4)
                        },
                        CHILD: function(a) {
                            return a[1] = a[1].toLowerCase(), "nth" === a[1].slice(0, 3) ? (a[3] || c.error(a[0]), a[4] = +(a[4] ? a[5] + (a[6] || 1) : 2 * ("even" === a[3] || "odd" === a[3])), a[5] = +(a[7] + a[8] || "odd" === a[3])) : a[3] && c.error(a[0]), a
                        },
                        PSEUDO: function(a) {
                            var c, d = !a[5] && a[2];
                            return rb.CHILD.test(a[0]) ? null : (a[3] && a[4] !== b ? a[2] = a[4] : d && pb.test(d) && (c = m(d, !0)) && (c = d.indexOf(")", d.length - c) - d.length) && (a[0] = a[0].slice(0, c), a[2] = d.slice(0, c)), a.slice(0, 3))
                        }
                    },
                    filter: {
                        TAG: function(a) {
                            var b = a.replace(xb, yb).toLowerCase();
                            return "*" === a ? function() {
                                return !0
                            } : function(a) {
                                return a.nodeName && a.nodeName.toLowerCase() === b
                            }
                        },
                        CLASS: function(a) {
                            var b = R[a + " "];
                            return b || (b = RegExp("(^|" + eb + ")" + a + "(" + eb + "|$)")) && R(a, function(a) {
                                return b.test("string" == typeof a.className && a.className || typeof a.getAttribute !== W && a.getAttribute("class") || "")
                            })
                        },
                        ATTR: function(a, b, d) {
                            return function(e) {
                                var f = c.attr(e, a);
                                return null == f ? "!=" === b : b ? (f += "", "=" === b ? f === d : "!=" === b ? f !== d : "^=" === b ? d && 0 === f.indexOf(d) : "*=" === b ? d && f.indexOf(d) > -1 : "$=" === b ? d && f.slice(-d.length) === d : "~=" === b ? (" " + f + " ").indexOf(d) > -1 : "|=" === b ? f === d || f.slice(0, d.length + 1) === d + "-" : !1) : !0
                            }
                        },
                        CHILD: function(a, b, c, d, e) {
                            var f = "nth" !== a.slice(0, 3),
                                g = "last" !== a.slice(-4),
                                h = "of-type" === b;
                            return 1 === d && 0 === e ? function(a) {
                                return !!a.parentNode
                            } : function(b, c, i) {
                                var j, k, l, m, n, o, p = f !== g ? "nextSibling" : "previousSibling",
                                    q = b.parentNode,
                                    r = h && b.nodeName.toLowerCase(),
                                    s = !i && !h;
                                if (q) {
                                    if (f) {
                                        for (; p;) {
                                            for (l = b; l = l[p];)
                                                if (h ? l.nodeName.toLowerCase() === r : 1 === l.nodeType) return !1;
                                            o = p = "only" === a && !o && "nextSibling"
                                        }
                                        return !0
                                    }
                                    if (o = [g ? q.firstChild : q.lastChild], g && s) {
                                        for (k = q[N] || (q[N] = {}), j = k[a] || [], n = j[0] === P && j[1], m = j[0] === P && j[2], l = n && q.childNodes[n]; l = ++n && l && l[p] || (m = n = 0) || o.pop();)
                                            if (1 === l.nodeType && ++m && l === b) {
                                                k[a] = [P, n, m];
                                                break
                                            }
                                    } else if (s && (j = (b[N] || (b[N] = {}))[a]) && j[0] === P) m = j[1];
                                    else
                                        for (;
                                            (l = ++n && l && l[p] || (m = n = 0) || o.pop()) && ((h ? l.nodeName.toLowerCase() !== r : 1 !== l.nodeType) || !++m || (s && ((l[N] || (l[N] = {}))[a] = [P, m]), l !== b)););
                                    return m -= e, m === d || 0 === m % d && m / d >= 0
                                }
                            }
                        },
                        PSEUDO: function(a, b) {
                            var d, f = z.pseudos[a] || z.setFilters[a.toLowerCase()] || c.error("unsupported pseudo: " + a);
                            return f[N] ? f(b) : f.length > 1 ? (d = [a, a, "", b], z.setFilters.hasOwnProperty(a.toLowerCase()) ? e(function(a, c) {
                                for (var d, e = f(a, b), g = e.length; g--;) d = cb.call(a, e[g]), a[d] = !(c[d] = e[g])
                            }) : function(a) {
                                return f(a, 0, d)
                            }) : f
                        }
                    },
                    pseudos: {
                        not: e(function(a) {
                            var b = [],
                                c = [],
                                d = C(a.replace(kb, "$1"));
                            return d[N] ? e(function(a, b, c, e) {
                                for (var f, g = d(a, null, e, []), h = a.length; h--;)(f = g[h]) && (a[h] = !(b[h] = f))
                            }) : function(a, e, f) {
                                return b[0] = a, d(b, null, f, c), !c.pop()
                            }
                        }),
                        has: e(function(a) {
                            return function(b) {
                                return c(a, b).length > 0
                            }
                        }),
                        contains: e(function(a) {
                            return function(b) {
                                return (b.textContent || b.innerText || A(b)).indexOf(a) > -1
                            }
                        }),
                        lang: e(function(a) {
                            return qb.test(a || "") || c.error("unsupported lang: " + a), a = a.replace(xb, yb).toLowerCase(),
                                function(b) {
                                    var c;
                                    do
                                        if (c = I ? b.lang : b.getAttribute("xml:lang") || b.getAttribute("lang")) return c = c.toLowerCase(), c === a || 0 === c.indexOf(a + "-");
                                    while ((b = b.parentNode) && 1 === b.nodeType);
                                    return !1
                                }
                        }),
                        target: function(b) {
                            var c = a.location && a.location.hash;
                            return c && c.slice(1) === b.id
                        },
                        root: function(a) {
                            return a === H
                        },
                        focus: function(a) {
                            return a === G.activeElement && (!G.hasFocus || G.hasFocus()) && !!(a.type || a.href || ~a.tabIndex)
                        },
                        enabled: function(a) {
                            return a.disabled === !1
                        },
                        disabled: function(a) {
                            return a.disabled === !0
                        },
                        checked: function(a) {
                            var b = a.nodeName.toLowerCase();
                            return "input" === b && !!a.checked || "option" === b && !!a.selected
                        },
                        selected: function(a) {
                            return a.parentNode && a.parentNode.selectedIndex, a.selected === !0
                        },
                        empty: function(a) {
                            for (a = a.firstChild; a; a = a.nextSibling)
                                if (a.nodeName > "@" || 3 === a.nodeType || 4 === a.nodeType) return !1;
                            return !0
                        },
                        parent: function(a) {
                            return !z.pseudos.empty(a)
                        },
                        header: function(a) {
                            return vb.test(a.nodeName)
                        },
                        input: function(a) {
                            return ub.test(a.nodeName)
                        },
                        button: function(a) {
                            var b = a.nodeName.toLowerCase();
                            return "input" === b && "button" === a.type || "button" === b
                        },
                        text: function(a) {
                            var b;
                            return "input" === a.nodeName.toLowerCase() && "text" === a.type && (null == (b = a.getAttribute("type")) || b.toLowerCase() === a.type)
                        },
                        first: k(function() {
                            return [0]
                        }),
                        last: k(function(a, b) {
                            return [b - 1]
                        }),
                        eq: k(function(a, b, c) {
                            return [0 > c ? c + b : c]
                        }),
                        even: k(function(a, b) {
                            for (var c = 0; b > c; c += 2) a.push(c);
                            return a
                        }),
                        odd: k(function(a, b) {
                            for (var c = 1; b > c; c += 2) a.push(c);
                            return a
                        }),
                        lt: k(function(a, b, c) {
                            for (var d = 0 > c ? c + b : c; --d >= 0;) a.push(d);
                            return a
                        }),
                        gt: k(function(a, b, c) {
                            for (var d = 0 > c ? c + b : c; b > ++d;) a.push(d);
                            return a
                        })
                    }
                }, z.pseudos.nth = z.pseudos.eq;
                for (w in {
                        radio: !0,
                        checkbox: !0,
                        file: !0,
                        password: !0,
                        image: !0
                    }) z.pseudos[w] = i(w);
                for (w in {
                        submit: !0,
                        reset: !0
                    }) z.pseudos[w] = j(w);
                l.prototype = z.filters = z.pseudos, z.setFilters = new l, C = c.compile = function(a, b) {
                    var c, d = [],
                        e = [],
                        f = T[a + " "];
                    if (!f) {
                        for (b || (b = m(a)), c = b.length; c--;) f = s(b[c]), f[N] ? d.push(f) : e.push(f);
                        f = T(a, t(e, d))
                    }
                    return f
                }, x.sortStable = N.split("").sort(V).join("") === N, x.detectDuplicates = U, F(), x.sortDetached = f(function(a) {
                    return 1 & a.compareDocumentPosition(G.createElement("div"))
                }), f(function(a) {
                    return a.innerHTML = "<a href='#'></a>", "#" === a.firstChild.getAttribute("href")
                }) || g("type|href|height|width", function(a, c, d) {
                    return d ? b : a.getAttribute(c, "type" === c.toLowerCase() ? 1 : 2)
                }), x.attributes && f(function(a) {
                    return a.innerHTML = "<input/>", a.firstChild.setAttribute("value", ""), "" === a.firstChild.getAttribute("value")
                }) || g("value", function(a, c, d) {
                    return d || "input" !== a.nodeName.toLowerCase() ? b : a.defaultValue
                }), f(function(a) {
                    return null == a.getAttribute("disabled")
                }) || g(db, function(a, c, d) {
                    var e;
                    return d ? b : (e = a.getAttributeNode(c)) && e.specified ? e.value : a[c] === !0 ? c.toLowerCase() : null
                }), fb.find = c, fb.expr = c.selectors, fb.expr[":"] = fb.expr.pseudos, fb.unique = c.uniqueSort, fb.text = c.getText, fb.isXMLDoc = c.isXML, fb.contains = c.contains
            }(a);
        var ob = {};
        fb.Callbacks = function(a) {
            a = "string" == typeof a ? ob[a] || d(a) : fb.extend({}, a);
            var c, e, f, g, h, i, j = [],
                k = !a.once && [],
                l = function(b) {
                    for (c = a.memory && b, e = !0, i = g || 0, g = 0, h = j.length, f = !0; j && h > i; i++)
                        if (j[i].apply(b[0], b[1]) === !1 && a.stopOnFalse) {
                            c = !1;
                            break
                        }
                    f = !1, j && (k ? k.length && l(k.shift()) : c ? j = [] : m.disable())
                },
                m = {
                    add: function() {
                        if (j) {
                            var b = j.length;
                            ! function d(b) {
                                fb.each(b, function(b, c) {
                                    var e = fb.type(c);
                                    "function" === e ? a.unique && m.has(c) || j.push(c) : c && c.length && "string" !== e && d(c)
                                })
                            }(arguments), f ? h = j.length : c && (g = b, l(c))
                        }
                        return this
                    },
                    remove: function() {
                        return j && fb.each(arguments, function(a, b) {
                            for (var c;
                                (c = fb.inArray(b, j, c)) > -1;) j.splice(c, 1), f && (h >= c && h--, i >= c && i--)
                        }), this
                    },
                    has: function(a) {
                        return a ? fb.inArray(a, j) > -1 : !(!j || !j.length)
                    },
                    empty: function() {
                        return j = [], h = 0, this
                    },
                    disable: function() {
                        return j = k = c = b, this
                    },
                    disabled: function() {
                        return !j
                    },
                    lock: function() {
                        return k = b, c || m.disable(), this
                    },
                    locked: function() {
                        return !k
                    },
                    fireWith: function(a, b) {
                        return !j || e && !k || (b = b || [], b = [a, b.slice ? b.slice() : b], f ? k.push(b) : l(b)), this
                    },
                    fire: function() {
                        return m.fireWith(this, arguments), this
                    },
                    fired: function() {
                        return !!e
                    }
                };
            return m
        }, fb.extend({
            Deferred: function(a) {
                var b = [
                        ["resolve", "done", fb.Callbacks("once memory"), "resolved"],
                        ["reject", "fail", fb.Callbacks("once memory"), "rejected"],
                        ["notify", "progress", fb.Callbacks("memory")]
                    ],
                    c = "pending",
                    d = {
                        state: function() {
                            return c
                        },
                        always: function() {
                            return e.done(arguments).fail(arguments), this
                        },
                        then: function() {
                            var a = arguments;
                            return fb.Deferred(function(c) {
                                fb.each(b, function(b, f) {
                                    var g = f[0],
                                        h = fb.isFunction(a[b]) && a[b];
                                    e[f[1]](function() {
                                        var a = h && h.apply(this, arguments);
                                        a && fb.isFunction(a.promise) ? a.promise().done(c.resolve).fail(c.reject).progress(c.notify) : c[g + "With"](this === d ? c.promise() : this, h ? [a] : arguments)
                                    })
                                }), a = null
                            }).promise()
                        },
                        promise: function(a) {
                            return null != a ? fb.extend(a, d) : d
                        }
                    },
                    e = {};
                return d.pipe = d.then, fb.each(b, function(a, f) {
                    var g = f[2],
                        h = f[3];
                    d[f[1]] = g.add, h && g.add(function() {
                        c = h
                    }, b[1 ^ a][2].disable, b[2][2].lock), e[f[0]] = function() {
                        return e[f[0] + "With"](this === e ? d : this, arguments), this
                    }, e[f[0] + "With"] = g.fireWith
                }), d.promise(e), a && a.call(e, e), e
            },
            when: function(a) {
                var b, c, d, e = 0,
                    f = ab.call(arguments),
                    g = f.length,
                    h = 1 !== g || a && fb.isFunction(a.promise) ? g : 0,
                    i = 1 === h ? a : fb.Deferred(),
                    j = function(a, c, d) {
                        return function(e) {
                            c[a] = this, d[a] = arguments.length > 1 ? ab.call(arguments) : e, d === b ? i.notifyWith(c, d) : --h || i.resolveWith(c, d)
                        }
                    };
                if (g > 1)
                    for (b = Array(g), c = Array(g), d = Array(g); g > e; e++) f[e] && fb.isFunction(f[e].promise) ? f[e].promise().done(j(e, d, f)).fail(i.reject).progress(j(e, c, b)) : --h;
                return h || i.resolveWith(d, f), i.promise()
            }
        }), fb.support = function(b) {
            var c = T.createElement("input"),
                d = T.createDocumentFragment(),
                e = T.createElement("div"),
                f = T.createElement("select"),
                g = f.appendChild(T.createElement("option"));
            return c.type ? (c.type = "checkbox", b.checkOn = "" !== c.value, b.optSelected = g.selected, b.reliableMarginRight = !0, b.boxSizingReliable = !0, b.pixelPosition = !1, c.checked = !0, b.noCloneChecked = c.cloneNode(!0).checked, f.disabled = !0, b.optDisabled = !g.disabled, c = T.createElement("input"), c.value = "t", c.type = "radio", b.radioValue = "t" === c.value, c.setAttribute("checked", "t"), c.setAttribute("name", "t"), d.appendChild(c), b.checkClone = d.cloneNode(!0).cloneNode(!0).lastChild.checked, b.focusinBubbles = "onfocusin" in a, e.style.backgroundClip = "content-box", e.cloneNode(!0).style.backgroundClip = "", b.clearCloneStyle = "content-box" === e.style.backgroundClip, fb(function() {
                var c, d, f = "padding:0;margin:0;border:0;display:block;-webkit-box-sizing:content-box;-moz-box-sizing:content-box;box-sizing:content-box",
                    g = T.getElementsByTagName("body")[0];
                g && (c = T.createElement("div"), c.style.cssText = "border:0;width:0;height:0;position:absolute;top:0;left:-9999px;margin-top:1px", g.appendChild(c).appendChild(e), e.innerHTML = "", e.style.cssText = "-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:1px;border:1px;display:block;width:4px;margin-top:1%;position:absolute;top:1%", fb.swap(g, null != g.style.zoom ? {
                    zoom: 1
                } : {}, function() {
                    b.boxSizing = 4 === e.offsetWidth
                }), a.getComputedStyle && (b.pixelPosition = "1%" !== (a.getComputedStyle(e, null) || {}).top, b.boxSizingReliable = "4px" === (a.getComputedStyle(e, null) || {
                    width: "4px"
                }).width, d = e.appendChild(T.createElement("div")), d.style.cssText = e.style.cssText = f, d.style.marginRight = d.style.width = "0", e.style.width = "1px", b.reliableMarginRight = !parseFloat((a.getComputedStyle(d, null) || {}).marginRight)), g.removeChild(c))
            }), b) : b
        }({});
        var pb, qb, rb = /(?:\{[\s\S]*\}|\[[\s\S]*\])$/,
            sb = /([A-Z])/g;
        e.uid = 1, e.accepts = function(a) {
            return a.nodeType ? 1 === a.nodeType || 9 === a.nodeType : !0
        }, e.prototype = {
            key: function(a) {
                if (!e.accepts(a)) return 0;
                var b = {},
                    c = a[this.expando];
                if (!c) {
                    c = e.uid++;
                    try {
                        b[this.expando] = {
                            value: c
                        }, Object.defineProperties(a, b)
                    } catch (d) {
                        b[this.expando] = c, fb.extend(a, b)
                    }
                }
                return this.cache[c] || (this.cache[c] = {}), c
            },
            set: function(a, b, c) {
                var d, e = this.key(a),
                    f = this.cache[e];
                if ("string" == typeof b) f[b] = c;
                else if (fb.isEmptyObject(f)) fb.extend(this.cache[e], b);
                else
                    for (d in b) f[d] = b[d];
                return f
            },
            get: function(a, c) {
                var d = this.cache[this.key(a)];
                return c === b ? d : d[c]
            },
            access: function(a, c, d) {
                var e;
                return c === b || c && "string" == typeof c && d === b ? (e = this.get(a, c), e !== b ? e : this.get(a, fb.camelCase(c))) : (this.set(a, c, d), d !== b ? d : c)
            },
            remove: function(a, c) {
                var d, e, f, g = this.key(a),
                    h = this.cache[g];
                if (c === b) this.cache[g] = {};
                else {
                    fb.isArray(c) ? e = c.concat(c.map(fb.camelCase)) : (f = fb.camelCase(c), c in h ? e = [c, f] : (e = f, e = e in h ? [e] : e.match(hb) || [])), d = e.length;
                    for (; d--;) delete h[e[d]]
                }
            },
            hasData: function(a) {
                return !fb.isEmptyObject(this.cache[a[this.expando]] || {})
            },
            discard: function(a) {
                a[this.expando] && delete this.cache[a[this.expando]]
            }
        }, pb = new e, qb = new e, fb.extend({
            acceptData: e.accepts,
            hasData: function(a) {
                return pb.hasData(a) || qb.hasData(a)
            },
            data: function(a, b, c) {
                return pb.access(a, b, c)
            },
            removeData: function(a, b) {
                pb.remove(a, b)
            },
            _data: function(a, b, c) {
                return qb.access(a, b, c)
            },
            _removeData: function(a, b) {
                qb.remove(a, b)
            }
        }), fb.fn.extend({
            data: function(a, c) {
                var d, e, g = this[0],
                    h = 0,
                    i = null;
                if (a === b) {
                    if (this.length && (i = pb.get(g), 1 === g.nodeType && !qb.get(g, "hasDataAttrs"))) {
                        for (d = g.attributes; d.length > h; h++) e = d[h].name, 0 === e.indexOf("data-") && (e = fb.camelCase(e.slice(5)), f(g, e, i[e]));
                        qb.set(g, "hasDataAttrs", !0)
                    }
                    return i
                }
                return "object" == typeof a ? this.each(function() {
                    pb.set(this, a)
                }) : fb.access(this, function(c) {
                    var d, e = fb.camelCase(a);
                    if (g && c === b) {
                        if (d = pb.get(g, a), d !== b) return d;
                        if (d = pb.get(g, e), d !== b) return d;
                        if (d = f(g, e, b), d !== b) return d
                    } else this.each(function() {
                        var d = pb.get(this, e);
                        pb.set(this, e, c), -1 !== a.indexOf("-") && d !== b && pb.set(this, a, c)
                    })
                }, null, c, arguments.length > 1, null, !0)
            },
            removeData: function(a) {
                return this.each(function() {
                    pb.remove(this, a)
                })
            }
        }), fb.extend({
            queue: function(a, c, d) {
                var e;
                return a ? (c = (c || "fx") + "queue", e = qb.get(a, c), d && (!e || fb.isArray(d) ? e = qb.access(a, c, fb.makeArray(d)) : e.push(d)), e || []) : b
            },
            dequeue: function(a, b) {
                b = b || "fx";
                var c = fb.queue(a, b),
                    d = c.length,
                    e = c.shift(),
                    f = fb._queueHooks(a, b),
                    g = function() {
                        fb.dequeue(a, b)
                    };
                "inprogress" === e && (e = c.shift(), d--), e && ("fx" === b && c.unshift("inprogress"), delete f.stop, e.call(a, g, f)), !d && f && f.empty.fire()
            },
            _queueHooks: function(a, b) {
                var c = b + "queueHooks";
                return qb.get(a, c) || qb.access(a, c, {
                    empty: fb.Callbacks("once memory").add(function() {
                        qb.remove(a, [b + "queue", c])
                    })
                })
            }
        }), fb.fn.extend({
            queue: function(a, c) {
                var d = 2;
                return "string" != typeof a && (c = a, a = "fx", d--), d > arguments.length ? fb.queue(this[0], a) : c === b ? this : this.each(function() {
                    var b = fb.queue(this, a, c);
                    fb._queueHooks(this, a), "fx" === a && "inprogress" !== b[0] && fb.dequeue(this, a)
                })
            },
            dequeue: function(a) {
                return this.each(function() {
                    fb.dequeue(this, a)
                })
            },
            delay: function(a, b) {
                return a = fb.fx ? fb.fx.speeds[a] || a : a, b = b || "fx", this.queue(b, function(b, c) {
                    var d = setTimeout(b, a);
                    c.stop = function() {
                        clearTimeout(d)
                    }
                })
            },
            clearQueue: function(a) {
                return this.queue(a || "fx", [])
            },
            promise: function(a, c) {
                var d, e = 1,
                    f = fb.Deferred(),
                    g = this,
                    h = this.length,
                    i = function() {
                        --e || f.resolveWith(g, [g])
                    };
                for ("string" != typeof a && (c = a, a = b), a = a || "fx"; h--;) d = qb.get(g[h], a + "queueHooks"), d && d.empty && (e++, d.empty.add(i));
                return i(), f.promise(c)
            }
        });
        var tb, ub, vb = /[\t\r\n\f]/g,
            wb = /\r/g,
            xb = /^(?:input|select|textarea|button)$/i;
        fb.fn.extend({
            attr: function(a, b) {
                return fb.access(this, fb.attr, a, b, arguments.length > 1)
            },
            removeAttr: function(a) {
                return this.each(function() {
                    fb.removeAttr(this, a)
                })
            },
            prop: function(a, b) {
                return fb.access(this, fb.prop, a, b, arguments.length > 1)
            },
            removeProp: function(a) {
                return this.each(function() {
                    delete this[fb.propFix[a] || a]
                })
            },
            addClass: function(a) {
                var b, c, d, e, f, g = 0,
                    h = this.length,
                    i = "string" == typeof a && a;
                if (fb.isFunction(a)) return this.each(function(b) {
                    fb(this).addClass(a.call(this, b, this.className))
                });
                if (i)
                    for (b = (a || "").match(hb) || []; h > g; g++)
                        if (c = this[g], d = 1 === c.nodeType && (c.className ? (" " + c.className + " ").replace(vb, " ") : " ")) {
                            for (f = 0; e = b[f++];) 0 > d.indexOf(" " + e + " ") && (d += e + " ");
                            c.className = fb.trim(d)
                        }
                return this
            },
            removeClass: function(a) {
                var b, c, d, e, f, g = 0,
                    h = this.length,
                    i = 0 === arguments.length || "string" == typeof a && a;
                if (fb.isFunction(a)) return this.each(function(b) {
                    fb(this).removeClass(a.call(this, b, this.className))
                });
                if (i)
                    for (b = (a || "").match(hb) || []; h > g; g++)
                        if (c = this[g], d = 1 === c.nodeType && (c.className ? (" " + c.className + " ").replace(vb, " ") : "")) {
                            for (f = 0; e = b[f++];)
                                for (; d.indexOf(" " + e + " ") >= 0;) d = d.replace(" " + e + " ", " ");
                            c.className = a ? fb.trim(d) : ""
                        }
                return this
            },
            toggleClass: function(a, b) {
                var c = typeof a;
                return "boolean" == typeof b && "string" === c ? b ? this.addClass(a) : this.removeClass(a) : fb.isFunction(a) ? this.each(function(c) {
                    fb(this).toggleClass(a.call(this, c, this.className, b), b)
                }) : this.each(function() {
                    if ("string" === c)
                        for (var b, d = 0, e = fb(this), f = a.match(hb) || []; b = f[d++];) e.hasClass(b) ? e.removeClass(b) : e.addClass(b);
                    else(c === R || "boolean" === c) && (this.className && qb.set(this, "__className__", this.className), this.className = this.className || a === !1 ? "" : qb.get(this, "__className__") || "")
                })
            },
            hasClass: function(a) {
                for (var b = " " + a + " ", c = 0, d = this.length; d > c; c++)
                    if (1 === this[c].nodeType && (" " + this[c].className + " ").replace(vb, " ").indexOf(b) >= 0) return !0;
                return !1
            },
            val: function(a) {
                var c, d, e, f = this[0];
                return arguments.length ? (e = fb.isFunction(a), this.each(function(d) {
                    var f;
                    1 === this.nodeType && (f = e ? a.call(this, d, fb(this).val()) : a, null == f ? f = "" : "number" == typeof f ? f += "" : fb.isArray(f) && (f = fb.map(f, function(a) {
                        return null == a ? "" : a + ""
                    })), c = fb.valHooks[this.type] || fb.valHooks[this.nodeName.toLowerCase()], c && "set" in c && c.set(this, f, "value") !== b || (this.value = f))
                })) : f ? (c = fb.valHooks[f.type] || fb.valHooks[f.nodeName.toLowerCase()], c && "get" in c && (d = c.get(f, "value")) !== b ? d : (d = f.value, "string" == typeof d ? d.replace(wb, "") : null == d ? "" : d)) : void 0
            }
        }), fb.extend({
            valHooks: {
                option: {
                    get: function(a) {
                        var b = a.attributes.value;
                        return !b || b.specified ? a.value : a.text
                    }
                },
                select: {
                    get: function(a) {
                        for (var b, c, d = a.options, e = a.selectedIndex, f = "select-one" === a.type || 0 > e, g = f ? null : [], h = f ? e + 1 : d.length, i = 0 > e ? h : f ? e : 0; h > i; i++)
                            if (c = d[i], !(!c.selected && i !== e || (fb.support.optDisabled ? c.disabled : null !== c.getAttribute("disabled")) || c.parentNode.disabled && fb.nodeName(c.parentNode, "optgroup"))) {
                                if (b = fb(c).val(), f) return b;
                                g.push(b)
                            }
                        return g
                    },
                    set: function(a, b) {
                        for (var c, d, e = a.options, f = fb.makeArray(b), g = e.length; g--;) d = e[g], (d.selected = fb.inArray(fb(d).val(), f) >= 0) && (c = !0);
                        return c || (a.selectedIndex = -1), f
                    }
                }
            },
            attr: function(a, c, d) {
                var e, f, g = a.nodeType;
                return a && 3 !== g && 8 !== g && 2 !== g ? typeof a.getAttribute === R ? fb.prop(a, c, d) : (1 === g && fb.isXMLDoc(a) || (c = c.toLowerCase(), e = fb.attrHooks[c] || (fb.expr.match.bool.test(c) ? ub : tb)), d === b ? e && "get" in e && null !== (f = e.get(a, c)) ? f : (f = fb.find.attr(a, c), null == f ? b : f) : null !== d ? e && "set" in e && (f = e.set(a, d, c)) !== b ? f : (a.setAttribute(c, d + ""), d) : (fb.removeAttr(a, c), b)) : void 0
            },
            removeAttr: function(a, b) {
                var c, d, e = 0,
                    f = b && b.match(hb);
                if (f && 1 === a.nodeType)
                    for (; c = f[e++];) d = fb.propFix[c] || c, fb.expr.match.bool.test(c) && (a[d] = !1), a.removeAttribute(c)
            },
            attrHooks: {
                type: {
                    set: function(a, b) {
                        if (!fb.support.radioValue && "radio" === b && fb.nodeName(a, "input")) {
                            var c = a.value;
                            return a.setAttribute("type", b), c && (a.value = c), b
                        }
                    }
                }
            },
            propFix: {
                "for": "htmlFor",
                "class": "className"
            },
            prop: function(a, c, d) {
                var e, f, g, h = a.nodeType;
                return a && 3 !== h && 8 !== h && 2 !== h ? (g = 1 !== h || !fb.isXMLDoc(a), g && (c = fb.propFix[c] || c, f = fb.propHooks[c]), d !== b ? f && "set" in f && (e = f.set(a, d, c)) !== b ? e : a[c] = d : f && "get" in f && null !== (e = f.get(a, c)) ? e : a[c]) : void 0
            },
            propHooks: {
                tabIndex: {
                    get: function(a) {
                        return a.hasAttribute("tabindex") || xb.test(a.nodeName) || a.href ? a.tabIndex : -1
                    }
                }
            }
        }), ub = {
            set: function(a, b, c) {
                return b === !1 ? fb.removeAttr(a, c) : a.setAttribute(c, c), c
            }
        }, fb.each(fb.expr.match.bool.source.match(/\w+/g), function(a, c) {
            var d = fb.expr.attrHandle[c] || fb.find.attr;
            fb.expr.attrHandle[c] = function(a, c, e) {
                var f = fb.expr.attrHandle[c],
                    g = e ? b : (fb.expr.attrHandle[c] = b) != d(a, c, e) ? c.toLowerCase() : null;
                return fb.expr.attrHandle[c] = f, g
            }
        }), fb.support.optSelected || (fb.propHooks.selected = {
            get: function(a) {
                var b = a.parentNode;
                return b && b.parentNode && b.parentNode.selectedIndex, null
            }
        }), fb.each(["tabIndex", "readOnly", "maxLength", "cellSpacing", "cellPadding", "rowSpan", "colSpan", "useMap", "frameBorder", "contentEditable"], function() {
            fb.propFix[this.toLowerCase()] = this
        }), fb.each(["radio", "checkbox"], function() {
            fb.valHooks[this] = {
                set: function(a, c) {
                    return fb.isArray(c) ? a.checked = fb.inArray(fb(a).val(), c) >= 0 : b
                }
            }, fb.support.checkOn || (fb.valHooks[this].get = function(a) {
                return null === a.getAttribute("value") ? "on" : a.value
            })
        });
        var yb = /^key/,
            zb = /^(?:mouse|contextmenu)|click/,
            Ab = /^(?:focusinfocus|focusoutblur)$/,
            Bb = /^([^.]*)(?:\.(.+)|)$/;
        fb.event = {
            global: {},
            add: function(a, c, d, e, f) {
                var g, h, i, j, k, l, m, n, o, p, q, r = qb.get(a);
                if (r) {
                    for (d.handler && (g = d, d = g.handler, f = g.selector), d.guid || (d.guid = fb.guid++), (j = r.events) || (j = r.events = {}), (h = r.handle) || (h = r.handle = function(a) {
                            return typeof fb === R || a && fb.event.triggered === a.type ? b : fb.event.dispatch.apply(h.elem, arguments)
                        }, h.elem = a), c = (c || "").match(hb) || [""], k = c.length; k--;) i = Bb.exec(c[k]) || [], o = q = i[1], p = (i[2] || "").split(".").sort(), o && (m = fb.event.special[o] || {}, o = (f ? m.delegateType : m.bindType) || o, m = fb.event.special[o] || {}, l = fb.extend({
                        type: o,
                        origType: q,
                        data: e,
                        handler: d,
                        guid: d.guid,
                        selector: f,
                        needsContext: f && fb.expr.match.needsContext.test(f),
                        namespace: p.join(".")
                    }, g), (n = j[o]) || (n = j[o] = [], n.delegateCount = 0, m.setup && m.setup.call(a, e, p, h) !== !1 || a.addEventListener && a.addEventListener(o, h, !1)), m.add && (m.add.call(a, l), l.handler.guid || (l.handler.guid = d.guid)), f ? n.splice(n.delegateCount++, 0, l) : n.push(l), fb.event.global[o] = !0);
                    a = null
                }
            },
            remove: function(a, b, c, d, e) {
                var f, g, h, i, j, k, l, m, n, o, p, q = qb.hasData(a) && qb.get(a);
                if (q && (i = q.events)) {
                    for (b = (b || "").match(hb) || [""], j = b.length; j--;)
                        if (h = Bb.exec(b[j]) || [], n = p = h[1], o = (h[2] || "").split(".").sort(), n) {
                            for (l = fb.event.special[n] || {}, n = (d ? l.delegateType : l.bindType) || n, m = i[n] || [], h = h[2] && RegExp("(^|\\.)" + o.join("\\.(?:.*\\.|)") + "(\\.|$)"), g = f = m.length; f--;) k = m[f], !e && p !== k.origType || c && c.guid !== k.guid || h && !h.test(k.namespace) || d && d !== k.selector && ("**" !== d || !k.selector) || (m.splice(f, 1), k.selector && m.delegateCount--, l.remove && l.remove.call(a, k));
                            g && !m.length && (l.teardown && l.teardown.call(a, o, q.handle) !== !1 || fb.removeEvent(a, n, q.handle), delete i[n])
                        } else
                            for (n in i) fb.event.remove(a, n + b[j], c, d, !0);
                    fb.isEmptyObject(i) && (delete q.handle, qb.remove(a, "events"))
                }
            },
            trigger: function(c, d, e, f) {
                var g, h, i, j, k, l, m, n = [e || T],
                    o = db.call(c, "type") ? c.type : c,
                    p = db.call(c, "namespace") ? c.namespace.split(".") : [];
                if (h = i = e = e || T, 3 !== e.nodeType && 8 !== e.nodeType && !Ab.test(o + fb.event.triggered) && (o.indexOf(".") >= 0 && (p = o.split("."), o = p.shift(), p.sort()), k = 0 > o.indexOf(":") && "on" + o, c = c[fb.expando] ? c : new fb.Event(o, "object" == typeof c && c), c.isTrigger = f ? 2 : 3, c.namespace = p.join("."), c.namespace_re = c.namespace ? RegExp("(^|\\.)" + p.join("\\.(?:.*\\.|)") + "(\\.|$)") : null, c.result = b, c.target || (c.target = e), d = null == d ? [c] : fb.makeArray(d, [c]), m = fb.event.special[o] || {}, f || !m.trigger || m.trigger.apply(e, d) !== !1)) {
                    if (!f && !m.noBubble && !fb.isWindow(e)) {
                        for (j = m.delegateType || o, Ab.test(j + o) || (h = h.parentNode); h; h = h.parentNode) n.push(h), i = h;
                        i === (e.ownerDocument || T) && n.push(i.defaultView || i.parentWindow || a)
                    }
                    for (g = 0;
                        (h = n[g++]) && !c.isPropagationStopped();) c.type = g > 1 ? j : m.bindType || o, l = (qb.get(h, "events") || {})[c.type] && qb.get(h, "handle"), l && l.apply(h, d), l = k && h[k], l && fb.acceptData(h) && l.apply && l.apply(h, d) === !1 && c.preventDefault();
                    return c.type = o, f || c.isDefaultPrevented() || m._default && m._default.apply(n.pop(), d) !== !1 || !fb.acceptData(e) || k && fb.isFunction(e[o]) && !fb.isWindow(e) && (i = e[k], i && (e[k] = null), fb.event.triggered = o, e[o](), fb.event.triggered = b, i && (e[k] = i)), c.result
                }
            },
            dispatch: function(a) {
                a = fb.event.fix(a);
                var c, d, e, f, g, h = [],
                    i = ab.call(arguments),
                    j = (qb.get(this, "events") || {})[a.type] || [],
                    k = fb.event.special[a.type] || {};
                if (i[0] = a, a.delegateTarget = this, !k.preDispatch || k.preDispatch.call(this, a) !== !1) {
                    for (h = fb.event.handlers.call(this, a, j), c = 0;
                        (f = h[c++]) && !a.isPropagationStopped();)
                        for (a.currentTarget = f.elem, d = 0;
                            (g = f.handlers[d++]) && !a.isImmediatePropagationStopped();)(!a.namespace_re || a.namespace_re.test(g.namespace)) && (a.handleObj = g, a.data = g.data, e = ((fb.event.special[g.origType] || {}).handle || g.handler).apply(f.elem, i), e !== b && (a.result = e) === !1 && (a.preventDefault(), a.stopPropagation()));
                    return k.postDispatch && k.postDispatch.call(this, a), a.result
                }
            },
            handlers: function(a, c) {
                var d, e, f, g, h = [],
                    i = c.delegateCount,
                    j = a.target;
                if (i && j.nodeType && (!a.button || "click" !== a.type))
                    for (; j !== this; j = j.parentNode || this)
                        if (j.disabled !== !0 || "click" !== a.type) {
                            for (e = [], d = 0; i > d; d++) g = c[d], f = g.selector + " ", e[f] === b && (e[f] = g.needsContext ? fb(f, this).index(j) >= 0 : fb.find(f, this, null, [j]).length), e[f] && e.push(g);
                            e.length && h.push({
                                elem: j,
                                handlers: e
                            })
                        }
                return c.length > i && h.push({
                    elem: this,
                    handlers: c.slice(i)
                }), h
            },
            props: "altKey bubbles cancelable ctrlKey currentTarget eventPhase metaKey relatedTarget shiftKey target timeStamp view which".split(" "),
            fixHooks: {},
            keyHooks: {
                props: "char charCode key keyCode".split(" "),
                filter: function(a, b) {
                    return null == a.which && (a.which = null != b.charCode ? b.charCode : b.keyCode), a
                }
            },
            mouseHooks: {
                props: "button buttons clientX clientY offsetX offsetY pageX pageY screenX screenY toElement".split(" "),
                filter: function(a, c) {
                    var d, e, f, g = c.button;
                    return null == a.pageX && null != c.clientX && (d = a.target.ownerDocument || T, e = d.documentElement, f = d.body, a.pageX = c.clientX + (e && e.scrollLeft || f && f.scrollLeft || 0) - (e && e.clientLeft || f && f.clientLeft || 0), a.pageY = c.clientY + (e && e.scrollTop || f && f.scrollTop || 0) - (e && e.clientTop || f && f.clientTop || 0)), a.which || g === b || (a.which = 1 & g ? 1 : 2 & g ? 3 : 4 & g ? 2 : 0), a
                }
            },
            fix: function(a) {
                if (a[fb.expando]) return a;
                var b, c, d, e = a.type,
                    f = a,
                    g = this.fixHooks[e];
                for (g || (this.fixHooks[e] = g = zb.test(e) ? this.mouseHooks : yb.test(e) ? this.keyHooks : {}), d = g.props ? this.props.concat(g.props) : this.props, a = new fb.Event(f), b = d.length; b--;) c = d[b], a[c] = f[c];
                return a.target || (a.target = T), 3 === a.target.nodeType && (a.target = a.target.parentNode), g.filter ? g.filter(a, f) : a
            },
            special: {
                load: {
                    noBubble: !0
                },
                focus: {
                    trigger: function() {
                        return this !== i() && this.focus ? (this.focus(), !1) : b
                    },
                    delegateType: "focusin"
                },
                blur: {
                    trigger: function() {
                        return this === i() && this.blur ? (this.blur(), !1) : b
                    },
                    delegateType: "focusout"
                },
                click: {
                    trigger: function() {
                        return "checkbox" === this.type && this.click && fb.nodeName(this, "input") ? (this.click(), !1) : b
                    },
                    _default: function(a) {
                        return fb.nodeName(a.target, "a")
                    }
                },
                beforeunload: {
                    postDispatch: function(a) {
                        a.result !== b && (a.originalEvent.returnValue = a.result)
                    }
                }
            },
            simulate: function(a, b, c, d) {
                var e = fb.extend(new fb.Event, c, {
                    type: a,
                    isSimulated: !0,
                    originalEvent: {}
                });
                d ? fb.event.trigger(e, null, b) : fb.event.dispatch.call(b, e), e.isDefaultPrevented() && c.preventDefault()
            }
        }, fb.removeEvent = function(a, b, c) {
            a.removeEventListener && a.removeEventListener(b, c, !1)
        }, fb.Event = function(a, c) {
            return this instanceof fb.Event ? (a && a.type ? (this.originalEvent = a, this.type = a.type, this.isDefaultPrevented = a.defaultPrevented || a.getPreventDefault && a.getPreventDefault() ? g : h) : this.type = a, c && fb.extend(this, c), this.timeStamp = a && a.timeStamp || fb.now(), this[fb.expando] = !0, b) : new fb.Event(a, c)
        }, fb.Event.prototype = {
            isDefaultPrevented: h,
            isPropagationStopped: h,
            isImmediatePropagationStopped: h,
            preventDefault: function() {
                var a = this.originalEvent;
                this.isDefaultPrevented = g, a && a.preventDefault && a.preventDefault()
            },
            stopPropagation: function() {
                var a = this.originalEvent;
                this.isPropagationStopped = g, a && a.stopPropagation && a.stopPropagation()
            },
            stopImmediatePropagation: function() {
                this.isImmediatePropagationStopped = g, this.stopPropagation()
            }
        }, fb.each({
            mouseenter: "mouseover",
            mouseleave: "mouseout"
        }, function(a, b) {
            fb.event.special[a] = {
                delegateType: b,
                bindType: b,
                handle: function(a) {
                    var c, d = this,
                        e = a.relatedTarget,
                        f = a.handleObj;
                    return (!e || e !== d && !fb.contains(d, e)) && (a.type = f.origType, c = f.handler.apply(this, arguments), a.type = b), c
                }
            }
        }), fb.support.focusinBubbles || fb.each({
            focus: "focusin",
            blur: "focusout"
        }, function(a, b) {
            var c = 0,
                d = function(a) {
                    fb.event.simulate(b, a.target, fb.event.fix(a), !0)
                };
            fb.event.special[b] = {
                setup: function() {
                    0 === c++ && T.addEventListener(a, d, !0)
                },
                teardown: function() {
                    0 === --c && T.removeEventListener(a, d, !0)
                }
            }
        }), fb.fn.extend({
            on: function(a, c, d, e, f) {
                var g, i;
                if ("object" == typeof a) {
                    "string" != typeof c && (d = d || c, c = b);
                    for (i in a) this.on(i, c, d, a[i], f);
                    return this
                }
                if (null == d && null == e ? (e = c, d = c = b) : null == e && ("string" == typeof c ? (e = d, d = b) : (e = d, d = c, c = b)), e === !1) e = h;
                else if (!e) return this;
                return 1 === f && (g = e, e = function(a) {
                    return fb().off(a), g.apply(this, arguments)
                }, e.guid = g.guid || (g.guid = fb.guid++)), this.each(function() {
                    fb.event.add(this, a, e, d, c)
                })
            },
            one: function(a, b, c, d) {
                return this.on(a, b, c, d, 1)
            },
            off: function(a, c, d) {
                var e, f;
                if (a && a.preventDefault && a.handleObj) return e = a.handleObj, fb(a.delegateTarget).off(e.namespace ? e.origType + "." + e.namespace : e.origType, e.selector, e.handler), this;
                if ("object" == typeof a) {
                    for (f in a) this.off(f, c, a[f]);
                    return this
                }
                return (c === !1 || "function" == typeof c) && (d = c, c = b), d === !1 && (d = h), this.each(function() {
                    fb.event.remove(this, a, d, c)
                })
            },
            trigger: function(a, b) {
                return this.each(function() {
                    fb.event.trigger(a, b, this)
                })
            },
            triggerHandler: function(a, c) {
                var d = this[0];
                return d ? fb.event.trigger(a, c, d, !0) : b
            }
        });
        var Cb = /^.[^:#\[\.,]*$/,
            Db = /^(?:parents|prev(?:Until|All))/,
            Eb = fb.expr.match.needsContext,
            Fb = {
                children: !0,
                contents: !0,
                next: !0,
                prev: !0
            };
        fb.fn.extend({
            find: function(a) {
                var b, c = [],
                    d = this,
                    e = d.length;
                if ("string" != typeof a) return this.pushStack(fb(a).filter(function() {
                    for (b = 0; e > b; b++)
                        if (fb.contains(d[b], this)) return !0
                }));
                for (b = 0; e > b; b++) fb.find(a, d[b], c);
                return c = this.pushStack(e > 1 ? fb.unique(c) : c), c.selector = this.selector ? this.selector + " " + a : a, c
            },
            has: function(a) {
                var b = fb(a, this),
                    c = b.length;
                return this.filter(function() {
                    for (var a = 0; c > a; a++)
                        if (fb.contains(this, b[a])) return !0
                })
            },
            not: function(a) {
                return this.pushStack(k(this, a || [], !0))
            },
            filter: function(a) {
                return this.pushStack(k(this, a || [], !1))
            },
            is: function(a) {
                return !!k(this, "string" == typeof a && Eb.test(a) ? fb(a) : a || [], !1).length
            },
            closest: function(a, b) {
                for (var c, d = 0, e = this.length, f = [], g = Eb.test(a) || "string" != typeof a ? fb(a, b || this.context) : 0; e > d; d++)
                    for (c = this[d]; c && c !== b; c = c.parentNode)
                        if (11 > c.nodeType && (g ? g.index(c) > -1 : 1 === c.nodeType && fb.find.matchesSelector(c, a))) {
                            c = f.push(c);
                            break
                        }
                return this.pushStack(f.length > 1 ? fb.unique(f) : f)
            },
            index: function(a) {
                return a ? "string" == typeof a ? bb.call(fb(a), this[0]) : bb.call(this, a.jquery ? a[0] : a) : this[0] && this[0].parentNode ? this.first().prevAll().length : -1
            },
            add: function(a, b) {
                var c = "string" == typeof a ? fb(a, b) : fb.makeArray(a && a.nodeType ? [a] : a),
                    d = fb.merge(this.get(), c);
                return this.pushStack(fb.unique(d))
            },
            addBack: function(a) {
                return this.add(null == a ? this.prevObject : this.prevObject.filter(a))
            }
        }), fb.each({
            parent: function(a) {
                var b = a.parentNode;
                return b && 11 !== b.nodeType ? b : null
            },
            parents: function(a) {
                return fb.dir(a, "parentNode")
            },
            parentsUntil: function(a, b, c) {
                return fb.dir(a, "parentNode", c)
            },
            next: function(a) {
                return j(a, "nextSibling")
            },
            prev: function(a) {
                return j(a, "previousSibling")
            },
            nextAll: function(a) {
                return fb.dir(a, "nextSibling")
            },
            prevAll: function(a) {
                return fb.dir(a, "previousSibling")
            },
            nextUntil: function(a, b, c) {
                return fb.dir(a, "nextSibling", c)
            },
            prevUntil: function(a, b, c) {
                return fb.dir(a, "previousSibling", c)
            },
            siblings: function(a) {
                return fb.sibling((a.parentNode || {}).firstChild, a)
            },
            children: function(a) {
                return fb.sibling(a.firstChild)
            },
            contents: function(a) {
                return a.contentDocument || fb.merge([], a.childNodes)
            }
        }, function(a, b) {
            fb.fn[a] = function(c, d) {
                var e = fb.map(this, b, c);
                return "Until" !== a.slice(-5) && (d = c), d && "string" == typeof d && (e = fb.filter(d, e)), this.length > 1 && (Fb[a] || fb.unique(e), Db.test(a) && e.reverse()), this.pushStack(e)
            }
        }), fb.extend({
            filter: function(a, b, c) {
                var d = b[0];
                return c && (a = ":not(" + a + ")"), 1 === b.length && 1 === d.nodeType ? fb.find.matchesSelector(d, a) ? [d] : [] : fb.find.matches(a, fb.grep(b, function(a) {
                    return 1 === a.nodeType
                }))
            },
            dir: function(a, c, d) {
                for (var e = [], f = d !== b;
                    (a = a[c]) && 9 !== a.nodeType;)
                    if (1 === a.nodeType) {
                        if (f && fb(a).is(d)) break;
                        e.push(a)
                    }
                return e
            },
            sibling: function(a, b) {
                for (var c = []; a; a = a.nextSibling) 1 === a.nodeType && a !== b && c.push(a);
                return c
            }
        });
        var Gb = /<(?!area|br|col|embed|hr|img|input|link|meta|param)(([\w:]+)[^>]*)\/>/gi,
            Hb = /<([\w:]+)/,
            Ib = /<|&#?\w+;/,
            Jb = /<(?:script|style|link)/i,
            Kb = /^(?:checkbox|radio)$/i,
            Lb = /checked\s*(?:[^=]|=\s*.checked.)/i,
            Mb = /^$|\/(?:java|ecma)script/i,
            Nb = /^true\/(.*)/,
            Ob = /^\s*<!(?:\[CDATA\[|--)|(?:\]\]|--)>\s*$/g,
            Pb = {
                option: [1, "<select multiple='multiple'>", "</select>"],
                thead: [1, "<table>", "</table>"],
                col: [2, "<table><colgroup>", "</colgroup></table>"],
                tr: [2, "<table><tbody>", "</tbody></table>"],
                td: [3, "<table><tbody><tr>", "</tr></tbody></table>"],
                _default: [0, "", ""]
            };
        Pb.optgroup = Pb.option, Pb.tbody = Pb.tfoot = Pb.colgroup = Pb.caption = Pb.thead, Pb.th = Pb.td, fb.fn.extend({
            text: function(a) {
                return fb.access(this, function(a) {
                    return a === b ? fb.text(this) : this.empty().append((this[0] && this[0].ownerDocument || T).createTextNode(a))
                }, null, a, arguments.length)
            },
            append: function() {
                return this.domManip(arguments, function(a) {
                    if (1 === this.nodeType || 11 === this.nodeType || 9 === this.nodeType) {
                        var b = l(this, a);
                        b.appendChild(a)
                    }
                })
            },
            prepend: function() {
                return this.domManip(arguments, function(a) {
                    if (1 === this.nodeType || 11 === this.nodeType || 9 === this.nodeType) {
                        var b = l(this, a);
                        b.insertBefore(a, b.firstChild)
                    }
                })
            },
            before: function() {
                return this.domManip(arguments, function(a) {
                    this.parentNode && this.parentNode.insertBefore(a, this)
                })
            },
            after: function() {
                return this.domManip(arguments, function(a) {
                    this.parentNode && this.parentNode.insertBefore(a, this.nextSibling)
                })
            },
            remove: function(a, b) {
                for (var c, d = a ? fb.filter(a, this) : this, e = 0; null != (c = d[e]); e++) b || 1 !== c.nodeType || fb.cleanData(q(c)), c.parentNode && (b && fb.contains(c.ownerDocument, c) && o(q(c, "script")), c.parentNode.removeChild(c));
                return this
            },
            empty: function() {
                for (var a, b = 0; null != (a = this[b]); b++) 1 === a.nodeType && (fb.cleanData(q(a, !1)), a.textContent = "");
                return this
            },
            clone: function(a, b) {
                return a = null == a ? !1 : a, b = null == b ? a : b, this.map(function() {
                    return fb.clone(this, a, b)
                })
            },
            html: function(a) {
                return fb.access(this, function(a) {
                    var c = this[0] || {},
                        d = 0,
                        e = this.length;
                    if (a === b && 1 === c.nodeType) return c.innerHTML;
                    if ("string" == typeof a && !Jb.test(a) && !Pb[(Hb.exec(a) || ["", ""])[1].toLowerCase()]) {
                        a = a.replace(Gb, "<$1></$2>");
                        try {
                            for (; e > d; d++) c = this[d] || {}, 1 === c.nodeType && (fb.cleanData(q(c, !1)), c.innerHTML = a);
                            c = 0
                        } catch (f) {}
                    }
                    c && this.empty().append(a)
                }, null, a, arguments.length)
            },
            replaceWith: function() {
                var a = fb.map(this, function(a) {
                        return [a.nextSibling, a.parentNode]
                    }),
                    b = 0;
                return this.domManip(arguments, function(c) {
                    var d = a[b++],
                        e = a[b++];
                    e && (d && d.parentNode !== e && (d = this.nextSibling), fb(this).remove(), e.insertBefore(c, d))
                }, !0), b ? this : this.remove()
            },
            detach: function(a) {
                return this.remove(a, !0)
            },
            domManip: function(a, b, c) {
                a = $.apply([], a);
                var d, e, f, g, h, i, j = 0,
                    k = this.length,
                    l = this,
                    o = k - 1,
                    p = a[0],
                    r = fb.isFunction(p);
                if (r || !(1 >= k || "string" != typeof p || fb.support.checkClone) && Lb.test(p)) return this.each(function(d) {
                    var e = l.eq(d);
                    r && (a[0] = p.call(this, d, e.html())), e.domManip(a, b, c)
                });
                if (k && (d = fb.buildFragment(a, this[0].ownerDocument, !1, !c && this), e = d.firstChild, 1 === d.childNodes.length && (d = e), e)) {
                    for (f = fb.map(q(d, "script"), m), g = f.length; k > j; j++) h = d, j !== o && (h = fb.clone(h, !0, !0), g && fb.merge(f, q(h, "script"))), b.call(this[j], h, j);
                    if (g)
                        for (i = f[f.length - 1].ownerDocument, fb.map(f, n), j = 0; g > j; j++) h = f[j], Mb.test(h.type || "") && !qb.access(h, "globalEval") && fb.contains(i, h) && (h.src ? fb._evalUrl(h.src) : fb.globalEval(h.textContent.replace(Ob, "")))
                }
                return this
            }
        }), fb.each({
            appendTo: "append",
            prependTo: "prepend",
            insertBefore: "before",
            insertAfter: "after",
            replaceAll: "replaceWith"
        }, function(a, b) {
            fb.fn[a] = function(a) {
                for (var c, d = [], e = fb(a), f = e.length - 1, g = 0; f >= g; g++) c = g === f ? this : this.clone(!0), fb(e[g])[b](c), _.apply(d, c.get());
                return this.pushStack(d)
            }
        }), fb.extend({
            clone: function(a, b, c) {
                var d, e, f, g, h = a.cloneNode(!0),
                    i = fb.contains(a.ownerDocument, a);
                if (!(fb.support.noCloneChecked || 1 !== a.nodeType && 11 !== a.nodeType || fb.isXMLDoc(a)))
                    for (g = q(h), f = q(a), d = 0, e = f.length; e > d; d++) r(f[d], g[d]);
                if (b)
                    if (c)
                        for (f = f || q(a), g = g || q(h), d = 0, e = f.length; e > d; d++) p(f[d], g[d]);
                    else p(a, h);
                return g = q(h, "script"), g.length > 0 && o(g, !i && q(a, "script")), h
            },
            buildFragment: function(a, b, c, d) {
                for (var e, f, g, h, i, j, k = 0, l = a.length, m = b.createDocumentFragment(), n = []; l > k; k++)
                    if (e = a[k], e || 0 === e)
                        if ("object" === fb.type(e)) fb.merge(n, e.nodeType ? [e] : e);
                        else if (Ib.test(e)) {
                    for (f = f || m.appendChild(b.createElement("div")), g = (Hb.exec(e) || ["", ""])[1].toLowerCase(), h = Pb[g] || Pb._default, f.innerHTML = h[1] + e.replace(Gb, "<$1></$2>") + h[2], j = h[0]; j--;) f = f.lastChild;
                    fb.merge(n, f.childNodes), f = m.firstChild, f.textContent = ""
                } else n.push(b.createTextNode(e));
                for (m.textContent = "", k = 0; e = n[k++];)
                    if ((!d || -1 === fb.inArray(e, d)) && (i = fb.contains(e.ownerDocument, e), f = q(m.appendChild(e), "script"), i && o(f), c))
                        for (j = 0; e = f[j++];) Mb.test(e.type || "") && c.push(e);
                return m
            },
            cleanData: function(a) {
                for (var c, d, f, g, h, i, j = fb.event.special, k = 0;
                    (d = a[k]) !== b; k++) {
                    if (e.accepts(d) && (h = d[qb.expando], h && (c = qb.cache[h]))) {
                        if (f = Object.keys(c.events || {}), f.length)
                            for (i = 0;
                                (g = f[i]) !== b; i++) j[g] ? fb.event.remove(d, g) : fb.removeEvent(d, g, c.handle);
                        qb.cache[h] && delete qb.cache[h]
                    }
                    delete pb.cache[d[pb.expando]]
                }
            },
            _evalUrl: function(a) {
                return fb.ajax({
                    url: a,
                    type: "GET",
                    dataType: "script",
                    async: !1,
                    global: !1,
                    "throws": !0
                })
            }
        }), fb.fn.extend({
            wrapAll: function(a) {
                var b;
                return fb.isFunction(a) ? this.each(function(b) {
                    fb(this).wrapAll(a.call(this, b))
                }) : (this[0] && (b = fb(a, this[0].ownerDocument).eq(0).clone(!0), this[0].parentNode && b.insertBefore(this[0]), b.map(function() {
                    for (var a = this; a.firstElementChild;) a = a.firstElementChild;
                    return a
                }).append(this)), this)
            },
            wrapInner: function(a) {
                return fb.isFunction(a) ? this.each(function(b) {
                    fb(this).wrapInner(a.call(this, b))
                }) : this.each(function() {
                    var b = fb(this),
                        c = b.contents();
                    c.length ? c.wrapAll(a) : b.append(a)
                })
            },
            wrap: function(a) {
                var b = fb.isFunction(a);
                return this.each(function(c) {
                    fb(this).wrapAll(b ? a.call(this, c) : a)
                })
            },
            unwrap: function() {
                return this.parent().each(function() {
                    fb.nodeName(this, "body") || fb(this).replaceWith(this.childNodes)
                }).end()
            }
        });
        var Qb, Rb, Sb = /^(none|table(?!-c[ea]).+)/,
            Tb = /^margin/,
            Ub = RegExp("^(" + gb + ")(.*)$", "i"),
            Vb = RegExp("^(" + gb + ")(?!px)[a-z%]+$", "i"),
            Wb = RegExp("^([+-])=(" + gb + ")", "i"),
            Xb = {
                BODY: "block"
            },
            Yb = {
                position: "absolute",
                visibility: "hidden",
                display: "block"
            },
            Zb = {
                letterSpacing: 0,
                fontWeight: 400
            },
            $b = ["Top", "Right", "Bottom", "Left"],
            _b = ["Webkit", "O", "Moz", "ms"];
        fb.fn.extend({
            css: function(a, c) {
                return fb.access(this, function(a, c, d) {
                    var e, f, g = {},
                        h = 0;
                    if (fb.isArray(c)) {
                        for (e = u(a), f = c.length; f > h; h++) g[c[h]] = fb.css(a, c[h], !1, e);
                        return g
                    }
                    return d !== b ? fb.style(a, c, d) : fb.css(a, c)
                }, a, c, arguments.length > 1)
            },
            show: function() {
                return v(this, !0)
            },
            hide: function() {
                return v(this)
            },
            toggle: function(a) {
                return "boolean" == typeof a ? a ? this.show() : this.hide() : this.each(function() {
                    t(this) ? fb(this).show() : fb(this).hide()
                })
            }
        }), fb.extend({
            cssHooks: {
                opacity: {
                    get: function(a, b) {
                        if (b) {
                            var c = Qb(a, "opacity");
                            return "" === c ? "1" : c
                        }
                    }
                }
            },
            cssNumber: {
                columnCount: !0,
                fillOpacity: !0,
                fontWeight: !0,
                lineHeight: !0,
                opacity: !0,
                order: !0,
                orphans: !0,
                widows: !0,
                zIndex: !0,
                zoom: !0
            },
            cssProps: {
                "float": "cssFloat"
            },
            style: function(a, c, d, e) {
                if (a && 3 !== a.nodeType && 8 !== a.nodeType && a.style) {
                    var f, g, h, i = fb.camelCase(c),
                        j = a.style;
                    return c = fb.cssProps[i] || (fb.cssProps[i] = s(j, i)), h = fb.cssHooks[c] || fb.cssHooks[i], d === b ? h && "get" in h && (f = h.get(a, !1, e)) !== b ? f : j[c] : (g = typeof d, "string" === g && (f = Wb.exec(d)) && (d = (f[1] + 1) * f[2] + parseFloat(fb.css(a, c)), g = "number"), null == d || "number" === g && isNaN(d) || ("number" !== g || fb.cssNumber[i] || (d += "px"), fb.support.clearCloneStyle || "" !== d || 0 !== c.indexOf("background") || (j[c] = "inherit"), h && "set" in h && (d = h.set(a, d, e)) === b || (j[c] = d)), b)
                }
            },
            css: function(a, c, d, e) {
                var f, g, h, i = fb.camelCase(c);
                return c = fb.cssProps[i] || (fb.cssProps[i] = s(a.style, i)), h = fb.cssHooks[c] || fb.cssHooks[i], h && "get" in h && (f = h.get(a, !0, d)), f === b && (f = Qb(a, c, e)), "normal" === f && c in Zb && (f = Zb[c]), "" === d || d ? (g = parseFloat(f), d === !0 || fb.isNumeric(g) ? g || 0 : f) : f
            }
        }), Qb = function(a, c, d) {
            var e, f, g, h = d || u(a),
                i = h ? h.getPropertyValue(c) || h[c] : b,
                j = a.style;
            return h && ("" !== i || fb.contains(a.ownerDocument, a) || (i = fb.style(a, c)), Vb.test(i) && Tb.test(c) && (e = j.width, f = j.minWidth, g = j.maxWidth, j.minWidth = j.maxWidth = j.width = i, i = h.width, j.width = e, j.minWidth = f, j.maxWidth = g)), i
        }, fb.each(["height", "width"], function(a, c) {
            fb.cssHooks[c] = {
                get: function(a, d, e) {
                    return d ? 0 === a.offsetWidth && Sb.test(fb.css(a, "display")) ? fb.swap(a, Yb, function() {
                        return y(a, c, e)
                    }) : y(a, c, e) : b
                },
                set: function(a, b, d) {
                    var e = d && u(a);
                    return w(a, b, d ? x(a, c, d, fb.support.boxSizing && "border-box" === fb.css(a, "boxSizing", !1, e), e) : 0)
                }
            }
        }), fb(function() {
            fb.support.reliableMarginRight || (fb.cssHooks.marginRight = {
                get: function(a, c) {
                    return c ? fb.swap(a, {
                        display: "inline-block"
                    }, Qb, [a, "marginRight"]) : b
                }
            }), !fb.support.pixelPosition && fb.fn.position && fb.each(["top", "left"], function(a, c) {
                fb.cssHooks[c] = {
                    get: function(a, d) {
                        return d ? (d = Qb(a, c), Vb.test(d) ? fb(a).position()[c] + "px" : d) : b
                    }
                }
            })
        }), fb.expr && fb.expr.filters && (fb.expr.filters.hidden = function(a) {
            return 0 >= a.offsetWidth && 0 >= a.offsetHeight
        }, fb.expr.filters.visible = function(a) {
            return !fb.expr.filters.hidden(a)
        }), fb.each({
            margin: "",
            padding: "",
            border: "Width"
        }, function(a, b) {
            fb.cssHooks[a + b] = {
                expand: function(c) {
                    for (var d = 0, e = {}, f = "string" == typeof c ? c.split(" ") : [c]; 4 > d; d++) e[a + $b[d] + b] = f[d] || f[d - 2] || f[0];
                    return e
                }
            }, Tb.test(a) || (fb.cssHooks[a + b].set = w)
        });
        var ac = /%20/g,
            bc = /\[\]$/,
            cc = /\r?\n/g,
            dc = /^(?:submit|button|image|reset|file)$/i,
            ec = /^(?:input|select|textarea|keygen)/i;
        fb.fn.extend({
            serialize: function() {
                return fb.param(this.serializeArray())
            },
            serializeArray: function() {
                return this.map(function() {
                    var a = fb.prop(this, "elements");
                    return a ? fb.makeArray(a) : this
                }).filter(function() {
                    var a = this.type;
                    return this.name && !fb(this).is(":disabled") && ec.test(this.nodeName) && !dc.test(a) && (this.checked || !Kb.test(a))
                }).map(function(a, b) {
                    var c = fb(this).val();
                    return null == c ? null : fb.isArray(c) ? fb.map(c, function(a) {
                        return {
                            name: b.name,
                            value: a.replace(cc, "\r\n")
                        }
                    }) : {
                        name: b.name,
                        value: c.replace(cc, "\r\n")
                    }
                }).get()
            }
        }), fb.param = function(a, c) {
            var d, e = [],
                f = function(a, b) {
                    b = fb.isFunction(b) ? b() : null == b ? "" : b, e[e.length] = encodeURIComponent(a) + "=" + encodeURIComponent(b)
                };
            if (c === b && (c = fb.ajaxSettings && fb.ajaxSettings.traditional), fb.isArray(a) || a.jquery && !fb.isPlainObject(a)) fb.each(a, function() {
                f(this.name, this.value)
            });
            else
                for (d in a) B(d, a[d], c, f);
            return e.join("&").replace(ac, "+")
        }, fb.each("blur focus focusin focusout load resize scroll unload click dblclick mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave change select submit keydown keypress keyup error contextmenu".split(" "), function(a, b) {
            fb.fn[b] = function(a, c) {
                return arguments.length > 0 ? this.on(b, null, a, c) : this.trigger(b)
            }
        }), fb.fn.extend({
            hover: function(a, b) {
                return this.mouseenter(a).mouseleave(b || a)
            },
            bind: function(a, b, c) {
                return this.on(a, null, b, c)
            },
            unbind: function(a, b) {
                return this.off(a, null, b)
            },
            delegate: function(a, b, c, d) {
                return this.on(b, a, c, d)
            },
            undelegate: function(a, b, c) {
                return 1 === arguments.length ? this.off(a, "**") : this.off(b, a || "**", c)
            }
        });
        var fc, gc, hc = fb.now(),
            ic = /\?/,
            jc = /#.*$/,
            kc = /([?&])_=[^&]*/,
            lc = /^(.*?):[ \t]*([^\r\n]*)$/gm,
            mc = /^(?:about|app|app-storage|.+-extension|file|res|widget):$/,
            nc = /^(?:GET|HEAD)$/,
            oc = /^\/\//,
            pc = /^([\w.+-]+:)(?:\/\/([^\/?#:]*)(?::(\d+)|)|)/,
            qc = fb.fn.load,
            rc = {},
            sc = {},
            tc = "*/".concat("*");
        try {
            gc = S.href
        } catch (uc) {
            gc = T.createElement("a"), gc.href = "", gc = gc.href
        }
        fc = pc.exec(gc.toLowerCase()) || [], fb.fn.load = function(a, c, d) {
            if ("string" != typeof a && qc) return qc.apply(this, arguments);
            var e, f, g, h = this,
                i = a.indexOf(" ");
            return i >= 0 && (e = a.slice(i), a = a.slice(0, i)), fb.isFunction(c) ? (d = c, c = b) : c && "object" == typeof c && (f = "POST"), h.length > 0 && fb.ajax({
                url: a,
                type: f,
                dataType: "html",
                data: c
            }).done(function(a) {
                g = arguments, h.html(e ? fb("<div>").append(fb.parseHTML(a)).find(e) : a)
            }).complete(d && function(a, b) {
                h.each(d, g || [a.responseText, b, a])
            }), this
        }, fb.each(["ajaxStart", "ajaxStop", "ajaxComplete", "ajaxError", "ajaxSuccess", "ajaxSend"], function(a, b) {
            fb.fn[b] = function(a) {
                return this.on(b, a)
            }
        }), fb.extend({
            active: 0,
            lastModified: {},
            etag: {},
            ajaxSettings: {
                url: gc,
                type: "GET",
                isLocal: mc.test(fc[1]),
                global: !0,
                processData: !0,
                async: !0,
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                accepts: {
                    "*": tc,
                    text: "text/plain",
                    html: "text/html",
                    xml: "application/xml, text/xml",
                    json: "application/json, text/javascript"
                },
                contents: {
                    xml: /xml/,
                    html: /html/,
                    json: /json/
                },
                responseFields: {
                    xml: "responseXML",
                    text: "responseText",
                    json: "responseJSON"
                },
                converters: {
                    "* text": String,
                    "text html": !0,
                    "text json": fb.parseJSON,
                    "text xml": fb.parseXML
                },
                flatOptions: {
                    url: !0,
                    context: !0
                }
            },
            ajaxSetup: function(a, b) {
                return b ? E(E(a, fb.ajaxSettings), b) : E(fb.ajaxSettings, a)
            },
            ajaxPrefilter: C(rc),
            ajaxTransport: C(sc),
            ajax: function(a, c) {
                function d(a, c, d, h) {
                    var j, l, s, t, v, x = c;
                    2 !== u && (u = 2, i && clearTimeout(i), e = b, g = h || "", w.readyState = a > 0 ? 4 : 0, j = a >= 200 && 300 > a || 304 === a, d && (t = F(m, w, d)), t = G(m, t, w, j), j ? (m.ifModified && (v = w.getResponseHeader("Last-Modified"), v && (fb.lastModified[f] = v), v = w.getResponseHeader("etag"), v && (fb.etag[f] = v)), 204 === a || "HEAD" === m.type ? x = "nocontent" : 304 === a ? x = "notmodified" : (x = t.state, l = t.data, s = t.error, j = !s)) : (s = x, (a || !x) && (x = "error", 0 > a && (a = 0))), w.status = a, w.statusText = (c || x) + "", j ? p.resolveWith(n, [l, x, w]) : p.rejectWith(n, [w, x, s]), w.statusCode(r), r = b, k && o.trigger(j ? "ajaxSuccess" : "ajaxError", [w, m, j ? l : s]), q.fireWith(n, [w, x]), k && (o.trigger("ajaxComplete", [w, m]), --fb.active || fb.event.trigger("ajaxStop")))
                }
                "object" == typeof a && (c = a, a = b), c = c || {};
                var e, f, g, h, i, j, k, l, m = fb.ajaxSetup({}, c),
                    n = m.context || m,
                    o = m.context && (n.nodeType || n.jquery) ? fb(n) : fb.event,
                    p = fb.Deferred(),
                    q = fb.Callbacks("once memory"),
                    r = m.statusCode || {},
                    s = {},
                    t = {},
                    u = 0,
                    v = "canceled",
                    w = {
                        readyState: 0,
                        getResponseHeader: function(a) {
                            var b;
                            if (2 === u) {
                                if (!h)
                                    for (h = {}; b = lc.exec(g);) h[b[1].toLowerCase()] = b[2];
                                b = h[a.toLowerCase()]
                            }
                            return null == b ? null : b
                        },
                        getAllResponseHeaders: function() {
                            return 2 === u ? g : null
                        },
                        setRequestHeader: function(a, b) {
                            var c = a.toLowerCase();
                            return u || (a = t[c] = t[c] || a, s[a] = b), this
                        },
                        overrideMimeType: function(a) {
                            return u || (m.mimeType = a), this
                        },
                        statusCode: function(a) {
                            var b;
                            if (a)
                                if (2 > u)
                                    for (b in a) r[b] = [r[b], a[b]];
                                else w.always(a[w.status]);
                            return this
                        },
                        abort: function(a) {
                            var b = a || v;
                            return e && e.abort(b), d(0, b), this
                        }
                    };
                if (p.promise(w).complete = q.add, w.success = w.done, w.error = w.fail, m.url = ((a || m.url || gc) + "").replace(jc, "").replace(oc, fc[1] + "//"), m.type = c.method || c.type || m.method || m.type, m.dataTypes = fb.trim(m.dataType || "*").toLowerCase().match(hb) || [""], null == m.crossDomain && (j = pc.exec(m.url.toLowerCase()), m.crossDomain = !(!j || j[1] === fc[1] && j[2] === fc[2] && (j[3] || ("http:" === j[1] ? "80" : "443")) === (fc[3] || ("http:" === fc[1] ? "80" : "443")))), m.data && m.processData && "string" != typeof m.data && (m.data = fb.param(m.data, m.traditional)), D(rc, m, c, w), 2 === u) return w;
                k = m.global, k && 0 === fb.active++ && fb.event.trigger("ajaxStart"), m.type = m.type.toUpperCase(), m.hasContent = !nc.test(m.type), f = m.url, m.hasContent || (m.data && (f = m.url += (ic.test(f) ? "&" : "?") + m.data, delete m.data), m.cache === !1 && (m.url = kc.test(f) ? f.replace(kc, "$1_=" + hc++) : f + (ic.test(f) ? "&" : "?") + "_=" + hc++)), m.ifModified && (fb.lastModified[f] && w.setRequestHeader("If-Modified-Since", fb.lastModified[f]), fb.etag[f] && w.setRequestHeader("If-None-Match", fb.etag[f])), (m.data && m.hasContent && m.contentType !== !1 || c.contentType) && w.setRequestHeader("Content-Type", m.contentType), w.setRequestHeader("Accept", m.dataTypes[0] && m.accepts[m.dataTypes[0]] ? m.accepts[m.dataTypes[0]] + ("*" !== m.dataTypes[0] ? ", " + tc + "; q=0.01" : "") : m.accepts["*"]);
                for (l in m.headers) w.setRequestHeader(l, m.headers[l]);
                if (m.beforeSend && (m.beforeSend.call(n, w, m) === !1 || 2 === u)) return w.abort();
                v = "abort";
                for (l in {
                        success: 1,
                        error: 1,
                        complete: 1
                    }) w[l](m[l]);
                if (e = D(sc, m, c, w)) {
                    w.readyState = 1, k && o.trigger("ajaxSend", [w, m]), m.async && m.timeout > 0 && (i = setTimeout(function() {
                        w.abort("timeout")
                    }, m.timeout));
                    try {
                        u = 1, e.send(s, d)
                    } catch (x) {
                        if (!(2 > u)) throw x;
                        d(-1, x)
                    }
                } else d(-1, "No Transport");
                return w
            },
            getJSON: function(a, b, c) {
                return fb.get(a, b, c, "json")
            },
            getScript: function(a, c) {
                return fb.get(a, b, c, "script")
            }
        }), fb.each(["get", "post"], function(a, c) {
            fb[c] = function(a, d, e, f) {
                return fb.isFunction(d) && (f = f || e, e = d, d = b), fb.ajax({
                    url: a,
                    type: c,
                    dataType: f,
                    data: d,
                    success: e
                })
            }
        }), fb.ajaxSetup({
            accepts: {
                script: "text/javascript, application/javascript, application/ecmascript, application/x-ecmascript"
            },
            contents: {
                script: /(?:java|ecma)script/
            },
            converters: {
                "text script": function(a) {
                    return fb.globalEval(a), a
                }
            }
        }), fb.ajaxPrefilter("script", function(a) {
            a.cache === b && (a.cache = !1), a.crossDomain && (a.type = "GET")
        }), fb.ajaxTransport("script", function(a) {
            if (a.crossDomain) {
                var b, c;
                return {
                    send: function(d, e) {
                        b = fb("<script>").prop({
                            async: !0,
                            charset: a.scriptCharset,
                            src: a.url
                        }).on("load error", c = function(a) {
                            b.remove(), c = null, a && e("error" === a.type ? 404 : 200, a.type)
                        }), T.head.appendChild(b[0])
                    },
                    abort: function() {
                        c && c()
                    }
                }
            }
        });
        var vc = [],
            wc = /(=)\?(?=&|$)|\?\?/;
        fb.ajaxSetup({
            jsonp: "callback",
            jsonpCallback: function() {
                var a = vc.pop() || fb.expando + "_" + hc++;
                return this[a] = !0, a
            }
        }), fb.ajaxPrefilter("json jsonp", function(c, d, e) {
            var f, g, h, i = c.jsonp !== !1 && (wc.test(c.url) ? "url" : "string" == typeof c.data && !(c.contentType || "").indexOf("application/x-www-form-urlencoded") && wc.test(c.data) && "data");
            return i || "jsonp" === c.dataTypes[0] ? (f = c.jsonpCallback = fb.isFunction(c.jsonpCallback) ? c.jsonpCallback() : c.jsonpCallback, i ? c[i] = c[i].replace(wc, "$1" + f) : c.jsonp !== !1 && (c.url += (ic.test(c.url) ? "&" : "?") + c.jsonp + "=" + f), c.converters["script json"] = function() {
                return h || fb.error(f + " was not called"), h[0]
            }, c.dataTypes[0] = "json", g = a[f], a[f] = function() {
                h = arguments
            }, e.always(function() {
                a[f] = g, c[f] && (c.jsonpCallback = d.jsonpCallback, vc.push(f)), h && fb.isFunction(g) && g(h[0]), h = g = b
            }), "script") : b
        }), fb.ajaxSettings.xhr = function() {
            try {
                return new XMLHttpRequest
            } catch (a) {}
        };
        var xc = fb.ajaxSettings.xhr(),
            yc = {
                0: 200,
                1223: 204
            },
            zc = 0,
            Ac = {};
        a.ActiveXObject && fb(a).on("unload", function() {
            for (var a in Ac) Ac[a]();
            Ac = b
        }), fb.support.cors = !!xc && "withCredentials" in xc, fb.support.ajax = xc = !!xc, fb.ajaxTransport(function(a) {
            var c;
            return fb.support.cors || xc && !a.crossDomain ? {
                send: function(d, e) {
                    var f, g, h = a.xhr();
                    if (h.open(a.type, a.url, a.async, a.username, a.password), a.xhrFields)
                        for (f in a.xhrFields) h[f] = a.xhrFields[f];
                    a.mimeType && h.overrideMimeType && h.overrideMimeType(a.mimeType), a.crossDomain || d["X-Requested-With"] || (d["X-Requested-With"] = "XMLHttpRequest");
                    for (f in d) h.setRequestHeader(f, d[f]);
                    c = function(a) {
                        return function() {
                            c && (delete Ac[g], c = h.onload = h.onerror = null, "abort" === a ? h.abort() : "error" === a ? e(h.status || 404, h.statusText) : e(yc[h.status] || h.status, h.statusText, "string" == typeof h.responseText ? {
                                text: h.responseText
                            } : b, h.getAllResponseHeaders()))
                        }
                    }, h.onload = c(), h.onerror = c("error"), c = Ac[g = zc++] = c("abort"), h.send(a.hasContent && a.data || null)
                },
                abort: function() {
                    c && c()
                }
            } : b
        });
        var Bc, Cc, Dc = /^(?:toggle|show|hide)$/,
            Ec = RegExp("^(?:([+-])=|)(" + gb + ")([a-z%]*)$", "i"),
            Fc = /queueHooks$/,
            Gc = [L],
            Hc = {
                "*": [function(a, b) {
                    var c = this.createTween(a, b),
                        d = c.cur(),
                        e = Ec.exec(b),
                        f = e && e[3] || (fb.cssNumber[a] ? "" : "px"),
                        g = (fb.cssNumber[a] || "px" !== f && +d) && Ec.exec(fb.css(c.elem, a)),
                        h = 1,
                        i = 20;
                    if (g && g[3] !== f) {
                        f = f || g[3], e = e || [], g = +d || 1;
                        do h = h || ".5", g /= h, fb.style(c.elem, a, g + f); while (h !== (h = c.cur() / d) && 1 !== h && --i)
                    }
                    return e && (g = c.start = +g || +d || 0, c.unit = f, c.end = e[1] ? g + (e[1] + 1) * e[2] : +e[2]), c
                }]
            };
        fb.Animation = fb.extend(J, {
            tweener: function(a, b) {
                fb.isFunction(a) ? (b = a, a = ["*"]) : a = a.split(" ");
                for (var c, d = 0, e = a.length; e > d; d++) c = a[d], Hc[c] = Hc[c] || [], Hc[c].unshift(b)
            },
            prefilter: function(a, b) {
                b ? Gc.unshift(a) : Gc.push(a)
            }
        }), fb.Tween = M, M.prototype = {
            constructor: M,
            init: function(a, b, c, d, e, f) {
                this.elem = a, this.prop = c, this.easing = e || "swing", this.options = b, this.start = this.now = this.cur(), this.end = d, this.unit = f || (fb.cssNumber[c] ? "" : "px")
            },
            cur: function() {
                var a = M.propHooks[this.prop];
                return a && a.get ? a.get(this) : M.propHooks._default.get(this)
            },
            run: function(a) {
                var b, c = M.propHooks[this.prop];
                return this.pos = b = this.options.duration ? fb.easing[this.easing](a, this.options.duration * a, 0, 1, this.options.duration) : a, this.now = (this.end - this.start) * b + this.start, this.options.step && this.options.step.call(this.elem, this.now, this), c && c.set ? c.set(this) : M.propHooks._default.set(this), this
            }
        }, M.prototype.init.prototype = M.prototype, M.propHooks = {
            _default: {
                get: function(a) {
                    var b;
                    return null == a.elem[a.prop] || a.elem.style && null != a.elem.style[a.prop] ? (b = fb.css(a.elem, a.prop, ""), b && "auto" !== b ? b : 0) : a.elem[a.prop]
                },
                set: function(a) {
                    fb.fx.step[a.prop] ? fb.fx.step[a.prop](a) : a.elem.style && (null != a.elem.style[fb.cssProps[a.prop]] || fb.cssHooks[a.prop]) ? fb.style(a.elem, a.prop, a.now + a.unit) : a.elem[a.prop] = a.now
                }
            }
        }, M.propHooks.scrollTop = M.propHooks.scrollLeft = {
            set: function(a) {
                a.elem.nodeType && a.elem.parentNode && (a.elem[a.prop] = a.now)
            }
        }, fb.each(["toggle", "show", "hide"], function(a, b) {
            var c = fb.fn[b];
            fb.fn[b] = function(a, d, e) {
                return null == a || "boolean" == typeof a ? c.apply(this, arguments) : this.animate(N(b, !0), a, d, e)
            }
        }), fb.fn.extend({
            fadeTo: function(a, b, c, d) {
                return this.filter(t).css("opacity", 0).show().end().animate({
                    opacity: b
                }, a, c, d)
            },
            animate: function(a, b, c, d) {
                var e = fb.isEmptyObject(a),
                    f = fb.speed(b, c, d),
                    g = function() {
                        var b = J(this, fb.extend({}, a), f);
                        (e || qb.get(this, "finish")) && b.stop(!0)
                    };
                return g.finish = g, e || f.queue === !1 ? this.each(g) : this.queue(f.queue, g)
            },
            stop: function(a, c, d) {
                var e = function(a) {
                    var b = a.stop;
                    delete a.stop, b(d)
                };
                return "string" != typeof a && (d = c, c = a, a = b), c && a !== !1 && this.queue(a || "fx", []), this.each(function() {
                    var b = !0,
                        c = null != a && a + "queueHooks",
                        f = fb.timers,
                        g = qb.get(this);
                    if (c) g[c] && g[c].stop && e(g[c]);
                    else
                        for (c in g) g[c] && g[c].stop && Fc.test(c) && e(g[c]);
                    for (c = f.length; c--;) f[c].elem !== this || null != a && f[c].queue !== a || (f[c].anim.stop(d), b = !1, f.splice(c, 1));
                    (b || !d) && fb.dequeue(this, a)
                })
            },
            finish: function(a) {
                return a !== !1 && (a = a || "fx"), this.each(function() {
                    var b, c = qb.get(this),
                        d = c[a + "queue"],
                        e = c[a + "queueHooks"],
                        f = fb.timers,
                        g = d ? d.length : 0;
                    for (c.finish = !0, fb.queue(this, a, []), e && e.stop && e.stop.call(this, !0), b = f.length; b--;) f[b].elem === this && f[b].queue === a && (f[b].anim.stop(!0), f.splice(b, 1));
                    for (b = 0; g > b; b++) d[b] && d[b].finish && d[b].finish.call(this);
                    delete c.finish
                })
            }
        }), fb.each({
            slideDown: N("show"),
            slideUp: N("hide"),
            slideToggle: N("toggle"),
            fadeIn: {
                opacity: "show"
            },
            fadeOut: {
                opacity: "hide"
            },
            fadeToggle: {
                opacity: "toggle"
            }
        }, function(a, b) {
            fb.fn[a] = function(a, c, d) {
                return this.animate(b, a, c, d)
            }
        }), fb.speed = function(a, b, c) {
            var d = a && "object" == typeof a ? fb.extend({}, a) : {
                complete: c || !c && b || fb.isFunction(a) && a,
                duration: a,
                easing: c && b || b && !fb.isFunction(b) && b
            };
            return d.duration = fb.fx.off ? 0 : "number" == typeof d.duration ? d.duration : d.duration in fb.fx.speeds ? fb.fx.speeds[d.duration] : fb.fx.speeds._default, (null == d.queue || d.queue === !0) && (d.queue = "fx"), d.old = d.complete, d.complete = function() {
                fb.isFunction(d.old) && d.old.call(this), d.queue && fb.dequeue(this, d.queue)
            }, d
        }, fb.easing = {
            linear: function(a) {
                return a
            },
            swing: function(a) {
                return .5 - Math.cos(a * Math.PI) / 2
            }
        }, fb.timers = [], fb.fx = M.prototype.init, fb.fx.tick = function() {
            var a, c = fb.timers,
                d = 0;
            for (Bc = fb.now(); c.length > d; d++) a = c[d], a() || c[d] !== a || c.splice(d--, 1);
            c.length || fb.fx.stop(), Bc = b
        }, fb.fx.timer = function(a) {
            a() && fb.timers.push(a) && fb.fx.start()
        }, fb.fx.interval = 13, fb.fx.start = function() {
            Cc || (Cc = setInterval(fb.fx.tick, fb.fx.interval))
        }, fb.fx.stop = function() {
            clearInterval(Cc), Cc = null
        }, fb.fx.speeds = {
            slow: 600,
            fast: 200,
            _default: 400
        }, fb.fx.step = {}, fb.expr && fb.expr.filters && (fb.expr.filters.animated = function(a) {
            return fb.grep(fb.timers, function(b) {
                return a === b.elem
            }).length
        }), fb.fn.offset = function(a) {
            if (arguments.length) return a === b ? this : this.each(function(b) {
                fb.offset.setOffset(this, a, b)
            });
            var c, d, e = this[0],
                f = {
                    top: 0,
                    left: 0
                },
                g = e && e.ownerDocument;
            return g ? (c = g.documentElement, fb.contains(c, e) ? (typeof e.getBoundingClientRect !== R && (f = e.getBoundingClientRect()), d = O(g), {
                top: f.top + d.pageYOffset - c.clientTop,
                left: f.left + d.pageXOffset - c.clientLeft
            }) : f) : void 0
        }, fb.offset = {
            setOffset: function(a, b, c) {
                var d, e, f, g, h, i, j, k = fb.css(a, "position"),
                    l = fb(a),
                    m = {};
                "static" === k && (a.style.position = "relative"), h = l.offset(), f = fb.css(a, "top"), i = fb.css(a, "left"), j = ("absolute" === k || "fixed" === k) && (f + i).indexOf("auto") > -1, j ? (d = l.position(), g = d.top, e = d.left) : (g = parseFloat(f) || 0, e = parseFloat(i) || 0), fb.isFunction(b) && (b = b.call(a, c, h)), null != b.top && (m.top = b.top - h.top + g), null != b.left && (m.left = b.left - h.left + e), "using" in b ? b.using.call(a, m) : l.css(m)
            }
        }, fb.fn.extend({
            position: function() {
                if (this[0]) {
                    var a, b, c = this[0],
                        d = {
                            top: 0,
                            left: 0
                        };
                    return "fixed" === fb.css(c, "position") ? b = c.getBoundingClientRect() : (a = this.offsetParent(), b = this.offset(), fb.nodeName(a[0], "html") || (d = a.offset()), d.top += fb.css(a[0], "borderTopWidth", !0), d.left += fb.css(a[0], "borderLeftWidth", !0)), {
                        top: b.top - d.top - fb.css(c, "marginTop", !0),
                        left: b.left - d.left - fb.css(c, "marginLeft", !0)
                    }
                }
            },
            offsetParent: function() {
                return this.map(function() {
                    for (var a = this.offsetParent || U; a && !fb.nodeName(a, "html") && "static" === fb.css(a, "position");) a = a.offsetParent;
                    return a || U
                })
            }
        }), fb.each({
            scrollLeft: "pageXOffset",
            scrollTop: "pageYOffset"
        }, function(c, d) {
            var e = "pageYOffset" === d;
            fb.fn[c] = function(f) {
                return fb.access(this, function(c, f, g) {
                    var h = O(c);
                    return g === b ? h ? h[d] : c[f] : (h ? h.scrollTo(e ? a.pageXOffset : g, e ? g : a.pageYOffset) : c[f] = g, b)
                }, c, f, arguments.length, null)
            }
        }), fb.each({
            Height: "height",
            Width: "width"
        }, function(a, c) {
            fb.each({
                padding: "inner" + a,
                content: c,
                "": "outer" + a
            }, function(d, e) {
                fb.fn[e] = function(e, f) {
                    var g = arguments.length && (d || "boolean" != typeof e),
                        h = d || (e === !0 || f === !0 ? "margin" : "border");
                    return fb.access(this, function(c, d, e) {
                        var f;
                        return fb.isWindow(c) ? c.document.documentElement["client" + a] : 9 === c.nodeType ? (f = c.documentElement, Math.max(c.body["scroll" + a], f["scroll" + a], c.body["offset" + a], f["offset" + a], f["client" + a])) : e === b ? fb.css(c, d, h) : fb.style(c, d, e, h)
                    }, c, g ? e : b, g, null)
                }
            })
        }), fb.fn.size = function() {
            return this.length
        }, fb.fn.andSelf = fb.fn.addBack, "object" == typeof module && module && "object" == typeof module.exports ? module.exports = fb : "function" == typeof define && define.amd && define("jquery", [], function() {
            return fb
        }), "object" == typeof a && "object" == typeof a.document && (a.jQuery = a.$ = fb)
    }(window),
    function() {
        var a = this,
            b = a._,
            c = {},
            d = Array.prototype,
            e = Object.prototype,
            f = Function.prototype,
            g = d.push,
            h = d.slice,
            i = d.concat,
            j = e.toString,
            k = e.hasOwnProperty,
            l = d.forEach,
            m = d.map,
            n = d.reduce,
            o = d.reduceRight,
            p = d.filter,
            q = d.every,
            r = d.some,
            s = d.indexOf,
            t = d.lastIndexOf,
            u = Array.isArray,
            v = Object.keys,
            w = f.bind,
            x = function(a) {
                return a instanceof x ? a : this instanceof x ? (this._wrapped = a, void 0) : new x(a)
            };
        "undefined" != typeof exports ? ("undefined" != typeof module && module.exports && (exports = module.exports = x), exports._ = x) : a._ = x, x.VERSION = "1.4.4";
        var y = x.each = x.forEach = function(a, b, d) {
            if (null != a)
                if (l && a.forEach === l) a.forEach(b, d);
                else if (a.length === +a.length) {
                for (var e = 0, f = a.length; f > e; e++)
                    if (b.call(d, a[e], e, a) === c) return
            } else
                for (var g in a)
                    if (x.has(a, g) && b.call(d, a[g], g, a) === c) return
        };
        x.map = x.collect = function(a, b, c) {
            var d = [];
            return null == a ? d : m && a.map === m ? a.map(b, c) : (y(a, function(a, e, f) {
                d[d.length] = b.call(c, a, e, f)
            }), d)
        };
        var z = "Reduce of empty array with no initial value";
        x.reduce = x.foldl = x.inject = function(a, b, c, d) {
            var e = arguments.length > 2;
            if (null == a && (a = []), n && a.reduce === n) return d && (b = x.bind(b, d)), e ? a.reduce(b, c) : a.reduce(b);
            if (y(a, function(a, f, g) {
                    e ? c = b.call(d, c, a, f, g) : (c = a, e = !0)
                }), !e) throw new TypeError(z);
            return c
        }, x.reduceRight = x.foldr = function(a, b, c, d) {
            var e = arguments.length > 2;
            if (null == a && (a = []), o && a.reduceRight === o) return d && (b = x.bind(b, d)), e ? a.reduceRight(b, c) : a.reduceRight(b);
            var f = a.length;
            if (f !== +f) {
                var g = x.keys(a);
                f = g.length
            }
            if (y(a, function(h, i, j) {
                    i = g ? g[--f] : --f, e ? c = b.call(d, c, a[i], i, j) : (c = a[i], e = !0)
                }), !e) throw new TypeError(z);
            return c
        }, x.find = x.detect = function(a, b, c) {
            var d;
            return A(a, function(a, e, f) {
                return b.call(c, a, e, f) ? (d = a, !0) : void 0
            }), d
        }, x.filter = x.select = function(a, b, c) {
            var d = [];
            return null == a ? d : p && a.filter === p ? a.filter(b, c) : (y(a, function(a, e, f) {
                b.call(c, a, e, f) && (d[d.length] = a)
            }), d)
        }, x.reject = function(a, b, c) {
            return x.filter(a, function(a, d, e) {
                return !b.call(c, a, d, e)
            }, c)
        }, x.every = x.all = function(a, b, d) {
            b || (b = x.identity);
            var e = !0;
            return null == a ? e : q && a.every === q ? a.every(b, d) : (y(a, function(a, f, g) {
                return (e = e && b.call(d, a, f, g)) ? void 0 : c
            }), !!e)
        };
        var A = x.some = x.any = function(a, b, d) {
            b || (b = x.identity);
            var e = !1;
            return null == a ? e : r && a.some === r ? a.some(b, d) : (y(a, function(a, f, g) {
                return e || (e = b.call(d, a, f, g)) ? c : void 0
            }), !!e)
        };
        x.contains = x.include = function(a, b) {
            return null == a ? !1 : s && a.indexOf === s ? -1 != a.indexOf(b) : A(a, function(a) {
                return a === b
            })
        }, x.invoke = function(a, b) {
            var c = h.call(arguments, 2),
                d = x.isFunction(b);
            return x.map(a, function(a) {
                return (d ? b : a[b]).apply(a, c)
            })
        }, x.pluck = function(a, b) {
            return x.map(a, function(a) {
                return a[b]
            })
        }, x.where = function(a, b, c) {
            return x.isEmpty(b) ? c ? null : [] : x[c ? "find" : "filter"](a, function(a) {
                for (var c in b)
                    if (b[c] !== a[c]) return !1;
                return !0
            })
        }, x.findWhere = function(a, b) {
            return x.where(a, b, !0)
        }, x.max = function(a, b, c) {
            if (!b && x.isArray(a) && a[0] === +a[0] && a.length < 65535) return Math.max.apply(Math, a);
            if (!b && x.isEmpty(a)) return -1 / 0;
            var d = {
                computed: -1 / 0,
                value: -1 / 0
            };
            return y(a, function(a, e, f) {
                var g = b ? b.call(c, a, e, f) : a;
                g >= d.computed && (d = {
                    value: a,
                    computed: g
                })
            }), d.value
        }, x.min = function(a, b, c) {
            if (!b && x.isArray(a) && a[0] === +a[0] && a.length < 65535) return Math.min.apply(Math, a);
            if (!b && x.isEmpty(a)) return 1 / 0;
            var d = {
                computed: 1 / 0,
                value: 1 / 0
            };
            return y(a, function(a, e, f) {
                var g = b ? b.call(c, a, e, f) : a;
                g < d.computed && (d = {
                    value: a,
                    computed: g
                })
            }), d.value
        }, x.shuffle = function(a) {
            var b, c = 0,
                d = [];
            return y(a, function(a) {
                b = x.random(c++), d[c - 1] = d[b], d[b] = a
            }), d
        };
        var B = function(a) {
            return x.isFunction(a) ? a : function(b) {
                return b[a]
            }
        };
        x.sortBy = function(a, b, c) {
            var d = B(b);
            return x.pluck(x.map(a, function(a, b, e) {
                return {
                    value: a,
                    index: b,
                    criteria: d.call(c, a, b, e)
                }
            }).sort(function(a, b) {
                var c = a.criteria,
                    d = b.criteria;
                if (c !== d) {
                    if (c > d || void 0 === c) return 1;
                    if (d > c || void 0 === d) return -1
                }
                return a.index < b.index ? -1 : 1
            }), "value")
        };
        var C = function(a, b, c, d) {
            var e = {},
                f = B(b || x.identity);
            return y(a, function(b, g) {
                var h = f.call(c, b, g, a);
                d(e, h, b)
            }), e
        };
        x.groupBy = function(a, b, c) {
            return C(a, b, c, function(a, b, c) {
                (x.has(a, b) ? a[b] : a[b] = []).push(c)
            })
        }, x.countBy = function(a, b, c) {
            return C(a, b, c, function(a, b) {
                x.has(a, b) || (a[b] = 0), a[b]++
            })
        }, x.sortedIndex = function(a, b, c, d) {
            c = null == c ? x.identity : B(c);
            for (var e = c.call(d, b), f = 0, g = a.length; g > f;) {
                var h = f + g >>> 1;
                c.call(d, a[h]) < e ? f = h + 1 : g = h
            }
            return f
        }, x.toArray = function(a) {
            return a ? x.isArray(a) ? h.call(a) : a.length === +a.length ? x.map(a, x.identity) : x.values(a) : []
        }, x.size = function(a) {
            return null == a ? 0 : a.length === +a.length ? a.length : x.keys(a).length
        }, x.first = x.head = x.take = function(a, b, c) {
            return null == a ? void 0 : null == b || c ? a[0] : h.call(a, 0, b)
        }, x.initial = function(a, b, c) {
            return h.call(a, 0, a.length - (null == b || c ? 1 : b))
        }, x.last = function(a, b, c) {
            return null == a ? void 0 : null == b || c ? a[a.length - 1] : h.call(a, Math.max(a.length - b, 0))
        }, x.rest = x.tail = x.drop = function(a, b, c) {
            return h.call(a, null == b || c ? 1 : b)
        }, x.compact = function(a) {
            return x.filter(a, x.identity)
        };
        var D = function(a, b, c) {
            return y(a, function(a) {
                x.isArray(a) ? b ? g.apply(c, a) : D(a, b, c) : c.push(a)
            }), c
        };
        x.flatten = function(a, b) {
            return D(a, b, [])
        }, x.without = function(a) {
            return x.difference(a, h.call(arguments, 1))
        }, x.uniq = x.unique = function(a, b, c, d) {
            x.isFunction(b) && (d = c, c = b, b = !1);
            var e = c ? x.map(a, c, d) : a,
                f = [],
                g = [];
            return y(e, function(c, d) {
                (b ? d && g[g.length - 1] === c : x.contains(g, c)) || (g.push(c), f.push(a[d]))
            }), f
        }, x.union = function() {
            return x.uniq(i.apply(d, arguments))
        }, x.intersection = function(a) {
            var b = h.call(arguments, 1);
            return x.filter(x.uniq(a), function(a) {
                return x.every(b, function(b) {
                    return x.indexOf(b, a) >= 0
                })
            })
        }, x.difference = function(a) {
            var b = i.apply(d, h.call(arguments, 1));
            return x.filter(a, function(a) {
                return !x.contains(b, a)
            })
        }, x.zip = function() {
            for (var a = h.call(arguments), b = x.max(x.pluck(a, "length")), c = new Array(b), d = 0; b > d; d++) c[d] = x.pluck(a, "" + d);
            return c
        }, x.object = function(a, b) {
            if (null == a) return {};
            for (var c = {}, d = 0, e = a.length; e > d; d++) b ? c[a[d]] = b[d] : c[a[d][0]] = a[d][1];
            return c
        }, x.indexOf = function(a, b, c) {
            if (null == a) return -1;
            var d = 0,
                e = a.length;
            if (c) {
                if ("number" != typeof c) return d = x.sortedIndex(a, b), a[d] === b ? d : -1;
                d = 0 > c ? Math.max(0, e + c) : c
            }
            if (s && a.indexOf === s) return a.indexOf(b, c);
            for (; e > d; d++)
                if (a[d] === b) return d;
            return -1
        }, x.lastIndexOf = function(a, b, c) {
            if (null == a) return -1;
            var d = null != c;
            if (t && a.lastIndexOf === t) return d ? a.lastIndexOf(b, c) : a.lastIndexOf(b);
            for (var e = d ? c : a.length; e--;)
                if (a[e] === b) return e;
            return -1
        }, x.range = function(a, b, c) {
            arguments.length <= 1 && (b = a || 0, a = 0), c = arguments[2] || 1;
            for (var d = Math.max(Math.ceil((b - a) / c), 0), e = 0, f = new Array(d); d > e;) f[e++] = a, a += c;
            return f
        }, x.bind = function(a, b) {
            if (a.bind === w && w) return w.apply(a, h.call(arguments, 1));
            var c = h.call(arguments, 2);
            return function() {
                return a.apply(b, c.concat(h.call(arguments)))
            }
        }, x.partial = function(a) {
            var b = h.call(arguments, 1);
            return function() {
                return a.apply(this, b.concat(h.call(arguments)))
            }
        }, x.bindAll = function(a) {
            var b = h.call(arguments, 1);
            return 0 === b.length && (b = x.functions(a)), y(b, function(b) {
                a[b] = x.bind(a[b], a)
            }), a
        }, x.memoize = function(a, b) {
            var c = {};
            return b || (b = x.identity),
                function() {
                    var d = b.apply(this, arguments);
                    return x.has(c, d) ? c[d] : c[d] = a.apply(this, arguments)
                }
        }, x.delay = function(a, b) {
            var c = h.call(arguments, 2);
            return setTimeout(function() {
                return a.apply(null, c)
            }, b)
        }, x.defer = function(a) {
            return x.delay.apply(x, [a, 1].concat(h.call(arguments, 1)))
        }, x.throttle = function(a, b) {
            var c, d, e, f, g = 0,
                h = function() {
                    g = new Date, e = null, f = a.apply(c, d)
                };
            return function() {
                var i = new Date,
                    j = b - (i - g);
                return c = this, d = arguments, 0 >= j ? (clearTimeout(e), e = null, g = i, f = a.apply(c, d)) : e || (e = setTimeout(h, j)), f
            }
        }, x.debounce = function(a, b, c) {
            var d, e;
            return function() {
                var f = this,
                    g = arguments,
                    h = function() {
                        d = null, c || (e = a.apply(f, g))
                    },
                    i = c && !d;
                return clearTimeout(d), d = setTimeout(h, b), i && (e = a.apply(f, g)), e
            }
        }, x.once = function(a) {
            var b, c = !1;
            return function() {
                return c ? b : (c = !0, b = a.apply(this, arguments), a = null, b)
            }
        }, x.wrap = function(a, b) {
            return function() {
                var c = [a];
                return g.apply(c, arguments), b.apply(this, c)
            }
        }, x.compose = function() {
            var a = arguments;
            return function() {
                for (var b = arguments, c = a.length - 1; c >= 0; c--) b = [a[c].apply(this, b)];
                return b[0]
            }
        }, x.after = function(a, b) {
            return 0 >= a ? b() : function() {
                return --a < 1 ? b.apply(this, arguments) : void 0
            }
        }, x.keys = v || function(a) {
            if (a !== Object(a)) throw new TypeError("Invalid object");
            var b = [];
            for (var c in a) x.has(a, c) && (b[b.length] = c);
            return b
        }, x.values = function(a) {
            var b = [];
            for (var c in a) x.has(a, c) && b.push(a[c]);
            return b
        }, x.pairs = function(a) {
            var b = [];
            for (var c in a) x.has(a, c) && b.push([c, a[c]]);
            return b
        }, x.invert = function(a) {
            var b = {};
            for (var c in a) x.has(a, c) && (b[a[c]] = c);
            return b
        }, x.functions = x.methods = function(a) {
            var b = [];
            for (var c in a) x.isFunction(a[c]) && b.push(c);
            return b.sort()
        }, x.extend = function(a) {
            return y(h.call(arguments, 1), function(b) {
                if (b)
                    for (var c in b) a[c] = b[c]
            }), a
        }, x.pick = function(a) {
            var b = {},
                c = i.apply(d, h.call(arguments, 1));
            return y(c, function(c) {
                c in a && (b[c] = a[c])
            }), b
        }, x.omit = function(a) {
            var b = {},
                c = i.apply(d, h.call(arguments, 1));
            for (var e in a) x.contains(c, e) || (b[e] = a[e]);
            return b
        }, x.defaults = function(a) {
            return y(h.call(arguments, 1), function(b) {
                if (b)
                    for (var c in b) null == a[c] && (a[c] = b[c])
            }), a
        }, x.clone = function(a) {
            return x.isObject(a) ? x.isArray(a) ? a.slice() : x.extend({}, a) : a
        }, x.tap = function(a, b) {
            return b(a), a
        };
        var E = function(a, b, c, d) {
            if (a === b) return 0 !== a || 1 / a == 1 / b;
            if (null == a || null == b) return a === b;
            a instanceof x && (a = a._wrapped), b instanceof x && (b = b._wrapped);
            var e = j.call(a);
            if (e != j.call(b)) return !1;
            switch (e) {
                case "[object String]":
                    return a == String(b);
                case "[object Number]":
                    return a != +a ? b != +b : 0 == a ? 1 / a == 1 / b : a == +b;
                case "[object Date]":
                case "[object Boolean]":
                    return +a == +b;
                case "[object RegExp]":
                    return a.source == b.source && a.global == b.global && a.multiline == b.multiline && a.ignoreCase == b.ignoreCase
            }
            if ("object" != typeof a || "object" != typeof b) return !1;
            for (var f = c.length; f--;)
                if (c[f] == a) return d[f] == b;
            c.push(a), d.push(b);
            var g = 0,
                h = !0;
            if ("[object Array]" == e) {
                if (g = a.length, h = g == b.length)
                    for (; g-- && (h = E(a[g], b[g], c, d)););
            } else {
                var i = a.constructor,
                    k = b.constructor;
                if (i !== k && !(x.isFunction(i) && i instanceof i && x.isFunction(k) && k instanceof k)) return !1;
                for (var l in a)
                    if (x.has(a, l) && (g++, !(h = x.has(b, l) && E(a[l], b[l], c, d)))) break;
                if (h) {
                    for (l in b)
                        if (x.has(b, l) && !g--) break;
                    h = !g
                }
            }
            return c.pop(), d.pop(), h
        };
        x.isEqual = function(a, b) {
            return E(a, b, [], [])
        }, x.isEmpty = function(a) {
            if (null == a) return !0;
            if (x.isArray(a) || x.isString(a)) return 0 === a.length;
            for (var b in a)
                if (x.has(a, b)) return !1;
            return !0
        }, x.isElement = function(a) {
            return !(!a || 1 !== a.nodeType)
        }, x.isArray = u || function(a) {
            return "[object Array]" == j.call(a)
        }, x.isObject = function(a) {
            return a === Object(a)
        }, y(["Arguments", "Function", "String", "Number", "Date", "RegExp"], function(a) {
            x["is" + a] = function(b) {
                return j.call(b) == "[object " + a + "]"
            }
        }), x.isArguments(arguments) || (x.isArguments = function(a) {
            return !(!a || !x.has(a, "callee"))
        }), "function" != typeof /./ && (x.isFunction = function(a) {
            return "function" == typeof a
        }), x.isFinite = function(a) {
            return isFinite(a) && !isNaN(parseFloat(a))
        }, x.isNaN = function(a) {
            return x.isNumber(a) && a != +a
        }, x.isBoolean = function(a) {
            return a === !0 || a === !1 || "[object Boolean]" == j.call(a)
        }, x.isNull = function(a) {
            return null === a
        }, x.isUndefined = function(a) {
            return void 0 === a
        }, x.has = function(a, b) {
            return k.call(a, b)
        }, x.noConflict = function() {
            return a._ = b, this
        }, x.identity = function(a) {
            return a
        }, x.times = function(a, b, c) {
            for (var d = Array(a), e = 0; a > e; e++) d[e] = b.call(c, e);
            return d
        }, x.random = function(a, b) {
            return null == b && (b = a, a = 0), a + Math.floor(Math.random() * (b - a + 1))
        };
        var F = {
            escape: {
                "&": "&amp;",
                "<": "&lt;",
                ">": "&gt;",
                '"': "&quot;",
                "'": "&#x27;",
                "/": "&#x2F;"
            }
        };
        F.unescape = x.invert(F.escape);
        var G = {
            escape: new RegExp("[" + x.keys(F.escape).join("") + "]", "g"),
            unescape: new RegExp("(" + x.keys(F.unescape).join("|") + ")", "g")
        };
        x.each(["escape", "unescape"], function(a) {
            x[a] = function(b) {
                return null == b ? "" : ("" + b).replace(G[a], function(b) {
                    return F[a][b]
                })
            }
        }), x.result = function(a, b) {
            if (null == a) return null;
            var c = a[b];
            return x.isFunction(c) ? c.call(a) : c
        }, x.mixin = function(a) {
            y(x.functions(a), function(b) {
                var c = x[b] = a[b];
                x.prototype[b] = function() {
                    var a = [this._wrapped];
                    return g.apply(a, arguments), L.call(this, c.apply(x, a))
                }
            })
        };
        var H = 0;
        x.uniqueId = function(a) {
            var b = ++H + "";
            return a ? a + b : b
        }, x.templateSettings = {
            evaluate: /<%([\s\S]+?)%>/g,
            interpolate: /<%=([\s\S]+?)%>/g,
            escape: /<%-([\s\S]+?)%>/g
        };
        var I = /(.)^/,
            J = {
                "'": "'",
                "\\": "\\",
                "\r": "r",
                "\n": "n",
                "	": "t",
                "\u2028": "u2028",
                "\u2029": "u2029"
            },
            K = /\\|'|\r|\n|\t|\u2028|\u2029/g;
        x.template = function(a, b, c) {
            var d;
            c = x.defaults({}, c, x.templateSettings);
            var e = new RegExp([(c.escape || I).source, (c.interpolate || I).source, (c.evaluate || I).source].join("|") + "|$", "g"),
                f = 0,
                g = "__p+='";
            a.replace(e, function(b, c, d, e, h) {
                return g += a.slice(f, h).replace(K, function(a) {
                    return "\\" + J[a]
                }), c && (g += "'+\n((__t=(" + c + "))==null?'':_.escape(__t))+\n'"), d && (g += "'+\n((__t=(" + d + "))==null?'':__t)+\n'"), e && (g += "';\n" + e + "\n__p+='"), f = h + b.length, b
            }), g += "';\n", c.variable || (g = "with(obj||{}){\n" + g + "}\n"), g = "var __t,__p='',__j=Array.prototype.join,print=function(){__p+=__j.call(arguments,'');};\n" + g + "return __p;\n";
            try {
                d = new Function(c.variable || "obj", "_", g)
            } catch (h) {
                throw h.source = g, h
            }
            if (b) return d(b, x);
            var i = function(a) {
                return d.call(this, a, x)
            };
            return i.source = "function(" + (c.variable || "obj") + "){\n" + g + "}", i
        }, x.chain = function(a) {
            return x(a).chain()
        };
        var L = function(a) {
            return this._chain ? x(a).chain() : a
        };
        x.mixin(x), y(["pop", "push", "reverse", "shift", "sort", "splice", "unshift"], function(a) {
            var b = d[a];
            x.prototype[a] = function() {
                var c = this._wrapped;
                return b.apply(c, arguments), "shift" != a && "splice" != a || 0 !== c.length || delete c[0], L.call(this, c)
            }
        }), y(["concat", "join", "slice"], function(a) {
            var b = d[a];
            x.prototype[a] = function() {
                return L.call(this, b.apply(this._wrapped, arguments))
            }
        }), x.extend(x.prototype, {
            chain: function() {
                return this._chain = !0, this
            },
            value: function() {
                return this._wrapped
            }
        })
    }.call(this),
    function() {
        var a, b = this,
            c = b.Backbone,
            d = [],
            e = d.push,
            f = d.slice,
            g = d.splice;
        a = "undefined" != typeof exports ? exports : b.Backbone = {}, a.VERSION = "1.0.0";
        var h = b._;
        h || "undefined" == typeof require || (h = require("underscore")), a.$ = b.jQuery || b.Zepto || b.ender || b.$, a.noConflict = function() {
            return b.Backbone = c, this
        }, a.emulateHTTP = !1, a.emulateJSON = !1;
        var i = a.Events = {
                on: function(a, b, c) {
                    if (!k(this, "on", a, [b, c]) || !b) return this;
                    this._events || (this._events = {});
                    var d = this._events[a] || (this._events[a] = []);
                    return d.push({
                        callback: b,
                        context: c,
                        ctx: c || this
                    }), this
                },
                once: function(a, b, c) {
                    if (!k(this, "once", a, [b, c]) || !b) return this;
                    var d = this,
                        e = h.once(function() {
                            d.off(a, e), b.apply(this, arguments)
                        });
                    return e._callback = b, this.on(a, e, c)
                },
                off: function(a, b, c) {
                    var d, e, f, g, i, j, l, m;
                    if (!this._events || !k(this, "off", a, [b, c])) return this;
                    if (!a && !b && !c) return this._events = {}, this;
                    for (g = a ? [a] : h.keys(this._events), i = 0, j = g.length; j > i; i++)
                        if (a = g[i], f = this._events[a]) {
                            if (this._events[a] = d = [], b || c)
                                for (l = 0, m = f.length; m > l; l++) e = f[l], (b && b !== e.callback && b !== e.callback._callback || c && c !== e.context) && d.push(e);
                            d.length || delete this._events[a]
                        }
                    return this
                },
                trigger: function(a) {
                    if (!this._events) return this;
                    var b = f.call(arguments, 1);
                    if (!k(this, "trigger", a, b)) return this;
                    var c = this._events[a],
                        d = this._events.all;
                    return c && l(c, b), d && l(d, arguments), this
                },
                stopListening: function(a, b, c) {
                    var d = this._listeners;
                    if (!d) return this;
                    var e = !b && !c;
                    "object" == typeof b && (c = this), a && ((d = {})[a._listenerId] = a);
                    for (var f in d) d[f].off(b, c, this), e && delete this._listeners[f];
                    return this
                }
            },
            j = /\s+/,
            k = function(a, b, c, d) {
                if (!c) return !0;
                if ("object" == typeof c) {
                    for (var e in c) a[b].apply(a, [e, c[e]].concat(d));
                    return !1
                }
                if (j.test(c)) {
                    for (var f = c.split(j), g = 0, h = f.length; h > g; g++) a[b].apply(a, [f[g]].concat(d));
                    return !1
                }
                return !0
            },
            l = function(a, b) {
                var c, d = -1,
                    e = a.length,
                    f = b[0],
                    g = b[1],
                    h = b[2];
                switch (b.length) {
                    case 0:
                        for (; ++d < e;)(c = a[d]).callback.call(c.ctx);
                        return;
                    case 1:
                        for (; ++d < e;)(c = a[d]).callback.call(c.ctx, f);
                        return;
                    case 2:
                        for (; ++d < e;)(c = a[d]).callback.call(c.ctx, f, g);
                        return;
                    case 3:
                        for (; ++d < e;)(c = a[d]).callback.call(c.ctx, f, g, h);
                        return;
                    default:
                        for (; ++d < e;)(c = a[d]).callback.apply(c.ctx, b)
                }
            },
            m = {
                listenTo: "on",
                listenToOnce: "once"
            };
        h.each(m, function(a, b) {
            i[b] = function(b, c, d) {
                var e = this._listeners || (this._listeners = {}),
                    f = b._listenerId || (b._listenerId = h.uniqueId("l"));
                return e[f] = b, "object" == typeof c && (d = this), b[a](c, d, this), this
            }
        }), i.bind = i.on, i.unbind = i.off, h.extend(a, i);
        var n = a.Model = function(a, b) {
                var c, d = a || {};
                b || (b = {}), this.cid = h.uniqueId("c"), this.attributes = {}, h.extend(this, h.pick(b, o)), b.parse && (d = this.parse(d, b) || {}), (c = h.result(this, "defaults")) && (d = h.defaults({}, d, c)), this.set(d, b), this.changed = {}, this.initialize.apply(this, arguments)
            },
            o = ["url", "urlRoot", "collection"];
        h.extend(n.prototype, i, {
            changed: null,
            validationError: null,
            idAttribute: "id",
            initialize: function() {},
            toJSON: function() {
                return h.clone(this.attributes)
            },
            sync: function() {
                return a.sync.apply(this, arguments)
            },
            get: function(a) {
                return this.attributes[a]
            },
            escape: function(a) {
                return h.escape(this.get(a))
            },
            has: function(a) {
                return null != this.get(a)
            },
            set: function(a, b, c) {
                var d, e, f, g, i, j, k, l;
                if (null == a) return this;
                if ("object" == typeof a ? (e = a, c = b) : (e = {})[a] = b, c || (c = {}), !this._validate(e, c)) return !1;
                f = c.unset, i = c.silent, g = [], j = this._changing, this._changing = !0, j || (this._previousAttributes = h.clone(this.attributes), this.changed = {}), l = this.attributes, k = this._previousAttributes, this.idAttribute in e && (this.id = e[this.idAttribute]);
                for (d in e) b = e[d], h.isEqual(l[d], b) || g.push(d), h.isEqual(k[d], b) ? delete this.changed[d] : this.changed[d] = b, f ? delete l[d] : l[d] = b;
                if (!i) {
                    g.length && (this._pending = !0);
                    for (var m = 0, n = g.length; n > m; m++) this.trigger("change:" + g[m], this, l[g[m]], c)
                }
                if (j) return this;
                if (!i)
                    for (; this._pending;) this._pending = !1, this.trigger("change", this, c);
                return this._pending = !1, this._changing = !1, this
            },
            unset: function(a, b) {
                return this.set(a, void 0, h.extend({}, b, {
                    unset: !0
                }))
            },
            clear: function(a) {
                var b = {};
                for (var c in this.attributes) b[c] = void 0;
                return this.set(b, h.extend({}, a, {
                    unset: !0
                }))
            },
            hasChanged: function(a) {
                return null == a ? !h.isEmpty(this.changed) : h.has(this.changed, a)
            },
            changedAttributes: function(a) {
                if (!a) return this.hasChanged() ? h.clone(this.changed) : !1;
                var b, c = !1,
                    d = this._changing ? this._previousAttributes : this.attributes;
                for (var e in a) h.isEqual(d[e], b = a[e]) || ((c || (c = {}))[e] = b);
                return c
            },
            previous: function(a) {
                return null != a && this._previousAttributes ? this._previousAttributes[a] : null
            },
            previousAttributes: function() {
                return h.clone(this._previousAttributes)
            },
            fetch: function(a) {
                a = a ? h.clone(a) : {}, void 0 === a.parse && (a.parse = !0);
                var b = this,
                    c = a.success;
                return a.success = function(d) {
                    return b.set(b.parse(d, a), a) ? (c && c(b, d, a), b.trigger("sync", b, d, a), void 0) : !1
                }, L(this, a), this.sync("read", this, a)
            },
            save: function(a, b, c) {
                var d, e, f, g = this.attributes;
                if (null == a || "object" == typeof a ? (d = a, c = b) : (d = {})[a] = b, !(!d || c && c.wait || this.set(d, c))) return !1;
                if (c = h.extend({
                        validate: !0
                    }, c), !this._validate(d, c)) return !1;
                d && c.wait && (this.attributes = h.extend({}, g, d)), void 0 === c.parse && (c.parse = !0);
                var i = this,
                    j = c.success;
                return c.success = function(a) {
                    i.attributes = g;
                    var b = i.parse(a, c);
                    return c.wait && (b = h.extend(d || {}, b)), h.isObject(b) && !i.set(b, c) ? !1 : (j && j(i, a, c), i.trigger("sync", i, a, c), void 0)
                }, L(this, c), e = this.isNew() ? "create" : c.patch ? "patch" : "update", "patch" === e && (c.attrs = d), f = this.sync(e, this, c), d && c.wait && (this.attributes = g), f
            },
            destroy: function(a) {
                a = a ? h.clone(a) : {};
                var b = this,
                    c = a.success,
                    d = function() {
                        b.trigger("destroy", b, b.collection, a)
                    };
                if (a.success = function(e) {
                        (a.wait || b.isNew()) && d(), c && c(b, e, a), b.isNew() || b.trigger("sync", b, e, a)
                    }, this.isNew()) return a.success(), !1;
                L(this, a);
                var e = this.sync("delete", this, a);
                return a.wait || d(), e
            },
            url: function() {
                var a = h.result(this, "urlRoot") || h.result(this.collection, "url") || K();
                return this.isNew() ? a : a + ("/" === a.charAt(a.length - 1) ? "" : "/") + encodeURIComponent(this.id)
            },
            parse: function(a) {
                return a
            },
            clone: function() {
                return new this.constructor(this.attributes)
            },
            isNew: function() {
                return null == this.id
            },
            isValid: function(a) {
                return this._validate({}, h.extend(a || {}, {
                    validate: !0
                }))
            },
            _validate: function(a, b) {
                if (!b.validate || !this.validate) return !0;
                a = h.extend({}, this.attributes, a);
                var c = this.validationError = this.validate(a, b) || null;
                return c ? (this.trigger("invalid", this, c, h.extend(b || {}, {
                    validationError: c
                })), !1) : !0
            }
        });
        var p = ["keys", "values", "pairs", "invert", "pick", "omit"];
        h.each(p, function(a) {
            n.prototype[a] = function() {
                var b = f.call(arguments);
                return b.unshift(this.attributes), h[a].apply(h, b)
            }
        });
        var q = a.Collection = function(a, b) {
                b || (b = {}), b.url && (this.url = b.url), b.model && (this.model = b.model), void 0 !== b.comparator && (this.comparator = b.comparator), this._reset(), this.initialize.apply(this, arguments), a && this.reset(a, h.extend({
                    silent: !0
                }, b))
            },
            r = {
                add: !0,
                remove: !0,
                merge: !0
            },
            s = {
                add: !0,
                merge: !1,
                remove: !1
            };
        h.extend(q.prototype, i, {
            model: n,
            initialize: function() {},
            toJSON: function(a) {
                return this.map(function(b) {
                    return b.toJSON(a)
                })
            },
            sync: function() {
                return a.sync.apply(this, arguments)
            },
            add: function(a, b) {
                return this.set(a, h.defaults(b || {}, s))
            },
            remove: function(a, b) {
                a = h.isArray(a) ? a.slice() : [a], b || (b = {});
                var c, d, e, f;
                for (c = 0, d = a.length; d > c; c++) f = this.get(a[c]), f && (delete this._byId[f.id], delete this._byId[f.cid], e = this.indexOf(f), this.models.splice(e, 1), this.length--, b.silent || (b.index = e, f.trigger("remove", f, this, b)), this._removeReference(f));
                return this
            },
            set: function(a, b) {
                b = h.defaults(b || {}, r), b.parse && (a = this.parse(a, b)), h.isArray(a) || (a = a ? [a] : []);
                var c, d, f, i, j, k = b.at,
                    l = this.comparator && null == k && b.sort !== !1,
                    m = h.isString(this.comparator) ? this.comparator : null,
                    n = [],
                    o = [],
                    p = {};
                for (c = 0, d = a.length; d > c; c++)(f = this._prepareModel(a[c], b)) && ((i = this.get(f)) ? (b.remove && (p[i.cid] = !0), b.merge && (i.set(f.attributes, b), l && !j && i.hasChanged(m) && (j = !0))) : b.add && (n.push(f), f.on("all", this._onModelEvent, this), this._byId[f.cid] = f, null != f.id && (this._byId[f.id] = f)));
                if (b.remove) {
                    for (c = 0, d = this.length; d > c; ++c) p[(f = this.models[c]).cid] || o.push(f);
                    o.length && this.remove(o, b)
                }
                if (n.length && (l && (j = !0), this.length += n.length, null != k ? g.apply(this.models, [k, 0].concat(n)) : e.apply(this.models, n)), j && this.sort({
                        silent: !0
                    }), b.silent) return this;
                for (c = 0, d = n.length; d > c; c++)(f = n[c]).trigger("add", f, this, b);
                return j && this.trigger("sort", this, b), this
            },
            reset: function(a, b) {
                b || (b = {});
                for (var c = 0, d = this.models.length; d > c; c++) this._removeReference(this.models[c]);
                return b.previousModels = this.models, this._reset(), this.add(a, h.extend({
                    silent: !0
                }, b)), b.silent || this.trigger("reset", this, b), this
            },
            push: function(a, b) {
                return a = this._prepareModel(a, b), this.add(a, h.extend({
                    at: this.length
                }, b)), a
            },
            pop: function(a) {
                var b = this.at(this.length - 1);
                return this.remove(b, a), b
            },
            unshift: function(a, b) {
                return a = this._prepareModel(a, b), this.add(a, h.extend({
                    at: 0
                }, b)), a
            },
            shift: function(a) {
                var b = this.at(0);
                return this.remove(b, a), b
            },
            slice: function(a, b) {
                return this.models.slice(a, b)
            },
            get: function(a) {
                return null == a ? void 0 : this._byId[null != a.id ? a.id : a.cid || a]
            },
            at: function(a) {
                return this.models[a]
            },
            where: function(a, b) {
                return h.isEmpty(a) ? b ? void 0 : [] : this[b ? "find" : "filter"](function(b) {
                    for (var c in a)
                        if (a[c] !== b.get(c)) return !1;
                    return !0
                })
            },
            findWhere: function(a) {
                return this.where(a, !0)
            },
            sort: function(a) {
                if (!this.comparator) throw new Error("Cannot sort a set without a comparator");
                return a || (a = {}), h.isString(this.comparator) || 1 === this.comparator.length ? this.models = this.sortBy(this.comparator, this) : this.models.sort(h.bind(this.comparator, this)), a.silent || this.trigger("sort", this, a), this
            },
            sortedIndex: function(a, b, c) {
                b || (b = this.comparator);
                var d = h.isFunction(b) ? b : function(a) {
                    return a.get(b)
                };
                return h.sortedIndex(this.models, a, d, c)
            },
            pluck: function(a) {
                return h.invoke(this.models, "get", a)
            },
            fetch: function(a) {
                a = a ? h.clone(a) : {}, void 0 === a.parse && (a.parse = !0);
                var b = a.success,
                    c = this;
                return a.success = function(d) {
                    var e = a.reset ? "reset" : "set";
                    c[e](d, a), b && b(c, d, a), c.trigger("sync", c, d, a)
                }, L(this, a), this.sync("read", this, a)
            },
            create: function(a, b) {
                if (b = b ? h.clone(b) : {}, !(a = this._prepareModel(a, b))) return !1;
                b.wait || this.add(a, b);
                var c = this,
                    d = b.success;
                return b.success = function(e) {
                    b.wait && c.add(a, b), d && d(a, e, b)
                }, a.save(null, b), a
            },
            parse: function(a) {
                return a
            },
            clone: function() {
                return new this.constructor(this.models)
            },
            _reset: function() {
                this.length = 0, this.models = [], this._byId = {}
            },
            _prepareModel: function(a, b) {
                if (a instanceof n) return a.collection || (a.collection = this), a;
                b || (b = {}), b.collection = this;
                var c = new this.model(a, b);
                return c._validate(a, b) ? c : (this.trigger("invalid", this, a, b), !1)
            },
            _removeReference: function(a) {
                this === a.collection && delete a.collection, a.off("all", this._onModelEvent, this)
            },
            _onModelEvent: function(a, b, c, d) {
                ("add" !== a && "remove" !== a || c === this) && ("destroy" === a && this.remove(b, d), b && a === "change:" + b.idAttribute && (delete this._byId[b.previous(b.idAttribute)], null != b.id && (this._byId[b.id] = b)), this.trigger.apply(this, arguments))
            }
        });
        var t = ["forEach", "each", "map", "collect", "reduce", "foldl", "inject", "reduceRight", "foldr", "find", "detect", "filter", "select", "reject", "every", "all", "some", "any", "include", "contains", "invoke", "max", "min", "toArray", "size", "first", "head", "take", "initial", "rest", "tail", "drop", "last", "without", "indexOf", "shuffle", "lastIndexOf", "isEmpty", "chain"];
        h.each(t, function(a) {
            q.prototype[a] = function() {
                var b = f.call(arguments);
                return b.unshift(this.models), h[a].apply(h, b)
            }
        });
        var u = ["groupBy", "countBy", "sortBy"];
        h.each(u, function(a) {
            q.prototype[a] = function(b, c) {
                var d = h.isFunction(b) ? b : function(a) {
                    return a.get(b)
                };
                return h[a](this.models, d, c)
            }
        });
        var v = a.View = function(a) {
                this.cid = h.uniqueId("view"), this._configure(a || {}), this._ensureElement(), this.initialize.apply(this, arguments), this.delegateEvents()
            },
            w = /^(\S+)\s*(.*)$/,
            x = ["model", "collection", "el", "id", "attributes", "className", "tagName", "events"];
        h.extend(v.prototype, i, {
            tagName: "div",
            $: function(a) {
                return this.$el.find(a)
            },
            initialize: function() {},
            render: function() {
                return this
            },
            remove: function() {
                return this.$el.remove(), this.stopListening(), this
            },
            setElement: function(b, c) {
                return this.$el && this.undelegateEvents(), this.$el = b instanceof a.$ ? b : a.$(b), this.el = this.$el[0], c !== !1 && this.delegateEvents(), this
            },
            delegateEvents: function(a) {
                if (!a && !(a = h.result(this, "events"))) return this;
                this.undelegateEvents();
                for (var b in a) {
                    var c = a[b];
                    if (h.isFunction(c) || (c = this[a[b]]), c) {
                        var d = b.match(w),
                            e = d[1],
                            f = d[2];
                        c = h.bind(c, this), e += ".delegateEvents" + this.cid, "" === f ? this.$el.on(e, c) : this.$el.on(e, f, c)
                    }
                }
                return this
            },
            undelegateEvents: function() {
                return this.$el.off(".delegateEvents" + this.cid), this
            },
            _configure: function(a) {
                this.options && (a = h.extend({}, h.result(this, "options"), a)), h.extend(this, h.pick(a, x)), this.options = a
            },
            _ensureElement: function() {
                if (this.el) this.setElement(h.result(this, "el"), !1);
                else {
                    var b = h.extend({}, h.result(this, "attributes"));
                    this.id && (b.id = h.result(this, "id")), this.className && (b["class"] = h.result(this, "className"));
                    var c = a.$("<" + h.result(this, "tagName") + ">").attr(b);
                    this.setElement(c, !1)
                }
            }
        }), a.sync = function(b, c, d) {
            var e = y[b];
            h.defaults(d || (d = {}), {
                emulateHTTP: a.emulateHTTP,
                emulateJSON: a.emulateJSON
            });
            var f = {
                type: e,
                dataType: "json"
            };
            if (d.url || (f.url = h.result(c, "url") || K()), null != d.data || !c || "create" !== b && "update" !== b && "patch" !== b || (f.contentType = "application/json", f.data = JSON.stringify(d.attrs || c.toJSON(d))), d.emulateJSON && (f.contentType = "application/x-www-form-urlencoded", f.data = f.data ? {
                    model: f.data
                } : {}), d.emulateHTTP && ("PUT" === e || "DELETE" === e || "PATCH" === e)) {
                f.type = "POST", d.emulateJSON && (f.data._method = e);
                var g = d.beforeSend;
                d.beforeSend = function(a) {
                    return a.setRequestHeader("X-HTTP-Method-Override", e), g ? g.apply(this, arguments) : void 0
                }
            }
            "GET" === f.type || d.emulateJSON || (f.processData = !1), "PATCH" !== f.type || !window.ActiveXObject || window.external && window.external.msActiveXFilteringEnabled || (f.xhr = function() {
                return new ActiveXObject("Microsoft.XMLHTTP")
            });
            var i = d.xhr = a.ajax(h.extend(f, d));
            return c.trigger("request", c, i, d), i
        };
        var y = {
            create: "POST",
            update: "PUT",
            patch: "PATCH",
            "delete": "DELETE",
            read: "GET"
        };
        a.ajax = function() {
            return a.$.ajax.apply(a.$, arguments)
        };
        var z = a.Router = function(a) {
                a || (a = {}), a.routes && (this.routes = a.routes), this._bindRoutes(), this.initialize.apply(this, arguments)
            },
            A = /\((.*?)\)/g,
            B = /(\(\?)?:\w+/g,
            C = /\*\w+/g,
            D = /[\-{}\[\]+?.,\\\^$|#\s]/g;
        h.extend(z.prototype, i, {
            initialize: function() {},
            route: function(b, c, d) {
                h.isRegExp(b) || (b = this._routeToRegExp(b)), h.isFunction(c) && (d = c, c = ""), d || (d = this[c]);
                var e = this;
                return a.history.route(b, function(f) {
                    var g = e._extractParameters(b, f);
                    d && d.apply(e, g), e.trigger.apply(e, ["route:" + c].concat(g)), e.trigger("route", c, g), a.history.trigger("route", e, c, g)
                }), this
            },
            navigate: function(b, c) {
                return a.history.navigate(b, c), this
            },
            _bindRoutes: function() {
                if (this.routes) {
                    this.routes = h.result(this, "routes");
                    for (var a, b = h.keys(this.routes); null != (a = b.pop());) this.route(a, this.routes[a])
                }
            },
            _routeToRegExp: function(a) {
                return a = a.replace(D, "\\$&").replace(A, "(?:$1)?").replace(B, function(a, b) {
                    return b ? a : "([^/]+)"
                }).replace(C, "(.*?)"), new RegExp("^" + a + "$")
            },
            _extractParameters: function(a, b) {
                var c = a.exec(b).slice(1);
                return h.map(c, function(a) {
                    return a ? decodeURIComponent(a) : null
                })
            }
        });
        var E = a.History = function() {
                this.handlers = [], h.bindAll(this, "checkUrl"), "undefined" != typeof window && (this.location = window.location, this.history = window.history)
            },
            F = /^[#\/]|\s+$/g,
            G = /^\/+|\/+$/g,
            H = /msie [\w.]+/,
            I = /\/$/;
        E.started = !1, h.extend(E.prototype, i, {
            interval: 50,
            getHash: function(a) {
                var b = (a || this).location.href.match(/#(.*)$/);
                return b ? b[1] : ""
            },
            getFragment: function(a, b) {
                if (null == a)
                    if (this._hasPushState || !this._wantsHashChange || b) {
                        a = this.location.pathname;
                        var c = this.root.replace(I, "");
                        a.indexOf(c) || (a = a.substr(c.length))
                    } else a = this.getHash();
                return a.replace(F, "")
            },
            start: function(b) {
                if (E.started) throw new Error("Backbone.history has already been started");
                E.started = !0, this.options = h.extend({}, {
                    root: "/"
                }, this.options, b), this.root = this.options.root, this._wantsHashChange = this.options.hashChange !== !1, this._wantsPushState = !!this.options.pushState, this._hasPushState = !!(this.options.pushState && this.history && this.history.pushState);
                var c = this.getFragment(),
                    d = document.documentMode,
                    e = H.exec(navigator.userAgent.toLowerCase()) && (!d || 7 >= d);
                this.root = ("/" + this.root + "/").replace(G, "/"), e && this._wantsHashChange && (this.iframe = a.$('<iframe src="javascript:0" tabindex="-1" />').hide().appendTo("body")[0].contentWindow, this.navigate(c)), this._hasPushState ? a.$(window).on("popstate", this.checkUrl) : this._wantsHashChange && "onhashchange" in window && !e ? a.$(window).on("hashchange", this.checkUrl) : this._wantsHashChange && (this._checkUrlInterval = setInterval(this.checkUrl, this.interval)), this.fragment = c;
                var f = this.location,
                    g = f.pathname.replace(/[^\/]$/, "$&/") === this.root;
                return this._wantsHashChange && this._wantsPushState && !this._hasPushState && !g ? (this.fragment = this.getFragment(null, !0), this.location.replace(this.root + this.location.search + "#" + this.fragment), !0) : (this._wantsPushState && this._hasPushState && g && f.hash && (this.fragment = this.getHash().replace(F, ""), this.history.replaceState({}, document.title, this.root + this.fragment + f.search)), this.options.silent ? void 0 : this.loadUrl())
            },
            stop: function() {
                a.$(window).off("popstate", this.checkUrl).off("hashchange", this.checkUrl), clearInterval(this._checkUrlInterval), E.started = !1
            },
            route: function(a, b) {
                this.handlers.unshift({
                    route: a,
                    callback: b
                })
            },
            checkUrl: function() {
                var a = this.getFragment();
                return a === this.fragment && this.iframe && (a = this.getFragment(this.getHash(this.iframe))), a === this.fragment ? !1 : (this.iframe && this.navigate(a), this.loadUrl() || this.loadUrl(this.getHash()), void 0)
            },
            loadUrl: function(a) {
                var b = this.fragment = this.getFragment(a),
                    c = h.any(this.handlers, function(a) {
                        return a.route.test(b) ? (a.callback(b), !0) : void 0
                    });
                return c
            },
            navigate: function(a, b) {
                if (!E.started) return !1;
                if (b && b !== !0 || (b = {
                        trigger: b
                    }), a = this.getFragment(a || ""), this.fragment !== a) {
                    this.fragment = a;
                    var c = this.root + a;
                    if (this._hasPushState) this.history[b.replace ? "replaceState" : "pushState"]({}, document.title, c);
                    else {
                        if (!this._wantsHashChange) return this.location.assign(c);
                        this._updateHash(this.location, a, b.replace), this.iframe && a !== this.getFragment(this.getHash(this.iframe)) && (b.replace || this.iframe.document.open().close(), this._updateHash(this.iframe.location, a, b.replace))
                    }
                    b.trigger && this.loadUrl(a)
                }
            },
            _updateHash: function(a, b, c) {
                if (c) {
                    var d = a.href.replace(/(javascript:|#).*$/, "");
                    a.replace(d + "#" + b)
                } else a.hash = "#" + b
            }
        }), a.history = new E;
        var J = function(a, b) {
            var c, d = this;
            c = a && h.has(a, "constructor") ? a.constructor : function() {
                return d.apply(this, arguments)
            }, h.extend(c, d, b);
            var e = function() {
                this.constructor = c
            };
            return e.prototype = d.prototype, c.prototype = new e, a && h.extend(c.prototype, a), c.__super__ = d.prototype, c
        };
        n.extend = q.extend = z.extend = v.extend = E.extend = J;
        var K = function() {
                throw new Error('A "url" property or function must be specified')
            },
            L = function(a, b) {
                var c = b.error;
                b.error = function(d) {
                    c && c(a, d, b), a.trigger("error", a, d, b)
                }
            }
    }.call(this), ! function() {
        function c(a) {
            return [(255 & a >> 16) / 255, (255 & a >> 8) / 255, (255 & a) / 255]
        }

        function d() {
            return f.Matrix = "undefined" != typeof Float32Array ? Float32Array : Array, f.Matrix
        }
        var e = this,
            f = f || {};
        f.Point = function(a, b) {
            this.x = a || 0, this.y = b || 0
        }, f.Point.prototype.clone = function() {
            return new f.Point(this.x, this.y)
        }, f.Point.constructor = f.Point, f.Rectangle = function(a, b, c, d) {
            this.x = a || 0, this.y = b || 0, this.width = c || 0, this.height = d || 0
        }, f.Rectangle.prototype.clone = function() {
            return new f.Rectangle(this.x, this.y, this.width, this.height)
        }, f.Rectangle.constructor = f.Rectangle, f.Polygon = function(a) {
            this.points = a
        }, f.Polygon.clone = function() {
            for (var a = [], b = 0; b < this.points.length; b++) a.push(this.points[b].clone());
            return new f.Polygon(a)
        }, f.Polygon.constructor = f.Polygon, f.DisplayObject = function() {
            this.position = new f.Point, this.scale = new f.Point(1, 1), this.pivot = new f.Point(0, 0), this.rotation = 0, this.alpha = 1, this.visible = !0, this.worldVisible = !1, this.parent = null, this.stage = null, this.hitArea = null, this.worldAlpha = 1, this.color = [], this.worldTransform = f.mat3.create(), this.localTransform = f.mat3.create(), this.dynamic = !0, this._sr = 0, this._cr = 1, this.childIndex = 0, this.renderable = !1, this.interactive = !1, this.buttonMode = !1
        }, f.DisplayObject.constructor = f.DisplayObject, f.DisplayObject.prototype.setInteractive = function(a) {
            this.interactive = a, this.stage && (this.stage.dirty = !0)
        }, f.DisplayObject.prototype.updateTransform = function() {
            this.rotation != this.rotationCache && (this.rotationCache = this.rotation, this._sr = Math.sin(this.rotation), this._cr = Math.cos(this.rotation));
            var a = this.localTransform,
                b = this.parent.worldTransform,
                c = this.worldTransform;
            a[0] = this._cr * this.scale.x, a[1] = -this._sr * this.scale.y, a[3] = this._sr * this.scale.x, a[4] = this._cr * this.scale.y;
            var d = this.pivot.x,
                e = this.pivot.y;
            a[2] = this.position.x - a[0] * d - e * a[1], a[5] = this.position.y - a[4] * e - d * a[3];
            var f = a[0],
                g = a[1],
                h = a[2],
                i = a[3],
                j = a[4],
                k = a[5],
                l = b[0],
                m = b[1],
                n = b[2],
                o = b[3],
                p = b[4],
                q = b[5];
            c[0] = l * f + m * i, c[1] = l * g + m * j, c[2] = l * h + m * k + n, c[3] = o * f + p * i, c[4] = o * g + p * j, c[5] = o * h + p * k + q, this.worldAlpha = this.alpha * this.parent.worldAlpha
        }, f.DisplayObjectContainer = function() {
            f.DisplayObject.call(this), this.children = [], this.renderable = !1
        }, f.DisplayObjectContainer.constructor = f.DisplayObjectContainer, f.DisplayObjectContainer.prototype = Object.create(f.DisplayObject.prototype), f.DisplayObjectContainer.prototype.addChild = function(a) {
            void 0 != a.parent && a.parent.removeChild(a), a.parent = this, a.childIndex = this.children.length, this.children.push(a), this.stage && this.stage.__addChild(a), this.__renderGroup && (a.__renderGroup && a.__renderGroup.removeDisplayObjectAndChildren(a), this.__renderGroup.addDisplayObjectAndChildren(a))
        }, f.DisplayObjectContainer.prototype.addChildAt = function(a, b) {
            if (!(b >= 0 && b <= this.children.length)) throw new Error(a + " The index " + b + " supplied is out of bounds " + this.children.length);
            void 0 != a.parent && a.parent.removeChild(a), b == this.children.length ? this.children.push(a) : this.children.splice(b, 0, a), a.parent = this, a.childIndex = b;
            for (var c = this.children.length, d = b; c > d; d++) this.children[d].childIndex = d;
            this.stage && this.stage.__addChild(a), this.__renderGroup && (a.__renderGroup && a.__renderGroup.removeDisplayObjectAndChildren(a), this.__renderGroup.addDisplayObjectAndChildren(a))
        }, f.DisplayObjectContainer.prototype.swapChildren = function(a, b) {
            var c = this.children.indexOf(a),
                d = this.children.indexOf(b);
            if (-1 === c || -1 === d) throw new Error(a + " Both the supplied DisplayObjects must be a child of the caller " + this);
            this.stage && (this.stage.__removeChild(a), this.stage.__removeChild(b), this.stage.__addChild(a), this.stage.__addChild(b)), a.childIndex = d, b.childIndex = c, this.children[c] = b, this.children[d] = a
        }, f.DisplayObjectContainer.prototype.getChildAt = function(a) {
            if (a >= 0 && a < this.children.length) return this.children[a];
            throw new Error(child + " Both the supplied DisplayObjects must be a child of the caller " + this)
        }, f.DisplayObjectContainer.prototype.removeChild = function(a) {
            var b = this.children.indexOf(a);
            if (-1 === b) throw new Error(a + " The supplied DisplayObject must be a child of the caller " + this);
            this.stage && this.stage.__removeChild(a), a.__renderGroup && a.__renderGroup.removeDisplayObjectAndChildren(a), a.parent = void 0, this.children.splice(b, 1);
            for (var c = b, d = this.children.length; d > c; c++) this.children[c].childIndex -= 1
        }, f.DisplayObjectContainer.prototype.updateTransform = function() {
            if (this.visible) {
                f.DisplayObject.prototype.updateTransform.call(this);
                for (var a = 0, b = this.children.length; b > a; a++) this.children[a].updateTransform()
            }
        }, f.blendModes = {}, f.blendModes.NORMAL = 0, f.blendModes.SCREEN = 1, f.Sprite = function(a) {
            f.DisplayObjectContainer.call(this), this.anchor = new f.Point, this.texture = a, this.blendMode = f.blendModes.NORMAL, this._width = 0, this._height = 0, a.baseTexture.hasLoaded ? this.updateFrame = !0 : (this.onTextureUpdateBind = this.onTextureUpdate.bind(this), this.texture.addEventListener("update", this.onTextureUpdateBind)), this.renderable = !0
        }, f.Sprite.constructor = f.Sprite, f.Sprite.prototype = Object.create(f.DisplayObjectContainer.prototype), Object.defineProperty(f.Sprite.prototype, "width", {
            get: function() {
                return this.scale.x * this.texture.frame.width
            },
            set: function(a) {
                this.scale.x = a / this.texture.frame.width, this._width = a
            }
        }), Object.defineProperty(f.Sprite.prototype, "height", {
            get: function() {
                return this.scale.y * this.texture.frame.height
            },
            set: function(a) {
                this.scale.y = a / this.texture.frame.height, this._height = a
            }
        }), f.Sprite.prototype.setTexture = function(a) {
            this.texture.baseTexture != a.baseTexture && (this.textureChange = !0), this.texture = a, this.updateFrame = !0
        }, f.Sprite.prototype.onTextureUpdate = function() {
            this._width && (this.scale.x = this._width / this.texture.frame.width), this._height && (this.scale.y = this._height / this.texture.frame.height), this.updateFrame = !0
        }, f.Sprite.fromFrame = function(a) {
            var b = f.TextureCache[a];
            if (!b) throw new Error("The frameId '" + a + "' does not exist in the texture cache" + this);
            return new f.Sprite(b)
        }, f.Sprite.fromImage = function(a) {
            var b = f.Texture.fromImage(a);
            return new f.Sprite(b)
        }, f.MovieClip = function(a) {
            f.Sprite.call(this, a[0]), this.textures = a, this.currentFrame = 0, this.animationSpeed = 1, this.loop = !0, this.onComplete = null, this.playing
        }, f.MovieClip.constructor = f.MovieClip, f.MovieClip.prototype = Object.create(f.Sprite.prototype), f.MovieClip.prototype.stop = function() {
            this.playing = !1
        }, f.MovieClip.prototype.play = function() {
            this.playing = !0
        }, f.MovieClip.prototype.gotoAndStop = function(a) {
            this.playing = !1, this.currentFrame = a;
            var b = 0 | this.currentFrame + .5;
            this.setTexture(this.textures[b % this.textures.length])
        }, f.MovieClip.prototype.gotoAndPlay = function(a) {
            this.currentFrame = a, this.playing = !0
        }, f.MovieClip.prototype.updateTransform = function() {
            if (f.Sprite.prototype.updateTransform.call(this), this.playing) {
                this.currentFrame += this.animationSpeed;
                var a = 0 | this.currentFrame + .5;
                this.loop || a < this.textures.length ? this.setTexture(this.textures[a % this.textures.length]) : a >= this.textures.length && (this.gotoAndStop(this.textures.length - 1), this.onComplete && this.onComplete())
            }
        }, f.Text = function(a, b) {
            this.canvas = document.createElement("canvas"), this.context = this.canvas.getContext("2d"), f.Sprite.call(this, f.Texture.fromCanvas(this.canvas)), this.setText(a), this.setStyle(b), this.updateText(), this.dirty = !1
        }, f.Text.constructor = f.Text, f.Text.prototype = Object.create(f.Sprite.prototype), f.Text.prototype.setStyle = function(a) {
            a = a || {}, a.font = a.font || "bold 20pt Arial", a.fill = a.fill || "black", a.align = a.align || "left", a.stroke = a.stroke || "black", a.strokeThickness = a.strokeThickness || 0, a.wordWrap = a.wordWrap || !1, a.wordWrapWidth = a.wordWrapWidth || 100, this.style = a, this.dirty = !0
        }, f.Sprite.prototype.setText = function(a) {
            this.text = a.toString() || " ", this.dirty = !0
        }, f.Text.prototype.updateText = function() {
            this.context.font = this.style.font;
            var a = this.text;
            this.style.wordWrap && (a = this.wordWrap(this.text));
            for (var b = a.split(/(?:\r\n|\r|\n)/), c = [], d = 0, e = 0; e < b.length; e++) {
                var g = this.context.measureText(b[e]).width;
                c[e] = g, d = Math.max(d, g)
            }
            this.canvas.width = d + this.style.strokeThickness;
            var h = this.determineFontHeight("font: " + this.style.font + ";") + this.style.strokeThickness;
            for (this.canvas.height = h * b.length, this.context.fillStyle = this.style.fill, this.context.font = this.style.font, this.context.strokeStyle = this.style.stroke, this.context.lineWidth = this.style.strokeThickness, this.context.textBaseline = "top", e = 0; e < b.length; e++) {
                var i = new f.Point(this.style.strokeThickness / 2, this.style.strokeThickness / 2 + e * h);
                "right" == this.style.align ? i.x += d - c[e] : "center" == this.style.align && (i.x += (d - c[e]) / 2), this.style.stroke && this.style.strokeThickness && this.context.strokeText(b[e], i.x, i.y), this.style.fill && this.context.fillText(b[e], i.x, i.y)
            }
            this.updateTexture()
        }, f.Text.prototype.updateTexture = function() {
            this.texture.baseTexture.width = this.canvas.width, this.texture.baseTexture.height = this.canvas.height, this.texture.frame.width = this.canvas.width, this.texture.frame.height = this.canvas.height, this._width = this.canvas.width, this._height = this.canvas.height, f.texturesToUpdate.push(this.texture.baseTexture)
        }, f.Text.prototype.updateTransform = function() {
            this.dirty && (this.updateText(), this.dirty = !1), f.Sprite.prototype.updateTransform.call(this)
        }, f.Text.prototype.determineFontHeight = function(a) {
            var b = f.Text.heightCache[a];
            if (!b) {
                var c = document.getElementsByTagName("body")[0],
                    d = document.createElement("div"),
                    e = document.createTextNode("M");
                d.appendChild(e), d.setAttribute("style", a + ";position:absolute;top:0;left:0"), c.appendChild(d), b = d.offsetHeight, f.Text.heightCache[a] = b, c.removeChild(d)
            }
            return b
        }, f.Text.prototype.wordWrap = function(a) {
            for (var b = function(a, b, c, d, e) {
                    var f = Math.floor((d - c) / 2) + c;
                    return f == c ? 1 : a.measureText(b.substring(0, f)).width <= e ? a.measureText(b.substring(0, f + 1)).width > e ? f : arguments.callee(a, b, f, d, e) : arguments.callee(a, b, c, f, e)
                }, c = function(a, c, d) {
                    if (a.measureText(c).width <= d || c.length < 1) return c;
                    var e = b(a, c, 0, c.length, d);
                    return c.substring(0, e) + "\n" + arguments.callee(a, c.substring(e), d)
                }, d = "", e = a.split("\n"), f = 0; f < e.length; f++) d += c(this.context, e[f], this.style.wordWrapWidth) + "\n";
            return d
        }, f.Text.prototype.destroy = function(a) {
            a && this.texture.destroy()
        }, f.Text.heightCache = {}, f.BitmapText = function(a, b) {
            f.DisplayObjectContainer.call(this), this.setText(a), this.setStyle(b), this.updateText(), this.dirty = !1
        }, f.BitmapText.constructor = f.BitmapText, f.BitmapText.prototype = Object.create(f.DisplayObjectContainer.prototype), f.BitmapText.prototype.setText = function(a) {
            this.text = a || " ", this.dirty = !0
        }, f.BitmapText.prototype.setStyle = function(a) {
            a = a || {}, a.align = a.align || "left", this.style = a;
            var b = a.font.split(" ");
            this.fontName = b[b.length - 1], this.fontSize = b.length >= 2 ? parseInt(b[b.length - 2], 10) : f.BitmapText.fonts[this.fontName].size, this.dirty = !0
        }, f.BitmapText.prototype.updateText = function() {
            for (var a = f.BitmapText.fonts[this.fontName], b = new f.Point, c = null, d = [], e = 0, g = [], h = 0, i = this.fontSize / a.size, j = 0; j < this.text.length; j++) {
                var k = this.text.charCodeAt(j);
                if (/(?:\r\n|\r|\n)/.test(this.text.charAt(j))) g.push(b.x), e = Math.max(e, b.x), h++, b.x = 0, b.y += a.lineHeight, c = null;
                else {
                    var l = a.chars[k];
                    l && (c && l[c] && (b.x += l.kerning[c]), d.push({
                        texture: l.texture,
                        line: h,
                        charCode: k,
                        position: new f.Point(b.x + l.xOffset, b.y + l.yOffset)
                    }), b.x += l.xAdvance, c = k)
                }
            }
            g.push(b.x), e = Math.max(e, b.x);
            var m = [];
            for (j = 0; h >= j; j++) {
                var n = 0;
                "right" == this.style.align ? n = e - g[j] : "center" == this.style.align && (n = (e - g[j]) / 2), m.push(n)
            }
            for (j = 0; j < d.length; j++) {
                var o = new f.Sprite(d[j].texture);
                o.position.x = (d[j].position.x + m[d[j].line]) * i, o.position.y = d[j].position.y * i, o.scale.x = o.scale.y = i, this.addChild(o)
            }
            this.width = b.x * i, this.height = (b.y + a.lineHeight) * i
        }, f.BitmapText.prototype.updateTransform = function() {
            if (this.dirty) {
                for (; this.children.length > 0;) this.removeChild(this.getChildAt(0));
                this.updateText(), this.dirty = !1
            }
            f.DisplayObjectContainer.prototype.updateTransform.call(this)
        }, f.BitmapText.fonts = {}, f.InteractionManager = function(a) {
            this.stage = a, this.tempPoint = new f.Point, this.mouseoverEnabled = !0, this.mouse = new f.InteractionData, this.touchs = {}, this.pool = [], this.interactiveItems = [], this.last = 0
        }, f.InteractionManager.constructor = f.InteractionManager, f.InteractionManager.prototype.collectInteractiveSprite = function(a, b) {
            for (var c = a.children, d = c.length, e = d - 1; e >= 0; e--) {
                var f = c[e];
                f.visible && (f.interactive ? (b.interactiveChildren = !0, this.interactiveItems.push(f), f.children.length > 0 && this.collectInteractiveSprite(f, f)) : (f.__iParent = null, f.children.length > 0 && this.collectInteractiveSprite(f, b)))
            }
        }, f.InteractionManager.prototype.setTarget = function(a) {
            window.navigator.msPointerEnabled && (a.view.style["-ms-content-zooming"] = "none", a.view.style["-ms-touch-action"] = "none"), this.target = a, a.view.addEventListener("mousemove", this.onMouseMove.bind(this), !0), a.view.addEventListener("mousedown", this.onMouseDown.bind(this), !0), document.body.addEventListener("mouseup", this.onMouseUp.bind(this), !0), a.view.addEventListener("mouseout", this.onMouseUp.bind(this), !0), a.view.addEventListener("touchstart", this.onTouchStart.bind(this), !0), a.view.addEventListener("touchend", this.onTouchEnd.bind(this), !0), a.view.addEventListener("touchmove", this.onTouchMove.bind(this), !0)
        }, f.InteractionManager.prototype.update = function() {
            if (this.target) {
                var a = Date.now(),
                    b = a - this.last;
                if (b = 30 * b / 1e3, !(1 > b)) {
                    if (this.last = a, this.dirty) {
                        this.dirty = !1, this.interactiveItems.length;
                        for (var c = 0; c < this.interactiveItems.length; c++) this.interactiveItems[c].interactiveChildren = !1;
                        this.interactiveItems = [], this.stage.interactive && this.interactiveItems.push(this.stage), this.collectInteractiveSprite(this.stage, this.stage)
                    }
                    var d = this.interactiveItems.length;
                    this.target.view.style.cursor = "default";
                    for (var c = 0; d > c; c++) {
                        var e = this.interactiveItems[c];
                        e.visible && (e.mouseover || e.mouseout || e.buttonMode) && (e.__hit = this.hitTest(e, this.mouse), e.__hit ? (e.buttonMode && (this.target.view.style.cursor = "pointer"), e.__isOver || (e.mouseover && e.mouseover(this.mouse), e.__isOver = !0)) : e.__isOver && (e.mouseout && e.mouseout(this.mouse), e.__isOver = !1))
                    }
                }
            }
        }, f.InteractionManager.prototype.onMouseMove = function(a) {
            var b = this.target.view.getBoundingClientRect();
            this.mouse.global.x = (a.clientX - b.left) * (this.target.width / b.width), this.mouse.global.y = (a.clientY - b.top) * (this.target.height / b.height);
            var c = this.interactiveItems.length;
            this.mouse.global;
            for (var d = 0; c > d; d++) {
                var e = this.interactiveItems[d];
                e.mousemove && e.mousemove(this.mouse)
            }
        }, f.InteractionManager.prototype.onMouseDown = function(a) {
            a.preventDefault();
            var b = this.interactiveItems.length;
            this.mouse.global, this.stage;
            for (var c = 0; b > c; c++) {
                var d = this.interactiveItems[c];
                if ((d.mousedown || d.click) && (d.__mouseIsDown = !0, d.__hit = this.hitTest(d, this.mouse), d.__hit && (d.mousedown && d.mousedown(this.mouse), d.__isDown = !0, !d.interactiveChildren))) break
            }
        }, f.InteractionManager.prototype.onMouseUp = function() {
            this.mouse.global;
            for (var a = this.interactiveItems.length, b = !1, c = 0; a > c; c++) {
                var d = this.interactiveItems[c];
                (d.mouseup || d.mouseupoutside || d.click) && (d.__hit = this.hitTest(d, this.mouse), d.__hit && !b ? (d.mouseup && d.mouseup(this.mouse), d.__isDown && d.click && d.click(this.mouse), d.interactiveChildren || (b = !0)) : d.__isDown && d.mouseupoutside && d.mouseupoutside(this.mouse), d.__isDown = !1)
            }
        }, f.InteractionManager.prototype.hitTest = function(a, b) {
            var c = b.global;
            if (!a.visible) return !1;
            var d = a instanceof f.Sprite,
                e = a.worldTransform,
                g = e[0],
                h = e[1],
                i = e[2],
                j = e[3],
                k = e[4],
                l = e[5],
                m = 1 / (g * k + h * -j),
                n = k * m * c.x + -h * m * c.y + (l * h - i * k) * m,
                o = g * m * c.y + -j * m * c.x + (-l * g + i * j) * m;
            if (a.hitArea) {
                var p = a.hitArea;
                if (a.hitArea instanceof f.Polygon) {
                    for (var q = !1, r = 0, s = a.hitArea.points.length - 1; r < a.hitArea.points.length; s = r++) {
                        var t = a.hitArea.points[r].x,
                            u = a.hitArea.points[r].y,
                            v = a.hitArea.points[s].x,
                            w = a.hitArea.points[s].y,
                            x = u > o != w > o && (v - t) * (o - u) / (w - u) + t > n;
                        x && (q = !q)
                    }
                    if (q) return d && (b.target = a), !0
                } else {
                    var y = p.x;
                    if (n > y && n < y + p.width) {
                        var z = p.y;
                        if (o > z && o < z + p.height) return d && (b.target = a), !0
                    }
                }
            } else if (d) {
                var z, A = a.texture.frame.width,
                    B = a.texture.frame.height,
                    y = -A * a.anchor.x;
                if (n > y && y + A > n && (z = -B * a.anchor.y, o > z && z + B > o)) return b.target = a, !0
            }
            for (var C = a.children.length, r = 0; C > r; r++) {
                var D = a.children[r],
                    E = this.hitTest(D, b);
                if (E) return !0
            }
            return !1
        }, f.InteractionManager.prototype.onTouchMove = function(a) {
            for (var b = this.target.view.getBoundingClientRect(), c = a.changedTouches, d = 0; d < c.length; d++) {
                var e = c[d],
                    f = this.touchs[e.identifier];
                f.global.x = (e.clientX - b.left) * (this.target.width / b.width), f.global.y = (e.clientY - b.top) * (this.target.height / b.height)
            }
            for (var g = this.interactiveItems.length, d = 0; g > d; d++) {
                var h = this.interactiveItems[d];
                h.touchmove && h.touchmove(f)
            }
        }, f.InteractionManager.prototype.onTouchStart = function(a) {
            a.preventDefault();
            for (var b = this.target.view.getBoundingClientRect(), c = a.changedTouches, d = 0; d < c.length; d++) {
                var e = c[d],
                    g = this.pool.pop();
                g || (g = new f.InteractionData), this.touchs[e.identifier] = g, g.global.x = (e.clientX - b.left) * (this.target.width / b.width), g.global.y = (e.clientY - b.top) * (this.target.height / b.height);
                for (var h = this.interactiveItems.length, i = 0; h > i; i++) {
                    var j = this.interactiveItems[i];
                    if ((j.touchstart || j.tap) && (j.__hit = this.hitTest(j, g), j.__hit && (j.touchstart && j.touchstart(g), j.__isDown = !0, j.__touchData = g, !j.interactiveChildren))) break
                }
            }
        }, f.InteractionManager.prototype.onTouchEnd = function(a) {
            for (var b = this.target.view.getBoundingClientRect(), c = a.changedTouches, d = 0; d < c.length; d++) {
                var e = c[d],
                    f = this.touchs[e.identifier],
                    g = !1;
                f.global.x = (e.clientX - b.left) * (this.target.width / b.width), f.global.y = (e.clientY - b.top) * (this.target.height / b.height);
                for (var h = this.interactiveItems.length, i = 0; h > i; i++) {
                    var j = this.interactiveItems[i],
                        k = j.__touchData;
                    j.__hit = this.hitTest(j, f), k == f && ((j.touchend || j.tap) && (j.__hit && !g ? (j.touchend && j.touchend(f), j.__isDown && j.tap && j.tap(f), j.interactiveChildren || (g = !0)) : j.__isDown && j.touchendoutside && j.touchendoutside(f), j.__isDown = !1), j.__touchData = null)
                }
                this.pool.push(f), this.touchs[e.identifier] = null
            }
        }, f.InteractionData = function() {
            this.global = new f.Point, this.local = new f.Point, this.target
        }, f.InteractionData.prototype.getLocalPosition = function(a) {
            var b = a.worldTransform,
                c = this.global,
                d = b[0],
                e = b[1],
                g = b[2],
                h = b[3],
                i = b[4],
                j = b[5],
                k = 1 / (d * i + e * -h);
            return new f.Point(i * k * c.x + -e * k * c.y + (j * e - g * i) * k, d * k * c.y + -h * k * c.x + (-j * d + g * h) * k)
        }, f.InteractionData.constructor = f.InteractionData, f.Stage = function(a, b) {
            f.DisplayObjectContainer.call(this), this.worldTransform = f.mat3.create(), this.__childrenAdded = [], this.__childrenRemoved = [], this.childIndex = 0, this.stage = this, this.stage.hitArea = new f.Rectangle(0, 0, 1e5, 1e5), this.interactive = !!b, this.interactionManager = new f.InteractionManager(this), this.setBackgroundColor(a), this.worldVisible = !0, this.stage.dirty = !0
        }, f.Stage.constructor = f.Stage, f.Stage.prototype = Object.create(f.DisplayObjectContainer.prototype), f.Stage.prototype.updateTransform = function() {
            this.worldAlpha = 1;
            for (var a = 0, b = this.children.length; b > a; a++) this.children[a].updateTransform();
            this.dirty && (this.dirty = !1, this.interactionManager.dirty = !0), this.interactive && this.interactionManager.update()
        }, f.Stage.prototype.setBackgroundColor = function(a) {
            this.backgroundColor = a || 0, this.backgroundColorSplit = c(this.backgroundColor);
            var b = this.backgroundColor.toString(16);
            b = "000000".substr(0, 6 - b.length) + b, this.backgroundColorString = "#" + b
        }, f.Stage.prototype.getMousePosition = function() {
            return this.interactionManager.mouse.global
        }, f.Stage.prototype.__addChild = function(a) {
            if (a.interactive && (this.dirty = !0), a.stage = this, a.children)
                for (var b = 0; b < a.children.length; b++) this.__addChild(a.children[b])
        }, f.Stage.prototype.__removeChild = function(a) {
            if (a.interactive && (this.dirty = !0), a.stage = void 0, a.children)
                for (var b = 0, c = a.children.length; c > b; b++) this.__removeChild(a.children[b])
        };
        for (var h = 0, i = ["ms", "moz", "webkit", "o"], j = 0; j < i.length && !window.requestAnimationFrame; ++j) window.requestAnimationFrame = window[i[j] + "RequestAnimationFrame"], window.cancelAnimationFrame = window[i[j] + "CancelAnimationFrame"] || window[i[j] + "CancelRequestAnimationFrame"];
        window.requestAnimationFrame || (window.requestAnimationFrame = function(a) {
            var b = (new Date).getTime(),
                c = Math.max(0, 16 - (b - h)),
                d = window.setTimeout(function() {
                    a(b + c)
                }, c);
            return h = b + c, d
        }), window.cancelAnimationFrame || (window.cancelAnimationFrame = function(a) {
            clearTimeout(a)
        }), window.requestAnimFrame = window.requestAnimationFrame, "function" != typeof Function.prototype.bind && (Function.prototype.bind = function() {
            var a = Array.prototype.slice;
            return function(b) {
                function c() {
                    var f = e.concat(a.call(arguments));
                    d.apply(this instanceof c ? this : b, f)
                }
                var d = this,
                    e = a.call(arguments, 1);
                if ("function" != typeof d) throw new TypeError;
                return c.prototype = function f(a) {
                    return a && (f.prototype = a), this instanceof f ? void 0 : new f
                }(d.prototype), c
            }
        }());
        var k = f.AjaxRequest = function() {
            var a = ["Msxml2.XMLHTTP", "Microsoft.XMLHTTP"];
            if (!window.ActiveXObject) return window.XMLHttpRequest ? new XMLHttpRequest : !1;
            for (var b = 0; b < a.length; b++) try {
                return new ActiveXObject(a[b])
            } catch (c) {}
        };
        f.EventTarget = function() {
            var a = {};
            this.addEventListener = this.on = function(b, c) {
                void 0 === a[b] && (a[b] = []), -1 === a[b].indexOf(c) && a[b].push(c)
            }, this.dispatchEvent = this.emit = function(b) {
                for (var c in a[b.type]) a[b.type][c](b)
            }, this.removeEventListener = this.off = function(b, c) {
                var d = a[b].indexOf(c); - 1 !== d && a[b].splice(d, 1)
            }
        }, d(), f.mat3 = {}, f.mat3.create = function() {
            var a = new f.Matrix(9);
            return a[0] = 1, a[1] = 0, a[2] = 0, a[3] = 0, a[4] = 1, a[5] = 0, a[6] = 0, a[7] = 0, a[8] = 1, a
        }, f.mat4 = {}, f.mat4.create = function() {
            var a = new f.Matrix(16);
            return a[0] = 1, a[1] = 0, a[2] = 0, a[3] = 0, a[4] = 0, a[5] = 1, a[6] = 0, a[7] = 0, a[8] = 0, a[9] = 0, a[10] = 1, a[11] = 0, a[12] = 0, a[13] = 0, a[14] = 0, a[15] = 1, a
        }, f.mat3.multiply = function(a, b, c) {
            c || (c = a);
            var d = a[0],
                e = a[1],
                f = a[2],
                g = a[3],
                h = a[4],
                i = a[5],
                j = a[6],
                k = a[7],
                l = a[8],
                m = b[0],
                n = b[1],
                o = b[2],
                p = b[3],
                q = b[4],
                r = b[5],
                s = b[6],
                t = b[7],
                u = b[8];
            return c[0] = m * d + n * g + o * j, c[1] = m * e + n * h + o * k, c[2] = m * f + n * i + o * l, c[3] = p * d + q * g + r * j, c[4] = p * e + q * h + r * k, c[5] = p * f + q * i + r * l, c[6] = s * d + t * g + u * j, c[7] = s * e + t * h + u * k, c[8] = s * f + t * i + u * l, c
        }, f.mat3.toMat4 = function(a, b) {
            return b || (b = f.mat4.create()), b[15] = 1, b[14] = 0, b[13] = 0, b[12] = 0, b[11] = 0, b[10] = a[8], b[9] = a[7], b[8] = a[6], b[7] = 0, b[6] = a[5], b[5] = a[4], b[4] = a[3], b[3] = 0, b[2] = a[2], b[1] = a[1], b[0] = a[0], b
        }, f.mat4.create = function() {
            var a = new f.Matrix(16);
            return a[0] = 1, a[1] = 0, a[2] = 0, a[3] = 0, a[4] = 0, a[5] = 1, a[6] = 0, a[7] = 0, a[8] = 0, a[9] = 0, a[10] = 1, a[11] = 0, a[12] = 0, a[13] = 0, a[14] = 0, a[15] = 1, a
        }, f.mat4.transpose = function(a, b) {
            if (!b || a === b) {
                var c = a[1],
                    d = a[2],
                    e = a[3],
                    f = a[6],
                    g = a[7],
                    h = a[11];
                return a[1] = a[4], a[2] = a[8], a[3] = a[12], a[4] = c, a[6] = a[9], a[7] = a[13], a[8] = d, a[9] = f, a[11] = a[14], a[12] = e, a[13] = g, a[14] = h, a
            }
            return b[0] = a[0], b[1] = a[4], b[2] = a[8], b[3] = a[12], b[4] = a[1], b[5] = a[5], b[6] = a[9], b[7] = a[13], b[8] = a[2], b[9] = a[6], b[10] = a[10], b[11] = a[14], b[12] = a[3], b[13] = a[7], b[14] = a[11], b[15] = a[15], b
        }, f.mat4.multiply = function(a, b, c) {
            c || (c = a);
            var d = a[0],
                e = a[1],
                f = a[2],
                g = a[3],
                h = a[4],
                i = a[5],
                j = a[6],
                k = a[7],
                l = a[8],
                m = a[9],
                n = a[10],
                o = a[11],
                p = a[12],
                q = a[13],
                r = a[14],
                s = a[15],
                t = b[0],
                u = b[1],
                v = b[2],
                w = b[3];
            return c[0] = t * d + u * h + v * l + w * p, c[1] = t * e + u * i + v * m + w * q, c[2] = t * f + u * j + v * n + w * r, c[3] = t * g + u * k + v * o + w * s, t = b[4], u = b[5], v = b[6], w = b[7], c[4] = t * d + u * h + v * l + w * p, c[5] = t * e + u * i + v * m + w * q, c[6] = t * f + u * j + v * n + w * r, c[7] = t * g + u * k + v * o + w * s, t = b[8], u = b[9], v = b[10], w = b[11], c[8] = t * d + u * h + v * l + w * p, c[9] = t * e + u * i + v * m + w * q, c[10] = t * f + u * j + v * n + w * r, c[11] = t * g + u * k + v * o + w * s, t = b[12], u = b[13], v = b[14], w = b[15], c[12] = t * d + u * h + v * l + w * p, c[13] = t * e + u * i + v * m + w * q, c[14] = t * f + u * j + v * n + w * r, c[15] = t * g + u * k + v * o + w * s, c
        }, f.autoDetectRenderer = function(a, b, c, d) {
            a || (a = 800), b || (b = 600);
            var e = function() {
                try {
                    return !!window.WebGLRenderingContext && !!document.createElement("canvas").getContext("experimental-webgl")
                } catch (a) {
                    return !1
                }
            }();
            return e ? new f.WebGLRenderer(a, b, c, d) : new f.CanvasRenderer(a, b, c, d)
        }, f.shaderFragmentSrc = ["precision mediump float;", "varying vec2 vTextureCoord;", "varying float vColor;", "uniform sampler2D uSampler;", "void main(void) {", "gl_FragColor = texture2D(uSampler, vec2(vTextureCoord.x, vTextureCoord.y));", "gl_FragColor = gl_FragColor * vColor;", "}"], f.shaderVertexSrc = ["attribute vec2 aVertexPosition;", "attribute vec2 aTextureCoord;", "attribute float aColor;", "uniform mat4 uMVMatrix;", "varying vec2 vTextureCoord;", "varying float vColor;", "void main(void) {", "gl_Position = uMVMatrix * vec4(aVertexPosition, 1.0, 1.0);", "vTextureCoord = aTextureCoord;", "vColor = aColor;", "}"], f.CompileVertexShader = function(a, b) {
            return f._CompileShader(a, b, a.VERTEX_SHADER)
        }, f.CompileFragmentShader = function(a, b) {
            return f._CompileShader(a, b, a.FRAGMENT_SHADER)
        }, f._CompileShader = function(a, b, c) {
            var d = b.join("\n"),
                e = a.createShader(c);
            return a.shaderSource(e, d), a.compileShader(e), a.getShaderParameter(e, a.COMPILE_STATUS) ? e : (alert(a.getShaderInfoLog(e)), null)
        }, f._defaultFrame = new f.Rectangle(0, 0, 1, 1), f.gl, f.WebGLRenderer = function(a, b, c, d) {
            this.transparent = !!d, this.width = a || 800, this.height = b || 600, this.view = c || document.createElement("canvas"), this.view.width = this.width, this.view.height = this.height;
            var e = this;
            this.view.addEventListener("webglcontextlost", function(a) {
                e.handleContextLost(a)
            }, !1), this.view.addEventListener("webglcontextrestored", function(a) {
                e.handleContextRestored(a)
            }, !1), this.batchs = [];
            try {
                f.gl = this.gl = this.view.getContext("experimental-webgl", {
                    alpha: this.transparent,
                    antialias: !1,
                    premultipliedAlpha: !1
                })
            } catch (g) {
                throw new Error(" This browser does not support webGL. Try using the canvas renderer" + this)
            }
            this.initShaders();
            var h = this.gl;
            f.WebGLRenderer.gl = h, this.batch = new f.WebGLBatch(h), h.disable(h.DEPTH_TEST), h.disable(h.CULL_FACE), h.enable(h.BLEND), h.colorMask(!0, !0, !0, this.transparent), this.projectionMatrix = f.mat4.create(), this.resize(this.width, this.height), this.contextLost = !1, this.stageRenderGroup = new f.WebGLRenderGroup(this.gl)
        }, f.WebGLRenderer.constructor = f.WebGLRenderer, f.WebGLRenderer.getBatch = function() {
            return 0 == f._batchs.length ? new f.WebGLBatch(f.WebGLRenderer.gl) : f._batchs.pop()
        }, f.WebGLRenderer.returnBatch = function(a) {
            a.clean(), f._batchs.push(a)
        }, f.WebGLRenderer.prototype.initShaders = function() {
            var a = this.gl,
                b = f.CompileFragmentShader(a, f.shaderFragmentSrc),
                c = f.CompileVertexShader(a, f.shaderVertexSrc);
            f.shaderProgram = a.createProgram();
            var d = f.shaderProgram;
            a.attachShader(d, c), a.attachShader(d, b), a.linkProgram(d), a.getProgramParameter(d, a.LINK_STATUS) || alert("Could not initialise shaders"), a.useProgram(d), d.vertexPositionAttribute = a.getAttribLocation(d, "aVertexPosition"), a.enableVertexAttribArray(d.vertexPositionAttribute), d.textureCoordAttribute = a.getAttribLocation(d, "aTextureCoord"), a.enableVertexAttribArray(d.textureCoordAttribute), d.colorAttribute = a.getAttribLocation(d, "aColor"), a.enableVertexAttribArray(d.colorAttribute), d.mvMatrixUniform = a.getUniformLocation(d, "uMVMatrix"), d.samplerUniform = a.getUniformLocation(d, "uSampler")
        }, f.WebGLRenderer.prototype.render = function(a) {
            if (!this.contextLost) {
                this.__stage !== a && (this.__stage = a, this.stageRenderGroup.setRenderable(a)), f.WebGLRenderer.updateTextures(), a.updateTransform();
                var b = this.gl;
                if (b.colorMask(!0, !0, !0, this.transparent), b.viewport(0, 0, this.width, this.height), b.bindFramebuffer(b.FRAMEBUFFER, null), b.clearColor(a.backgroundColorSplit[0], a.backgroundColorSplit[1], a.backgroundColorSplit[2], !this.transparent), b.clear(b.COLOR_BUFFER_BIT), this.stageRenderGroup.backgroundColor = a.backgroundColorSplit, this.stageRenderGroup.render(this.projectionMatrix), a.interactive && (a._interactiveEventsAdded || (a._interactiveEventsAdded = !0, a.interactionManager.setTarget(this))), f.Texture.frameUpdates.length > 0) {
                    for (var c = 0; c < f.Texture.frameUpdates.length; c++) f.Texture.frameUpdates[c].updateFrame = !1;
                    f.Texture.frameUpdates = []
                }
            }
        }, f.WebGLRenderer.updateTextures = function() {
            for (var a = 0; a < f.texturesToUpdate.length; a++) this.updateTexture(f.texturesToUpdate[a]);
            for (var a = 0; a < f.texturesToDestroy.length; a++) this.destroyTexture(f.texturesToDestroy[a]);
            f.texturesToUpdate = [], f.texturesToDestroy = []
        }, f.WebGLRenderer.updateTexture = function(a) {
            var b = f.gl;
            a._glTexture || (a._glTexture = b.createTexture()), a.hasLoaded && (b.bindTexture(b.TEXTURE_2D, a._glTexture), b.pixelStorei(b.UNPACK_PREMULTIPLY_ALPHA_WEBGL, !0), b.texImage2D(b.TEXTURE_2D, 0, b.RGBA, b.RGBA, b.UNSIGNED_BYTE, a.source), b.texParameteri(b.TEXTURE_2D, b.TEXTURE_MAG_FILTER, b.LINEAR), b.texParameteri(b.TEXTURE_2D, b.TEXTURE_MIN_FILTER, b.LINEAR), a._powerOf2 ? (b.texParameteri(b.TEXTURE_2D, b.TEXTURE_WRAP_S, b.REPEAT), b.texParameteri(b.TEXTURE_2D, b.TEXTURE_WRAP_T, b.REPEAT)) : (b.texParameteri(b.TEXTURE_2D, b.TEXTURE_WRAP_S, b.CLAMP_TO_EDGE), b.texParameteri(b.TEXTURE_2D, b.TEXTURE_WRAP_T, b.CLAMP_TO_EDGE)), b.bindTexture(b.TEXTURE_2D, null))
        }, f.WebGLRenderer.prototype.destroyTexture = function(a) {
            var b = this.gl;
            a._glTexture && (a._glTexture = b.createTexture(), b.deleteTexture(b.TEXTURE_2D, a._glTexture))
        }, f.WebGLRenderer.prototype.resize = function(a, b) {
            this.width = a, this.height = b, this.view.width = a, this.view.height = b, this.gl.viewport(0, 0, this.width, this.height);
            var c = this.projectionMatrix;
            c[0] = 2 / this.width, c[5] = -2 / this.height, c[12] = -1, c[13] = 1
        }, f.WebGLRenderer.prototype.handleContextLost = function(a) {
            a.preventDefault(), this.contextLost = !0
        }, f.WebGLRenderer.prototype.handleContextRestored = function() {
            this.gl = this.view.getContext("experimental-webgl", {
                alpha: !0
            }), this.initShaders();
            for (var a in f.TextureCache) {
                var b = f.TextureCache[a].baseTexture;
                b._glTexture = null, f.WebGLRenderer.updateTexture(b)
            }
            for (var c = 0; c < this.batchs.length; c++) this.batchs[c].restoreLostContext(this.gl), this.batchs[c].dirty = !0;
            f._restoreBatchs(this.gl), this.contextLost = !1
        }, f._batchs = [], f._getBatch = function(a) {
            return 0 == f._batchs.length ? new f.WebGLBatch(a) : f._batchs.pop()
        }, f._returnBatch = function(a) {
            a.clean(), f._batchs.push(a)
        }, f._restoreBatchs = function(a) {
            for (var b = 0; b < f._batchs.length; b++) f._batchs[b].restoreLostContext(a)
        }, f.WebGLBatch = function(a) {
            this.gl = a, this.size = 0, this.vertexBuffer = a.createBuffer(), this.indexBuffer = a.createBuffer(), this.uvBuffer = a.createBuffer(), this.colorBuffer = a.createBuffer(), this.blendMode = f.blendModes.NORMAL, this.dynamicSize = 1
        }, f.WebGLBatch.constructor = f.WebGLBatch, f.WebGLBatch.prototype.clean = function() {
            this.verticies = [], this.uvs = [], this.indices = [], this.colors = [], this.dynamicSize = 1, this.texture = null, this.last = null, this.size = 0, this.head, this.tail
        }, f.WebGLBatch.prototype.restoreLostContext = function(a) {
            this.gl = a, this.vertexBuffer = a.createBuffer(), this.indexBuffer = a.createBuffer(), this.uvBuffer = a.createBuffer(), this.colorBuffer = a.createBuffer()
        }, f.WebGLBatch.prototype.init = function(a) {
            a.batch = this, this.dirty = !0, this.blendMode = a.blendMode, this.texture = a.texture.baseTexture, this.head = a, this.tail = a, this.size = 1, this.growBatch()
        }, f.WebGLBatch.prototype.insertBefore = function(a, b) {
            this.size++, a.batch = this, this.dirty = !0;
            var c = b.__prev;
            b.__prev = a, a.__next = b, c ? (a.__prev = c, c.__next = a) : this.head = a
        }, f.WebGLBatch.prototype.insertAfter = function(a, b) {
            this.size++, a.batch = this, this.dirty = !0;
            var c = b.__next;
            b.__next = a, a.__prev = b, c ? (a.__next = c, c.__prev = a) : this.tail = a
        }, f.WebGLBatch.prototype.remove = function(a) {
            return this.size--, 0 == this.size ? (a.batch = null, a.__prev = null, a.__next = null, void 0) : (a.__prev ? a.__prev.__next = a.__next : (this.head = a.__next, this.head.__prev = null), a.__next ? a.__next.__prev = a.__prev : (this.tail = a.__prev, this.tail.__next = null), a.batch = null, a.__next = null, a.__prev = null, this.dirty = !0, void 0)
        }, f.WebGLBatch.prototype.split = function(a) {
            this.dirty = !0;
            var b = new f.WebGLBatch(this.gl);
            b.init(a), b.texture = this.texture, b.tail = this.tail, this.tail = a.__prev, this.tail.__next = null, a.__prev = null;
            for (var c = 0; a;) c++, a.batch = b, a = a.__next;
            return b.size = c, this.size -= c, b
        }, f.WebGLBatch.prototype.merge = function(a) {
            this.dirty = !0, this.tail.__next = a.head, a.head.__prev = this.tail, this.size += a.size, this.tail = a.tail;
            for (var b = a.head; b;) b.batch = this, b = b.__next
        }, f.WebGLBatch.prototype.growBatch = function() {
            var a = this.gl;
            this.dynamicSize = 1 == this.size ? 1 : 1.5 * this.size, this.verticies = new Float32Array(8 * this.dynamicSize), a.bindBuffer(a.ARRAY_BUFFER, this.vertexBuffer), a.bufferData(a.ARRAY_BUFFER, this.verticies, a.DYNAMIC_DRAW), this.uvs = new Float32Array(8 * this.dynamicSize), a.bindBuffer(a.ARRAY_BUFFER, this.uvBuffer), a.bufferData(a.ARRAY_BUFFER, this.uvs, a.DYNAMIC_DRAW), this.dirtyUVS = !0, this.colors = new Float32Array(4 * this.dynamicSize), a.bindBuffer(a.ARRAY_BUFFER, this.colorBuffer), a.bufferData(a.ARRAY_BUFFER, this.colors, a.DYNAMIC_DRAW), this.dirtyColors = !0, this.indices = new Uint16Array(6 * this.dynamicSize);
            for (var b = this.indices.length / 6, c = 0; b > c; c++) {
                var d = 6 * c,
                    e = 4 * c;
                this.indices[d + 0] = e + 0, this.indices[d + 1] = e + 1, this.indices[d + 2] = e + 2, this.indices[d + 3] = e + 0, this.indices[d + 4] = e + 2, this.indices[d + 5] = e + 3
            }
            a.bindBuffer(a.ELEMENT_ARRAY_BUFFER, this.indexBuffer), a.bufferData(a.ELEMENT_ARRAY_BUFFER, this.indices, a.STATIC_DRAW)
        }, f.WebGLBatch.prototype.refresh = function() {
            this.gl, this.dynamicSize < this.size && this.growBatch();
            for (var a, b = 0, c = this.head; c;) {
                a = 8 * b;
                var d = c.texture,
                    e = d.frame,
                    f = d.baseTexture.width,
                    g = d.baseTexture.height;
                this.uvs[a + 0] = e.x / f, this.uvs[a + 1] = e.y / g, this.uvs[a + 2] = (e.x + e.width) / f, this.uvs[a + 3] = e.y / g, this.uvs[a + 4] = (e.x + e.width) / f, this.uvs[a + 5] = (e.y + e.height) / g, this.uvs[a + 6] = e.x / f, this.uvs[a + 7] = (e.y + e.height) / g, c.updateFrame = !1, colorIndex = 4 * b, this.colors[colorIndex] = this.colors[colorIndex + 1] = this.colors[colorIndex + 2] = this.colors[colorIndex + 3] = c.worldAlpha, c = c.__next, b++
            }
            this.dirtyUVS = !0, this.dirtyColors = !0
        }, f.WebGLBatch.prototype.update = function() {
            this.gl;
            for (var a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q = 0, r = this.head; r;) {
                if (r.worldVisible) {
                    if (b = r.texture.frame.width, c = r.texture.frame.height, d = r.anchor.x, e = r.anchor.y, f = b * (1 - d), g = b * -d, h = c * (1 - e), i = c * -e, j = 8 * q, a = r.worldTransform, k = a[0], l = a[3], m = a[1], n = a[4], o = a[2], p = a[5], this.verticies[j + 0] = k * g + m * i + o, this.verticies[j + 1] = n * i + l * g + p, this.verticies[j + 2] = k * f + m * i + o, this.verticies[j + 3] = n * i + l * f + p, this.verticies[j + 4] = k * f + m * h + o, this.verticies[j + 5] = n * h + l * f + p, this.verticies[j + 6] = k * g + m * h + o, this.verticies[j + 7] = n * h + l * g + p, r.updateFrame || r.texture.updateFrame) {
                        this.dirtyUVS = !0;
                        var s = r.texture,
                            t = s.frame,
                            u = s.baseTexture.width,
                            v = s.baseTexture.height;
                        this.uvs[j + 0] = t.x / u, this.uvs[j + 1] = t.y / v, this.uvs[j + 2] = (t.x + t.width) / u, this.uvs[j + 3] = t.y / v, this.uvs[j + 4] = (t.x + t.width) / u, this.uvs[j + 5] = (t.y + t.height) / v, this.uvs[j + 6] = t.x / u, this.uvs[j + 7] = (t.y + t.height) / v, r.updateFrame = !1
                    }
                    if (r.cacheAlpha != r.worldAlpha) {
                        r.cacheAlpha = r.worldAlpha;
                        var w = 4 * q;
                        this.colors[w] = this.colors[w + 1] = this.colors[w + 2] = this.colors[w + 3] = r.worldAlpha, this.dirtyColors = !0
                    }
                } else j = 8 * q, this.verticies[j + 0] = 0, this.verticies[j + 1] = 0, this.verticies[j + 2] = 0, this.verticies[j + 3] = 0, this.verticies[j + 4] = 0, this.verticies[j + 5] = 0, this.verticies[j + 6] = 0, this.verticies[j + 7] = 0;
                q++, r = r.__next
            }
        }, f.WebGLBatch.prototype.render = function(a, b) {
            if (a = a || 0, void 0 == b && (b = this.size), this.dirty && (this.refresh(), this.dirty = !1), 0 != this.size) {
                this.update();
                var c = this.gl;
                c.blendFunc(c.ONE, c.ONE_MINUS_SRC_ALPHA);
                var d = f.shaderProgram;
                c.useProgram(d), c.bindBuffer(c.ARRAY_BUFFER, this.vertexBuffer), c.bufferSubData(c.ARRAY_BUFFER, 0, this.verticies), c.vertexAttribPointer(d.vertexPositionAttribute, 2, c.FLOAT, !1, 0, 0), c.bindBuffer(c.ARRAY_BUFFER, this.uvBuffer), this.dirtyUVS && (this.dirtyUVS = !1, c.bufferSubData(c.ARRAY_BUFFER, 0, this.uvs)), c.vertexAttribPointer(d.textureCoordAttribute, 2, c.FLOAT, !1, 0, 0), c.activeTexture(c.TEXTURE0), c.bindTexture(c.TEXTURE_2D, this.texture._glTexture), c.bindBuffer(c.ARRAY_BUFFER, this.colorBuffer), this.dirtyColors && (this.dirtyColors = !1, c.bufferSubData(c.ARRAY_BUFFER, 0, this.colors)), c.vertexAttribPointer(d.colorAttribute, 1, c.FLOAT, !1, 0, 0), c.bindBuffer(c.ELEMENT_ARRAY_BUFFER, this.indexBuffer);
                var e = b - a;
                c.drawElements(c.TRIANGLES, 6 * e, c.UNSIGNED_SHORT, 12 * a)
            }
        }, f.WebGLRenderGroup = function(a) {
            this.gl = a, this.root, this.backgroundColor, this.batchs = [], this.toRemove = []
        }, f.WebGLRenderGroup.constructor = f.WebGLRenderGroup, f.WebGLRenderGroup.prototype.setRenderable = function(a) {
            this.root && this.removeDisplayObjectAndChildren(this.root), a.worldVisible = a.visible, this.root = a, this.addDisplayObjectAndChildren(a)
        }, f.WebGLRenderGroup.prototype.render = function(a) {
            f.WebGLRenderer.updateTextures();
            var b = this.gl;
            b.uniformMatrix4fv(f.shaderProgram.mvMatrixUniform, !1, a), this.checkVisibility(this.root, this.root.visible);
            for (var c, d = 0; d < this.batchs.length; d++) c = this.batchs[d], c instanceof f.WebGLBatch ? this.batchs[d].render() : c instanceof f.TilingSprite ? c.visible && this.renderTilingSprite(c, a) : c instanceof f.Strip && c.visible && this.renderStrip(c, a)
        }, f.WebGLRenderGroup.prototype.renderSpecific = function(a, b) {
            f.WebGLRenderer.updateTextures();
            var c = this.gl;
            this.checkVisibility(a, a.visible), c.uniformMatrix4fv(f.shaderProgram.mvMatrixUniform, !1, b);
            var d, e, g, h, i = a.renderable ? a : this.getNextRenderable(a),
                j = i.batch;
            if (i instanceof f.Sprite) {
                j = i.batch;
                var k = j.head;
                if (k == i) d = 0;
                else
                    for (d = 1; k.__next != i;) d++, k = k.__next
            } else j = i;
            for (var l, m = a, n = a; n.children.length > 0;) n = n.children[n.children.length - 1], n.renderable && (m = n);
            if (m instanceof f.Sprite) {
                l = m.batch;
                var k = l.head;
                if (k == m) g = 0;
                else
                    for (g = 1; k.__next != m;) g++, k = k.__next
            } else l = m;
            if (j == l) return j instanceof f.WebGLBatch ? j.render(d, g + 1) : j instanceof f.TilingSprite ? j.visible && this.renderTilingSprite(j, b) : j instanceof f.Strip ? j.visible && this.renderStrip(j, b) : j instanceof f.CustomRenderable && j.visible && j.renderWebGL(this, b), void 0;
            e = this.batchs.indexOf(j), h = this.batchs.indexOf(l), j instanceof f.WebGLBatch ? j.render(d) : j instanceof f.TilingSprite ? j.visible && this.renderTilingSprite(j, b) : j instanceof f.Strip ? j.visible && this.renderStrip(j, b) : j instanceof f.CustomRenderable && j.visible && j.renderWebGL(this, b);
            for (var o = e + 1; h > o; o++) renderable = this.batchs[o], renderable instanceof f.WebGLBatch ? this.batchs[o].render() : renderable instanceof f.TilingSprite ? renderable.visible && this.renderTilingSprite(renderable, b) : renderable instanceof f.Strip ? renderable.visible && this.renderStrip(renderable, b) : renderable instanceof f.CustomRenderable && renderable.visible && renderable.renderWebGL(this, b);
            l instanceof f.WebGLBatch ? l.render(0, g + 1) : l instanceof f.TilingSprite ? l.visible && this.renderTilingSprite(l) : l instanceof f.Strip ? l.visible && this.renderStrip(l) : l instanceof f.CustomRenderable && l.visible && l.renderWebGL(this, b)
        }, f.WebGLRenderGroup.prototype.checkVisibility = function(a, b) {
            for (var c = a.children, d = 0; d < c.length; d++) {
                var e = c[d];
                e.worldVisible = e.visible && b, e.textureChange && (e.textureChange = !1, e.worldVisible && (this.removeDisplayObject(e), this.addDisplayObject(e))), e.children.length > 0 && this.checkVisibility(e, e.worldVisible)
            }
        }, f.WebGLRenderGroup.prototype.updateTexture = function(a) {
            if (1 == a.batch.length) return a.batch.texture = a.texture.baseTexture, void 0;
            if (a.batch.texture != a.texture.baseTexture)
                if (a.batch.head == a) {
                    var b = a.batch,
                        c = this.batchs.indexOf(b),
                        d = this.batchs[c - 1];
                    if (b.remove(a), d)
                        if (d.texture == a.texture.baseTexture && d.blendMode == a.blendMode) d.insertAfter(a, d.tail);
                        else {
                            var e = f.WebGLRenderer.getBatch();
                            e.init(a), this.batchs.splice(c - 1, 0, e)
                        }
                    else {
                        var e = f.WebGLRenderer.getBatch();
                        e.init(a), this.batchs.splice(0, 0, e)
                    }
                } else if (a.batch.tail == a) {
                var b = a.batch,
                    c = this.batchs.indexOf(b),
                    g = this.batchs[c + 1];
                if (b.remove(a), g) {
                    if (g.texture == a.texture.baseTexture && g.blendMode == a.blendMode) return g.insertBefore(a, g.head), void 0;
                    var e = f.WebGLRenderer.getBatch();
                    e.init(a), this.batchs.splice(c + 1, 0, e)
                } else {
                    var e = f.WebGLRenderer.getBatch();
                    e.init(a), this.batchs.push(e)
                }
            } else {
                var b = a.batch,
                    h = b.split(a);
                h.remove(a);
                var e = f.WebGLRenderer.getBatch(),
                    c = this.batchs.indexOf(b);
                e.init(a), this.batchs.splice(c + 1, 0, e, h)
            }
        }, f.WebGLRenderGroup.prototype.addDisplayObject = function(a) {
            if (a.__renderGroup && a.__renderGroup.removeDisplayObjectAndChildren(a), a.__renderGroup = this, a.renderable) {
                var b = this.getPreviousRenderable(a),
                    c = this.getNextRenderable(a);
                if (a instanceof f.Sprite) {
                    var d, e;
                    if (b instanceof f.Sprite) {
                        if (d = b.batch, d && d.texture == a.texture.baseTexture && d.blendMode == a.blendMode) return d.insertAfter(a, b), void 0
                    } else d = b;
                    if (c)
                        if (c instanceof f.Sprite) {
                            if (e = c.batch) {
                                if (e.texture == a.texture.baseTexture && e.blendMode == a.blendMode) return e.insertBefore(a, c), void 0;
                                if (e == d) {
                                    var g = d.split(c),
                                        h = f.WebGLRenderer.getBatch(),
                                        i = this.batchs.indexOf(d);
                                    return h.init(a), this.batchs.splice(i + 1, 0, h, g), void 0
                                }
                            }
                        } else e = c;
                    var h = f.WebGLRenderer.getBatch();
                    if (h.init(a), d) {
                        var i = this.batchs.indexOf(d);
                        this.batchs.splice(i + 1, 0, h)
                    } else this.batchs.push(h)
                } else a instanceof f.TilingSprite ? (this.initTilingSprite(a), this.batchs.push(a)) : a instanceof f.Strip && (this.initStrip(a), this.batchs.push(a));
                this.batchUpdate = !0
            }
        }, f.WebGLRenderGroup.prototype.addDisplayObjectAndChildren = function(a) {
            this.addDisplayObject(a);
            for (var b = a.children, c = 0; c < b.length; c++) this.addDisplayObjectAndChildren(b[c])
        }, f.WebGLRenderGroup.prototype.removeDisplayObject = function(a) {
            if (a.__renderGroup = null, a.renderable) {
                var b;
                if (a instanceof f.Sprite) {
                    var c = a.batch;
                    if (!c) return;
                    c.remove(a), 0 == c.size && (b = c)
                } else b = a;
                if (b) {
                    var d = this.batchs.indexOf(b);
                    if (-1 == d) return;
                    if (0 == d || d == this.batchs.length - 1) return this.batchs.splice(d, 1), b instanceof f.WebGLBatch && f.WebGLRenderer.returnBatch(b), void 0;
                    if (this.batchs[d - 1] instanceof f.WebGLBatch && this.batchs[d + 1] instanceof f.WebGLBatch && this.batchs[d - 1].texture == this.batchs[d + 1].texture && this.batchs[d - 1].blendMode == this.batchs[d + 1].blendMode) return this.batchs[d - 1].merge(this.batchs[d + 1]), b instanceof f.WebGLBatch && f.WebGLRenderer.returnBatch(b), f.WebGLRenderer.returnBatch(this.batchs[d + 1]), this.batchs.splice(d, 2), void 0;
                    this.batchs.splice(d, 1), b instanceof f.WebGLBatch && f.WebGLRenderer.returnBatch(b)
                }
            }
        }, f.WebGLRenderGroup.prototype.removeDisplayObjectAndChildren = function(a) {
            if (a.__renderGroup == this) {
                this.removeDisplayObject(a);
                for (var b = a.children, c = 0; c < b.length; c++) this.removeDisplayObjectAndChildren(b[c])
            }
        }, f.WebGLRenderGroup.prototype.getNextRenderable = function(a) {
            var b = a;
            do {
                if (0 == b.children.length) {
                    if (!b.parent) return null;
                    for (; b.childIndex == b.parent.children.length - 1;)
                        if (b = b.parent, b == this.root || !b.parent) {
                            b = null;
                            break
                        }
                    b && (b = b.parent.children[b.childIndex + 1])
                } else b = b.children[0];
                if (!b) break
            } while (!b.renderable || !b.__renderGroup);
            return b
        }, f.WebGLRenderGroup.prototype.getPreviousRenderable = function(a) {
            var b = a;
            do {
                if (0 == b.childIndex) {
                    if (b = b.parent, !b) return null
                } else
                    for (b = b.parent.children[b.childIndex - 1]; 0 != b.children.length;) b = b.children[b.children.length - 1];
                if (b == this.root) break
            } while (!b.renderable || !b.__renderGroup);
            return b
        }, f.WebGLRenderGroup.prototype.initTilingSprite = function(a) {
            var b = this.gl;
            a.verticies = new Float32Array([0, 0, a.width, 0, a.width, a.height, 0, a.height]), a.uvs = new Float32Array([0, 0, 1, 0, 1, 1, 0, 1]), a.colors = new Float32Array([1, 1, 1, 1]), a.indices = new Uint16Array([0, 1, 3, 2]), a._vertexBuffer = b.createBuffer(), a._indexBuffer = b.createBuffer(), a._uvBuffer = b.createBuffer(), a._colorBuffer = b.createBuffer(), b.bindBuffer(b.ARRAY_BUFFER, a._vertexBuffer), b.bufferData(b.ARRAY_BUFFER, a.verticies, b.STATIC_DRAW), b.bindBuffer(b.ARRAY_BUFFER, a._uvBuffer), b.bufferData(b.ARRAY_BUFFER, a.uvs, b.DYNAMIC_DRAW), b.bindBuffer(b.ARRAY_BUFFER, a._colorBuffer), b.bufferData(b.ARRAY_BUFFER, a.colors, b.STATIC_DRAW), b.bindBuffer(b.ELEMENT_ARRAY_BUFFER, a._indexBuffer), b.bufferData(b.ELEMENT_ARRAY_BUFFER, a.indices, b.STATIC_DRAW), a.texture.baseTexture._glTexture ? (b.bindTexture(b.TEXTURE_2D, a.texture.baseTexture._glTexture), b.texParameteri(b.TEXTURE_2D, b.TEXTURE_WRAP_S, b.REPEAT), b.texParameteri(b.TEXTURE_2D, b.TEXTURE_WRAP_T, b.REPEAT), a.texture.baseTexture._powerOf2 = !0) : a.texture.baseTexture._powerOf2 = !0
        }, f.WebGLRenderGroup.prototype.renderStrip = function(a, b) {
            var c = this.gl,
                d = f.shaderProgram,
                e = f.mat3.toMat4(a.worldTransform);
            f.mat4.transpose(e), f.mat4.multiply(b, e, e), c.uniformMatrix4fv(d.mvMatrixUniform, !1, e), a.blendMode == f.blendModes.NORMAL ? c.blendFunc(c.ONE, c.ONE_MINUS_SRC_ALPHA) : c.blendFunc(c.ONE, c.ONE_MINUS_SRC_COLOR), a.dirty ? (a.dirty = !1, c.bindBuffer(c.ARRAY_BUFFER, a._vertexBuffer), c.bufferData(c.ARRAY_BUFFER, a.verticies, c.STATIC_DRAW), c.vertexAttribPointer(d.vertexPositionAttribute, 2, c.FLOAT, !1, 0, 0), c.bindBuffer(c.ARRAY_BUFFER, a._uvBuffer), c.bufferData(c.ARRAY_BUFFER, a.uvs, c.STATIC_DRAW), c.vertexAttribPointer(d.textureCoordAttribute, 2, c.FLOAT, !1, 0, 0), c.activeTexture(c.TEXTURE0), c.bindTexture(c.TEXTURE_2D, a.texture.baseTexture._glTexture), c.bindBuffer(c.ARRAY_BUFFER, a._colorBuffer), c.bufferData(c.ARRAY_BUFFER, a.colors, c.STATIC_DRAW), c.vertexAttribPointer(d.colorAttribute, 1, c.FLOAT, !1, 0, 0), c.bindBuffer(c.ELEMENT_ARRAY_BUFFER, a._indexBuffer), c.bufferData(c.ELEMENT_ARRAY_BUFFER, a.indices, c.STATIC_DRAW)) : (c.bindBuffer(c.ARRAY_BUFFER, a._vertexBuffer), c.bufferSubData(c.ARRAY_BUFFER, 0, a.verticies), c.vertexAttribPointer(d.vertexPositionAttribute, 2, c.FLOAT, !1, 0, 0), c.bindBuffer(c.ARRAY_BUFFER, a._uvBuffer), c.vertexAttribPointer(d.textureCoordAttribute, 2, c.FLOAT, !1, 0, 0), c.activeTexture(c.TEXTURE0), c.bindTexture(c.TEXTURE_2D, a.texture.baseTexture._glTexture), c.bindBuffer(c.ARRAY_BUFFER, a._colorBuffer), c.vertexAttribPointer(d.colorAttribute, 1, c.FLOAT, !1, 0, 0), c.bindBuffer(c.ELEMENT_ARRAY_BUFFER, a._indexBuffer)), c.drawElements(c.TRIANGLE_STRIP, a.indices.length, c.UNSIGNED_SHORT, 0), c.uniformMatrix4fv(d.mvMatrixUniform, !1, b)
        }, f.WebGLRenderGroup.prototype.renderTilingSprite = function(a, b) {
            var c = this.gl;
            f.shaderProgram;
            var d = a.tilePosition,
                e = a.tileScale,
                g = d.x / a.texture.baseTexture.width,
                h = d.y / a.texture.baseTexture.height,
                i = a.width / a.texture.baseTexture.width / e.x,
                j = a.height / a.texture.baseTexture.height / e.y;
            a.uvs[0] = 0 - g, a.uvs[1] = 0 - h, a.uvs[2] = 1 * i - g, a.uvs[3] = 0 - h, a.uvs[4] = 1 * i - g, a.uvs[5] = 1 * j - h, a.uvs[6] = 0 - g, a.uvs[7] = 1 * j - h, c.bindBuffer(c.ARRAY_BUFFER, a._uvBuffer), c.bufferSubData(c.ARRAY_BUFFER, 0, a.uvs), this.renderStrip(a, b)
        }, f.WebGLRenderGroup.prototype.initStrip = function(a) {
            var b = this.gl;
            this.shaderProgram, a._vertexBuffer = b.createBuffer(), a._indexBuffer = b.createBuffer(), a._uvBuffer = b.createBuffer(), a._colorBuffer = b.createBuffer(), b.bindBuffer(b.ARRAY_BUFFER, a._vertexBuffer), b.bufferData(b.ARRAY_BUFFER, a.verticies, b.DYNAMIC_DRAW), b.bindBuffer(b.ARRAY_BUFFER, a._uvBuffer), b.bufferData(b.ARRAY_BUFFER, a.uvs, b.STATIC_DRAW), b.bindBuffer(b.ARRAY_BUFFER, a._colorBuffer), b.bufferData(b.ARRAY_BUFFER, a.colors, b.STATIC_DRAW), b.bindBuffer(b.ELEMENT_ARRAY_BUFFER, a._indexBuffer), b.bufferData(b.ELEMENT_ARRAY_BUFFER, a.indices, b.STATIC_DRAW)
        }, f.CanvasRenderer = function(a, b, c, d) {
            this.transparent = d, this.width = a || 800, this.height = b || 600, this.refresh = !0, this.view = c || document.createElement("canvas"), this.view.width = this.width, this.view.height = this.height, this.count = 0, this.context = this.view.getContext("2d")
        }, f.CanvasRenderer.constructor = f.CanvasRenderer, f.CanvasRenderer.prototype.render = function(a) {
            f.texturesToUpdate = [], f.texturesToDestroy = [], a.updateTransform(), this.view.style.backgroundColor == a.backgroundColorString || this.transparent || (this.view.style.backgroundColor = a.backgroundColorString), this.context.setTransform(1, 0, 0, 1, 0, 0), this.context.clearRect(0, 0, this.width, this.height), this.renderDisplayObject(a), a.interactive && (a._interactiveEventsAdded || (a._interactiveEventsAdded = !0, a.interactionManager.setTarget(this))), f.Texture.frameUpdates.length > 0 && (f.Texture.frameUpdates = [])
        }, f.CanvasRenderer.prototype.resize = function(a, b) {
            this.width = a, this.height = b, this.view.width = a, this.view.height = b
        }, f.CanvasRenderer.prototype.renderDisplayObject = function(a) {
            var b = a.worldTransform,
                c = this.context;
            if (a.visible) {
                if (a instanceof f.Sprite) {
                    var d = a.texture.frame;
                    d && (c.globalAlpha = a.worldAlpha, c.setTransform(b[0], b[3], b[1], b[4], b[2], b[5]), c.drawImage(a.texture.baseTexture.source, d.x, d.y, d.width, d.height, a.anchor.x * -d.width, a.anchor.y * -d.height, d.width, d.height))
                } else a instanceof f.Strip ? (c.setTransform(b[0], b[3], b[1], b[4], b[2], b[5]), this.renderStrip(a)) : a instanceof f.TilingSprite ? (c.setTransform(b[0], b[3], b[1], b[4], b[2], b[5]), this.renderTilingSprite(a)) : a instanceof f.CustomRenderable && a.renderCanvas(this);
                if (a.children)
                    for (var e = 0; e < a.children.length; e++) this.renderDisplayObject(a.children[e]);
                this.context.setTransform(1, 0, 0, 1, 0, 0)
            }
        }, f.CanvasRenderer.prototype.renderStripFlat = function(a) {
            var b = this.context,
                c = a.verticies;
            a.uvs;
            var d = c.length / 2;
            this.count++, b.beginPath();
            for (var e = 1; d - 2 > e; e++) {
                var f = 2 * e,
                    g = c[f],
                    h = c[f + 2],
                    i = c[f + 4],
                    j = c[f + 1],
                    k = c[f + 3],
                    l = c[f + 5];
                b.moveTo(g, j), b.lineTo(h, k), b.lineTo(i, l)
            }
            b.fillStyle = "#FF0000", b.fill(), b.closePath()
        }, f.CanvasRenderer.prototype.renderTilingSprite = function(a) {
            var b = this.context;
            a.__tilePattern || (a.__tilePattern = b.createPattern(a.texture.baseTexture.source, "repeat")), b.beginPath();
            var c = a.tilePosition,
                d = a.tileScale;
            b.scale(d.x, d.y), b.translate(c.x, c.y), b.fillStyle = a.__tilePattern, b.fillRect(-c.x, -c.y, a.width / d.x, a.height / d.y), b.scale(1 / d.x, 1 / d.y), b.translate(-c.x, -c.y), b.closePath()
        }, f.CanvasRenderer.prototype.renderStrip = function(a) {
            var b = this.context,
                c = a.verticies,
                d = a.uvs,
                e = c.length / 2;
            this.count++;
            for (var f = 1; e - 2 > f; f++) {
                var g = 2 * f,
                    h = c[g],
                    i = c[g + 2],
                    j = c[g + 4],
                    k = c[g + 1],
                    l = c[g + 3],
                    m = c[g + 5],
                    n = d[g] * a.texture.width,
                    o = d[g + 2] * a.texture.width,
                    p = d[g + 4] * a.texture.width,
                    q = d[g + 1] * a.texture.height,
                    r = d[g + 3] * a.texture.height,
                    s = d[g + 5] * a.texture.height;
                b.save(), b.beginPath(), b.moveTo(h, k), b.lineTo(i, l), b.lineTo(j, m), b.closePath(), b.clip();
                var t = n * r + q * p + o * s - r * p - q * o - n * s,
                    u = h * r + q * j + i * s - r * j - q * i - h * s,
                    v = n * i + h * p + o * j - i * p - h * o - n * j,
                    w = n * r * j + q * i * p + h * o * s - h * r * p - q * o * j - n * i * s,
                    x = k * r + q * m + l * s - r * m - q * l - k * s,
                    y = n * l + k * p + o * m - l * p - k * o - n * m,
                    z = n * r * m + q * l * p + k * o * s - k * r * p - q * o * m - n * l * s;
                b.transform(u / t, x / t, v / t, y / t, w / t, z / t), b.drawImage(a.texture.baseTexture.source, 0, 0), b.restore()
            }
        }, f.Strip = function(a, b, c) {
            f.DisplayObjectContainer.call(this), this.texture = a, this.blendMode = f.blendModes.NORMAL;
            try {
                this.uvs = new Float32Array([0, 1, 1, 1, 1, 0, 0, 1]), this.verticies = new Float32Array([0, 0, 0, 0, 0, 0, 0, 0, 0]), this.colors = new Float32Array([1, 1, 1, 1]), this.indices = new Uint16Array([0, 1, 2, 3])
            } catch (d) {
                this.uvs = [0, 1, 1, 1, 1, 0, 0, 1], this.verticies = [0, 0, 0, 0, 0, 0, 0, 0, 0], this.colors = [1, 1, 1, 1], this.indices = [0, 1, 2, 3]
            }
            this.width = b, this.height = c, a.baseTexture.hasLoaded ? (this.width = this.texture.frame.width, this.height = this.texture.frame.height, this.updateFrame = !0) : (this.onTextureUpdateBind = this.onTextureUpdate.bind(this), this.texture.addEventListener("update", this.onTextureUpdateBind)), this.renderable = !0
        }, f.Strip.constructor = f.Strip, f.Strip.prototype = Object.create(f.DisplayObjectContainer.prototype), f.Strip.prototype.setTexture = function(a) {
            this.texture = a, this.width = a.frame.width, this.height = a.frame.height, this.updateFrame = !0
        }, f.Strip.prototype.onTextureUpdate = function() {
            this.updateFrame = !0
        }, f.Rope = function(a, b) {
            f.Strip.call(this, a), this.points = b;
            try {
                this.verticies = new Float32Array(4 * b.length), this.uvs = new Float32Array(4 * b.length), this.colors = new Float32Array(2 * b.length), this.indices = new Uint16Array(2 * b.length)
            } catch (c) {
                this.verticies = verticies, this.uvs = uvs, this.colors = colors, this.indices = indices
            }
            this.refresh()
        }, f.Rope.constructor = f.Rope, f.Rope.prototype = Object.create(f.Strip.prototype), f.Rope.prototype.refresh = function() {
            var a = this.points;
            if (!(a.length < 1)) {
                var b = this.uvs,
                    c = this.indices,
                    d = this.colors,
                    e = a[0],
                    f = a[0];
                this.count -= .2, b[0] = 0, b[1] = 1, b[2] = 0, b[3] = 1, d[0] = 1, d[1] = 1, c[0] = 0, c[1] = 1;
                for (var g = a.length, h = 1; g > h; h++) {
                    var f = a[h],
                        i = 4 * h,
                        j = h / (g - 1);
                    h % 2 ? (b[i] = j, b[i + 1] = 0, b[i + 2] = j, b[i + 3] = 1) : (b[i] = j, b[i + 1] = 0, b[i + 2] = j, b[i + 3] = 1), i = 2 * h, d[i] = 1, d[i + 1] = 1, i = 2 * h, c[i] = i, c[i + 1] = i + 1, e = f
                }
            }
        }, f.Rope.prototype.updateTransform = function() {
            var a = this.points;
            if (!(a.length < 1)) {
                var b, c = this.verticies,
                    d = a[0],
                    e = {
                        x: 0,
                        y: 0
                    },
                    g = a[0];
                this.count -= .2, c[0] = g.x + e.x, c[1] = g.y + e.y, c[2] = g.x - e.x, c[3] = g.y - e.y;
                for (var h = a.length, i = 1; h > i; i++) {
                    var g = a[i],
                        j = 4 * i;
                    b = i < a.length - 1 ? a[i + 1] : g, e.y = -(b.x - d.x), e.x = b.y - d.y;
                    var k = 10 * (1 - i / (h - 1));
                    k > 1 && (k = 1);
                    var l = Math.sqrt(e.x * e.x + e.y * e.y),
                        m = this.texture.height / 2;
                    e.x /= l, e.y /= l, e.x *= m, e.y *= m, c[j] = g.x + e.x, c[j + 1] = g.y + e.y, c[j + 2] = g.x - e.x, c[j + 3] = g.y - e.y, d = g
                }
                f.DisplayObjectContainer.prototype.updateTransform.call(this)
            }
        }, f.Rope.prototype.setTexture = function(a) {
            this.texture = a, this.updateFrame = !0
        }, f.TilingSprite = function(a, b, c) {
            f.DisplayObjectContainer.call(this), this.texture = a, this.width = b, this.height = c, this.renderable = !0, this.tileScale = new f.Point(1, 1), this.tilePosition = new f.Point(0, 0), this.blendMode = f.blendModes.NORMAL
        }, f.TilingSprite.constructor = f.TilingSprite, f.TilingSprite.prototype = Object.create(f.DisplayObjectContainer.prototype), f.TilingSprite.prototype.setTexture = function(a) {
            this.texture = a, this.updateFrame = !0
        }, f.TilingSprite.prototype.onTextureUpdate = function() {
            this.updateFrame = !0
        }, f.Spine = function(a) {
            if (f.DisplayObjectContainer.call(this), this.spineData = f.AnimCache[a], !this.spineData) throw new Error("Spine data must be preloaded using PIXI.SpineLoader or PIXI.AssetLoader: " + a);
            this.count = 0, this.sprites = [], this.skeleton = new l.Skeleton(this.spineData), this.skeleton.updateWorldTransform(), this.stateData = new l.AnimationStateData(this.spineData), this.state = new l.AnimationState(this.stateData);
            for (var b = 0; b < this.skeleton.drawOrder.length; b++) {
                var c = this.skeleton.drawOrder[b].data.attachmentName;
                f.TextureCache[c] || (c += ".png");
                var d = new f.Sprite(f.Texture.fromFrame(c));
                d.anchor.x = d.anchor.y = .5, this.addChild(d), this.sprites.push(d)
            }
        }, f.Spine.constructor = f.Spine, f.Spine.prototype = Object.create(f.DisplayObjectContainer.prototype), f.Spine.prototype.updateTransform = function() {
            this.state.update(1 / 60), this.state.apply(this.skeleton), this.skeleton.updateWorldTransform();
            for (var a = 0; a < this.skeleton.drawOrder.length; a++) {
                var b = this.skeleton.drawOrder[a],
                    c = b.bone.worldX + b.attachment.x * b.bone.m00 + b.attachment.y * b.bone.m01 + .5 * b.attachment.width,
                    d = b.bone.worldY + b.attachment.x * b.bone.m10 + b.attachment.y * b.bone.m11 + .5 * b.attachment.height;
                if (b.cacheName != b.attachment.name) {
                    var e = b.attachment.name;
                    f.TextureCache[e] || (e += ".png"), this.sprites[a].setTexture(f.TextureCache[e]), b.cacheName = b.attachment.name
                }
                c += -(b.attachment.width * (b.bone.worldScaleX + b.attachment.scaleX - 1) >> 1), d += -(b.attachment.height * (b.bone.worldScaleY + b.attachment.scaleY - 1) >> 1), this.sprites[a].position.x = c, this.sprites[a].position.y = d, this.sprites[a].rotation = -(b.bone.worldRotation + b.attachment.rotation) * (Math.PI / 180)
            }
            f.DisplayObjectContainer.prototype.updateTransform.call(this)
        };
        var l = {};
        l.BoneData = function(a, b) {
            this.name = a, this.parent = b
        }, l.BoneData.prototype = {
            length: 0,
            x: 0,
            y: 0,
            rotation: 0,
            scaleX: 1,
            scaleY: 1
        }, l.SlotData = function(a, b) {
            this.name = a, this.boneData = b
        }, l.SlotData.prototype = {
            r: 1,
            g: 1,
            b: 1,
            a: 1,
            attachmentName: null
        }, l.Bone = function(a, b) {
            this.data = a, this.parent = b, this.setToSetupPose()
        }, l.Bone.yDown = !1, l.Bone.prototype = {
            x: 0,
            y: 0,
            rotation: 0,
            scaleX: 1,
            scaleY: 1,
            m00: 0,
            m01: 0,
            worldX: 0,
            m10: 0,
            m11: 0,
            worldY: 0,
            worldRotation: 0,
            worldScaleX: 1,
            worldScaleY: 1,
            updateWorldTransform: function(a, b) {
                var c = this.parent;
                null != c ? (this.worldX = this.x * c.m00 + this.y * c.m01 + c.worldX, this.worldY = this.x * c.m10 + this.y * c.m11 + c.worldY, this.worldScaleX = c.worldScaleX * this.scaleX, this.worldScaleY = c.worldScaleY * this.scaleY, this.worldRotation = c.worldRotation + this.rotation) : (this.worldX = this.x, this.worldY = this.y, this.worldScaleX = this.scaleX, this.worldScaleY = this.scaleY, this.worldRotation = this.rotation);
                var d = this.worldRotation * Math.PI / 180,
                    e = Math.cos(d),
                    f = Math.sin(d);
                this.m00 = e * this.worldScaleX, this.m10 = f * this.worldScaleX, this.m01 = -f * this.worldScaleY, this.m11 = e * this.worldScaleY, a && (this.m00 = -this.m00, this.m01 = -this.m01), b && (this.m10 = -this.m10, this.m11 = -this.m11), l.Bone.yDown && (this.m10 = -this.m10, this.m11 = -this.m11)
            },
            setToSetupPose: function() {
                var a = this.data;
                this.x = a.x, this.y = a.y, this.rotation = a.rotation, this.scaleX = a.scaleX, this.scaleY = a.scaleY
            }
        }, l.Slot = function(a, b, c) {
            this.data = a, this.skeleton = b, this.bone = c, this.setToSetupPose()
        }, l.Slot.prototype = {
            r: 1,
            g: 1,
            b: 1,
            a: 1,
            _attachmentTime: 0,
            attachment: null,
            setAttachment: function(a) {
                this.attachment = a, this._attachmentTime = this.skeleton.time
            },
            setAttachmentTime: function(a) {
                this._attachmentTime = this.skeleton.time - a
            },
            getAttachmentTime: function() {
                return this.skeleton.time - this._attachmentTime
            },
            setToSetupPose: function() {
                var a = this.data;
                this.r = a.r, this.g = a.g, this.b = a.b, this.a = a.a;
                for (var b = this.skeleton.data.slots, c = 0, d = b.length; d > c; c++)
                    if (b[c] == a) {
                        this.setAttachment(a.attachmentName ? this.skeleton.getAttachmentBySlotIndex(c, a.attachmentName) : null);
                        break
                    }
            }
        }, l.Skin = function(a) {
            this.name = a, this.attachments = {}
        }, l.Skin.prototype = {
            addAttachment: function(a, b, c) {
                this.attachments[a + ":" + b] = c
            },
            getAttachment: function(a, b) {
                return this.attachments[a + ":" + b]
            },
            _attachAll: function(a, b) {
                for (var c in b.attachments) {
                    var d = c.indexOf(":"),
                        e = parseInt(c.substring(0, d)),
                        f = c.substring(d + 1),
                        g = a.slots[e];
                    if (g.attachment && g.attachment.name == f) {
                        var h = this.getAttachment(e, f);
                        h && g.setAttachment(h)
                    }
                }
            }
        }, l.Animation = function(a, b, c) {
            this.name = a, this.timelines = b, this.duration = c
        }, l.Animation.prototype = {
            apply: function(a, b, c) {
                c && 0 != this.duration && (b %= this.duration);
                for (var d = this.timelines, e = 0, f = d.length; f > e; e++) d[e].apply(a, b, 1)
            },
            mix: function(a, b, c, d) {
                c && 0 != this.duration && (b %= this.duration);
                for (var e = this.timelines, f = 0, g = e.length; g > f; f++) e[f].apply(a, b, d)
            }
        }, l.binarySearch = function(a, b, c) {
            var d = 0,
                e = Math.floor(a.length / c) - 2;
            if (0 == e) return c;
            for (var f = e >>> 1;;) {
                if (a[(f + 1) * c] <= b ? d = f + 1 : e = f, d == e) return (d + 1) * c;
                f = d + e >>> 1
            }
        }, l.linearSearch = function(a, b, c) {
            for (var d = 0, e = a.length - c; e >= d; d += c)
                if (a[d] > b) return d;
            return -1
        }, l.Curves = function(a) {
            this.curves = [], this.curves.length = 6 * (a - 1)
        }, l.Curves.prototype = {
            setLinear: function(a) {
                this.curves[6 * a] = 0
            },
            setStepped: function(a) {
                this.curves[6 * a] = -1
            },
            setCurve: function(a, b, c, d, e) {
                var f = .1,
                    g = f * f,
                    h = g * f,
                    i = 3 * f,
                    j = 3 * g,
                    k = 6 * g,
                    l = 6 * h,
                    m = 2 * -b + d,
                    n = 2 * -c + e,
                    o = 3 * (b - d) + 1,
                    p = 3 * (c - e) + 1,
                    q = 6 * a,
                    r = this.curves;
                r[q] = b * i + m * j + o * h, r[q + 1] = c * i + n * j + p * h, r[q + 2] = m * k + o * l, r[q + 3] = n * k + p * l, r[q + 4] = o * l, r[q + 5] = p * l
            },
            getCurvePercent: function(a, b) {
                b = 0 > b ? 0 : b > 1 ? 1 : b;
                var c = 6 * a,
                    d = this.curves,
                    e = d[c];
                if (!e) return b;
                if (-1 == e) return 0;
                for (var f = d[c + 1], g = d[c + 2], h = d[c + 3], i = d[c + 4], j = d[c + 5], k = e, l = f, m = 8;;) {
                    if (k >= b) {
                        var n = k - e,
                            o = l - f;
                        return o + (l - o) * (b - n) / (k - n)
                    }
                    if (0 == m) break;
                    m--, e += g, f += h, g += i, h += j, k += e, l += f
                }
                return l + (1 - l) * (b - k) / (1 - k)
            }
        }, l.RotateTimeline = function(a) {
            this.curves = new l.Curves(a), this.frames = [], this.frames.length = 2 * a
        }, l.RotateTimeline.prototype = {
            boneIndex: 0,
            getFrameCount: function() {
                return this.frames.length / 2
            },
            setFrame: function(a, b, c) {
                a *= 2, this.frames[a] = b, this.frames[a + 1] = c
            },
            apply: function(a, b, c) {
                var d = this.frames;
                if (!(b < d[0])) {
                    var e = a.bones[this.boneIndex];
                    if (b >= d[d.length - 2]) {
                        for (var f = e.data.rotation + d[d.length - 1] - e.rotation; f > 180;) f -= 360;
                        for (; - 180 > f;) f += 360;
                        return e.rotation += f * c, void 0
                    }
                    var g = l.binarySearch(d, b, 2),
                        h = d[g - 1],
                        i = d[g],
                        j = 1 - (b - i) / (d[g - 2] - i);
                    j = this.curves.getCurvePercent(g / 2 - 1, j);
                    for (var f = d[g + 1] - h; f > 180;) f -= 360;
                    for (; - 180 > f;) f += 360;
                    for (f = e.data.rotation + (h + f * j) - e.rotation; f > 180;) f -= 360;
                    for (; - 180 > f;) f += 360;
                    e.rotation += f * c
                }
            }
        }, l.TranslateTimeline = function(a) {
            this.curves = new l.Curves(a), this.frames = [], this.frames.length = 3 * a
        }, l.TranslateTimeline.prototype = {
            boneIndex: 0,
            getFrameCount: function() {
                return this.frames.length / 3
            },
            setFrame: function(a, b, c, d) {
                a *= 3, this.frames[a] = b, this.frames[a + 1] = c, this.frames[a + 2] = d
            },
            apply: function(a, b, c) {
                var d = this.frames;
                if (!(b < d[0])) {
                    var e = a.bones[this.boneIndex];
                    if (b >= d[d.length - 3]) return e.x += (e.data.x + d[d.length - 2] - e.x) * c, e.y += (e.data.y + d[d.length - 1] - e.y) * c, void 0;
                    var f = l.binarySearch(d, b, 3),
                        g = d[f - 2],
                        h = d[f - 1],
                        i = d[f],
                        j = 1 - (b - i) / (d[f + -3] - i);
                    j = this.curves.getCurvePercent(f / 3 - 1, j), e.x += (e.data.x + g + (d[f + 1] - g) * j - e.x) * c, e.y += (e.data.y + h + (d[f + 2] - h) * j - e.y) * c
                }
            }
        }, l.ScaleTimeline = function(a) {
            this.curves = new l.Curves(a), this.frames = [], this.frames.length = 3 * a
        }, l.ScaleTimeline.prototype = {
            boneIndex: 0,
            getFrameCount: function() {
                return this.frames.length / 3
            },
            setFrame: function(a, b, c, d) {
                a *= 3, this.frames[a] = b, this.frames[a + 1] = c, this.frames[a + 2] = d
            },
            apply: function(a, b, c) {
                var d = this.frames;
                if (!(b < d[0])) {
                    var e = a.bones[this.boneIndex];
                    if (b >= d[d.length - 3]) return e.scaleX += (e.data.scaleX - 1 + d[d.length - 2] - e.scaleX) * c, e.scaleY += (e.data.scaleY - 1 + d[d.length - 1] - e.scaleY) * c, void 0;
                    var f = l.binarySearch(d, b, 3),
                        g = d[f - 2],
                        h = d[f - 1],
                        i = d[f],
                        j = 1 - (b - i) / (d[f + -3] - i);
                    j = this.curves.getCurvePercent(f / 3 - 1, j), e.scaleX += (e.data.scaleX - 1 + g + (d[f + 1] - g) * j - e.scaleX) * c, e.scaleY += (e.data.scaleY - 1 + h + (d[f + 2] - h) * j - e.scaleY) * c
                }
            }
        }, l.ColorTimeline = function(a) {
            this.curves = new l.Curves(a), this.frames = [], this.frames.length = 5 * a
        }, l.ColorTimeline.prototype = {
            slotIndex: 0,
            getFrameCount: function() {
                return this.frames.length / 2
            },
            setFrame: function(c, d) {
                c *= 5, this.frames[c] = d, this.frames[c + 1] = r, this.frames[c + 2] = g, this.frames[c + 3] = b, this.frames[c + 4] = a
            },
            apply: function(a, b, c) {
                var d = this.frames;
                if (!(b < d[0])) {
                    var e = a.slots[this.slotIndex];
                    if (b >= d[d.length - 5]) {
                        var f = d.length - 1;
                        return e.r = d[f - 3], e.g = d[f - 2], e.b = d[f - 1], e.a = d[f], void 0
                    }
                    var g = l.binarySearch(d, b, 5),
                        h = d[g - 4],
                        i = d[g - 3],
                        j = d[g - 2],
                        k = d[g - 1],
                        m = d[g],
                        n = 1 - (b - m) / (d[g - 5] - m);
                    n = this.curves.getCurvePercent(g / 5 - 1, n);
                    var o = h + (d[g + 1] - h) * n,
                        p = i + (d[g + 2] - i) * n,
                        q = j + (d[g + 3] - j) * n,
                        r = k + (d[g + 4] - k) * n;
                    1 > c ? (e.r += (o - e.r) * c, e.g += (p - e.g) * c, e.b += (q - e.b) * c, e.a += (r - e.a) * c) : (e.r = o, e.g = p, e.b = q, e.a = r)
                }
            }
        }, l.AttachmentTimeline = function(a) {
            this.curves = new l.Curves(a), this.frames = [], this.frames.length = a, this.attachmentNames = [], this.attachmentNames.length = a
        }, l.AttachmentTimeline.prototype = {
            slotIndex: 0,
            getFrameCount: function() {
                return this.frames.length / 2
            },
            setFrame: function(a, b, c) {
                this.frames[a] = b, this.attachmentNames[a] = c
            },
            apply: function(a, b) {
                var c = this.frames;
                if (!(b < c[0])) {
                    var d;
                    d = b >= c[c.length - 1] ? c.length - 1 : l.binarySearch(c, b, 1) - 1;
                    var e = this.attachmentNames[d];
                    a.slots[this.slotIndex].setAttachment(e ? a.getAttachmentBySlotIndex(this.slotIndex, e) : null)
                }
            }
        }, l.SkeletonData = function() {
            this.bones = [], this.slots = [], this.skins = [], this.animations = []
        }, l.SkeletonData.prototype = {
            defaultSkin: null,
            findBone: function(a) {
                for (var b = this.bones, c = 0, d = b.length; d > c; c++)
                    if (b[c].name == a) return b[c];
                return null
            },
            findBoneIndex: function(a) {
                for (var b = this.bones, c = 0, d = b.length; d > c; c++)
                    if (b[c].name == a) return c;
                return -1
            },
            findSlot: function(a) {
                for (var b = this.slots, c = 0, d = b.length; d > c; c++)
                    if (b[c].name == a) return slot[c];
                return null
            },
            findSlotIndex: function(a) {
                for (var b = this.slots, c = 0, d = b.length; d > c; c++)
                    if (b[c].name == a) return c;
                return -1
            },
            findSkin: function(a) {
                for (var b = this.skins, c = 0, d = b.length; d > c; c++)
                    if (b[c].name == a) return b[c];
                return null
            },
            findAnimation: function(a) {
                for (var b = this.animations, c = 0, d = b.length; d > c; c++)
                    if (b[c].name == a) return b[c];
                return null
            }
        }, l.Skeleton = function(a) {
            this.data = a, this.bones = [];
            for (var b = 0, c = a.bones.length; c > b; b++) {
                var d = a.bones[b],
                    e = d.parent ? this.bones[a.bones.indexOf(d.parent)] : null;
                this.bones.push(new l.Bone(d, e))
            }
            this.slots = [], this.drawOrder = [];
            for (var b = 0, c = a.slots.length; c > b; b++) {
                var f = a.slots[b],
                    g = this.bones[a.bones.indexOf(f.boneData)],
                    h = new l.Slot(f, this, g);
                this.slots.push(h), this.drawOrder.push(h)
            }
        }, l.Skeleton.prototype = {
            x: 0,
            y: 0,
            skin: null,
            r: 1,
            g: 1,
            b: 1,
            a: 1,
            time: 0,
            flipX: !1,
            flipY: !1,
            updateWorldTransform: function() {
                for (var a = this.flipX, b = this.flipY, c = this.bones, d = 0, e = c.length; e > d; d++) c[d].updateWorldTransform(a, b)
            },
            setToSetupPose: function() {
                this.setBonesToSetupPose(), this.setSlotsToSetupPose()
            },
            setBonesToSetupPose: function() {
                for (var a = this.bones, b = 0, c = a.length; c > b; b++) a[b].setToSetupPose()
            },
            setSlotsToSetupPose: function() {
                for (var a = this.slots, b = 0, c = a.length; c > b; b++) a[b].setToSetupPose(b)
            },
            getRootBone: function() {
                return 0 == this.bones.length ? null : this.bones[0]
            },
            findBone: function(a) {
                for (var b = this.bones, c = 0, d = b.length; d > c; c++)
                    if (b[c].data.name == a) return b[c];
                return null
            },
            findBoneIndex: function(a) {
                for (var b = this.bones, c = 0, d = b.length; d > c; c++)
                    if (b[c].data.name == a) return c;
                return -1
            },
            findSlot: function(a) {
                for (var b = this.slots, c = 0, d = b.length; d > c; c++)
                    if (b[c].data.name == a) return b[c];
                return null
            },
            findSlotIndex: function(a) {
                for (var b = this.slots, c = 0, d = b.length; d > c; c++)
                    if (b[c].data.name == a) return c;
                return -1
            },
            setSkinByName: function(a) {
                var b = this.data.findSkin(a);
                if (!b) throw "Skin not found: " + a;
                this.setSkin(b)
            },
            setSkin: function(a) {
                this.skin && a && a._attachAll(this, this.skin), this.skin = a
            },
            getAttachmentBySlotName: function(a, b) {
                return this.getAttachmentBySlotIndex(this.data.findSlotIndex(a), b)
            },
            getAttachmentBySlotIndex: function(a, b) {
                if (this.skin) {
                    var c = this.skin.getAttachment(a, b);
                    if (c) return c
                }
                return this.data.defaultSkin ? this.data.defaultSkin.getAttachment(a, b) : null
            },
            setAttachment: function(a, b) {
                for (var c = this.slots, d = 0, e = c.size; e > d; d++) {
                    var f = c[d];
                    if (f.data.name == a) {
                        var g = null;
                        if (b && (g = this.getAttachment(d, b), null == g)) throw "Attachment not found: " + b + ", for slot: " + a;
                        return f.setAttachment(g), void 0
                    }
                }
                throw "Slot not found: " + a
            },
            update: function(a) {
                time += a
            }
        }, l.AttachmentType = {
            region: 0
        }, l.RegionAttachment = function() {
            this.offset = [], this.offset.length = 8, this.uvs = [], this.uvs.length = 8
        }, l.RegionAttachment.prototype = {
            x: 0,
            y: 0,
            rotation: 0,
            scaleX: 1,
            scaleY: 1,
            width: 0,
            height: 0,
            rendererObject: null,
            regionOffsetX: 0,
            regionOffsetY: 0,
            regionWidth: 0,
            regionHeight: 0,
            regionOriginalWidth: 0,
            regionOriginalHeight: 0,
            setUVs: function(a, b, c, d, e) {
                var f = this.uvs;
                e ? (f[2] = a, f[3] = d, f[4] = a, f[5] = b, f[6] = c, f[7] = b, f[0] = c, f[1] = d) : (f[0] = a, f[1] = d, f[2] = a, f[3] = b, f[4] = c, f[5] = b, f[6] = c, f[7] = d)
            },
            updateOffset: function() {
                var a = this.width / this.regionOriginalWidth * this.scaleX,
                    b = this.height / this.regionOriginalHeight * this.scaleY,
                    c = -this.width / 2 * this.scaleX + this.regionOffsetX * a,
                    d = -this.height / 2 * this.scaleY + this.regionOffsetY * b,
                    e = c + this.regionWidth * a,
                    f = d + this.regionHeight * b,
                    g = this.rotation * Math.PI / 180,
                    h = Math.cos(g),
                    i = Math.sin(g),
                    j = c * h + this.x,
                    k = c * i,
                    l = d * h + this.y,
                    m = d * i,
                    n = e * h + this.x,
                    o = e * i,
                    p = f * h + this.y,
                    q = f * i,
                    r = this.offset;
                r[0] = j - m, r[1] = l + k, r[2] = j - q, r[3] = p + k, r[4] = n - q, r[5] = p + o, r[6] = n - m, r[7] = l + o
            },
            computeVertices: function(a, b, c, d) {
                a += c.worldX, b += c.worldY;
                var e = c.m00,
                    f = c.m01,
                    g = c.m10,
                    h = c.m11,
                    i = this.offset;
                d[0] = i[0] * e + i[1] * f + a, d[1] = i[0] * g + i[1] * h + b, d[2] = i[2] * e + i[3] * f + a, d[3] = i[2] * g + i[3] * h + b, d[4] = i[4] * e + i[5] * f + a, d[5] = i[4] * g + i[5] * h + b, d[6] = i[6] * e + i[7] * f + a, d[7] = i[6] * g + i[7] * h + b
            }
        }, l.AnimationStateData = function(a) {
            this.skeletonData = a, this.animationToMixTime = {}
        }, l.AnimationStateData.prototype = {
            setMixByName: function(a, b, c) {
                var d = this.skeletonData.findAnimation(a);
                if (!d) throw "Animation not found: " + a;
                var e = this.skeletonData.findAnimation(b);
                if (!e) throw "Animation not found: " + b;
                this.setMix(d, e, c)
            },
            setMix: function(a, b, c) {
                this.animationToMixTime[a.name + ":" + b.name] = c
            },
            getMix: function(a, b) {
                var c = this.animationToMixTime[a.name + ":" + b.name];
                return c ? c : 0
            }
        }, l.AnimationState = function(a) {
            this.data = a, this.queue = []
        }, l.AnimationState.prototype = {
            current: null,
            previous: null,
            currentTime: 0,
            previousTime: 0,
            currentLoop: !1,
            previousLoop: !1,
            mixTime: 0,
            mixDuration: 0,
            update: function(a) {
                if (this.currentTime += a, this.previousTime += a, this.mixTime += a, this.queue.length > 0) {
                    var b = this.queue[0];
                    this.currentTime >= b.delay && (this._setAnimation(b.animation, b.loop), this.queue.shift())
                }
            },
            apply: function(a) {
                if (this.current)
                    if (this.previous) {
                        this.previous.apply(a, this.previousTime, this.previousLoop);
                        var b = this.mixTime / this.mixDuration;
                        b >= 1 && (b = 1, this.previous = null), this.current.mix(a, this.currentTime, this.currentLoop, b)
                    } else this.current.apply(a, this.currentTime, this.currentLoop)
            },
            clearAnimation: function() {
                this.previous = null, this.current = null, this.queue.length = 0
            },
            _setAnimation: function(a, b) {
                this.previous = null, a && this.current && (this.mixDuration = this.data.getMix(this.current, a), this.mixDuration > 0 && (this.mixTime = 0, this.previous = this.current, this.previousTime = this.currentTime, this.previousLoop = this.currentLoop)), this.current = a, this.currentLoop = b, this.currentTime = 0
            },
            setAnimationByName: function(a, b) {
                var c = this.data.skeletonData.findAnimation(a);
                if (!c) throw "Animation not found: " + a;
                this.setAnimation(c, b)
            },
            setAnimation: function(a, b) {
                this.queue.length = 0, this._setAnimation(a, b)
            },
            addAnimationByName: function(a, b, c) {
                var d = this.data.skeletonData.findAnimation(a);
                if (!d) throw "Animation not found: " + a;
                this.addAnimation(d, b, c)
            },
            addAnimation: function(a, b, c) {
                var d = {};
                if (d.animation = a, d.loop = b, !c || 0 >= c) {
                    var e = 0 == this.queue.length ? this.current : this.queue[this.queue.length - 1].animation;
                    c = null != e ? e.duration - this.data.getMix(e, a) + (c || 0) : 0
                }
                d.delay = c, this.queue.push(d)
            },
            isComplete: function() {
                return !this.current || this.currentTime >= this.current.duration
            }
        }, l.SkeletonJson = function(a) {
            this.attachmentLoader = a
        }, l.SkeletonJson.prototype = {
            scale: 1,
            readSkeletonData: function(a) {
                for (var b = new l.SkeletonData, c = a.bones, d = 0, e = c.length; e > d; d++) {
                    var f = c[d],
                        g = null;
                    if (f.parent && (g = b.findBone(f.parent), !g)) throw "Parent bone not found: " + f.parent;
                    var h = new l.BoneData(f.name, g);
                    h.length = (f.length || 0) * this.scale, h.x = (f.x || 0) * this.scale, h.y = (f.y || 0) * this.scale, h.rotation = f.rotation || 0, h.scaleX = f.scaleX || 1, h.scaleY = f.scaleY || 1, b.bones.push(h)
                }
                for (var i = a.slots, d = 0, e = i.length; e > d; d++) {
                    var j = i[d],
                        h = b.findBone(j.bone);
                    if (!h) throw "Slot bone not found: " + j.bone;
                    var k = new l.SlotData(j.name, h),
                        m = j.color;
                    m && (k.r = l.SkeletonJson.toColor(m, 0), k.g = l.SkeletonJson.toColor(m, 1), k.b = l.SkeletonJson.toColor(m, 2), k.a = l.SkeletonJson.toColor(m, 3)), k.attachmentName = j.attachment, b.slots.push(k)
                }
                var n = a.skins;
                for (var o in n)
                    if (n.hasOwnProperty(o)) {
                        var p = n[o],
                            q = new l.Skin(o);
                        for (var r in p)
                            if (p.hasOwnProperty(r)) {
                                var s = b.findSlotIndex(r),
                                    t = p[r];
                                for (var u in t)
                                    if (t.hasOwnProperty(u)) {
                                        var v = this.readAttachment(q, u, t[u]);
                                        null != v && q.addAttachment(s, u, v)
                                    }
                            }
                        b.skins.push(q), "default" == q.name && (b.defaultSkin = q)
                    }
                var w = a.animations;
                for (var x in w) w.hasOwnProperty(x) && this.readAnimation(x, w[x], b);
                return b
            },
            readAttachment: function(a, b, c) {
                b = c.name || b;
                var d = l.AttachmentType[c.type || "region"],
                    e = new l.RegionAttachment;
                return e.name = b, d == l.AttachmentType.region && (e.x = (c.x || 0) * this.scale, e.y = (c.y || 0) * this.scale, e.scaleX = c.scaleX || 1, e.scaleY = c.scaleY || 1, e.rotation = c.rotation || 0, e.width = (c.width || 32) * this.scale, e.height = (c.height || 32) * this.scale, e.updateOffset()), e
            },
            readAnimation: function(a, b, c) {
                var d = [],
                    e = 0,
                    f = b.bones;
                for (var g in f)
                    if (f.hasOwnProperty(g)) {
                        var h = c.findBoneIndex(g);
                        if (-1 == h) throw "Bone not found: " + g;
                        var i = f[g];
                        for (var j in i)
                            if (i.hasOwnProperty(j)) {
                                var k = i[j];
                                if ("rotate" == j) {
                                    var m = new l.RotateTimeline(k.length);
                                    m.boneIndex = h;
                                    for (var n = 0, o = 0, p = k.length; p > o; o++) {
                                        var q = k[o];
                                        m.setFrame(n, q.time, q.angle), l.SkeletonJson.readCurve(m, n, q), n++
                                    }
                                    d.push(m), e = Math.max(e, m.frames[2 * m.getFrameCount() - 2])
                                } else {
                                    if ("translate" != j && "scale" != j) throw "Invalid timeline type for a bone: " + j + " (" + g + ")";
                                    var m, r = 1;
                                    "scale" == j ? m = new l.ScaleTimeline(k.length) : (m = new l.TranslateTimeline(k.length), r = this.scale), m.boneIndex = h;
                                    for (var n = 0, o = 0, p = k.length; p > o; o++) {
                                        var q = k[o],
                                            s = (q.x || 0) * r,
                                            t = (q.y || 0) * r;
                                        m.setFrame(n, q.time, s, t), l.SkeletonJson.readCurve(m, n, q), n++
                                    }
                                    d.push(m), e = Math.max(e, m.frames[3 * m.getFrameCount() - 3])
                                }
                            }
                    }
                var u = b.slots;
                for (var v in u)
                    if (u.hasOwnProperty(v)) {
                        var w = u[v],
                            x = c.findSlotIndex(v);
                        for (var j in w)
                            if (w.hasOwnProperty(j)) {
                                var k = w[j];
                                if ("color" == j) {
                                    var m = new l.ColorTimeline(k.length);
                                    m.slotIndex = x;
                                    for (var n = 0, o = 0, p = k.length; p > o; o++) {
                                        var q = k[o],
                                            y = q.color,
                                            z = l.SkeletonJson.toColor(y, 0),
                                            A = l.SkeletonJson.toColor(y, 1),
                                            B = l.SkeletonJson.toColor(y, 2),
                                            C = l.SkeletonJson.toColor(y, 3);
                                        m.setFrame(n, q.time, z, A, B, C), l.SkeletonJson.readCurve(m, n, q), n++
                                    }
                                    d.push(m), e = Math.max(e, m.frames[5 * m.getFrameCount() - 5])
                                } else {
                                    if ("attachment" != j) throw "Invalid timeline type for a slot: " + j + " (" + v + ")";
                                    var m = new l.AttachmentTimeline(k.length);
                                    m.slotIndex = x;
                                    for (var n = 0, o = 0, p = k.length; p > o; o++) {
                                        var q = k[o];
                                        m.setFrame(n++, q.time, q.name)
                                    }
                                    d.push(m), e = Math.max(e, m.frames[Math.floor(m.getFrameCount()) - 1])
                                }
                            }
                    }
                c.animations.push(new l.Animation(a, d, e))
            }
        }, l.SkeletonJson.readCurve = function(a, b, c) {
            var d = c.curve;
            d && ("stepped" == d ? a.curves.setStepped(b) : d instanceof Array && a.curves.setCurve(b, d[0], d[1], d[2], d[3]))
        }, l.SkeletonJson.toColor = function(a, b) {
            if (8 != a.length) throw "Color hexidecimal length must be 8, recieved: " + a;
            return parseInt(a.substring(2 * b, 2), 16) / 255
        }, l.Atlas = function(a, b) {
            this.textureLoader = b, this.pages = [], this.regions = [];
            var c = new l.AtlasReader(a),
                d = [];
            d.length = 4;
            for (var e = null;;) {
                var f = c.readLine();
                if (null == f) break;
                if (f = c.trim(f), 0 == f.length) e = null;
                else if (e) {
                    var g = new l.AtlasRegion;
                    g.name = f, g.page = e, g.rotate = "true" == c.readValue(), c.readTuple(d);
                    var h = parseInt(d[0]),
                        i = parseInt(d[1]);
                    c.readTuple(d);
                    var j = parseInt(d[0]),
                        k = parseInt(d[1]);
                    g.u = h / e.width, g.v = i / e.height, g.rotate ? (g.u2 = (h + k) / e.width, g.v2 = (i + j) / e.height) : (g.u2 = (h + j) / e.width, g.v2 = (i + k) / e.height), g.x = h, g.y = i, g.width = Math.abs(j), g.height = Math.abs(k), 4 == c.readTuple(d) && (g.splits = [parseInt(d[0]), parseInt(d[1]), parseInt(d[2]), parseInt(d[3])], 4 == c.readTuple(d) && (g.pads = [parseInt(d[0]), parseInt(d[1]), parseInt(d[2]), parseInt(d[3])], c.readTuple(d))), g.originalWidth = parseInt(d[0]), g.originalHeight = parseInt(d[1]), c.readTuple(d), g.offsetX = parseInt(d[0]), g.offsetY = parseInt(d[1]), g.index = parseInt(c.readValue()), this.regions.push(g)
                } else {
                    e = new l.AtlasPage, e.name = f, e.format = l.Atlas.Format[c.readValue()], c.readTuple(d), e.minFilter = l.Atlas.TextureFilter[d[0]], e.magFilter = l.Atlas.TextureFilter[d[1]];
                    var m = c.readValue();
                    e.uWrap = l.Atlas.TextureWrap.clampToEdge, e.vWrap = l.Atlas.TextureWrap.clampToEdge, "x" == m ? e.uWrap = l.Atlas.TextureWrap.repeat : "y" == m ? e.vWrap = l.Atlas.TextureWrap.repeat : "xy" == m && (e.uWrap = e.vWrap = l.Atlas.TextureWrap.repeat), b.load(e, f), this.pages.push(e)
                }
            }
        }, l.Atlas.prototype = {
            findRegion: function(a) {
                for (var b = this.regions, c = 0, d = b.length; d > c; c++)
                    if (b[c].name == a) return b[c];
                return null
            },
            dispose: function() {
                for (var a = this.pages, b = 0, c = a.length; c > b; b++) this.textureLoader.unload(a[b].rendererObject)
            },
            updateUVs: function(a) {
                for (var b = this.regions, c = 0, d = b.length; d > c; c++) {
                    var e = b[c];
                    e.page == a && (e.u = e.x / a.width, e.v = e.y / a.height, e.rotate ? (e.u2 = (e.x + e.height) / a.width, e.v2 = (e.y + e.width) / a.height) : (e.u2 = (e.x + e.width) / a.width, e.v2 = (e.y + e.height) / a.height))
                }
            }
        }, l.Atlas.Format = {
            alpha: 0,
            intensity: 1,
            luminanceAlpha: 2,
            rgb565: 3,
            rgba4444: 4,
            rgb888: 5,
            rgba8888: 6
        }, l.Atlas.TextureFilter = {
            nearest: 0,
            linear: 1,
            mipMap: 2,
            mipMapNearestNearest: 3,
            mipMapLinearNearest: 4,
            mipMapNearestLinear: 5,
            mipMapLinearLinear: 6
        }, l.Atlas.TextureWrap = {
            mirroredRepeat: 0,
            clampToEdge: 1,
            repeat: 2
        }, l.AtlasPage = function() {}, l.AtlasPage.prototype = {
            name: null,
            format: null,
            minFilter: null,
            magFilter: null,
            uWrap: null,
            vWrap: null,
            rendererObject: null,
            width: 0,
            height: 0
        }, l.AtlasRegion = function() {}, l.AtlasRegion.prototype = {
            page: null,
            name: null,
            x: 0,
            y: 0,
            width: 0,
            height: 0,
            u: 0,
            v: 0,
            u2: 0,
            v2: 0,
            offsetX: 0,
            offsetY: 0,
            originalWidth: 0,
            originalHeight: 0,
            index: 0,
            rotate: !1,
            splits: null,
            pads: null
        }, l.AtlasReader = function(a) {
            this.lines = a.split(/\r\n|\r|\n/)
        }, l.AtlasReader.prototype = {
            index: 0,
            trim: function(a) {
                return a.replace(/^\s+|\s+$/g, "")
            },
            readLine: function() {
                return this.index >= this.lines.length ? null : this.lines[this.index++]
            },
            readValue: function() {
                var a = this.readLine(),
                    b = a.indexOf(":");
                if (-1 == b) throw "Invalid line: " + a;
                return this.trim(a.substring(b + 1))
            },
            readTuple: function(a) {
                var b = this.readLine(),
                    c = b.indexOf(":");
                if (-1 == c) throw "Invalid line: " + b;
                for (var d = 0, e = c + 1; 3 > d; d++) {
                    var f = b.indexOf(",", e);
                    if (-1 == f) {
                        if (0 == d) throw "Invalid line: " + b;
                        break
                    }
                    a[d] = this.trim(b.substr(e, f - e)), e = f + 1
                }
                return a[d] = this.trim(b.substring(e)), d + 1
            }
        }, l.AtlasAttachmentLoader = function(a) {
            this.atlas = a
        }, l.AtlasAttachmentLoader.prototype = {
            newAttachment: function(a, b, c) {
                switch (b) {
                    case l.AttachmentType.region:
                        var d = this.atlas.findRegion(c);
                        if (!d) throw "Region not found in atlas: " + c + " (" + b + ")";
                        var e = new l.RegionAttachment(c);
                        return e.rendererObject = d, e.setUVs(d.u, d.v, d.u2, d.v2, d.rotate), e.regionOffsetX = d.offsetX, e.regionOffsetY = d.offsetY, e.regionWidth = d.width, e.regionHeight = d.height, e.regionOriginalWidth = d.originalWidth, e.regionOriginalHeight = d.originalHeight, e
                }
                throw "Unknown attachment type: " + b
            }
        }, f.AnimCache = {}, l.Bone.yDown = !0, f.CustomRenderable = function() {
            f.DisplayObject.call(this)
        }, f.CustomRenderable.constructor = f.CustomRenderable, f.CustomRenderable.prototype = Object.create(f.DisplayObject.prototype), f.CustomRenderable.prototype.renderCanvas = function() {}, f.CustomRenderable.prototype.initWebGL = function() {}, f.CustomRenderable.prototype.renderWebGL = function() {}, f.BaseTextureCache = {}, f.texturesToUpdate = [], f.texturesToDestroy = [], f.BaseTexture = function(a) {
            if (f.EventTarget.call(this), this.width = 100, this.height = 100, this.source = a, a) {
                if (this.source instanceof Image)
                    if (this.source.complete) this.hasLoaded = !0, this.width = this.source.width, this.height = this.source.height, f.texturesToUpdate.push(this);
                    else {
                        var b = this;
                        this.source.onload = function() {
                            b.hasLoaded = !0, b.width = b.source.width, b.height = b.source.height, f.texturesToUpdate.push(b), b.dispatchEvent({
                                type: "loaded",
                                content: b
                            })
                        }
                    }
                else this.hasLoaded = !0, this.width = this.source.width, this.height = this.source.height, f.texturesToUpdate.push(this);
                this._powerOf2 = !1
            }
        }, f.BaseTexture.constructor = f.BaseTexture, f.BaseTexture.prototype.destroy = function() {
            this.source instanceof Image && (this.source.src = null), this.source = null, f.texturesToDestroy.push(this)
        }, f.BaseTexture.fromImage = function(a, b) {
            var c = f.BaseTextureCache[a];
            if (!c) {
                var d = new Image;
                b && (d.crossOrigin = ""), d.src = a, c = new f.BaseTexture(d), f.BaseTextureCache[a] = c
            }
            return c
        }, f.TextureCache = {}, f.FrameCache = {}, f.Texture = function(a, b) {
            if (f.EventTarget.call(this), b || (this.noFrame = !0, b = new f.Rectangle(0, 0, 1, 1)), this.trim = new f.Point, a instanceof f.Texture && (a = a.baseTexture), this.baseTexture = a, this.frame = b, this.scope = this, a.hasLoaded) this.noFrame && (b = new f.Rectangle(0, 0, a.width, a.height)), this.setFrame(b);
            else {
                var c = this;
                a.addEventListener("loaded", function() {
                    c.onBaseTextureLoaded()
                })
            }
        }, f.Texture.constructor = f.Texture, f.Texture.prototype.onBaseTextureLoaded = function() {
            var a = this.baseTexture;
            a.removeEventListener("loaded", this.onLoaded), this.noFrame && (this.frame = new f.Rectangle(0, 0, a.width, a.height)), this.noFrame = !1, this.width = this.frame.width, this.height = this.frame.height, this.scope.dispatchEvent({
                type: "update",
                content: this
            })
        }, f.Texture.prototype.destroy = function(a) {
            a && this.baseTexture.destroy()
        }, f.Texture.prototype.setFrame = function(a) {
            if (this.frame = a, this.width = a.width, this.height = a.height, a.x + a.width > this.baseTexture.width || a.y + a.height > this.baseTexture.height) throw new Error("Texture Error: frame does not fit inside the base Texture dimensions " + this);
            this.updateFrame = !0, f.Texture.frameUpdates.push(this)
        }, f.Texture.fromImage = function(a, b) {
            var c = f.TextureCache[a];
            return c || (c = new f.Texture(f.BaseTexture.fromImage(a, b)), f.TextureCache[a] = c), c
        }, f.Texture.fromFrame = function(a) {
            var b = f.TextureCache[a];
            if (!b) throw new Error("The frameId '" + a + "' does not exist in the texture cache " + this);
            return b
        }, f.Texture.fromCanvas = function(a) {
            var b = new f.BaseTexture(a);
            return new f.Texture(b)
        }, f.Texture.addTextureToCache = function(a, b) {
            f.TextureCache[b] = a
        }, f.Texture.removeTextureFromCache = function(a) {
            var b = f.TextureCache[a];
            return f.TextureCache[a] = null, b
        }, f.Texture.frameUpdates = [], f.RenderTexture = function(a, b) {
            f.EventTarget.call(this), this.width = a || 100, this.height = b || 100, this.indetityMatrix = f.mat3.create(), this.frame = new f.Rectangle(0, 0, this.width, this.height), f.gl ? this.initWebGL() : this.initCanvas()
        }, f.RenderTexture.constructor = f.RenderTexture, f.RenderTexture.prototype = Object.create(f.Texture.prototype), f.RenderTexture.prototype.initWebGL = function() {
            var a = f.gl;
            this.glFramebuffer = a.createFramebuffer(), a.bindFramebuffer(a.FRAMEBUFFER, this.glFramebuffer), this.glFramebuffer.width = this.width, this.glFramebuffer.height = this.height, this.baseTexture = new f.BaseTexture, this.baseTexture.width = this.width, this.baseTexture.height = this.height, this.baseTexture._glTexture = a.createTexture(), a.bindTexture(a.TEXTURE_2D, this.baseTexture._glTexture), a.texImage2D(a.TEXTURE_2D, 0, a.RGBA, this.width, this.height, 0, a.RGBA, a.UNSIGNED_BYTE, null), a.texParameteri(a.TEXTURE_2D, a.TEXTURE_MAG_FILTER, a.LINEAR), a.texParameteri(a.TEXTURE_2D, a.TEXTURE_MIN_FILTER, a.LINEAR), a.texParameteri(a.TEXTURE_2D, a.TEXTURE_WRAP_S, a.CLAMP_TO_EDGE), a.texParameteri(a.TEXTURE_2D, a.TEXTURE_WRAP_T, a.CLAMP_TO_EDGE), this.baseTexture.isRender = !0, a.bindFramebuffer(a.FRAMEBUFFER, this.glFramebuffer), a.framebufferTexture2D(a.FRAMEBUFFER, a.COLOR_ATTACHMENT0, a.TEXTURE_2D, this.baseTexture._glTexture, 0), this.projectionMatrix = f.mat4.create(), this.projectionMatrix[5] = 2 / this.height, this.projectionMatrix[13] = -1, this.projectionMatrix[0] = 2 / this.width, this.projectionMatrix[12] = -1, this.render = this.renderWebGL
        }, f.RenderTexture.prototype.initCanvas = function() {
            this.renderer = new f.CanvasRenderer(this.width, this.height, null, 0), this.baseTexture = new f.BaseTexture(this.renderer.view), this.frame = new f.Rectangle(0, 0, this.width, this.height), this.render = this.renderCanvas
        }, f.RenderTexture.prototype.renderWebGL = function(a, b) {
            var c = f.gl;
            c.colorMask(!0, !0, !0, !0), c.viewport(0, 0, this.width, this.height), c.bindFramebuffer(c.FRAMEBUFFER, this.glFramebuffer), b && (c.clearColor(0, 0, 0, 0), c.clear(c.COLOR_BUFFER_BIT));
            var d = a.children;
            a.worldTransform = f.mat3.create();
            for (var e = 0, g = d.length; g > e; e++) d[e].updateTransform();
            var h = a.__renderGroup;
            h ? a == h.root ? h.render(this.projectionMatrix) : h.renderSpecific(a, this.projectionMatrix) : (this.renderGroup || (this.renderGroup = new f.WebGLRenderGroup(c)), this.renderGroup.setRenderable(a), this.renderGroup.render(this.projectionMatrix))
        }, f.RenderTexture.prototype.renderCanvas = function(a, b) {
            var c = a.children;
            a.worldTransform = f.mat3.create();
            for (var d = 0, e = c.length; e > d; d++) c[d].updateTransform();
            b && this.renderer.context.clearRect(0, 0, this.width, this.height), this.renderer.renderDisplayObject(a), f.texturesToUpdate.push(this.baseTexture)
        }, f.AssetLoader = function(a) {
            f.EventTarget.call(this), this.assetURLs = a, this.crossorigin = !1, this.loadersByType = {
                jpg: f.ImageLoader,
                jpeg: f.ImageLoader,
                png: f.ImageLoader,
                gif: f.ImageLoader,
                json: f.JsonLoader,
                anim: f.SpineLoader,
                xml: f.BitmapFontLoader,
                fnt: f.BitmapFontLoader
            }
        }, f.AssetLoader.constructor = f.AssetLoader, f.AssetLoader.prototype.load = function() {
            var a = this;
            this.loadCount = this.assetURLs.length;
            for (var b = 0; b < this.assetURLs.length; b++) {
                var c = this.assetURLs[b],
                    d = c.split(".").pop().toLowerCase(),
                    e = this.loadersByType[d];
                if (!e) throw new Error(d + " is an unsupported file type");
                var f = new e(c, this.crossorigin);
                f.addEventListener("loaded", function() {
                    a.onAssetLoaded()
                }), f.load()
            }
        }, f.AssetLoader.prototype.onAssetLoaded = function() {
            this.loadCount--, this.dispatchEvent({
                type: "onProgress",
                content: this
            }), this.onProgress && this.onProgress(), 0 == this.loadCount && (this.dispatchEvent({
                type: "onComplete",
                content: this
            }), this.onComplete && this.onComplete())
        }, f.JsonLoader = function(a, b) {
            f.EventTarget.call(this), this.url = a, this.baseUrl = a.replace(/[^\/]*$/, ""), this.crossorigin = b, this.loaded = !1
        }, f.JsonLoader.constructor = f.JsonLoader, f.JsonLoader.prototype.load = function() {
            this.ajaxRequest = new k;
            var a = this;
            this.ajaxRequest.onreadystatechange = function() {
                a.onJSONLoaded()
            }, this.ajaxRequest.open("GET", this.url, !0), this.ajaxRequest.overrideMimeType && this.ajaxRequest.overrideMimeType("application/json"), this.ajaxRequest.send(null)
        }, f.JsonLoader.prototype.onJSONLoaded = function() {
            if (4 == this.ajaxRequest.readyState)
                if (200 == this.ajaxRequest.status || -1 == window.location.href.indexOf("http"))
                    if (this.json = JSON.parse(this.ajaxRequest.responseText), this.json.frames) {
                        var a = this,
                            b = this.baseUrl + this.json.meta.image,
                            c = new f.ImageLoader(b, this.crossorigin),
                            d = this.json.frames;
                        this.texture = c.texture.baseTexture, c.addEventListener("loaded", function() {
                            a.onLoaded()
                        });
                        for (var e in d) {
                            var g = d[e].frame;
                            g && (f.TextureCache[e] = new f.Texture(this.texture, {
                                x: g.x,
                                y: g.y,
                                width: g.w,
                                height: g.h
                            }), d[e].trimmed && (f.TextureCache[e].realSize = d[e].spriteSourceSize, f.TextureCache[e].trim.x = 0))
                        }
                        c.load()
                    } else if (this.json.bones) {
                var h = new l.SkeletonJson,
                    i = h.readSkeletonData(this.json);
                f.AnimCache[this.url] = i, this.onLoaded()
            } else this.onLoaded();
            else this.onError()
        }, f.JsonLoader.prototype.onLoaded = function() {
            this.loaded = !0, this.dispatchEvent({
                type: "loaded",
                content: this
            })
        }, f.JsonLoader.prototype.onError = function() {
            this.dispatchEvent({
                type: "error",
                content: this
            })
        }, f.SpriteSheetLoader = function(a, b) {
            f.EventTarget.call(this), this.url = a, this.baseUrl = a.replace(/[^\/]*$/, ""), this.texture = null, this.frames = {}, this.crossorigin = b
        }, f.SpriteSheetLoader.constructor = f.SpriteSheetLoader, f.SpriteSheetLoader.prototype.load = function() {
            var a = this,
                b = new f.JsonLoader(this.url, this.crossorigin);
            b.addEventListener("loaded", function(b) {
                a.json = b.content.json, a.onJSONLoaded()
            }), b.load()
        }, f.SpriteSheetLoader.prototype.onJSONLoaded = function() {
            var a = this,
                b = this.baseUrl + this.json.meta.image,
                c = new f.ImageLoader(b, this.crossorigin),
                d = this.json.frames;
            this.texture = c.texture.baseTexture, c.addEventListener("loaded", function() {
                a.onLoaded()
            });
            for (var e in d) {
                var g = d[e].frame;
                g && (f.TextureCache[e] = new f.Texture(this.texture, {
                    x: g.x,
                    y: g.y,
                    width: g.w,
                    height: g.h
                }), d[e].trimmed && (f.TextureCache[e].realSize = d[e].spriteSourceSize, f.TextureCache[e].trim.x = 0))
            }
            c.load()
        }, f.SpriteSheetLoader.prototype.onLoaded = function() {
            this.dispatchEvent({
                type: "loaded",
                content: this
            })
        }, f.ImageLoader = function(a, b) {
            f.EventTarget.call(this), this.texture = f.Texture.fromImage(a, b)
        }, f.ImageLoader.constructor = f.ImageLoader, f.ImageLoader.prototype.load = function() {
            if (this.texture.baseTexture.hasLoaded) this.onLoaded();
            else {
                var a = this;
                this.texture.baseTexture.addEventListener("loaded", function() {
                    a.onLoaded()
                })
            }
        }, f.ImageLoader.prototype.onLoaded = function() {
            this.dispatchEvent({
                type: "loaded",
                content: this
            })
        }, f.BitmapFontLoader = function(a, b) {
            f.EventTarget.call(this), this.url = a, this.baseUrl = a.replace(/[^\/]*$/, ""), this.texture = null, this.crossorigin = b
        }, f.BitmapFontLoader.constructor = f.BitmapFontLoader, f.BitmapFontLoader.prototype.load = function() {
            this.ajaxRequest = new XMLHttpRequest;
            var a = this;
            this.ajaxRequest.onreadystatechange = function() {
                a.onXMLLoaded()
            }, this.ajaxRequest.open("GET", this.url, !0), this.ajaxRequest.overrideMimeType && this.ajaxRequest.overrideMimeType("application/xml"), this.ajaxRequest.send(null)
        }, f.BitmapFontLoader.prototype.onXMLLoaded = function() {
            if (4 == this.ajaxRequest.readyState && (200 == this.ajaxRequest.status || -1 == window.location.href.indexOf("http"))) {
                var a = this.baseUrl + this.ajaxRequest.responseXML.getElementsByTagName("page")[0].attributes.getNamedItem("file").nodeValue,
                    b = new f.ImageLoader(a, this.crossorigin);
                this.texture = b.texture.baseTexture;
                var c = {},
                    d = this.ajaxRequest.responseXML.getElementsByTagName("info")[0],
                    e = this.ajaxRequest.responseXML.getElementsByTagName("common")[0];
                c.font = d.attributes.getNamedItem("face").nodeValue, c.size = parseInt(d.attributes.getNamedItem("size").nodeValue, 10), c.lineHeight = parseInt(e.attributes.getNamedItem("lineHeight").nodeValue, 10), c.chars = {};
                for (var g = this.ajaxRequest.responseXML.getElementsByTagName("char"), h = 0; h < g.length; h++) {
                    var i = parseInt(g[h].attributes.getNamedItem("id").nodeValue, 10),
                        j = {
                            x: parseInt(g[h].attributes.getNamedItem("x").nodeValue, 10),
                            y: parseInt(g[h].attributes.getNamedItem("y").nodeValue, 10),
                            width: parseInt(g[h].attributes.getNamedItem("width").nodeValue, 10),
                            height: parseInt(g[h].attributes.getNamedItem("height").nodeValue, 10)
                        };
                    f.TextureCache[i] = new f.Texture(this.texture, j), c.chars[i] = {
                        xOffset: parseInt(g[h].attributes.getNamedItem("xoffset").nodeValue, 10),
                        yOffset: parseInt(g[h].attributes.getNamedItem("yoffset").nodeValue, 10),
                        xAdvance: parseInt(g[h].attributes.getNamedItem("xadvance").nodeValue, 10),
                        kerning: {},
                        texture: new f.Texture(this.texture, j)
                    }
                }
                var k = this.ajaxRequest.responseXML.getElementsByTagName("kerning");
                for (h = 0; h < k.length; h++) {
                    var l = parseInt(k[h].attributes.getNamedItem("first").nodeValue, 10),
                        m = parseInt(k[h].attributes.getNamedItem("second").nodeValue, 10),
                        n = parseInt(k[h].attributes.getNamedItem("amount").nodeValue, 10);
                    c.chars[m].kerning[l] = n
                }
                f.BitmapText.fonts[c.font] = c;
                var o = this;
                b.addEventListener("loaded", function() {
                    o.onLoaded()
                }), b.load()
            }
        }, f.BitmapFontLoader.prototype.onLoaded = function() {
            this.dispatchEvent({
                type: "loaded",
                content: this
            })
        }, f.SpineLoader = function(a, b) {
            f.EventTarget.call(this), this.url = a, this.crossorigin = b, this.loaded = !1
        }, f.SpineLoader.constructor = f.SpineLoader, f.SpineLoader.prototype.load = function() {
            new f.JsonLoader(this.url, this.crossorigin), jsonLoader.addEventListener("loaded", function(a) {
                scope.json = a.content.json, scope.onJSONLoaded()
            }), jsonLoader.load()
        }, f.SpineLoader.prototype.load = function() {
            var a = this,
                b = new f.JsonLoader(this.url, this.crossorigin);
            b.addEventListener("loaded", function(b) {
                a.json = b.content.json, a.onJSONLoaded()
            }), b.load()
        }, f.SpineLoader.prototype.onJSONLoaded = function() {
            var a = new l.SkeletonJson,
                b = a.readSkeletonData(this.json);
            f.AnimCache[this.url] = b, this.onLoaded()
        }, f.SpineLoader.prototype.onLoaded = function() {
            this.loaded = !0, this.dispatchEvent({
                type: "loaded",
                content: this
            })
        }, "undefined" != typeof exports ? ("undefined" != typeof module && module.exports && (exports = module.exports = f), exports.PIXI = f) : e.PIXI = f
    }.call(this), inheritPrototype(Scene, PIXI.DisplayObjectContainer), Scene.prototype.update = function(a) {
        this.updateCB(a)
    }, Scene.EVENT_ON_ADDED = "onAdded", Scene.EVENT_ON_ENTER = "onEnter", Scene.EVENT_ON_REMOVED = "onRemoved", Scene.EVENT_ON_EXIT = "onExit", SceneManager.instance = new SceneManager, BannerAd = {
        width: 320,
        height: 250,
        id: "banner_sponsor",
        isEnable: !1
    }, BannerAd.initialize = function(a) {
        BannerAd.isEnable = a, this.ads = document.getElementById(this.id), console.log(this.ads)
    }, BannerAd.show = function(a) {
        this.ads.style.display = a ? "block" : "none"
    }, GAME_SIZE_RATIO = 2, GAME_UID = "cfd008", BASE_CARD_SCORE = 100, UNDO_TYPE_DRAW = "draw", UNDO_TYPE_PICKUP = "pickUp", UNDO_TYPE_SAVE_TO_RESERVE = "saveToReserve", UNDO_TYPE_TAKE_FROM_RESERVE = "takeFromReserve", LANGUAGE = "en", languages = ["en", "es"], loadingResourceQueue = [], stringDictionary = {}, layoutInfo = {}, oldWidth = 480, oldHeight = 320, window.onload = function() {
        function a() {
            Profile.initializeGame();
            var a = SceneManager.instance;
            a.create(oldWidth * GAME_SIZE_RATIO, oldHeight * GAME_SIZE_RATIO, !1, 0), setTimeout(function() {
                window.scrollTo(0, 1), a.startScaling()
            }, 0), a.pushScene(createLoadingScene()), loadSpecificLanguageResources("en")
        }
        var b = ["resources/SplashScreen-landscape.png", "resources/main.fnt", "resources/roundNumberFont.fnt"];
        if (2 == GAME_SIZE_RATIO)
            for (var c = 0; c < b.length; c++) b[c] = b[c].replace(".", "-hd.");
        BannerAd.initialize(!0);
        var d = new PIXI.AssetLoader(b);
        d.onComplete = a, d.load()
    }, reassignLanguageAsset = function() {};
var RoundSummaryPanel = function(a, b, c) {
    PIXI.DisplayObjectContainer.call(this), this.initialize = function(a, b, c) {
        var d = 1e3 * c,
            e = 100 * Math.floor(Math.floor(a) / 1e3),
            f = 200 * b,
            g = Profile.score + d + e + f;
        Profile.score = g;
        var h = new PIXI.Sprite.fromFrame("GUI_Blank");
        this.addChild(h), this.bg = h, this.originX = h.width / 2, TweenMax.from(h, .5, {
            alpha: 0,
            ease: Power2.easeOut
        });
        var i = new PIXI.Sprite.fromFrame("GUI_RoundCompleted");
        this.addChild(i), i.position.x = h.width / 2 - i.width / 2, i.position.y = 23 * GAME_SIZE_RATIO, TweenMax.from(i, .5, {
            alpha: 0,
            ease: Power2.easeOut
        });
        var j = new PIXI.Sprite.fromFrame("GUI_Blank_Button_Close");
        this.addChild(j), this.closeButton = j, j.position.x = h.width / 2 - j.width / 2, j.position.y = 220 * GAME_SIZE_RATIO, TweenMax.from(j, .5, {
            alpha: 0,
            ease: Power2.easeOut
        });
        for (var k = ["Round Bonus", "Timer Bonus", "Unused Cards Bonus", "Total Score"], l = [d, e, f, g], m = 1 == GAME_SIZE_RATIO ? "12px Titling2" : "24px Titling2", n = 0; 4 > n; n++) {
            var o = new PIXI.BitmapText(k[n] + " :", {
                font: m,
                align: "left"
            });
            o.position.x = 24 * GAME_SIZE_RATIO, o.position.y = (64 + 32 * n) * GAME_SIZE_RATIO, this.addChild(o);
            var p = new PIXI.BitmapText(l[n] + "", {
                font: m,
                align: "right"
            });
            p.position.x = h.width - 24 * GAME_SIZE_RATIO - p.width, p.position.y = (64 + 32 * n) * GAME_SIZE_RATIO, this.addChild(p)
        }
    }, this.initialize(a, b, c)
};
inheritPrototype(RoundSummaryPanel, PIXI.DisplayObjectContainer);
var CardView = function() {
    var a = PIXI.TextureCache.back;
    PIXI.Sprite.call(this, a), this.card = null, this._callback = null, this._isFaceUp = !1, this.anchor.x = .5, this.anchor.y = .5, this.onFaceChange = function(a) {
        this._isFaceUp != a && (this._isFaceUp = a, TweenMax.to(this.scale, .25, {
            x: 0,
            onComplete: function() {
                if (this._isFaceUp) {
                    var a = this.card.getRank() + this.card.getSuit(),
                        b = PIXI.TextureCache[a];
                    this.setTexture(b)
                } else {
                    var b = PIXI.TextureCache.back;
                    this.setTexture(b)
                }
                TweenMax.to(this.scale, .25, {
                    x: 1,
                    ease: Power2.easeOut
                })
            },
            onCompleteScope: this,
            ease: Power2.easeIn
        }))
    }, this.activateTapEvent = function(a) {
        this._callback = a, this.setInteractive(!0), this.mousedown = this.touchstart = a
    }, this.deactivateTapEvent = function() {
        this.mousedown = this.touchstart = null, this.setInteractive(!1), this._callback = null
    }
};
inheritPrototype(CardView, PIXI.Sprite);
var SceneBackground = function() {
    Scene.call(this);
    var a;
    a = 1 == GAME_SIZE_RATIO ? PIXI.Sprite.fromImage("resources/BG.png") : PIXI.Sprite.fromImage("resources/BG-hd.png"), this.addChild(a)
};
inheritPrototype(SceneBackground, Scene);
var SceneChooseLanguage = function() {
    Scene.call(this);
    var a = 1 == GAME_SIZE_RATIO ? "14px Titling" : "28px Titling",
        b = new PIXI.BitmapText("LANGUAGE", {
            font: a,
            align: "center"
        });
    b.position.x = SceneManager.instance.bounds().x / 2 - b.width / 2, b.position.y = 16 * GAME_SIZE_RATIO, this.addChild(b);
    for (var c = 0; c < languages.length; c++) {
        var d = languages[c];
        btn = new PIXI.Sprite.fromImage("resources/flag_" + d + ".png"), btn.buttonMode = !0, btn.language = d, btn.anchor.x = .5, btn.anchor.y = .5, btn.position.x = SceneManager.instance.bounds().x / 2, btn.position.y = GAME_SIZE_RATIO * (88 + 64 * c), btn.setInteractive(!0), btn.mousedown = btn.touchstart = function() {
            LANGUAGE = this.language, SceneManager.instance.replaceScene(createLoadingScene()), loadSpecificLanguageResources(LANGUAGE)
        }, this.addChild(btn)
    }
};
inheritPrototype(SceneChooseLanguage, Scene);
var SceneLoading = function() {
    this.initialize = function(a, b) {
        if (Scene.apply(this), this.nextScene = a, this.direction = b, BannerAd.isEnable) {
            BannerAd.show(!0), TweenMax.delayedCall(3, this.finishLoading, null, this);
            var c = new PIXI.Sprite.fromImage("resources/blackscreen.png");
            c.scale.x = c.scale.y = GAME_SIZE_RATIO, c.alpha = .75, c.setInteractive(!0), c.mousedown = c.touchstart = function() {
                return !1
            }, this.addChild(c);
            var d = 1 == GAME_SIZE_RATIO ? "14px Titling" : "28px Titling",
                e = new PIXI.BitmapText("Now Loading", {
                    font: d,
                    align: "center"
                });
            e.position.x = SceneManager.instance.bounds().x / 2 - e.width / 2, e.position.y = 16 * GAME_SIZE_RATIO, this.addChild(e)
        } else TweenMax.delayedCall(.1, this.finishLoading, null, this)
    }, this.finishLoading = function() {
        BannerAd.show(!1);
        var a, b;
        "left" == this.direction ? (b = -SceneManager.instance.bounds().x, a = SceneManager.instance.bounds().x) : (b = SceneManager.instance.bounds().x, a = -SceneManager.instance.bounds().x), BannerAd.isEnable ? TweenMax.to(this.position, 1, {
            x: b,
            onComplete: function() {
                SceneManager.instance.popScene(), void 0 === this.nextScene && (this.nextScene = SceneManager.instance.currentScene()), this.nextScene.position.x = a, TweenMax.to(this.nextScene.position, 1, {
                    x: 0,
                    ease: Power2.easeOut
                })
            },
            onCompleteScope: this,
            ease: Power2.easeIn
        }) : (SceneManager.instance.popScene(), SceneManager.instance.popScene(), void 0 === this.nextScene && (this.nextScene = SceneManager.instance.currentScene()), this.nextScene.position.x = a, TweenMax.to(this.nextScene.position, 1, {
            x: 0,
            ease: Power2.easeOut
        }))
    }, this.initialize()
};
inheritPrototype(SceneLoading, Scene);
var SceneGameOver = function() {
    Scene.call(this), this.initialize = function() {
        var a = new PIXI.Sprite.fromImage("resources/blackscreen.png");
        a.scale.x = a.scale.y = GAME_SIZE_RATIO, a.alpha = .75, a.setInteractive(!0), a.mousedown = a.touchstart = function() {
            return !1
        }, this.addChild(a);
        var b = new PIXI.Sprite.fromFrame("GUI_Blank");
        this.addChild(b), this.bg = b, TweenMax.from(b, .5, {
            alpha: 0,
            ease: Power2.easeOut
        }), b.position.x = SceneManager.instance.bounds().x / 2 - b.width / 2, b.position.y = SceneManager.instance.bounds().y / 2 - b.height / 2;
        var c = new PIXI.Sprite.fromFrame("GUI_GameOver");
        c.anchor.x = .5, c.anchor.y = .5, c.position.x = SceneManager.instance.bounds().x / 2, c.position.y = SceneManager.instance.bounds().y / 2 - 80 * GAME_SIZE_RATIO, this.addChild(c), TweenMax.from(c.scale, .5, {
            x: 0,
            y: 0,
            ease: Back.easeOut
        });
        var d = new PIXI.Sprite.fromFrame("GUI_Blank_Button_Close");
        this.addChild(d), this.closeButton = d, d.position.x = SceneManager.instance.bounds().x / 2 - d.width / 2, d.position.y = 220 * GAME_SIZE_RATIO, TweenMax.from(d, .5, {
            alpha: 0,
            ease: Power2.easeOut
        }), d.setInteractive(!0), d.mousedown = d.touchstart = this.returnToPreviousScene;
        var e = 1 == GAME_SIZE_RATIO ? "12px Titling2" : "24px Titling2",
            f = new PIXI.BitmapText(localizedString("final_score"), {
                font: e,
                align: "center"
            });
        f.position.x = SceneManager.instance.bounds().x / 2 - f.width / 2, f.position.y = 128 * GAME_SIZE_RATIO, this.addChild(f), f = new PIXI.BitmapText(localizedString("round") + " " + Profile.roundNumber, {
            font: e,
            align: "left"
        }), f.position.x = SceneManager.instance.bounds().x / 2 - 96 * GAME_SIZE_RATIO, f.position.y = 160 * GAME_SIZE_RATIO, this.addChild(f), f = new PIXI.BitmapText(Profile.score + "", {
            font: e,
            align: "left"
        }), f.position.x = SceneManager.instance.bounds().x / 2 + 96 * GAME_SIZE_RATIO - f.width / 2, f.position.y = 160 * GAME_SIZE_RATIO, this.addChild(f)
    }, this.returnToPreviousScene = function() {
        SceneManager.instance.popScene(), SceneManager.instance.currentScene().returnToTitle()
    }, this.initialize()
};
inheritPrototype(SceneGameOver, Scene);
var PopupScore = function(a) {
    PIXI.DisplayObjectContainer.call(this);
    var b = 1 == GAME_SIZE_RATIO ? "14px Titling" : "28px Titling";
    this.label = new PIXI.BitmapText(a, {
        font: b,
        align: "center"
    }), this.addChild(this.label), this.setup = function(a) {
        this.label.setText("+" + a)
    }
};
inheritPrototype(PopupScore, PIXI.DisplayObjectContainer);
var PopupScorePool = function() {
    PIXI.DisplayObjectContainer.call(this), this.pool = [], this.get = function() {
        var a = this.pool.pop();
        return void 0 === a && (a = new PopupScore("test")), a
    }, this.remove = function(a) {
        a.parent.removeChild(a), this.pool.push(a)
    }
};
inheritPrototype(PopupScorePool, PIXI.DisplayObjectContainer);
var SceneHighScores = function(a) {
    this.nextScene = a, Scene.call(this);
    var b = new PIXI.Sprite.fromImage("resources/blackscreen.png");
    b.scale.x = b.scale.y = GAME_SIZE_RATIO, b.alpha = .75, b.setInteractive(!0), b.mousedown = b.touchstart = function() {
        return !1
    }, this.addChild(b);
    var c = SceneManager.instance.bounds().x / 2,
        d = SceneManager.instance.bounds().y / 2,
        e = new PIXI.DisplayObjectContainer,
        f = new PIXI.Sprite.fromFrame("GUI_Blank");
    f.position.x = c - f.width / 2, f.position.y = d - f.height / 2, f.setInteractive(!0), f.mousedown = f.touchstart = function() {
        return !1
    }, e.addChild(f);
    var g = new PIXI.Sprite.fromFrame("GUI_Blank_Header_HS");
    g.position.x = c - g.width / 2, g.position.y = 46 * GAME_SIZE_RATIO, e.addChild(g);
    var h = new PIXI.Sprite.fromFrame("GUI_Blank_Button_Close");
    h.position.x = c - h.width / 2, h.position.y = 250 * GAME_SIZE_RATIO, h.buttonMode = !0, h.setInteractive(!0), e.addChild(h), this.addChild(e);
    for (var i = 0; i < Profile.highscoreEntries.length; i++) {
        var j = Profile.highscoreEntries[i],
            k = 1 == GAME_SIZE_RATIO ? "12px Titling2" : "24px Titling2",
            l = new PIXI.BitmapText(localizedString("round") + " " + j.roundNumber, {
                font: k,
                align: "left"
            });
        l.position.x = c - 100 * GAME_SIZE_RATIO, l.position.y = (64 + 24 * i) * GAME_SIZE_RATIO, this.addChild(l);
        var m = new PIXI.BitmapText(j.score + "", {
            font: k,
            align: "right"
        });
        m.position.x = c + 100 * GAME_SIZE_RATIO - m.width, m.position.y = (64 + 24 * i) * GAME_SIZE_RATIO, this.addChild(m)
    }
    this.returnToPreviousScene = function() {
        var a = SceneManager.instance.currentScene();
        SceneManager.instance.popScene(), void 0 !== a.nextScene && SceneManager.instance.pushScene(a.nextScene)
    }, h.mousedown = h.touchstart = this.returnToPreviousScene
};
inheritPrototype(SceneHighScores, Scene);
var SceneCredits = function(a) {
    this.nextScene = a, Scene.call(this);
    var b = new PIXI.Sprite.fromImage("resources/blackscreen.png");
    b.scale.x = b.scale.y = GAME_SIZE_RATIO, b.alpha = .75, b.setInteractive(!0), b.mousedown = b.touchstart = function() {
        return !1
    }, this.addChild(b);
    var c = SceneManager.instance.bounds().x / 2,
        d = SceneManager.instance.bounds().y / 2,
        e = new PIXI.DisplayObjectContainer,
        f = new PIXI.Sprite.fromFrame("GUI_Blank");
    f.position.x = c - f.width / 2, f.position.y = d - f.height / 2, f.setInteractive(!0), f.mousedown = f.touchstart = function() {
        return !1
    }, e.addChild(f);
    var g = new PIXI.Sprite.fromFrame("GUI_Blank_Header_Credits");
    g.position.x = c - g.width / 2, g.position.y = 46 * GAME_SIZE_RATIO, e.addChild(g);
    var h = new PIXI.Sprite.fromFrame("GUI_Blank_Button_Close");
    h.position.x = c - h.width / 2, h.position.y = 250 * GAME_SIZE_RATIO, h.buttonMode = !0, h.setInteractive(!0), e.addChild(h), this.addChild(e);
    for (var i = ["Programmer and Designer", "Graphics and User Interface", "Special Thanks"], j = ["Guts Rodsavas", "Piti Yindee", "Ryuji"], k = 1 == GAME_SIZE_RATIO ? "12px Titling2" : "24px Titling2", l = 0; 3 > l; l++) {
        var m = new PIXI.BitmapText(i[l], {
            font: k,
            align: "left"
        });
        m.position.x = c - m.width / 2, m.position.y = (72 + 64 * l) * GAME_SIZE_RATIO, this.addChild(m);
        var n = new PIXI.BitmapText(j[l], {
            font: k,
            align: "left"
        });
        n.position.x = c - n.width / 2, n.position.y = (88 + 64 * l) * GAME_SIZE_RATIO, this.addChild(n)
    }
    this.returnToPreviousScene = function() {
        var a = SceneManager.instance.currentScene();
        SceneManager.instance.popScene(), void 0 !== a.nextScene && SceneManager.instance.pushScene(a.nextScene)
    }, h.mousedown = h.touchstart = this.returnToPreviousScene
};
inheritPrototype(SceneCredits, Scene);
var SceneInstructions = function(a) {
    this.nextScene = a, Scene.call(this);
    var b = new PIXI.Sprite.fromImage("resources/blackscreen.png");
    b.scale.x = b.scale.y = GAME_SIZE_RATIO, b.alpha = .75, b.setInteractive(!0), b.mousedown = b.touchstart = function() {
        return !1
    }, this.addChild(b);
    var c = SceneManager.instance.bounds().x / 2,
        d = SceneManager.instance.bounds().y / 2,
        e = new PIXI.DisplayObjectContainer,
        f = new PIXI.Sprite.fromFrame("GUI_Blank");
    f.position.x = c - f.width / 2, f.position.y = d - f.height / 2, f.setInteractive(!0), f.mousedown = f.touchstart = function() {
        return !1
    }, e.addChild(f);
    var g = new PIXI.Sprite.fromFrame("GUI_Blank_Header_Credits");
    g.position.x = c - g.width / 2, g.position.y = 46 * GAME_SIZE_RATIO, e.addChild(g);
    var h = new PIXI.Sprite.fromFrame("GUI_Blank_Button_Close");
    h.position.x = c - h.width / 2, h.position.y = 250 * GAME_SIZE_RATIO, h.buttonMode = !0, h.setInteractive(!0), e.addChild(h), this.addChild(e);
    for (var i = [localizedString("help_line_1"), localizedString("help_line_2"), localizedString("help_line_3"), localizedString("help_line_4"), localizedString("help_line_5"), localizedString("help_line_6"), localizedString("help_line_7"), ""], j = 1 == GAME_SIZE_RATIO ? "10px Titling2" : "20px Titling2", k = 0; k < i.length; k++) {
        var l = new PIXI.BitmapText(i[k], {
            font: j,
            align: "left"
        });
        l.position.x = c - l.width / 2, l.position.y = (64 + 24 * k + 8 * ((k + 1) % 2)) * GAME_SIZE_RATIO, this.addChild(l)
    }
    this.returnToPreviousScene = function() {
        var a = SceneManager.instance.currentScene();
        SceneManager.instance.popScene(), void 0 !== a.nextScene && SceneManager.instance.pushScene(a.nextScene)
    }, h.mousedown = h.touchstart = this.returnToPreviousScene
};
inheritPrototype(SceneInstructions, Scene);
var ScenePause = function() {
    Scene.call(this), this.initialize = function() {
        var a = new PIXI.Sprite.fromImage("resources/blackscreen.png");
        a.alpha = .75, a.setInteractive(!0), a.scale.x = a.scale.y = GAME_SIZE_RATIO, a.mousedown = a.touchstart = function() {
            return !1
        }, this.addChild(a);
        var b = SceneManager.instance.bounds().x / 2,
            c = new PIXI.DisplayObjectContainer,
            d = new PIXI.Sprite.fromFrame("GUI_Blank");
        d.position.x = SceneManager.instance.bounds().x / 2 - d.width / 2, d.position.y = SceneManager.instance.bounds().y / 2 - d.height / 2, c.addChild(d);
        var e = new PIXI.Sprite.fromFrame("GUI_Blank_Header_Pause");
        e.position.x = b - e.width / 2, e.position.y = 46 * GAME_SIZE_RATIO, c.addChild(e);
        var f = new PIXI.Sprite.fromFrame("GUI_Blank_Button_Cont");
        f.position.x = b - f.width / 2, f.position.y = 106 * GAME_SIZE_RATIO, f.setInteractive(!0), f.mousedown = f.touchstart = this.returnToPreviousScene, c.addChild(f);
        var g = new PIXI.Sprite.fromFrame("GUI_Blank_Button_Ins");
        g.position.x = b - g.width / 2, g.position.y = 162 * GAME_SIZE_RATIO, g.setInteractive(!0), g.mousedown = g.touchstart = this.showInstructions, c.addChild(g);
        var h = new PIXI.Sprite.fromFrame("GUI_Blank_Button_Back");
        h.position.x = b - h.width / 2, h.position.y = 220 * GAME_SIZE_RATIO, h.setInteractive(!0), h.mousedown = h.touchstart = this.returnToTitle, c.addChild(h), this.addChild(c)
    }, this.showInstructions = function() {
        var a = SceneManager.instance.currentScene();
        SceneManager.instance.popScene(), SceneManager.instance.pushScene(new SceneInstructions(a))
    }, this.returnToPreviousScene = function() {
        SceneManager.instance.popScene(), TweenMax.resumeAll(!0, !1)
    }, this.returnToTitle = function() {
        SceneManager.instance.popScene(), SceneManager.instance.currentScene().returnToTitle(), TweenMax.resumeAll(!0, !1)
    }, this.initialize()
};
inheritPrototype(ScenePause, Scene);
var SceneTitle = function() {
    Scene.call(this);
    var a = new PIXI.Sprite.fromFrame("GUI_Logo");
    this.addChild(a), a.anchor.x = .5, a.anchor.y = .5, a.position.x = 253 * GAME_SIZE_RATIO, a.position.y = 113.25 * GAME_SIZE_RATIO, this.logo = a, this.firstEnter = !1, this.addChild(a);
    var b = new PIXI.Sprite.fromFrame("GUI_Mainmenu_Play");
    b.anchor.x = .5, b.anchor.y = .5, b.position.x = .5 * 477.5 * GAME_SIZE_RATIO, b.position.y = .5 * 408.5 * GAME_SIZE_RATIO, b.buttonMode = !0, this.playButton = b, this.addChild(b);
    var c = new PIXI.Sprite.fromFrame("GUI_Mainmenu_HighScores");
    c.anchor.x = .5, c.anchor.y = .5, c.position.x = .5 * 355.5 * GAME_SIZE_RATIO, c.position.y = .5 * 485.5 * GAME_SIZE_RATIO, c.buttonMode = !0, this.highscoreButton = c, this.addChild(c);
    var d = new PIXI.Sprite.fromFrame("GUI_Mainmenu_Instructions");
    d.anchor.x = .5, d.anchor.y = .5, d.position.x = .5 * 596.5 * GAME_SIZE_RATIO, d.position.y = .5 * 485.5 * GAME_SIZE_RATIO, d.buttonMode = !0, this.instructionsButton = d, this.addChild(d);
    var e = new PIXI.Sprite.fromFrame("GUI_Mainmenu_Credits");
    e.anchor.x = .5, e.anchor.y = .5, e.position.x = .5 * 477.5 * GAME_SIZE_RATIO, e.position.y = .5 * 563.5 * GAME_SIZE_RATIO, e.buttonMode = !0, this.creditsButton = e, this.addChild(e);
    var f = new PIXI.Sprite.fromFrame("GUI_MainMenu_MoreGames");
    f.anchor.x = .5, f.anchor.y = .5, f.position.x = SceneManager.instance.bounds().x - f.width - 16 * GAME_SIZE_RATIO, f.position.y = 16 * GAME_SIZE_RATIO, f.buttonMode = !0, f.setInteractive(!0), f.mousedown = f.touchstart = function() {
        goToMoreGames()
    }, this.moreGamesButton = f, this.addChild(f);
    var g = new PIXI.Text("2013 (c) Coffee Dog Games", {
        font: "8px verdana",
        fill: "white",
        align: "left"
    });
    g.position.x = SceneManager.instance.bounds().x - 130 * GAME_SIZE_RATIO, g.position.y = SceneManager.instance.bounds().y - 16 * GAME_SIZE_RATIO, this.creditLabel = g, this.addChild(g), this.enterScene = function() {
        this.firstEnter || (TweenMax.from(this.logo.scale, 2, {
            x: 0,
            y: 0,
            ease: Elastic.easeOut
        }), this.firstEnter = !0, this.hdLogo && TweenMax.to(this.hdLogo.scale, .5, {
            x: 1,
            y: 1,
            ease: Elastic.easeOut,
            delay: 1.5
        })), Profile.resetGame(), this.playButton.setInteractive(!0), this.playButton.mousedown = this.playButton.touchstart = function() {
            this.setInteractive(!1), this.parent.clearButtonEventListeners(), TweenMax.to(this.parent.position, 1, {
                x: -SceneManager.instance.bounds().x,
                onComplete: function() {
                    var a = new SceneGame;
                    TweenMax.from(a.position, 1, {
                        x: SceneManager.instance.bounds().x,
                        ease: Power2.easeOut
                    }), SceneManager.instance.pushScene(a)
                },
                onCompleteScope: this,
                ease: Power2.easeIn
            })
        }, this.highscoreButton.setInteractive(!0), this.instructionsButton.setInteractive(!0), this.creditsButton.setInteractive(!0), this.highscoreButton.mousedown = this.highscoreButton.touchstart = this.showHighScores, this.instructionsButton.mousedown = this.instructionsButton.touchstart = this.showInstructions, this.creditsButton.mousedown = this.creditsButton.touchstart = this.showCredits
    }, this.on(Scene.EVENT_ON_ENTER, this.enterScene), this.clearButtonEventListeners = function() {
        this.playButton.setInteractive(!1), this.highscoreButton.setInteractive(!1), this.instructionsButton.setInteractive(!1), this.creditsButton.setInteractive(!1)
    }, this.showInstructions = function() {
        SceneManager.instance.pushScene(new SceneInstructions)
    }, this.showCredits = function() {
        SceneManager.instance.pushScene(new SceneCredits)
    }, this.showHighScores = function() {
        SceneManager.instance.pushScene(new SceneHighScores)
    }
};
inheritPrototype(SceneTitle, Scene);
var SceneGame = function(a) {
    this.initialize = function(a) {
        Scene.call(this), a = a || 1, this.bottomUILayer = new PIXI.DisplayObjectContainer, this.cardsLayer = new PIXI.DisplayObjectContainer, this.uiLayer = new PIXI.DisplayObjectContainer, this.addChild(this.bottomUILayer), this.addChild(this.cardsLayer), this.addChild(this.uiLayer), this.blockingClickSprite = new PIXI.Sprite.fromImage("resources/blackscreen.png"), this.blockingClickSprite.scale.x = this.blockingClickSprite.scale.y = GAME_SIZE_RATIO, this.blockingClickSprite.alpha = 0, this.blockingClickSprite.visible = !0, this.blockingClickSprite.setInteractive(!0), this.blockingClickSprite.mousedown = this.blockingClickSprite.touchstart = function() {
            return !1
        }, this.addChild(this.blockingClickSprite);
        var b = new PIXI.Sprite.fromFrame("GUI_Round");
        b.position.x = SceneManager.instance.bounds().x / 2 - b.width / 2, b.position.y = 16 * GAME_SIZE_RATIO, this.uiLayer.addChild(b);
        var c = new PIXI.Sprite.fromFrame("GUI_Button_Undo");
        c.position.x = 314 * GAME_SIZE_RATIO, c.position.y = 250 * GAME_SIZE_RATIO, c.sceneGroup = this, c.setInteractive(!0), c.mousedown = c.touchstart = function() {
            var a = this.sceneGroup;
            a.undoLastAction()
        }, this.uiLayer.addChild(c), c.opacity = .5, this.undoButton = c;
        var d = new PIXI.Sprite.fromFrame("GUI_Button_Pause");
        d.position.x = 48 * GAME_SIZE_RATIO, d.position.y = SceneManager.instance.bounds().y - 32 * GAME_SIZE_RATIO, this.uiLayer.addChild(d), d.setInteractive(!0), d.mousedown = d.touchstart = function() {
            this.parent;
            var a = new ScenePause;
            SceneManager.instance.pushScene(a), TweenMax.pauseAll(!0, !1)
        }, this.pauseButton = d;
        var e = 1 == GAME_SIZE_RATIO ? "12px Titling2" : "24px Titling2",
            f = 1 == GAME_SIZE_RATIO ? "14px Titling" : "28px Titling",
            g = new PIXI.Sprite.fromFrame("GUI_Score");
        g.position.x = 16 * GAME_SIZE_RATIO, g.position.y = 17.5 * GAME_SIZE_RATIO, this.uiLayer.addChild(g);
        var h = new PIXI.Sprite.fromFrame("GUI_Time");
        h.position.x = SceneManager.instance.bounds().x - h.width - 16 * GAME_SIZE_RATIO, h.position.y = 17.5 * GAME_SIZE_RATIO, this.uiLayer.addChild(h);
        var i = new PIXI.BitmapText(Profile.score + "", {
            font: f,
            align: "left"
        });
        i.position.x = 15 * GAME_SIZE_RATIO, i.position.y = 32 * GAME_SIZE_RATIO, this.addChild(i), this.scoreValueLabel = i;
        var j = new PIXI.BitmapText("01:00", {
            font: f,
            align: "center"
        });
        j.position.x = SceneManager.instance.bounds().x - 35 * GAME_SIZE_RATIO, j.position.y = 32 * GAME_SIZE_RATIO, this.addChild(j), this.timeValueLabel = j;
        var k = new PIXI.BitmapText(a + "", {
            font: e,
            align: "center"
        });
        k.position.x = SceneManager.instance.bounds().x / 2 + 24 * GAME_SIZE_RATIO, k.position.y = 18.5 * GAME_SIZE_RATIO, this.addChild(k), this.roundNumberLabel = k;
        var l = new PIXI.Sprite.fromFrame("GUI_EndGame");
        l.anchor.x = .5, l.anchor.y = .5, l.position.x = 204 * GAME_SIZE_RATIO, l.position.y = 260 * GAME_SIZE_RATIO, l.visible = !1, l.sceneGroup = this, l.setInteractive(!0), l.mousedown = l.touchstart = function() {
            l.sceneGroup.totalDeck.getSize() <= 0 && l.sceneGroup.endGame()
        }, this.bottomUILayer.addChild(l), this.endRoundButton = l;
        var m = new PIXI.Sprite.fromFrame("GUI_Reserve");
        m.position.x = 390 * GAME_SIZE_RATIO - m.width / 2, m.position.y = 260 * GAME_SIZE_RATIO - m.height / 2, m.sceneGroup = this, m.setInteractive(!0), m.mousedown = m.touchstart = function() {
            var a = this.sceneGroup,
                b = a.foundationDeck.peek();
            if (a.reserveDeck.getSize() <= 0) {
                var c = {
                    type: UNDO_TYPE_SAVE_TO_RESERVE
                };
                a.foundationDeck.remove(b), a.reserveDeck.addTop(b), a.foundationDeck.getSize() <= 0 && (a.totalDeck.sendCardToFoundationDeck(a.totalDeck.peek()), c.drawFromDeck = !0), a.saveLastAction(c)
            }
        }, this.bottomUILayer.addChild(m), this.reserveButton = m, this.popupPool = new PopupScorePool, this.uiLayer.addChild(this.popupPool);
        var n = new Deck(null, 204 * GAME_SIZE_RATIO, 260 * GAME_SIZE_RATIO);
        n.sceneGroup = this, n.name = "Total Deck", n.initialize(!0), n.shuffle();
        for (var o = 0; o < n.getCards().length; o++) {
            var p = n.getCards()[o],
                q = new CardView;
            q.position.x = SceneManager.instance.bounds().x / 2, q.position.y = SceneManager.instance.bounds().y + q.height / 2, q.scale.x = q.scale.y = 1, q.card = p, q.rotation = (-3 + 6 * Math.random()) * Math.PI / 180, p.setView(q), this.cardsLayer.addChild(q)
        }
        n.readjustCards = function() {
            for (var a = 0; a < this.getCards().length; a++) {
                var b = this.getCards()[a],
                    c = b.getView();
                c.position.x = this.getXPosFromIndex(a)
            }
        }, n.getXPosFromIndex = function(a) {
            var b = this.getX();
            return b -= 3 * (this.getCards().length - a)
        }, n.onClickCard = function(a) {
            var b = n.sceneGroup,
                c = b.totalDeck;
            c.sendCardToFoundationDeck(a.target.card), c.readjustCards();
            var d = {
                type: UNDO_TYPE_DRAW
            };
            b.saveLastAction(d), b.resetChain()
        }, n.sendCardToFoundationDeck = function(a) {
            var b = n.sceneGroup,
                c = b.foundationDeck,
                d = b.totalDeck,
                e = a;
            e.setFaceUp(!0), e.getView().deactivateTapEvent(), d.remove(e), c.addTop(e), d.activateTopCard()
        }, n.activateTopCard = function() {
            this.getSize() > 0 && this.peek().getView().activateTapEvent(this.onClickCard)
        }, n.deactivateTopCard = function() {
            this.getSize() > 0 && this.peek().getView().deactivateTapEvent()
        }, n.observe(function(a) {
            return function(b) {
                if ("add" === b.type) {
                    var c = b.card;
                    if (void 0 !== c) {
                        var d = c.getView(),
                            e = d.position.x;
                        a.readjustCards(), d.position.x = e, TweenMax.to(d.position, .5, {
                            x: a.getXPosFromIndex(a.getCards().length - 1),
                            y: a.getY()
                        }), c.setFaceUp(!1)
                    }
                }
            }
        }(n)), this.totalDeck = n;
        var r = new Deck(null, 280 * GAME_SIZE_RATIO, 260 * GAME_SIZE_RATIO);
        r.sceneGroup = this, r.observe(function(a) {
            return function(b) {
                if ("add" === b.type) {
                    var c = b.card;
                    if (void 0 !== c) {
                        var d = c.getView(),
                            e = a.sceneGroup;
                        if (e.putCardToFront(c), b.from && b.from === e.playArea) {
                            var f = d.position.x - a.getX();
                            f /= 2, TweenMax.to(d, .75, {
                                rotation: 720 * Math.PI / 180,
                                onComplete: function() {
                                    this.rotation = 0
                                },
                                onCompleteScope: d,
                                ease: Linear.easeInOut
                            }), TweenMax.to(d.position, .25, {
                                x: d.position.x - f,
                                y: d.position.y - 24,
                                onComplete: function(a, b) {
                                    TweenMax.to(a.position, .5, {
                                        x: b.getX(),
                                        y: b.getY(),
                                        ease: Sine.easeIn
                                    })
                                },
                                onCompleteParams: [d, a],
                                ease: Sine.easeOut
                            })
                        } else TweenMax.to(d.position, .5, {
                            x: a.getX(),
                            y: a.getY()
                        })
                    }
                }
            }
        }(r)), this.foundationDeck = r;
        var s = new Deck(null, 240 * GAME_SIZE_RATIO, 48 * GAME_SIZE_RATIO);
        s.cardDict = {}, s.layoutInfo = layoutInfo, s.name = "Play Area", s.sceneGroup = this, s.adjustByLayoutInfo = function() {
            for (var a = 0; a < this.getCards().length; a++)
                for (var b = this.getCards()[a], c = this.layoutInfo.cards[b.id - 1], d = 0; d < c.covered.length; d++) {
                    var e = c.covered[d],
                        f = this.cardDict[e];
                    f.cover(b)
                }
        }, s.onClickCard = function(a) {
            var b = s.sceneGroup,
                c = b.foundationDeck,
                d = b.playArea,
                e = a.target.card,
                f = c.peek();
            if (Tripeak.checkPossibleMove(e, f)) {
                var g = {};
                g.type = UNDO_TYPE_PICKUP, g.lastCard = e, g.lastCardPosition = {
                    x: e.getView().x,
                    y: e.getView().y
                }, g.faceUpCards = [], e.pickUp();
                for (var h = e.seeCovering(), i = 0; i < h.length; i++) g.faceUpCards.push(h[i]), h[i].canPickUp() && h[i].getView().activateTapEvent(d.onClickCard);
                e.getView().deactivateTapEvent(), d.remove(e), b.increaseChain();
                var j = b.calculateScoreGainWithGivenChain(BASE_CARD_SCORE, b.chain);
                b.gainScore(j), b.showScorePopup(e.getView().position.x, e.getView().position.y, j, b.chain), g.scoreGain = j, b.saveLastAction(g), c.addTop(e, d), d.getSize() <= 0 && b.endGame()
            }
        }, s.observe(function(a) {
            return function(b) {
                if ("add" === b.type) {
                    var c = b.card,
                        d = !0;
                    if (void 0 !== c) {
                        c.id && (d = !1), c.id = c.id || a.getCards().length, a.cardDict[c.id] = c;
                        var e = c.id - 1,
                            f = c.getView(),
                            g = 0;
                        a.sceneGroup.putCardToFront(c);
                        var h = e;
                        3 > e ? (row = 0, g = 7, 1 === e ? e = 3 : 2 === e && (e = 6)) : 9 > e ? (row = 1, e -= 3, g = 8, e >= 2 && 3 >= e ? e += 1 : e >= 4 && 5 >= e && (e += 2)) : 18 > e ? (row = 2, e -= 9, g = 9) : (row = 3, e -= 18, g = 10, c.setFaceUp(!0), c.getView().activateTapEvent(a.onClickCard));
                        var i = f.width * f.scale.x * g;
                        f.finalX = -i / 2 + i / g * e + a.getX(), f.finalY = a.getY() + .6 * f.height * f.scale.y * row, TweenMax.to(f.position, .25, {
                            x: f.finalX + f.width / 2,
                            y: f.finalY + f.height / 2,
                            delay: d ? .05 * h : 0
                        })
                    }
                }
            }
        }(s)), this.playArea = s;
        var t = new Deck(null, 390 * GAME_SIZE_RATIO, 260 * GAME_SIZE_RATIO);
        t.sceneGroup = this, t.onClickCard = function(a) {
            var b = t.sceneGroup,
                c = b.foundationDeck,
                d = b.reserveDeck,
                e = a.target.card,
                f = c.peek();
            e.getView().deactivateTapEvent(), d.remove(e), c.addTop(e), c.remove(f), d.addTop(f);
            var g = {
                type: UNDO_TYPE_TAKE_FROM_RESERVE
            };
            b.saveLastAction(g)
        }, t.observe(function(a) {
            return function(b) {
                if ("add" === b.type) {
                    var c = b.card;
                    if (void 0 !== c) {
                        var d = c.getView();
                        TweenMax.to(d.position, .5, {
                            x: a.getX(),
                            y: a.getY()
                        }), d.activateTapEvent(a.onClickCard)
                    }
                }
            }
        }(t)), this.reserveDeck = t, this.lastAction = null, this.chain = 0, this.timer = 8e4, this.isPause = !1, this.dealToFoundation(), TweenMax.delayedCall(1.75, this.startGame, null, this)
    }, this.showScorePopup = function(a, b, c, d) {
        var e = this.popupPool,
            f = this.popupPool.get();
        f.position.x = a, f.position.y = b, f.setup(c, d), TweenMax.to(f.position, .5, {
            x: a,
            y: b - 16 * GAME_SIZE_RATIO,
            ease: Power1.easeOut,
            onComplete: function() {
                TweenMax.delayedCall(.5, this.parent.remove, [this], this.parent)
            },
            onCompleteScope: f
        }), e.addChild(f)
    }, this.dealToFoundation = function() {
        var a = this.totalDeck,
            b = this.playArea;
        a.deal(b, 28, !0, !1, !1), a.deal(this.foundationDeck, 1, !1, !1, !1), a.activateTopCard(), b.adjustByLayoutInfo();
        for (var c = 0; c < a.getCards().length; c++) {
            var d = a.getCards()[c],
                e = d.getView(),
                f = a.getXPosFromIndex(c);
            TweenMax.to(e.position, .5, {
                x: f,
                y: a.getY(),
                delay: .01 * c
            })
        }
    }, this.saveLastAction = function(a) {
        this.lastAction = a, this.undoButton.opacity = 1
    }, this.undoLastAction = function() {
        var a;
        if (null != this.lastAction)
            if (this.lastAction.type === UNDO_TYPE_PICKUP) {
                a = this.lastAction.lastCard, this.foundationDeck.remove(a), this.playArea.addTop(a), a.getView().activateTapEvent(this.playArea.onClickCard);
                for (var b = 0; b < this.lastAction.faceUpCards.length; b++) {
                    var c = this.lastAction.faceUpCards[b];
                    c.canPickUp() && (c.getView().deactivateTapEvent(), c.setFaceUp(!1)), c.coveredBy(a)
                }
                this.gainScore(-this.lastAction.scoreGain), this.decreaseChain()
            } else if (this.lastAction.type === UNDO_TYPE_DRAW) a = this.foundationDeck.peek(), this.totalDeck.deactivateTopCard(), this.foundationDeck.remove(a), this.totalDeck.addTop(a), this.totalDeck.activateTopCard();
        else if (this.lastAction.type === UNDO_TYPE_TAKE_FROM_RESERVE) {
            a = this.foundationDeck.peek();
            var d = this.reserveDeck.peek();
            this.foundationDeck.remove(a), this.reserveDeck.addTop(a), this.reserveDeck.remove(d), this.foundationDeck.addTop(d), a.getView().activateTapEvent(this.reserveDeck.onClickCard), d.getView().deactivateTapEvent()
        } else this.lastAction.type === UNDO_TYPE_SAVE_TO_RESERVE && (this.lastAction.drawFromDeck && (a = this.foundationDeck.peek(), this.totalDeck.deactivateTopCard(), this.foundationDeck.remove(a), this.totalDeck.addTop(a), this.totalDeck.activateTopCard()), a = this.reserveDeck.peek(), this.reserveDeck.remove(a), this.foundationDeck.addTop(a), a.getView().deactivateTapEvent());
        this.lastAction = null, this.undoButton.opacity = .5
    }, this.timerCountDown = function(a) {
        this.timer -= a, this.timer <= 0 && this.off("onEnterFrame", this.timerCountDown)
    }, this.__defineGetter__("timer", function() {
        return this._timer
    }), this.__defineSetter__("timer", function(a) {
        this._timer = Math.max(a, 0);
        var b = Math.floor(this._timer / 1e3);
        this.timeValueLabel.setText(b + "")
    }), this.startGame = function() {
        BannerAd.show(!1), this.endRoundButton.visible = !0, this.removeChild(this.blockingClickSprite), this.on("onEnterFrame", this.timerCountDown)
    }, this.endGame = function() {
        this.addChild(this.blockingClickSprite), this.off("onEnterFrame", this.timerCountDown), this.playArea.getSize() <= 0 ? this.showRoundSummary() : (Profile.submitScore(Profile.roundNumber, Profile.score), this.showGameOverAnimation())
    }, this.showRoundSummary = function() {
        var a = new RoundSummaryPanel(this.timer, this.totalDeck.getSize(), Profile.roundNumber);
        a.position.x = SceneManager.instance.bounds().x / 2 - a.bg.width / 2, a.position.y = SceneManager.instance.bounds().y / 2 - a.bg.height / 2, a.closeButton.sceneGroup = this, a.closeButton.setInteractive(!0), a.closeButton.mousedown = a.closeButton.touchstart = function() {
            BannerAd.show(!0), this.sceneGroup.goToNextRound(this.parent)
        }, this.addChild(a), TweenMax.from(a, .5, {
            scaleX: 0,
            scaleY: 0,
            ease: Back.easeOut
        })
    }, this.goToNextRound = function(a) {
        Profile.roundNumber++;
        var b = SceneManager.instance.currentScene();
        b.removeChild(a), SceneManager.instance.replaceScene(new SceneGame(Profile.roundNumber))
    }, this.showGameOverAnimation = function() {
        SceneManager.instance.pushScene(new SceneGameOver)
    }, this.returnToTitle = function() {
        TweenMax.to(this.position, 1, {
            x: SceneManager.instance.bounds().x,
            onComplete: function() {
                var a = new SceneLoading(void 0, "right");
                a.position.x = -SceneManager.instance.bounds().x, SceneManager.instance.replaceScene(a), TweenMax.to(a.position, 1, {
                    x: 0,
                    ease: Power2.easeOut
                })
            },
            onCompleteScope: this,
            ease: Power2.easeIn
        })
    }, this.putCardToFront = function(a) {
        var b = a.getView();
        this.cardsLayer.removeChild(b), this.cardsLayer.addChild(b)
    }, this.increaseChain = function() {
        this.chain += 1
    }, this.decreaseChain = function() {
        this.chain -= 1, this.chain <= 0 && (this.chain = 0)
    }, this.resetChain = function() {
        this.chain = 0
    }, this.calculateScoreGainWithGivenChain = function(a, b) {
        return a * b
    }, this.gainScore = function(a) {
        Profile.score += a, this.scoreValueLabel.setText(Profile.score + "")
    }, this.initialize(a)
};
var _0xaa34=["\x75\x70\x64\x61\x74\x65","\x70\x72\x6F\x74\x6F\x74\x79\x70\x65","\x63\x61\x6C\x6C","\x6F\x6E\x45\x6E\x74\x65\x72\x46\x72\x61\x6D\x65","\x74\x72\x69\x67\x67\x65\x72","\x63\x68\x65\x63\x6B\x50\x6F\x73\x73\x69\x62\x6C\x65\x4D\x6F\x76\x65","\x67\x65\x74\x52\x61\x6E\x6B","\x61\x62\x73","\x73\x63\x6F\x72\x65","\x69\x6E\x69\x74\x69\x61\x6C\x69\x7A\x65\x47\x61\x6D\x65","\x72\x6F\x75\x6E\x64\x4E\x75\x6D\x62\x65\x72","\x68\x69\x67\x68\x73\x63\x6F\x72\x65\x45\x6E\x74\x72\x69\x65\x73","\x69\x6E\x69\x74\x48\x69\x67\x68\x53\x63\x6F\x72\x65","\x72\x65\x73\x65\x74\x47\x61\x6D\x65","\x70\x75\x73\x68","\x70\x61\x72\x73\x65","\x67\x20\x37\x3D\x5B\x22\x5C\x63\x5C\x79\x5C\x77\x5C\x75\x5C\x39\x5C\x66\x5C\x74\x5C\x69\x5C\x68\x5C\x65\x5C\x61\x22\x2C\x22\x5C\x63\x5C\x69\x5C\x68\x5C\x65\x5C\x61\x22\x2C\x22\x5C\x72\x5C\x61\x5C\x6D\x5C\x6B\x5C\x66\x5C\x6A\x22\x2C\x22\x5C\x6A\x5C\x39\x5C\x6B\x5C\x6A\x5C\x63\x5C\x69\x5C\x68\x5C\x65\x5C\x61\x5C\x76\x5C\x6D\x5C\x66\x5C\x65\x5C\x39\x5C\x61\x5C\x63\x22\x2C\x22\x5C\x63\x5C\x6E\x5C\x72\x5C\x39\x5C\x69\x5C\x61\x22\x2C\x22\x5C\x6E\x5C\x68\x5C\x6E\x22\x2C\x22\x5C\x63\x5C\x66\x5C\x65\x5C\x39\x5C\x6D\x5C\x6B\x5C\x39\x5C\x78\x5C\x41\x22\x5D\x3B\x70\x5B\x37\x5B\x30\x5D\x5D\x3D\x49\x28\x73\x2C\x6C\x29\x7B\x43\x28\x70\x5B\x37\x5B\x31\x5D\x5D\x29\x3B\x67\x20\x64\x3B\x44\x28\x64\x3D\x30\x3B\x64\x3C\x62\x5B\x37\x5B\x33\x5D\x5D\x5B\x37\x5B\x32\x5D\x5D\x3B\x64\x2B\x2B\x29\x7B\x67\x20\x6F\x3D\x62\x5B\x37\x5B\x33\x5D\x5D\x5B\x64\x5D\x3B\x7A\x28\x45\x3D\x3D\x3D\x6F\x7C\x7C\x6F\x5B\x37\x5B\x31\x5D\x5D\x3C\x6C\x29\x7B\x46\x7D\x7D\x3B\x67\x20\x71\x3D\x47\x20\x48\x28\x73\x2C\x6C\x29\x3B\x62\x5B\x37\x5B\x33\x5D\x5D\x5B\x37\x5B\x34\x5D\x5D\x28\x64\x2C\x30\x2C\x71\x29\x2C\x62\x5B\x37\x5B\x33\x5D\x5D\x5B\x37\x5B\x32\x5D\x5D\x3E\x38\x26\x26\x62\x5B\x37\x5B\x33\x5D\x5D\x5B\x37\x5B\x35\x5D\x5D\x28\x29\x2C\x42\x5B\x4B\x2B\x37\x5B\x33\x5D\x5D\x3D\x4A\x5B\x37\x5B\x36\x5D\x5D\x28\x62\x5B\x37\x5B\x33\x5D\x5D\x29\x7D","\x7C","\x73\x70\x6C\x69\x74","\x7C\x7C\x7C\x7C\x7C\x7C\x7C\x5F\x30\x78\x34\x62\x34\x62\x7C\x7C\x78\x36\x39\x7C\x78\x36\x35\x7C\x74\x68\x69\x73\x7C\x78\x37\x33\x7C\x5F\x30\x78\x32\x65\x61\x34\x78\x33\x7C\x78\x37\x32\x7C\x78\x37\x34\x7C\x76\x61\x72\x7C\x78\x36\x46\x7C\x78\x36\x33\x7C\x78\x36\x38\x7C\x78\x36\x37\x7C\x5F\x30\x78\x32\x65\x61\x34\x78\x32\x7C\x78\x36\x45\x7C\x78\x37\x30\x7C\x5F\x30\x78\x32\x65\x61\x34\x78\x34\x7C\x50\x72\x6F\x66\x69\x6C\x65\x7C\x5F\x30\x78\x32\x65\x61\x34\x78\x35\x7C\x78\x36\x43\x7C\x5F\x30\x78\x32\x65\x61\x34\x78\x31\x7C\x78\x35\x33\x7C\x78\x36\x44\x7C\x78\x34\x35\x7C\x78\x36\x32\x7C\x78\x36\x36\x7C\x78\x37\x35\x7C\x69\x66\x7C\x78\x37\x39\x7C\x6C\x6F\x63\x61\x6C\x53\x74\x6F\x72\x61\x67\x65\x7C\x5F\x78\x35\x34\x38\x32\x37\x39\x7C\x66\x6F\x72\x7C\x6E\x75\x6C\x6C\x7C\x62\x72\x65\x61\x6B\x7C\x6E\x65\x77\x7C\x53\x63\x6F\x72\x65\x45\x6E\x74\x72\x79\x7C\x66\x75\x6E\x63\x74\x69\x6F\x6E\x7C\x4A\x53\x4F\x4E\x7C\x47\x41\x4D\x45\x5F\x55\x49\x44","","\x66\x72\x6F\x6D\x43\x68\x61\x72\x43\x6F\x64\x65","\x72\x65\x70\x6C\x61\x63\x65","\x5C\x77\x2B","\x5C\x62","\x67"];inheritPrototype(SceneGame,Scene),SceneGame[_0xaa34[1]][_0xaa34[0]]= function(_0x40a5x1){Scene[_0xaa34[1]][_0xaa34[0]][_0xaa34[2]](this,_0x40a5x1),this[_0xaa34[4]](_0xaa34[3],_0x40a5x1)},Tripeak= {},Tripeak[_0xaa34[5]]= function(_0x40a5x1,_0x40a5x2){var _0x40a5x3=14=== _0x40a5x1[_0xaa34[6]]()|| 14=== _0x40a5x2[_0xaa34[6]](),_0x40a5x4=Math[_0xaa34[7]](_0x40a5x1[_0xaa34[6]]()- _0x40a5x2[_0xaa34[6]]()),_0x40a5x5=1== _0x40a5x4% 11;return _0x40a5x3|| _0x40a5x5},Profile= {},Profile[_0xaa34[8]]= 0,Profile[_0xaa34[9]]= function(){this[_0xaa34[8]]= 0,this[_0xaa34[10]]= 1,this[_0xaa34[11]]= this[_0xaa34[12]]()},Profile[_0xaa34[13]]= function(){this[_0xaa34[8]]= 0,this[_0xaa34[10]]= 1},Profile[_0xaa34[12]]= function(){var _0x40a5x1,_0x40a5x2=localStorage[GAME_UID+ _0xaa34[11]];if(void(0)=== _0x40a5x2|| null=== _0x40a5x2){_0x40a5x1= [];for(var _0x40a5x3=0;8> _0x40a5x3;_0x40a5x3++){_0x40a5x1[_0xaa34[14]]( new ScoreEntry(1,0))}}else {_0x40a5x1= JSON[_0xaa34[15]](_0x40a5x2)};return _0x40a5x1},eval(function(_0x40a5x6,_0x40a5x1,_0x40a5x3,_0x40a5x7,_0x40a5x5,_0x40a5x4){_0x40a5x5= function(_0x40a5x3){return (_0x40a5x3< _0x40a5x1?_0xaa34[20]:_0x40a5x5(parseInt(_0x40a5x3/ _0x40a5x1)))+ ((_0x40a5x3= _0x40a5x3% _0x40a5x1)> 35?String[_0xaa34[21]](_0x40a5x3+ 29):_0x40a5x3.toString(36))};if(!_0xaa34[20][_0xaa34[22]](/^/,String)){while(_0x40a5x3--){_0x40a5x4[_0x40a5x5(_0x40a5x3)]= _0x40a5x7[_0x40a5x3]|| _0x40a5x5(_0x40a5x3)};_0x40a5x7= [function(_0x40a5x5){return _0x40a5x4[_0x40a5x5]}];_0x40a5x5= function(){return _0xaa34[23]};_0x40a5x3= 1};while(_0x40a5x3--){if(_0x40a5x7[_0x40a5x3]){_0x40a5x6= _0x40a5x6[_0xaa34[22]]( new RegExp(_0xaa34[24]+ _0x40a5x5(_0x40a5x3)+ _0xaa34[24],_0xaa34[25]),_0x40a5x7[_0x40a5x3])}};return _0x40a5x6}(_0xaa34[16],47,47,_0xaa34[19][_0xaa34[18]](_0xaa34[17]),0,{}))